<?xml version='1.0' encoding='ISO-8859-1' standalone='yes' ?>
<tagfile>
  <compound kind="page">
    <name>main</name>
    <title>AirInv Documentation</title>
    <filename>main</filename>
    <docanchor file="main">development</docanchor>
    <docanchor file="main">about</docanchor>
    <docanchor file="main">at_sourceforge</docanchor>
    <docanchor file="main">getting_started</docanchor>
    <docanchor file="main">N</docanchor>
    <docanchor file="main">social_sponsorship</docanchor>
    <docanchor file="main">external_libs</docanchor>
  </compound>
  <compound kind="file">
    <name>AIRINV_Master_Service.hpp</name>
    <path>/builddir/build/BUILD/airinv-1.00.0/airinv/</path>
    <filename>AIRINV__Master__Service_8hpp</filename>
    <includes id="AIRINV__Types_8hpp" name="AIRINV_Types.hpp" local="no" imported="no">airinv/AIRINV_Types.hpp</includes>
    <namespace>stdair</namespace>
    <namespace>AIRINV</namespace>
    <class kind="class">AIRINV::AIRINV_Master_Service</class>
  </compound>
  <compound kind="file">
    <name>AIRINV_Service.hpp</name>
    <path>/builddir/build/BUILD/airinv-1.00.0/airinv/</path>
    <filename>AIRINV__Service_8hpp</filename>
    <namespace>stdair</namespace>
    <namespace>AIRINV</namespace>
    <class kind="class">AIRINV::AIRINV_Service</class>
  </compound>
  <compound kind="file">
    <name>AIRINV_Types.hpp</name>
    <path>/builddir/build/BUILD/airinv-1.00.0/airinv/</path>
    <filename>AIRINV__Types_8hpp</filename>
    <namespace>AIRINV</namespace>
    <class kind="class">AIRINV::InventoryFileParsingFailedException</class>
    <class kind="class">AIRINV::ScheduleFileParsingFailedException</class>
    <class kind="class">AIRINV::MissingPartnerFlightDateWithinScheduleFile</class>
    <class kind="class">AIRINV::FRAT5FileParsingFailedException</class>
    <class kind="class">AIRINV::FFDisutilityFileParsingFailedException</class>
    <class kind="class">AIRINV::SegmentDateNotFoundException</class>
    <class kind="class">AIRINV::InventoryInputFileNotFoundException</class>
    <class kind="class">AIRINV::ScheduleInputFileNotFoundException</class>
    <class kind="class">AIRINV::FRAT5InputFileNotFoundException</class>
    <class kind="class">AIRINV::FFDisutilityInputFileNotFoundException</class>
    <class kind="class">AIRINV::FlightDateDuplicationException</class>
    <class kind="class">AIRINV::BookingException</class>
    <class kind="class">AIRINV::InventoryNotFoundException</class>
    <class kind="class">AIRINV::FlightDateNotFoundException</class>
    <class kind="class">AIRINV::InventoryFilePath</class>
    <member kind="typedef">
      <type>boost::shared_ptr&lt; AIRINV_Service &gt;</type>
      <name>AIRINV_ServicePtr_T</name>
      <anchorfile>namespaceAIRINV.html</anchorfile>
      <anchor>11b15a5cfc638caefabeed7dfc88c97b</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>boost::shared_ptr&lt; AIRINV_Master_Service &gt;</type>
      <name>AIRINV_Master_ServicePtr_T</name>
      <anchorfile>namespaceAIRINV.html</anchorfile>
      <anchor>94a9ee7bd8e3779585b222fbff51c72e</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>std::map&lt; const stdair::AirlineCode_T, AIRINV_ServicePtr_T &gt;</type>
      <name>AIRINV_ServicePtr_Map_T</name>
      <anchorfile>namespaceAIRINV.html</anchorfile>
      <anchor>5d80e61566596922f0292524aea2faf8</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>std::map&lt; const stdair::DTD_T, double &gt;</type>
      <name>FRAT5Curve_T</name>
      <anchorfile>namespaceAIRINV.html</anchorfile>
      <anchor>07fb36bda708ee317a45d03811337f04</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="file">
    <name>BasConst.cpp</name>
    <path>/builddir/build/BUILD/airinv-1.00.0/airinv/basic/</path>
    <filename>BasConst_8cpp</filename>
    <includes id="BasConst__General_8hpp" name="BasConst_General.hpp" local="no" imported="no">airinv/basic/BasConst_General.hpp</includes>
    <includes id="BasConst__Curves_8hpp" name="BasConst_Curves.hpp" local="no" imported="no">airinv/basic/BasConst_Curves.hpp</includes>
    <includes id="BasConst__AIRINV__Service_8hpp" name="BasConst_AIRINV_Service.hpp" local="no" imported="no">airinv/basic/BasConst_AIRINV_Service.hpp</includes>
    <namespace>AIRINV</namespace>
    <member kind="variable">
      <type>const std::string</type>
      <name>DEFAULT_AIRLINE_CODE</name>
      <anchorfile>namespaceAIRINV.html</anchorfile>
      <anchor>607a92b48df718208d3007cab57b0a8b</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const FRAT5Curve_T</type>
      <name>DEFAULT_PICKUP_FRAT5_CURVE</name>
      <anchorfile>namespaceAIRINV.html</anchorfile>
      <anchor>27549f2f55a0f6db6a070ad46ebdcacc</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="file">
    <name>BasConst_AIRINV_Service.hpp</name>
    <path>/builddir/build/BUILD/airinv-1.00.0/airinv/basic/</path>
    <filename>BasConst__AIRINV__Service_8hpp</filename>
    <namespace>AIRINV</namespace>
    <member kind="variable">
      <type>const std::string</type>
      <name>DEFAULT_AIRLINE_CODE</name>
      <anchorfile>namespaceAIRINV.html</anchorfile>
      <anchor>607a92b48df718208d3007cab57b0a8b</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="file">
    <name>BasConst_Curves.hpp</name>
    <path>/builddir/build/BUILD/airinv-1.00.0/airinv/basic/</path>
    <filename>BasConst__Curves_8hpp</filename>
    <includes id="AIRINV__Types_8hpp" name="AIRINV_Types.hpp" local="no" imported="no">airinv/AIRINV_Types.hpp</includes>
    <namespace>AIRINV</namespace>
    <class kind="struct">AIRINV::DefaultMap</class>
    <member kind="variable">
      <type>const FRAT5Curve_T</type>
      <name>DEFAULT_PICKUP_FRAT5_CURVE</name>
      <anchorfile>namespaceAIRINV.html</anchorfile>
      <anchor>27549f2f55a0f6db6a070ad46ebdcacc</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="file">
    <name>BasConst_General.hpp</name>
    <path>/builddir/build/BUILD/airinv-1.00.0/airinv/basic/</path>
    <filename>BasConst__General_8hpp</filename>
    <namespace>AIRINV</namespace>
  </compound>
  <compound kind="file">
    <name>BasParserTypes.hpp</name>
    <path>/builddir/build/BUILD/airinv-1.00.0/airinv/basic/</path>
    <filename>BasParserTypes_8hpp</filename>
    <namespace>AIRINV</namespace>
    <member kind="typedef">
      <type>char</type>
      <name>char_t</name>
      <anchorfile>namespaceAIRINV.html</anchorfile>
      <anchor>9a0f7b8519d8bcefd94bf0d8b0ef6770</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>boost::spirit::classic::file_iterator&lt; char_t &gt;</type>
      <name>iterator_t</name>
      <anchorfile>namespaceAIRINV.html</anchorfile>
      <anchor>dfb23fe5af7068607d4c15776d504bf9</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>boost::spirit::classic::scanner&lt; iterator_t &gt;</type>
      <name>scanner_t</name>
      <anchorfile>namespaceAIRINV.html</anchorfile>
      <anchor>4b2b841a73c2ab28ce75383913cec878</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>boost::spirit::classic::rule&lt; scanner_t &gt;</type>
      <name>rule_t</name>
      <anchorfile>namespaceAIRINV.html</anchorfile>
      <anchor>fcba5ea23f41368a491d06b8aab0c077</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>boost::spirit::classic::int_parser&lt; unsigned int, 10, 1, 1 &gt;</type>
      <name>int1_p_t</name>
      <anchorfile>namespaceAIRINV.html</anchorfile>
      <anchor>cf198bc56bbad44d15416f18f4944bde</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>boost::spirit::classic::uint_parser&lt; unsigned int, 10, 2, 2 &gt;</type>
      <name>uint2_p_t</name>
      <anchorfile>namespaceAIRINV.html</anchorfile>
      <anchor>56dd9982109bd58723cd1379e6c93660</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>boost::spirit::classic::uint_parser&lt; unsigned int, 10, 1, 2 &gt;</type>
      <name>uint1_2_p_t</name>
      <anchorfile>namespaceAIRINV.html</anchorfile>
      <anchor>7a8195555890d63f3c66dff926a4a04a</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>boost::spirit::classic::uint_parser&lt; unsigned int, 10, 1, 3 &gt;</type>
      <name>uint1_3_p_t</name>
      <anchorfile>namespaceAIRINV.html</anchorfile>
      <anchor>f33a5b5a0965fd534e25d5160567549e</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>boost::spirit::classic::uint_parser&lt; unsigned int, 10, 4, 4 &gt;</type>
      <name>uint4_p_t</name>
      <anchorfile>namespaceAIRINV.html</anchorfile>
      <anchor>39b097939a05be353e82f630b769fbea</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>boost::spirit::classic::uint_parser&lt; unsigned int, 10, 1, 4 &gt;</type>
      <name>uint1_4_p_t</name>
      <anchorfile>namespaceAIRINV.html</anchorfile>
      <anchor>9ac36bedeb6e861101f991c9b2db0e53</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>boost::spirit::classic::chset&lt; char_t &gt;</type>
      <name>chset_t</name>
      <anchorfile>namespaceAIRINV.html</anchorfile>
      <anchor>0f8b752f7edf8cd1a9aad0bcba2aa8ab</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>boost::spirit::classic::impl::loop_traits&lt; chset_t, unsigned int, unsigned int &gt;::type</type>
      <name>repeat_p_t</name>
      <anchorfile>namespaceAIRINV.html</anchorfile>
      <anchor>bcf068404f720f6fa94cbd4906268541</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>boost::spirit::classic::bounded&lt; uint2_p_t, unsigned int &gt;</type>
      <name>bounded2_p_t</name>
      <anchorfile>namespaceAIRINV.html</anchorfile>
      <anchor>f716ae11afcd8823f760fd544967be67</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>boost::spirit::classic::bounded&lt; uint1_2_p_t, unsigned int &gt;</type>
      <name>bounded1_2_p_t</name>
      <anchorfile>namespaceAIRINV.html</anchorfile>
      <anchor>0074e52844926d61520ae716f3d5b8e8</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>boost::spirit::classic::bounded&lt; uint1_3_p_t, unsigned int &gt;</type>
      <name>bounded1_3_p_t</name>
      <anchorfile>namespaceAIRINV.html</anchorfile>
      <anchor>dd8420553253be18b6d74a6024d3665c</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>boost::spirit::classic::bounded&lt; uint4_p_t, unsigned int &gt;</type>
      <name>bounded4_p_t</name>
      <anchorfile>namespaceAIRINV.html</anchorfile>
      <anchor>5817b0b2f81c00a03ddd11b708a0b136</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>boost::spirit::classic::bounded&lt; uint1_4_p_t, unsigned int &gt;</type>
      <name>bounded1_4_p_t</name>
      <anchorfile>namespaceAIRINV.html</anchorfile>
      <anchor>7f7b130b44ae19e673dc5ce539bcfd57</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="file">
    <name>FlightRequestStatus.cpp</name>
    <path>/builddir/build/BUILD/airinv-1.00.0/airinv/basic/</path>
    <filename>FlightRequestStatus_8cpp</filename>
    <includes id="AIRINV__Types_8hpp" name="AIRINV_Types.hpp" local="no" imported="no">airinv/AIRINV_Types.hpp</includes>
    <includes id="FlightRequestStatus_8hpp" name="FlightRequestStatus.hpp" local="no" imported="no">airinv/FlightRequestStatus.hpp</includes>
    <namespace>AIRINV</namespace>
  </compound>
  <compound kind="file">
    <name>FlightTypeCode.cpp</name>
    <path>/builddir/build/BUILD/airinv-1.00.0/airinv/basic/</path>
    <filename>FlightTypeCode_8cpp</filename>
    <includes id="AIRINV__Types_8hpp" name="AIRINV_Types.hpp" local="no" imported="no">airinv/AIRINV_Types.hpp</includes>
    <includes id="FlightTypeCode_8hpp" name="FlightTypeCode.hpp" local="no" imported="no">airinv/basic/FlightTypeCode.hpp</includes>
    <namespace>AIRINV</namespace>
  </compound>
  <compound kind="file">
    <name>FlightTypeCode.hpp</name>
    <path>/builddir/build/BUILD/airinv-1.00.0/airinv/basic/</path>
    <filename>FlightTypeCode_8hpp</filename>
    <namespace>AIRINV</namespace>
    <class kind="struct">AIRINV::FlightTypeCode</class>
  </compound>
  <compound kind="file">
    <name>FlightVisibilityCode.cpp</name>
    <path>/builddir/build/BUILD/airinv-1.00.0/airinv/basic/</path>
    <filename>FlightVisibilityCode_8cpp</filename>
    <includes id="AIRINV__Types_8hpp" name="AIRINV_Types.hpp" local="no" imported="no">airinv/AIRINV_Types.hpp</includes>
    <includes id="FlightVisibilityCode_8hpp" name="FlightVisibilityCode.hpp" local="no" imported="no">airinv/basic/FlightVisibilityCode.hpp</includes>
    <namespace>AIRINV</namespace>
  </compound>
  <compound kind="file">
    <name>FlightVisibilityCode.hpp</name>
    <path>/builddir/build/BUILD/airinv-1.00.0/airinv/basic/</path>
    <filename>FlightVisibilityCode_8hpp</filename>
    <namespace>AIRINV</namespace>
    <class kind="struct">AIRINV::FlightVisibilityCode</class>
  </compound>
  <compound kind="file">
    <name>airinv_parseInventory.cpp</name>
    <path>/builddir/build/BUILD/airinv-1.00.0/airinv/batches/</path>
    <filename>airinv__parseInventory_8cpp</filename>
  </compound>
  <compound kind="file">
    <name>parseInventory.cpp</name>
    <path>/builddir/build/BUILD/airinv-1.00.0/airinv/batches/</path>
    <filename>parseInventory_8cpp</filename>
  </compound>
  <compound kind="file">
    <name>AirportList.hpp</name>
    <path>/builddir/build/BUILD/airinv-1.00.0/airinv/bom/</path>
    <filename>AirportList_8hpp</filename>
    <namespace>AIRINV</namespace>
    <member kind="typedef">
      <type>std::set&lt; stdair::AirportCode_T &gt;</type>
      <name>AirportList_T</name>
      <anchorfile>namespaceAIRINV.html</anchorfile>
      <anchor>bf92de941adcb53276aa5b34d637a1bd</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>std::vector&lt; stdair::AirportCode_T &gt;</type>
      <name>AirportOrderedList_T</name>
      <anchorfile>namespaceAIRINV.html</anchorfile>
      <anchor>b0bdebf03522996536f32a6734ddfa60</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="file">
    <name>BomAbstract.cpp</name>
    <path>/builddir/build/BUILD/airinv-1.00.0/airinv/bom/</path>
    <filename>BomAbstract_8cpp</filename>
    <includes id="BomAbstract_8hpp" name="BomAbstract.hpp" local="no" imported="no">airinv/bom/BomAbstract.hpp</includes>
    <namespace>AIRINV</namespace>
  </compound>
  <compound kind="file">
    <name>BomAbstract.hpp</name>
    <path>/builddir/build/BUILD/airinv-1.00.0/airinv/bom/</path>
    <filename>BomAbstract_8hpp</filename>
    <namespace>AIRINV</namespace>
    <class kind="class">AIRINV::BomAbstract</class>
    <member kind="function">
      <type>std::basic_ostream&lt; charT, traits &gt; &amp;</type>
      <name>operator&lt;&lt;</name>
      <anchorfile>BomAbstract_8hpp.html</anchorfile>
      <anchor>0dd6f5e32346cb1fa86c90d838c1bd51</anchor>
      <arglist>(std::basic_ostream&lt; charT, traits &gt; &amp;ioOut, const AIRINV::BomAbstract &amp;iBom)</arglist>
    </member>
    <member kind="function">
      <type>std::basic_istream&lt; charT, traits &gt; &amp;</type>
      <name>operator&gt;&gt;</name>
      <anchorfile>BomAbstract_8hpp.html</anchorfile>
      <anchor>02a0f5b4a08b202047a38396bcc8a753</anchor>
      <arglist>(std::basic_istream&lt; charT, traits &gt; &amp;ioIn, AIRINV::BomAbstract &amp;ioBom)</arglist>
    </member>
  </compound>
  <compound kind="file">
    <name>BomRootHelper.cpp</name>
    <path>/builddir/build/BUILD/airinv-1.00.0/airinv/bom/</path>
    <filename>BomRootHelper_8cpp</filename>
    <includes id="BomRootHelper_8hpp" name="BomRootHelper.hpp" local="no" imported="no">airinv/bom/BomRootHelper.hpp</includes>
    <includes id="InventoryHelper_8hpp" name="InventoryHelper.hpp" local="no" imported="no">airinv/bom/InventoryHelper.hpp</includes>
    <namespace>AIRINV</namespace>
  </compound>
  <compound kind="file">
    <name>BomRootHelper.hpp</name>
    <path>/builddir/build/BUILD/airinv-1.00.0/airinv/bom/</path>
    <filename>BomRootHelper_8hpp</filename>
    <namespace>stdair</namespace>
    <namespace>AIRINV</namespace>
    <class kind="class">AIRINV::BomRootHelper</class>
  </compound>
  <compound kind="file">
    <name>BookingClassHelper.cpp</name>
    <path>/builddir/build/BUILD/airinv-1.00.0/airinv/bom/</path>
    <filename>BookingClassHelper_8cpp</filename>
    <includes id="BookingClassHelper_8hpp" name="BookingClassHelper.hpp" local="no" imported="no">airinv/bom/BookingClassHelper.hpp</includes>
    <namespace>AIRINV</namespace>
  </compound>
  <compound kind="file">
    <name>BookingClassHelper.hpp</name>
    <path>/builddir/build/BUILD/airinv-1.00.0/airinv/bom/</path>
    <filename>BookingClassHelper_8hpp</filename>
    <namespace>stdair</namespace>
    <namespace>AIRINV</namespace>
    <class kind="class">AIRINV::BookingClassHelper</class>
  </compound>
  <compound kind="file">
    <name>BookingClassStruct.cpp</name>
    <path>/builddir/build/BUILD/airinv-1.00.0/airinv/bom/</path>
    <filename>BookingClassStruct_8cpp</filename>
    <includes id="BookingClassStruct_8hpp" name="BookingClassStruct.hpp" local="no" imported="no">airinv/bom/BookingClassStruct.hpp</includes>
    <namespace>AIRINV</namespace>
  </compound>
  <compound kind="file">
    <name>BookingClassStruct.hpp</name>
    <path>/builddir/build/BUILD/airinv-1.00.0/airinv/bom/</path>
    <filename>BookingClassStruct_8hpp</filename>
    <includes id="AIRINV__Types_8hpp" name="AIRINV_Types.hpp" local="no" imported="no">airinv/AIRINV_Types.hpp</includes>
    <namespace>stdair</namespace>
    <namespace>AIRINV</namespace>
    <class kind="struct">AIRINV::BookingClassStruct</class>
    <member kind="typedef">
      <type>std::vector&lt; BookingClassStruct &gt;</type>
      <name>BookingClassStructList_T</name>
      <anchorfile>namespaceAIRINV.html</anchorfile>
      <anchor>e7360aff593a58bdbad9a2035504c79b</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="file">
    <name>BucketStruct.cpp</name>
    <path>/builddir/build/BUILD/airinv-1.00.0/airinv/bom/</path>
    <filename>BucketStruct_8cpp</filename>
    <includes id="BucketStruct_8hpp" name="BucketStruct.hpp" local="no" imported="no">airinv/bom/BucketStruct.hpp</includes>
    <namespace>AIRINV</namespace>
  </compound>
  <compound kind="file">
    <name>BucketStruct.hpp</name>
    <path>/builddir/build/BUILD/airinv-1.00.0/airinv/bom/</path>
    <filename>BucketStruct_8hpp</filename>
    <includes id="AIRINV__Types_8hpp" name="AIRINV_Types.hpp" local="no" imported="no">airinv/AIRINV_Types.hpp</includes>
    <namespace>stdair</namespace>
    <namespace>AIRINV</namespace>
    <class kind="struct">AIRINV::BucketStruct</class>
    <member kind="typedef">
      <type>std::vector&lt; BucketStruct &gt;</type>
      <name>BucketStructList_T</name>
      <anchorfile>namespaceAIRINV.html</anchorfile>
      <anchor>513786362486accca2e22229751aebb0</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="file">
    <name>DCPEventStruct.cpp</name>
    <path>/builddir/build/BUILD/airinv-1.00.0/airinv/bom/</path>
    <filename>DCPEventStruct_8cpp</filename>
    <includes id="AIRINV__Types_8hpp" name="AIRINV_Types.hpp" local="no" imported="no">airinv/AIRINV_Types.hpp</includes>
    <includes id="DCPEventStruct_8hpp" name="DCPEventStruct.hpp" local="no" imported="no">airinv/bom/DCPEventStruct.hpp</includes>
    <namespace>AIRINV</namespace>
  </compound>
  <compound kind="file">
    <name>DCPEventStruct.hpp</name>
    <path>/builddir/build/BUILD/airinv-1.00.0/airinv/bom/</path>
    <filename>DCPEventStruct_8hpp</filename>
    <includes id="AIRINV__Types_8hpp" name="AIRINV_Types.hpp" local="no" imported="no">airinv/AIRINV_Types.hpp</includes>
    <namespace>AIRINV</namespace>
    <class kind="struct">AIRINV::DCPEventStruct</class>
  </compound>
  <compound kind="file">
    <name>FareFamilyStruct.cpp</name>
    <path>/builddir/build/BUILD/airinv-1.00.0/airinv/bom/</path>
    <filename>FareFamilyStruct_8cpp</filename>
    <includes id="FareFamilyStruct_8hpp" name="FareFamilyStruct.hpp" local="no" imported="no">airinv/bom/FareFamilyStruct.hpp</includes>
    <namespace>AIRINV</namespace>
  </compound>
  <compound kind="file">
    <name>FareFamilyStruct.hpp</name>
    <path>/builddir/build/BUILD/airinv-1.00.0/airinv/bom/</path>
    <filename>FareFamilyStruct_8hpp</filename>
    <includes id="BookingClassStruct_8hpp" name="BookingClassStruct.hpp" local="no" imported="no">airinv/bom/BookingClassStruct.hpp</includes>
    <namespace>stdair</namespace>
    <namespace>AIRINV</namespace>
    <class kind="struct">AIRINV::FareFamilyStruct</class>
    <member kind="typedef">
      <type>std::vector&lt; FareFamilyStruct &gt;</type>
      <name>FareFamilyStructList_T</name>
      <anchorfile>namespaceAIRINV.html</anchorfile>
      <anchor>0c28584389d8a1119e98b35a2012b616</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="file">
    <name>FFDisutilityStruct.cpp</name>
    <path>/builddir/build/BUILD/airinv-1.00.0/airinv/bom/</path>
    <filename>FFDisutilityStruct_8cpp</filename>
    <includes id="FFDisutilityStruct_8hpp" name="FFDisutilityStruct.hpp" local="no" imported="no">airinv/bom/FFDisutilityStruct.hpp</includes>
    <namespace>AIRINV</namespace>
  </compound>
  <compound kind="file">
    <name>FFDisutilityStruct.hpp</name>
    <path>/builddir/build/BUILD/airinv-1.00.0/airinv/bom/</path>
    <filename>FFDisutilityStruct_8hpp</filename>
    <namespace>AIRINV</namespace>
    <class kind="struct">AIRINV::FFDisutilityStruct</class>
  </compound>
  <compound kind="file">
    <name>FlightDateHelper.cpp</name>
    <path>/builddir/build/BUILD/airinv-1.00.0/airinv/bom/</path>
    <filename>FlightDateHelper_8cpp</filename>
    <includes id="FlightDateHelper_8hpp" name="FlightDateHelper.hpp" local="no" imported="no">airinv/bom/FlightDateHelper.hpp</includes>
    <includes id="SegmentDateHelper_8hpp" name="SegmentDateHelper.hpp" local="no" imported="no">airinv/bom/SegmentDateHelper.hpp</includes>
    <includes id="SegmentCabinHelper_8hpp" name="SegmentCabinHelper.hpp" local="no" imported="no">airinv/bom/SegmentCabinHelper.hpp</includes>
    <namespace>AIRINV</namespace>
  </compound>
  <compound kind="file">
    <name>FlightDateHelper.hpp</name>
    <path>/builddir/build/BUILD/airinv-1.00.0/airinv/bom/</path>
    <filename>FlightDateHelper_8hpp</filename>
    <namespace>stdair</namespace>
    <namespace>AIRINV</namespace>
    <class kind="class">AIRINV::FlightDateHelper</class>
  </compound>
  <compound kind="file">
    <name>FlightDateStruct.cpp</name>
    <path>/builddir/build/BUILD/airinv-1.00.0/airinv/bom/</path>
    <filename>FlightDateStruct_8cpp</filename>
    <includes id="AIRINV__Types_8hpp" name="AIRINV_Types.hpp" local="no" imported="no">airinv/AIRINV_Types.hpp</includes>
    <includes id="FlightDateStruct_8hpp" name="FlightDateStruct.hpp" local="no" imported="no">airinv/bom/FlightDateStruct.hpp</includes>
    <namespace>AIRINV</namespace>
  </compound>
  <compound kind="file">
    <name>FlightDateStruct.hpp</name>
    <path>/builddir/build/BUILD/airinv-1.00.0/airinv/bom/</path>
    <filename>FlightDateStruct_8hpp</filename>
    <includes id="FlightTypeCode_8hpp" name="FlightTypeCode.hpp" local="no" imported="no">airinv/basic/FlightTypeCode.hpp</includes>
    <includes id="FlightVisibilityCode_8hpp" name="FlightVisibilityCode.hpp" local="no" imported="no">airinv/basic/FlightVisibilityCode.hpp</includes>
    <includes id="LegStruct_8hpp" name="LegStruct.hpp" local="no" imported="no">airinv/bom/LegStruct.hpp</includes>
    <includes id="LegCabinStruct_8hpp" name="LegCabinStruct.hpp" local="no" imported="no">airinv/bom/LegCabinStruct.hpp</includes>
    <includes id="BucketStruct_8hpp" name="BucketStruct.hpp" local="no" imported="no">airinv/bom/BucketStruct.hpp</includes>
    <includes id="SegmentStruct_8hpp" name="SegmentStruct.hpp" local="no" imported="no">airinv/bom/SegmentStruct.hpp</includes>
    <includes id="SegmentCabinStruct_8hpp" name="SegmentCabinStruct.hpp" local="no" imported="no">airinv/bom/SegmentCabinStruct.hpp</includes>
    <includes id="FareFamilyStruct_8hpp" name="FareFamilyStruct.hpp" local="no" imported="no">airinv/bom/FareFamilyStruct.hpp</includes>
    <includes id="AirportList_8hpp" name="AirportList.hpp" local="no" imported="no">airinv/bom/AirportList.hpp</includes>
    <namespace>AIRINV</namespace>
    <class kind="struct">AIRINV::FlightDateStruct</class>
  </compound>
  <compound kind="file">
    <name>FlightPeriodStruct.cpp</name>
    <path>/builddir/build/BUILD/airinv-1.00.0/airinv/bom/</path>
    <filename>FlightPeriodStruct_8cpp</filename>
    <includes id="AIRINV__Types_8hpp" name="AIRINV_Types.hpp" local="no" imported="no">airinv/AIRINV_Types.hpp</includes>
    <includes id="FlightPeriodStruct_8hpp" name="FlightPeriodStruct.hpp" local="no" imported="no">airinv/bom/FlightPeriodStruct.hpp</includes>
    <namespace>AIRINV</namespace>
  </compound>
  <compound kind="file">
    <name>FlightPeriodStruct.hpp</name>
    <path>/builddir/build/BUILD/airinv-1.00.0/airinv/bom/</path>
    <filename>FlightPeriodStruct_8hpp</filename>
    <includes id="LegCabinStruct_8hpp" name="LegCabinStruct.hpp" local="no" imported="no">airinv/bom/LegCabinStruct.hpp</includes>
    <includes id="LegStruct_8hpp" name="LegStruct.hpp" local="no" imported="no">airinv/bom/LegStruct.hpp</includes>
    <includes id="SegmentStruct_8hpp" name="SegmentStruct.hpp" local="no" imported="no">airinv/bom/SegmentStruct.hpp</includes>
    <includes id="SegmentCabinStruct_8hpp" name="SegmentCabinStruct.hpp" local="no" imported="no">airinv/bom/SegmentCabinStruct.hpp</includes>
    <includes id="FareFamilyStruct_8hpp" name="FareFamilyStruct.hpp" local="no" imported="no">airinv/bom/FareFamilyStruct.hpp</includes>
    <includes id="AirportList_8hpp" name="AirportList.hpp" local="no" imported="no">airinv/bom/AirportList.hpp</includes>
    <namespace>AIRINV</namespace>
    <class kind="struct">AIRINV::FlightPeriodStruct</class>
  </compound>
  <compound kind="file">
    <name>FRAT5Struct.cpp</name>
    <path>/builddir/build/BUILD/airinv-1.00.0/airinv/bom/</path>
    <filename>FRAT5Struct_8cpp</filename>
    <includes id="FRAT5Struct_8hpp" name="FRAT5Struct.hpp" local="no" imported="no">airinv/bom/FRAT5Struct.hpp</includes>
    <namespace>AIRINV</namespace>
  </compound>
  <compound kind="file">
    <name>FRAT5Struct.hpp</name>
    <path>/builddir/build/BUILD/airinv-1.00.0/airinv/bom/</path>
    <filename>FRAT5Struct_8hpp</filename>
    <namespace>AIRINV</namespace>
    <class kind="struct">AIRINV::FRAT5Struct</class>
  </compound>
  <compound kind="file">
    <name>InventoryHelper.cpp</name>
    <path>/builddir/build/BUILD/airinv-1.00.0/airinv/bom/</path>
    <filename>InventoryHelper_8cpp</filename>
    <includes id="InventoryHelper_8hpp" name="InventoryHelper.hpp" local="no" imported="no">airinv/bom/InventoryHelper.hpp</includes>
    <includes id="FlightDateHelper_8hpp" name="FlightDateHelper.hpp" local="no" imported="no">airinv/bom/FlightDateHelper.hpp</includes>
    <includes id="SegmentSnapshotTableHelper_8hpp" name="SegmentSnapshotTableHelper.hpp" local="no" imported="no">airinv/bom/SegmentSnapshotTableHelper.hpp</includes>
    <includes id="SegmentCabinHelper_8hpp" name="SegmentCabinHelper.hpp" local="no" imported="no">airinv/bom/SegmentCabinHelper.hpp</includes>
    <namespace>AIRINV</namespace>
  </compound>
  <compound kind="file">
    <name>InventoryHelper.hpp</name>
    <path>/builddir/build/BUILD/airinv-1.00.0/airinv/bom/</path>
    <filename>InventoryHelper_8hpp</filename>
    <namespace>stdair</namespace>
    <namespace>AIRINV</namespace>
    <class kind="class">AIRINV::InventoryHelper</class>
  </compound>
  <compound kind="file">
    <name>LegCabinHelper.cpp</name>
    <path>/builddir/build/BUILD/airinv-1.00.0/airinv/bom/</path>
    <filename>LegCabinHelper_8cpp</filename>
    <includes id="LegCabinHelper_8hpp" name="LegCabinHelper.hpp" local="no" imported="no">airinv/bom/LegCabinHelper.hpp</includes>
    <namespace>AIRINV</namespace>
  </compound>
  <compound kind="file">
    <name>LegCabinHelper.hpp</name>
    <path>/builddir/build/BUILD/airinv-1.00.0/airinv/bom/</path>
    <filename>LegCabinHelper_8hpp</filename>
    <namespace>stdair</namespace>
    <namespace>AIRINV</namespace>
    <class kind="class">AIRINV::LegCabinHelper</class>
  </compound>
  <compound kind="file">
    <name>LegCabinStruct.cpp</name>
    <path>/builddir/build/BUILD/airinv-1.00.0/airinv/bom/</path>
    <filename>LegCabinStruct_8cpp</filename>
    <includes id="LegCabinStruct_8hpp" name="LegCabinStruct.hpp" local="no" imported="no">airinv/bom/LegCabinStruct.hpp</includes>
    <namespace>AIRINV</namespace>
  </compound>
  <compound kind="file">
    <name>LegCabinStruct.hpp</name>
    <path>/builddir/build/BUILD/airinv-1.00.0/airinv/bom/</path>
    <filename>LegCabinStruct_8hpp</filename>
    <includes id="BucketStruct_8hpp" name="BucketStruct.hpp" local="no" imported="no">airinv/bom/BucketStruct.hpp</includes>
    <namespace>stdair</namespace>
    <namespace>AIRINV</namespace>
    <class kind="struct">AIRINV::LegCabinStruct</class>
    <member kind="typedef">
      <type>std::vector&lt; LegCabinStruct &gt;</type>
      <name>LegCabinStructList_T</name>
      <anchorfile>namespaceAIRINV.html</anchorfile>
      <anchor>5d7f29a794a6c6697fdc3d2b789a133d</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="file">
    <name>LegStruct.cpp</name>
    <path>/builddir/build/BUILD/airinv-1.00.0/airinv/bom/</path>
    <filename>LegStruct_8cpp</filename>
    <includes id="LegStruct_8hpp" name="LegStruct.hpp" local="no" imported="no">airinv/bom/LegStruct.hpp</includes>
    <namespace>AIRINV</namespace>
  </compound>
  <compound kind="file">
    <name>LegStruct.hpp</name>
    <path>/builddir/build/BUILD/airinv-1.00.0/airinv/bom/</path>
    <filename>LegStruct_8hpp</filename>
    <includes id="LegCabinStruct_8hpp" name="LegCabinStruct.hpp" local="no" imported="no">airinv/bom/LegCabinStruct.hpp</includes>
    <namespace>stdair</namespace>
    <namespace>AIRINV</namespace>
    <class kind="struct">AIRINV::LegStruct</class>
    <member kind="typedef">
      <type>std::vector&lt; LegStruct &gt;</type>
      <name>LegStructList_T</name>
      <anchorfile>namespaceAIRINV.html</anchorfile>
      <anchor>a9159515b7c6e4a3e50105e795e1445e</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="file">
    <name>SegmentCabinHelper.cpp</name>
    <path>/builddir/build/BUILD/airinv-1.00.0/airinv/bom/</path>
    <filename>SegmentCabinHelper_8cpp</filename>
    <includes id="SegmentCabinHelper_8hpp" name="SegmentCabinHelper.hpp" local="no" imported="no">airinv/bom/SegmentCabinHelper.hpp</includes>
    <includes id="FlightDateHelper_8hpp" name="FlightDateHelper.hpp" local="no" imported="no">airinv/bom/FlightDateHelper.hpp</includes>
    <namespace>AIRINV</namespace>
  </compound>
  <compound kind="file">
    <name>SegmentCabinHelper.hpp</name>
    <path>/builddir/build/BUILD/airinv-1.00.0/airinv/bom/</path>
    <filename>SegmentCabinHelper_8hpp</filename>
    <namespace>stdair</namespace>
    <namespace>AIRINV</namespace>
    <class kind="class">AIRINV::SegmentCabinHelper</class>
  </compound>
  <compound kind="file">
    <name>SegmentCabinStruct.cpp</name>
    <path>/builddir/build/BUILD/airinv-1.00.0/airinv/bom/</path>
    <filename>SegmentCabinStruct_8cpp</filename>
    <includes id="SegmentCabinStruct_8hpp" name="SegmentCabinStruct.hpp" local="no" imported="no">airinv/bom/SegmentCabinStruct.hpp</includes>
    <namespace>AIRINV</namespace>
  </compound>
  <compound kind="file">
    <name>SegmentCabinStruct.hpp</name>
    <path>/builddir/build/BUILD/airinv-1.00.0/airinv/bom/</path>
    <filename>SegmentCabinStruct_8hpp</filename>
    <includes id="FareFamilyStruct_8hpp" name="FareFamilyStruct.hpp" local="no" imported="no">airinv/bom/FareFamilyStruct.hpp</includes>
    <namespace>stdair</namespace>
    <namespace>AIRINV</namespace>
    <class kind="struct">AIRINV::SegmentCabinStruct</class>
    <member kind="typedef">
      <type>std::vector&lt; SegmentCabinStruct &gt;</type>
      <name>SegmentCabinStructList_T</name>
      <anchorfile>namespaceAIRINV.html</anchorfile>
      <anchor>bf5eae219f36271b90c2e969493af601</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="file">
    <name>SegmentDateHelper.cpp</name>
    <path>/builddir/build/BUILD/airinv-1.00.0/airinv/bom/</path>
    <filename>SegmentDateHelper_8cpp</filename>
    <includes id="SegmentDateHelper_8hpp" name="SegmentDateHelper.hpp" local="no" imported="no">airinv/bom/SegmentDateHelper.hpp</includes>
    <includes id="SegmentCabinHelper_8hpp" name="SegmentCabinHelper.hpp" local="no" imported="no">airinv/bom/SegmentCabinHelper.hpp</includes>
    <namespace>AIRINV</namespace>
  </compound>
  <compound kind="file">
    <name>SegmentDateHelper.hpp</name>
    <path>/builddir/build/BUILD/airinv-1.00.0/airinv/bom/</path>
    <filename>SegmentDateHelper_8hpp</filename>
    <namespace>stdair</namespace>
    <namespace>AIRINV</namespace>
    <class kind="class">AIRINV::SegmentDateHelper</class>
  </compound>
  <compound kind="file">
    <name>SegmentSnapshotTableHelper.cpp</name>
    <path>/builddir/build/BUILD/airinv-1.00.0/airinv/bom/</path>
    <filename>SegmentSnapshotTableHelper_8cpp</filename>
    <includes id="BasConst__Curves_8hpp" name="BasConst_Curves.hpp" local="no" imported="no">airinv/basic/BasConst_Curves.hpp</includes>
    <includes id="SegmentSnapshotTableHelper_8hpp" name="SegmentSnapshotTableHelper.hpp" local="no" imported="no">airinv/bom/SegmentSnapshotTableHelper.hpp</includes>
    <includes id="FlightDateHelper_8hpp" name="FlightDateHelper.hpp" local="no" imported="no">airinv/bom/FlightDateHelper.hpp</includes>
    <includes id="SegmentCabinHelper_8hpp" name="SegmentCabinHelper.hpp" local="no" imported="no">airinv/bom/SegmentCabinHelper.hpp</includes>
    <namespace>AIRINV</namespace>
  </compound>
  <compound kind="file">
    <name>SegmentSnapshotTableHelper.hpp</name>
    <path>/builddir/build/BUILD/airinv-1.00.0/airinv/bom/</path>
    <filename>SegmentSnapshotTableHelper_8hpp</filename>
    <namespace>stdair</namespace>
    <namespace>AIRINV</namespace>
    <class kind="class">AIRINV::SegmentSnapshotTableHelper</class>
  </compound>
  <compound kind="file">
    <name>SegmentStruct.cpp</name>
    <path>/builddir/build/BUILD/airinv-1.00.0/airinv/bom/</path>
    <filename>SegmentStruct_8cpp</filename>
    <includes id="SegmentStruct_8hpp" name="SegmentStruct.hpp" local="no" imported="no">airinv/bom/SegmentStruct.hpp</includes>
    <namespace>AIRINV</namespace>
  </compound>
  <compound kind="file">
    <name>SegmentStruct.hpp</name>
    <path>/builddir/build/BUILD/airinv-1.00.0/airinv/bom/</path>
    <filename>SegmentStruct_8hpp</filename>
    <includes id="SegmentCabinStruct_8hpp" name="SegmentCabinStruct.hpp" local="no" imported="no">airinv/bom/SegmentCabinStruct.hpp</includes>
    <namespace>stdair</namespace>
    <namespace>AIRINV</namespace>
    <class kind="struct">AIRINV::SegmentStruct</class>
    <member kind="typedef">
      <type>std::vector&lt; SegmentStruct &gt;</type>
      <name>SegmentStructList_T</name>
      <anchorfile>namespaceAIRINV.html</anchorfile>
      <anchor>aaa932ddb17e71250cac9f9f22453c81</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="file">
    <name>FFDisutilityParser.cpp</name>
    <path>/builddir/build/BUILD/airinv-1.00.0/airinv/command/</path>
    <filename>FFDisutilityParser_8cpp</filename>
    <includes id="FFDisutilityParserHelper_8hpp" name="FFDisutilityParserHelper.hpp" local="no" imported="no">airinv/command/FFDisutilityParserHelper.hpp</includes>
    <includes id="FFDisutilityParser_8hpp" name="FFDisutilityParser.hpp" local="no" imported="no">airinv/command/FFDisutilityParser.hpp</includes>
    <includes id="InventoryManager_8hpp" name="InventoryManager.hpp" local="no" imported="no">airinv/command/InventoryManager.hpp</includes>
    <namespace>AIRINV</namespace>
  </compound>
  <compound kind="file">
    <name>FFDisutilityParser.hpp</name>
    <path>/builddir/build/BUILD/airinv-1.00.0/airinv/command/</path>
    <filename>FFDisutilityParser_8hpp</filename>
    <namespace>stdair</namespace>
    <namespace>AIRINV</namespace>
    <class kind="class">AIRINV::FFDisutilityParser</class>
  </compound>
  <compound kind="file">
    <name>FFDisutilityParserHelper.cpp</name>
    <path>/builddir/build/BUILD/airinv-1.00.0/airinv/command/</path>
    <filename>FFDisutilityParserHelper_8cpp</filename>
    <includes id="FFDisutilityParserHelper_8hpp" name="FFDisutilityParserHelper.hpp" local="no" imported="no">airinv/command/FFDisutilityParserHelper.hpp</includes>
    <namespace>AIRINV</namespace>
    <namespace>AIRINV::FFDisutilityParserHelper</namespace>
    <member kind="function">
      <type>repeat_p_t</type>
      <name>key_p</name>
      <anchorfile>namespaceAIRINV_1_1FFDisutilityParserHelper.html</anchorfile>
      <anchor>058c7d819e1cf204caf547d854a8c348</anchor>
      <arglist>(chset_t(&quot;0-9A-Z&quot;).derived(), 1, 10)</arglist>
    </member>
  </compound>
  <compound kind="file">
    <name>FFDisutilityParserHelper.hpp</name>
    <path>/builddir/build/BUILD/airinv-1.00.0/airinv/command/</path>
    <filename>FFDisutilityParserHelper_8hpp</filename>
    <includes id="AIRINV__Types_8hpp" name="AIRINV_Types.hpp" local="no" imported="no">airinv/AIRINV_Types.hpp</includes>
    <includes id="BasParserTypes_8hpp" name="BasParserTypes.hpp" local="no" imported="no">airinv/basic/BasParserTypes.hpp</includes>
    <includes id="FFDisutilityStruct_8hpp" name="FFDisutilityStruct.hpp" local="no" imported="no">airinv/bom/FFDisutilityStruct.hpp</includes>
    <namespace>stdair</namespace>
    <namespace>AIRINV</namespace>
    <namespace>AIRINV::FFDisutilityParserHelper</namespace>
    <class kind="struct">AIRINV::FFDisutilityParserHelper::ParserSemanticAction</class>
    <class kind="struct">AIRINV::FFDisutilityParserHelper::storeCurveKey</class>
    <class kind="struct">AIRINV::FFDisutilityParserHelper::storeDTD</class>
    <class kind="struct">AIRINV::FFDisutilityParserHelper::storeFFDisutilityValue</class>
    <class kind="struct">AIRINV::FFDisutilityParserHelper::doEndCurve</class>
    <class kind="struct">AIRINV::FFDisutilityParserHelper::FFDisutilityParser</class>
    <class kind="struct">AIRINV::FFDisutilityParserHelper::FFDisutilityParser::definition</class>
    <class kind="class">AIRINV::FFDisutilityFileParser</class>
  </compound>
  <compound kind="file">
    <name>FRAT5Parser.cpp</name>
    <path>/builddir/build/BUILD/airinv-1.00.0/airinv/command/</path>
    <filename>FRAT5Parser_8cpp</filename>
    <includes id="FRAT5ParserHelper_8hpp" name="FRAT5ParserHelper.hpp" local="no" imported="no">airinv/command/FRAT5ParserHelper.hpp</includes>
    <includes id="FRAT5Parser_8hpp" name="FRAT5Parser.hpp" local="no" imported="no">airinv/command/FRAT5Parser.hpp</includes>
    <includes id="InventoryManager_8hpp" name="InventoryManager.hpp" local="no" imported="no">airinv/command/InventoryManager.hpp</includes>
    <namespace>AIRINV</namespace>
  </compound>
  <compound kind="file">
    <name>FRAT5Parser.hpp</name>
    <path>/builddir/build/BUILD/airinv-1.00.0/airinv/command/</path>
    <filename>FRAT5Parser_8hpp</filename>
    <namespace>stdair</namespace>
    <namespace>AIRINV</namespace>
    <class kind="class">AIRINV::FRAT5Parser</class>
  </compound>
  <compound kind="file">
    <name>FRAT5ParserHelper.cpp</name>
    <path>/builddir/build/BUILD/airinv-1.00.0/airinv/command/</path>
    <filename>FRAT5ParserHelper_8cpp</filename>
    <includes id="FRAT5ParserHelper_8hpp" name="FRAT5ParserHelper.hpp" local="no" imported="no">airinv/command/FRAT5ParserHelper.hpp</includes>
    <namespace>AIRINV</namespace>
    <namespace>AIRINV::FRAT5ParserHelper</namespace>
    <member kind="function">
      <type>repeat_p_t</type>
      <name>key_p</name>
      <anchorfile>namespaceAIRINV_1_1FRAT5ParserHelper.html</anchorfile>
      <anchor>526e4c1f1dabef3b1aa6717e6d6bd778</anchor>
      <arglist>(chset_t(&quot;0-9A-Z&quot;).derived(), 1, 10)</arglist>
    </member>
  </compound>
  <compound kind="file">
    <name>FRAT5ParserHelper.hpp</name>
    <path>/builddir/build/BUILD/airinv-1.00.0/airinv/command/</path>
    <filename>FRAT5ParserHelper_8hpp</filename>
    <includes id="AIRINV__Types_8hpp" name="AIRINV_Types.hpp" local="no" imported="no">airinv/AIRINV_Types.hpp</includes>
    <includes id="BasParserTypes_8hpp" name="BasParserTypes.hpp" local="no" imported="no">airinv/basic/BasParserTypes.hpp</includes>
    <includes id="FRAT5Struct_8hpp" name="FRAT5Struct.hpp" local="no" imported="no">airinv/bom/FRAT5Struct.hpp</includes>
    <namespace>stdair</namespace>
    <namespace>AIRINV</namespace>
    <namespace>AIRINV::FRAT5ParserHelper</namespace>
    <class kind="struct">AIRINV::FRAT5ParserHelper::ParserSemanticAction</class>
    <class kind="struct">AIRINV::FRAT5ParserHelper::storeCurveKey</class>
    <class kind="struct">AIRINV::FRAT5ParserHelper::storeDTD</class>
    <class kind="struct">AIRINV::FRAT5ParserHelper::storeFRAT5Value</class>
    <class kind="struct">AIRINV::FRAT5ParserHelper::doEndCurve</class>
    <class kind="struct">AIRINV::FRAT5ParserHelper::FRAT5Parser</class>
    <class kind="struct">AIRINV::FRAT5ParserHelper::FRAT5Parser::definition</class>
    <class kind="class">AIRINV::FRAT5FileParser</class>
  </compound>
  <compound kind="file">
    <name>InventoryBuilder.cpp</name>
    <path>/builddir/build/BUILD/airinv-1.00.0/airinv/command/</path>
    <filename>InventoryBuilder_8cpp</filename>
    <includes id="AIRINV__Types_8hpp" name="AIRINV_Types.hpp" local="no" imported="no">airinv/AIRINV_Types.hpp</includes>
    <includes id="FlightDateStruct_8hpp" name="FlightDateStruct.hpp" local="no" imported="no">airinv/bom/FlightDateStruct.hpp</includes>
    <includes id="InventoryBuilder_8hpp" name="InventoryBuilder.hpp" local="no" imported="no">airinv/command/InventoryBuilder.hpp</includes>
    <namespace>AIRINV</namespace>
  </compound>
  <compound kind="file">
    <name>InventoryBuilder.hpp</name>
    <path>/builddir/build/BUILD/airinv-1.00.0/airinv/command/</path>
    <filename>InventoryBuilder_8hpp</filename>
    <includes id="AIRINV__Types_8hpp" name="AIRINV_Types.hpp" local="no" imported="no">airinv/AIRINV_Types.hpp</includes>
    <namespace>stdair</namespace>
    <namespace>AIRINV</namespace>
    <namespace>AIRINV::InventoryParserHelper</namespace>
    <class kind="class">AIRINV::InventoryBuilder</class>
  </compound>
  <compound kind="file">
    <name>InventoryGenerator.cpp</name>
    <path>/builddir/build/BUILD/airinv-1.00.0/airinv/command/</path>
    <filename>InventoryGenerator_8cpp</filename>
    <includes id="FlightPeriodStruct_8hpp" name="FlightPeriodStruct.hpp" local="no" imported="no">airinv/bom/FlightPeriodStruct.hpp</includes>
    <includes id="InventoryGenerator_8hpp" name="InventoryGenerator.hpp" local="no" imported="no">airinv/command/InventoryGenerator.hpp</includes>
    <namespace>AIRINV</namespace>
  </compound>
  <compound kind="file">
    <name>InventoryGenerator.hpp</name>
    <path>/builddir/build/BUILD/airinv-1.00.0/airinv/command/</path>
    <filename>InventoryGenerator_8hpp</filename>
    <includes id="AIRINV__Types_8hpp" name="AIRINV_Types.hpp" local="no" imported="no">airinv/AIRINV_Types.hpp</includes>
    <namespace>stdair</namespace>
    <namespace>AIRINV</namespace>
    <namespace>AIRINV::ScheduleParserHelper</namespace>
    <class kind="class">AIRINV::InventoryGenerator</class>
  </compound>
  <compound kind="file">
    <name>InventoryManager.cpp</name>
    <path>/builddir/build/BUILD/airinv-1.00.0/airinv/command/</path>
    <filename>InventoryManager_8cpp</filename>
    <includes id="AIRINV__Types_8hpp" name="AIRINV_Types.hpp" local="no" imported="no">airinv/AIRINV_Types.hpp</includes>
    <includes id="BomRootHelper_8hpp" name="BomRootHelper.hpp" local="no" imported="no">airinv/bom/BomRootHelper.hpp</includes>
    <includes id="InventoryHelper_8hpp" name="InventoryHelper.hpp" local="no" imported="no">airinv/bom/InventoryHelper.hpp</includes>
    <includes id="FlightDateHelper_8hpp" name="FlightDateHelper.hpp" local="no" imported="no">airinv/bom/FlightDateHelper.hpp</includes>
    <includes id="SegmentCabinHelper_8hpp" name="SegmentCabinHelper.hpp" local="no" imported="no">airinv/bom/SegmentCabinHelper.hpp</includes>
    <includes id="InventoryManager_8hpp" name="InventoryManager.hpp" local="no" imported="no">airinv/command/InventoryManager.hpp</includes>
    <namespace>AIRINV</namespace>
  </compound>
  <compound kind="file">
    <name>InventoryManager.hpp</name>
    <path>/builddir/build/BUILD/airinv-1.00.0/airinv/command/</path>
    <filename>InventoryManager_8hpp</filename>
    <namespace>stdair</namespace>
    <namespace>AIRINV</namespace>
    <class kind="class">AIRINV::InventoryManager</class>
    <member kind="typedef">
      <type>std::map&lt; const stdair::Date_T, stdair::SegmentCabin * &gt;</type>
      <name>DepartureDateSegmentCabinMap_T</name>
      <anchorfile>namespaceAIRINV.html</anchorfile>
      <anchor>9b7cbade2ba7df557f166518cb9d7c93</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>std::map&lt; const std::string, DepartureDateSegmentCabinMap_T &gt;</type>
      <name>SimilarSegmentCabinSetMap_T</name>
      <anchorfile>namespaceAIRINV.html</anchorfile>
      <anchor>f47f5818b969264ee3458dc53854ac27</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="file">
    <name>InventoryParser.cpp</name>
    <path>/builddir/build/BUILD/airinv-1.00.0/airinv/command/</path>
    <filename>InventoryParser_8cpp</filename>
    <includes id="InventoryParserHelper_8hpp" name="InventoryParserHelper.hpp" local="no" imported="no">airinv/command/InventoryParserHelper.hpp</includes>
    <includes id="InventoryParser_8hpp" name="InventoryParser.hpp" local="no" imported="no">airinv/command/InventoryParser.hpp</includes>
    <includes id="InventoryManager_8hpp" name="InventoryManager.hpp" local="no" imported="no">airinv/command/InventoryManager.hpp</includes>
    <namespace>AIRINV</namespace>
  </compound>
  <compound kind="file">
    <name>InventoryParser.hpp</name>
    <path>/builddir/build/BUILD/airinv-1.00.0/airinv/command/</path>
    <filename>InventoryParser_8hpp</filename>
    <includes id="AIRINV__Types_8hpp" name="AIRINV_Types.hpp" local="no" imported="no">airinv/AIRINV_Types.hpp</includes>
    <namespace>stdair</namespace>
    <namespace>AIRINV</namespace>
    <class kind="class">AIRINV::InventoryParser</class>
  </compound>
  <compound kind="file">
    <name>InventoryParserHelper.cpp</name>
    <path>/builddir/build/BUILD/airinv-1.00.0/airinv/command/</path>
    <filename>InventoryParserHelper_8cpp</filename>
    <includes id="InventoryBuilder_8hpp" name="InventoryBuilder.hpp" local="no" imported="no">airinv/command/InventoryBuilder.hpp</includes>
    <includes id="InventoryParserHelper_8hpp" name="InventoryParserHelper.hpp" local="no" imported="no">airinv/command/InventoryParserHelper.hpp</includes>
    <namespace>AIRINV</namespace>
    <namespace>AIRINV::InventoryParserHelper</namespace>
    <member kind="function">
      <type>repeat_p_t</type>
      <name>airline_code_p</name>
      <anchorfile>namespaceAIRINV_1_1InventoryParserHelper.html</anchorfile>
      <anchor>e41f2d96880ce91a668a41ecababebf9</anchor>
      <arglist>(chset_t(&quot;0-9A-Z&quot;).derived(), 2, 3)</arglist>
    </member>
    <member kind="function">
      <type>bounded1_4_p_t</type>
      <name>flight_number_p</name>
      <anchorfile>namespaceAIRINV_1_1InventoryParserHelper.html</anchorfile>
      <anchor>d4f926b30cf3786699ee4284781382b1</anchor>
      <arglist>(uint1_4_p.derived(), 0u, 9999u)</arglist>
    </member>
    <member kind="function">
      <type>bounded2_p_t</type>
      <name>year_p</name>
      <anchorfile>namespaceAIRINV_1_1InventoryParserHelper.html</anchorfile>
      <anchor>7725e6913078fa67a1e911914c2ade91</anchor>
      <arglist>(uint2_p.derived(), 0u, 99u)</arglist>
    </member>
    <member kind="function">
      <type>bounded2_p_t</type>
      <name>month_p</name>
      <anchorfile>namespaceAIRINV_1_1InventoryParserHelper.html</anchorfile>
      <anchor>1b969461ba4158afa8508f168e6e69e0</anchor>
      <arglist>(uint2_p.derived(), 1u, 12u)</arglist>
    </member>
    <member kind="function">
      <type>bounded2_p_t</type>
      <name>day_p</name>
      <anchorfile>namespaceAIRINV_1_1InventoryParserHelper.html</anchorfile>
      <anchor>81e98149033d66737dbc6eaf69df26cc</anchor>
      <arglist>(uint2_p.derived(), 1u, 31u)</arglist>
    </member>
    <member kind="function">
      <type>repeat_p_t</type>
      <name>dow_p</name>
      <anchorfile>namespaceAIRINV_1_1InventoryParserHelper.html</anchorfile>
      <anchor>87fbc1305da7f361d6e106b143259f89</anchor>
      <arglist>(chset_t(&quot;0-1&quot;).derived().derived(), 7, 7)</arglist>
    </member>
    <member kind="function">
      <type>repeat_p_t</type>
      <name>airport_p</name>
      <anchorfile>namespaceAIRINV_1_1InventoryParserHelper.html</anchorfile>
      <anchor>2c8091980334ac059b971943ac7ca1ae</anchor>
      <arglist>(chset_t(&quot;0-9A-Z&quot;).derived(), 3, 3)</arglist>
    </member>
    <member kind="function">
      <type>bounded1_2_p_t</type>
      <name>hours_p</name>
      <anchorfile>namespaceAIRINV_1_1InventoryParserHelper.html</anchorfile>
      <anchor>16b705efd9bf0e0fcb812ec5c7e0d981</anchor>
      <arglist>(uint1_2_p.derived(), 0u, 24u)</arglist>
    </member>
    <member kind="function">
      <type>bounded2_p_t</type>
      <name>minutes_p</name>
      <anchorfile>namespaceAIRINV_1_1InventoryParserHelper.html</anchorfile>
      <anchor>48d1d9b46152f114283d8751aa6e965c</anchor>
      <arglist>(uint2_p.derived(), 0u, 59u)</arglist>
    </member>
    <member kind="function">
      <type>bounded2_p_t</type>
      <name>seconds_p</name>
      <anchorfile>namespaceAIRINV_1_1InventoryParserHelper.html</anchorfile>
      <anchor>5992b4bd57123501514b6a2e18d1081e</anchor>
      <arglist>(uint2_p.derived(), 0u, 59u)</arglist>
    </member>
    <member kind="function">
      <type>chset_t</type>
      <name>cabin_code_p</name>
      <anchorfile>namespaceAIRINV_1_1InventoryParserHelper.html</anchorfile>
      <anchor>d8038b90b738038e9579bd5ae693435b</anchor>
      <arglist>(&quot;A-Z&quot;)</arglist>
    </member>
    <member kind="function">
      <type>chset_t</type>
      <name>class_code_p</name>
      <anchorfile>namespaceAIRINV_1_1InventoryParserHelper.html</anchorfile>
      <anchor>51d1ba2eedfb5b6de0708b57d0e80791</anchor>
      <arglist>(&quot;A-Z&quot;)</arglist>
    </member>
    <member kind="function">
      <type>chset_t</type>
      <name>passenger_type_p</name>
      <anchorfile>namespaceAIRINV_1_1InventoryParserHelper.html</anchorfile>
      <anchor>64969ece0e6533c3359eca86d2938604</anchor>
      <arglist>(&quot;A-Z&quot;)</arglist>
    </member>
    <member kind="function">
      <type>repeat_p_t</type>
      <name>class_code_list_p</name>
      <anchorfile>namespaceAIRINV_1_1InventoryParserHelper.html</anchorfile>
      <anchor>6b2d5305b20de05ef398fc525a3b4cfb</anchor>
      <arglist>(chset_t(&quot;A-Z&quot;).derived(), 1, 26)</arglist>
    </member>
    <member kind="function">
      <type>bounded1_3_p_t</type>
      <name>stay_duration_p</name>
      <anchorfile>namespaceAIRINV_1_1InventoryParserHelper.html</anchorfile>
      <anchor>c54738c40287dc58fd222a0610c4ef32</anchor>
      <arglist>(uint1_3_p.derived(), 0u, 999u)</arglist>
    </member>
    <member kind="variable">
      <type>int1_p_t</type>
      <name>int1_p</name>
      <anchorfile>namespaceAIRINV_1_1InventoryParserHelper.html</anchorfile>
      <anchor>b7d82139324f735006ba64067385dddd</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>uint2_p_t</type>
      <name>uint2_p</name>
      <anchorfile>namespaceAIRINV_1_1InventoryParserHelper.html</anchorfile>
      <anchor>bc8f768f20f5e092b163d25c28804ff8</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>uint1_2_p_t</type>
      <name>uint1_2_p</name>
      <anchorfile>namespaceAIRINV_1_1InventoryParserHelper.html</anchorfile>
      <anchor>2326fbc5e359dc867e55dac92be79316</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>uint1_3_p_t</type>
      <name>uint1_3_p</name>
      <anchorfile>namespaceAIRINV_1_1InventoryParserHelper.html</anchorfile>
      <anchor>46d8805b84a2149c962c1658d1061b70</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>uint4_p_t</type>
      <name>uint4_p</name>
      <anchorfile>namespaceAIRINV_1_1InventoryParserHelper.html</anchorfile>
      <anchor>400eb3b847ab7a0e7ae597ff4ed81f17</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>uint1_4_p_t</type>
      <name>uint1_4_p</name>
      <anchorfile>namespaceAIRINV_1_1InventoryParserHelper.html</anchorfile>
      <anchor>284670f186d18c2d172fa6496d553087</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>int1_p_t</type>
      <name>family_code_p</name>
      <anchorfile>namespaceAIRINV_1_1InventoryParserHelper.html</anchorfile>
      <anchor>119f9d6e3470a257a28fd80c1112b6c6</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="file">
    <name>InventoryParserHelper.hpp</name>
    <path>/builddir/build/BUILD/airinv-1.00.0/airinv/command/</path>
    <filename>InventoryParserHelper_8hpp</filename>
    <includes id="AIRINV__Types_8hpp" name="AIRINV_Types.hpp" local="no" imported="no">airinv/AIRINV_Types.hpp</includes>
    <includes id="BasParserTypes_8hpp" name="BasParserTypes.hpp" local="no" imported="no">airinv/basic/BasParserTypes.hpp</includes>
    <includes id="FlightDateStruct_8hpp" name="FlightDateStruct.hpp" local="no" imported="no">airinv/bom/FlightDateStruct.hpp</includes>
    <namespace>stdair</namespace>
    <namespace>AIRINV</namespace>
    <namespace>AIRINV::InventoryParserHelper</namespace>
    <class kind="struct">AIRINV::InventoryParserHelper::ParserSemanticAction</class>
    <class kind="struct">AIRINV::InventoryParserHelper::storeSnapshotDate</class>
    <class kind="struct">AIRINV::InventoryParserHelper::storeAirlineCode</class>
    <class kind="struct">AIRINV::InventoryParserHelper::storeFlightNumber</class>
    <class kind="struct">AIRINV::InventoryParserHelper::storeFlightDate</class>
    <class kind="struct">AIRINV::InventoryParserHelper::storeFlightTypeCode</class>
    <class kind="struct">AIRINV::InventoryParserHelper::storeFlightVisibilityCode</class>
    <class kind="struct">AIRINV::InventoryParserHelper::storeLegBoardingPoint</class>
    <class kind="struct">AIRINV::InventoryParserHelper::storeLegOffPoint</class>
    <class kind="struct">AIRINV::InventoryParserHelper::storeOperatingAirlineCode</class>
    <class kind="struct">AIRINV::InventoryParserHelper::storeOperatingFlightNumber</class>
    <class kind="struct">AIRINV::InventoryParserHelper::storeBoardingDate</class>
    <class kind="struct">AIRINV::InventoryParserHelper::storeBoardingTime</class>
    <class kind="struct">AIRINV::InventoryParserHelper::storeOffDate</class>
    <class kind="struct">AIRINV::InventoryParserHelper::storeOffTime</class>
    <class kind="struct">AIRINV::InventoryParserHelper::storeLegCabinCode</class>
    <class kind="struct">AIRINV::InventoryParserHelper::storeSaleableCapacity</class>
    <class kind="struct">AIRINV::InventoryParserHelper::storeAU</class>
    <class kind="struct">AIRINV::InventoryParserHelper::storeUPR</class>
    <class kind="struct">AIRINV::InventoryParserHelper::storeBookingCounter</class>
    <class kind="struct">AIRINV::InventoryParserHelper::storeNAV</class>
    <class kind="struct">AIRINV::InventoryParserHelper::storeGAV</class>
    <class kind="struct">AIRINV::InventoryParserHelper::storeACP</class>
    <class kind="struct">AIRINV::InventoryParserHelper::storeETB</class>
    <class kind="struct">AIRINV::InventoryParserHelper::storeYieldUpperRange</class>
    <class kind="struct">AIRINV::InventoryParserHelper::storeBucketAvaibality</class>
    <class kind="struct">AIRINV::InventoryParserHelper::storeSeatIndex</class>
    <class kind="struct">AIRINV::InventoryParserHelper::storeSegmentBoardingPoint</class>
    <class kind="struct">AIRINV::InventoryParserHelper::storeSegmentOffPoint</class>
    <class kind="struct">AIRINV::InventoryParserHelper::storeSegmentCabinCode</class>
    <class kind="struct">AIRINV::InventoryParserHelper::storeSegmentCabinBookingCounter</class>
    <class kind="struct">AIRINV::InventoryParserHelper::storeClassCode</class>
    <class kind="struct">AIRINV::InventoryParserHelper::storeSubclassCode</class>
    <class kind="struct">AIRINV::InventoryParserHelper::storeParentClassCode</class>
    <class kind="struct">AIRINV::InventoryParserHelper::storeParentSubclassCode</class>
    <class kind="struct">AIRINV::InventoryParserHelper::storeCumulatedProtection</class>
    <class kind="struct">AIRINV::InventoryParserHelper::storeProtection</class>
    <class kind="struct">AIRINV::InventoryParserHelper::storeNego</class>
    <class kind="struct">AIRINV::InventoryParserHelper::storeNoShow</class>
    <class kind="struct">AIRINV::InventoryParserHelper::storeOverbooking</class>
    <class kind="struct">AIRINV::InventoryParserHelper::storeNbOfBkgs</class>
    <class kind="struct">AIRINV::InventoryParserHelper::storeNbOfGroupBkgs</class>
    <class kind="struct">AIRINV::InventoryParserHelper::storeNbOfPendingGroupBkgs</class>
    <class kind="struct">AIRINV::InventoryParserHelper::storeNbOfStaffBkgs</class>
    <class kind="struct">AIRINV::InventoryParserHelper::storeNbOfWLBkgs</class>
    <class kind="struct">AIRINV::InventoryParserHelper::storeClassETB</class>
    <class kind="struct">AIRINV::InventoryParserHelper::storeClassAvailability</class>
    <class kind="struct">AIRINV::InventoryParserHelper::storeSegmentAvailability</class>
    <class kind="struct">AIRINV::InventoryParserHelper::storeRevenueAvailability</class>
    <class kind="struct">AIRINV::InventoryParserHelper::storeFamilyCode</class>
    <class kind="struct">AIRINV::InventoryParserHelper::storeFClasses</class>
    <class kind="struct">AIRINV::InventoryParserHelper::doEndFlightDate</class>
    <class kind="struct">AIRINV::InventoryParserHelper::InventoryParser</class>
    <class kind="struct">AIRINV::InventoryParserHelper::InventoryParser::definition</class>
    <class kind="class">AIRINV::InventoryFileParser</class>
  </compound>
  <compound kind="file">
    <name>ScheduleParser.cpp</name>
    <path>/builddir/build/BUILD/airinv-1.00.0/airinv/command/</path>
    <filename>ScheduleParser_8cpp</filename>
    <includes id="ScheduleParserHelper_8hpp" name="ScheduleParserHelper.hpp" local="no" imported="no">airinv/command/ScheduleParserHelper.hpp</includes>
    <includes id="ScheduleParser_8hpp" name="ScheduleParser.hpp" local="no" imported="no">airinv/command/ScheduleParser.hpp</includes>
    <includes id="InventoryManager_8hpp" name="InventoryManager.hpp" local="no" imported="no">airinv/command/InventoryManager.hpp</includes>
    <namespace>AIRINV</namespace>
  </compound>
  <compound kind="file">
    <name>ScheduleParser.hpp</name>
    <path>/builddir/build/BUILD/airinv-1.00.0/airinv/command/</path>
    <filename>ScheduleParser_8hpp</filename>
    <namespace>stdair</namespace>
    <namespace>AIRINV</namespace>
    <class kind="class">AIRINV::ScheduleParser</class>
  </compound>
  <compound kind="file">
    <name>ScheduleParserHelper.cpp</name>
    <path>/builddir/build/BUILD/airinv-1.00.0/airinv/command/</path>
    <filename>ScheduleParserHelper_8cpp</filename>
    <includes id="InventoryGenerator_8hpp" name="InventoryGenerator.hpp" local="no" imported="no">airinv/command/InventoryGenerator.hpp</includes>
    <includes id="ScheduleParserHelper_8hpp" name="ScheduleParserHelper.hpp" local="no" imported="no">airinv/command/ScheduleParserHelper.hpp</includes>
    <namespace>AIRINV</namespace>
    <namespace>AIRINV::ScheduleParserHelper</namespace>
    <member kind="function">
      <type>repeat_p_t</type>
      <name>airline_code_p</name>
      <anchorfile>namespaceAIRINV_1_1ScheduleParserHelper.html</anchorfile>
      <anchor>fc7c614fd7a7bdab296f9174cbb4350e</anchor>
      <arglist>(chset_t(&quot;0-9A-Z&quot;).derived(), 2, 3)</arglist>
    </member>
    <member kind="function">
      <type>bounded1_4_p_t</type>
      <name>flight_number_p</name>
      <anchorfile>namespaceAIRINV_1_1ScheduleParserHelper.html</anchorfile>
      <anchor>a7dfa050fae9a89ea47189d8c92a87a7</anchor>
      <arglist>(uint1_4_p.derived(), 0u, 9999u)</arglist>
    </member>
    <member kind="function">
      <type>bounded4_p_t</type>
      <name>year_p</name>
      <anchorfile>namespaceAIRINV_1_1ScheduleParserHelper.html</anchorfile>
      <anchor>7ae6f3d753a4383705d3b5f8d5ca7378</anchor>
      <arglist>(uint4_p.derived(), 2000u, 2099u)</arglist>
    </member>
    <member kind="function">
      <type>bounded2_p_t</type>
      <name>month_p</name>
      <anchorfile>namespaceAIRINV_1_1ScheduleParserHelper.html</anchorfile>
      <anchor>b485f5d67c4562be251f755e546e0a23</anchor>
      <arglist>(uint2_p.derived(), 1u, 12u)</arglist>
    </member>
    <member kind="function">
      <type>bounded2_p_t</type>
      <name>day_p</name>
      <anchorfile>namespaceAIRINV_1_1ScheduleParserHelper.html</anchorfile>
      <anchor>75c594d6c62dc4074acdc9520edd5deb</anchor>
      <arglist>(uint2_p.derived(), 1u, 31u)</arglist>
    </member>
    <member kind="function">
      <type>repeat_p_t</type>
      <name>dow_p</name>
      <anchorfile>namespaceAIRINV_1_1ScheduleParserHelper.html</anchorfile>
      <anchor>d85ba9dc73c7a6b5acf406e9904d9060</anchor>
      <arglist>(chset_t(&quot;0-1&quot;).derived().derived(), 7, 7)</arglist>
    </member>
    <member kind="function">
      <type>repeat_p_t</type>
      <name>airport_p</name>
      <anchorfile>namespaceAIRINV_1_1ScheduleParserHelper.html</anchorfile>
      <anchor>0bcca38421d68c0885b7c1b96081490a</anchor>
      <arglist>(chset_t(&quot;0-9A-Z&quot;).derived(), 3, 3)</arglist>
    </member>
    <member kind="function">
      <type>bounded2_p_t</type>
      <name>hours_p</name>
      <anchorfile>namespaceAIRINV_1_1ScheduleParserHelper.html</anchorfile>
      <anchor>d876816d2f84fb6d11053a29cf23e5b1</anchor>
      <arglist>(uint2_p.derived(), 0u, 23u)</arglist>
    </member>
    <member kind="function">
      <type>bounded2_p_t</type>
      <name>minutes_p</name>
      <anchorfile>namespaceAIRINV_1_1ScheduleParserHelper.html</anchorfile>
      <anchor>57e7f0ef91d89d9e2465e9c895ef0557</anchor>
      <arglist>(uint2_p.derived(), 0u, 59u)</arglist>
    </member>
    <member kind="function">
      <type>bounded2_p_t</type>
      <name>seconds_p</name>
      <anchorfile>namespaceAIRINV_1_1ScheduleParserHelper.html</anchorfile>
      <anchor>843f9d9911edbee3ae0303bab4c81d32</anchor>
      <arglist>(uint2_p.derived(), 0u, 59u)</arglist>
    </member>
    <member kind="function">
      <type>chset_t</type>
      <name>cabin_code_p</name>
      <anchorfile>namespaceAIRINV_1_1ScheduleParserHelper.html</anchorfile>
      <anchor>2eefcd68a096e3a105d4297cc6247a6f</anchor>
      <arglist>(&quot;A-Z&quot;)</arglist>
    </member>
    <member kind="function">
      <type>repeat_p_t</type>
      <name>key_p</name>
      <anchorfile>namespaceAIRINV_1_1ScheduleParserHelper.html</anchorfile>
      <anchor>53ece335a8cdf75aa8bb20b82b8b4c16</anchor>
      <arglist>(chset_t(&quot;0-9A-Z&quot;).derived(), 1, 10)</arglist>
    </member>
    <member kind="function">
      <type>repeat_p_t</type>
      <name>class_code_list_p</name>
      <anchorfile>namespaceAIRINV_1_1ScheduleParserHelper.html</anchorfile>
      <anchor>9bb2edfb3203a74ae42e44887f3c2c83</anchor>
      <arglist>(chset_t(&quot;A-Z&quot;).derived(), 1, 26)</arglist>
    </member>
    <member kind="variable">
      <type>int1_p_t</type>
      <name>int1_p</name>
      <anchorfile>namespaceAIRINV_1_1ScheduleParserHelper.html</anchorfile>
      <anchor>aa8daa0062986f7d95c9776685bdefa6</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>uint2_p_t</type>
      <name>uint2_p</name>
      <anchorfile>namespaceAIRINV_1_1ScheduleParserHelper.html</anchorfile>
      <anchor>16645000964fbbce8785b0792a7b2c29</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>uint4_p_t</type>
      <name>uint4_p</name>
      <anchorfile>namespaceAIRINV_1_1ScheduleParserHelper.html</anchorfile>
      <anchor>74e40d0739b92b5df6c85d06a4bdd69f</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>uint1_4_p_t</type>
      <name>uint1_4_p</name>
      <anchorfile>namespaceAIRINV_1_1ScheduleParserHelper.html</anchorfile>
      <anchor>b3545552a22a059fdcc842cade6e6049</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>int1_p_t</type>
      <name>family_code_p</name>
      <anchorfile>namespaceAIRINV_1_1ScheduleParserHelper.html</anchorfile>
      <anchor>8521ccbb7cff1e8b6c9b517cf2c76710</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="file">
    <name>ScheduleParserHelper.hpp</name>
    <path>/builddir/build/BUILD/airinv-1.00.0/airinv/command/</path>
    <filename>ScheduleParserHelper_8hpp</filename>
    <includes id="AIRINV__Types_8hpp" name="AIRINV_Types.hpp" local="no" imported="no">airinv/AIRINV_Types.hpp</includes>
    <includes id="BasParserTypes_8hpp" name="BasParserTypes.hpp" local="no" imported="no">airinv/basic/BasParserTypes.hpp</includes>
    <includes id="FlightPeriodStruct_8hpp" name="FlightPeriodStruct.hpp" local="no" imported="no">airinv/bom/FlightPeriodStruct.hpp</includes>
    <namespace>stdair</namespace>
    <namespace>AIRINV</namespace>
    <namespace>AIRINV::ScheduleParserHelper</namespace>
    <class kind="struct">AIRINV::ScheduleParserHelper::ParserSemanticAction</class>
    <class kind="struct">AIRINV::ScheduleParserHelper::storeAirlineCode</class>
    <class kind="struct">AIRINV::ScheduleParserHelper::storeFlightNumber</class>
    <class kind="struct">AIRINV::ScheduleParserHelper::storeDateRangeStart</class>
    <class kind="struct">AIRINV::ScheduleParserHelper::storeDateRangeEnd</class>
    <class kind="struct">AIRINV::ScheduleParserHelper::storeDow</class>
    <class kind="struct">AIRINV::ScheduleParserHelper::storeLegBoardingPoint</class>
    <class kind="struct">AIRINV::ScheduleParserHelper::storeLegOffPoint</class>
    <class kind="struct">AIRINV::ScheduleParserHelper::storeOperatingAirlineCode</class>
    <class kind="struct">AIRINV::ScheduleParserHelper::storeOperatingFlightNumber</class>
    <class kind="struct">AIRINV::ScheduleParserHelper::storeBoardingTime</class>
    <class kind="struct">AIRINV::ScheduleParserHelper::storeOffTime</class>
    <class kind="struct">AIRINV::ScheduleParserHelper::storeElapsedTime</class>
    <class kind="struct">AIRINV::ScheduleParserHelper::storeLegCabinCode</class>
    <class kind="struct">AIRINV::ScheduleParserHelper::storeCapacity</class>
    <class kind="struct">AIRINV::ScheduleParserHelper::storeSegmentSpecificity</class>
    <class kind="struct">AIRINV::ScheduleParserHelper::storeSegmentBoardingPoint</class>
    <class kind="struct">AIRINV::ScheduleParserHelper::storeSegmentOffPoint</class>
    <class kind="struct">AIRINV::ScheduleParserHelper::storeSegmentCabinCode</class>
    <class kind="struct">AIRINV::ScheduleParserHelper::storeClasses</class>
    <class kind="struct">AIRINV::ScheduleParserHelper::storeFamilyCode</class>
    <class kind="struct">AIRINV::ScheduleParserHelper::storeFRAT5CurveKey</class>
    <class kind="struct">AIRINV::ScheduleParserHelper::storeFFDisutilityCurveKey</class>
    <class kind="struct">AIRINV::ScheduleParserHelper::storeFClasses</class>
    <class kind="struct">AIRINV::ScheduleParserHelper::doEndFlight</class>
    <class kind="struct">AIRINV::ScheduleParserHelper::FlightPeriodParser</class>
    <class kind="struct">AIRINV::ScheduleParserHelper::FlightPeriodParser::definition</class>
    <class kind="class">AIRINV::FlightPeriodFileParser</class>
  </compound>
  <compound kind="file">
    <name>DCPEventGenerator.cpp</name>
    <path>/builddir/build/BUILD/airinv-1.00.0/airinv/command/vault/</path>
    <filename>DCPEventGenerator_8cpp</filename>
    <includes id="DCPEventStruct_8hpp" name="DCPEventStruct.hpp" local="no" imported="no">airinv/bom/DCPEventStruct.hpp</includes>
    <namespace>AIRINV</namespace>
  </compound>
  <compound kind="file">
    <name>DCPEventGenerator.hpp</name>
    <path>/builddir/build/BUILD/airinv-1.00.0/airinv/command/vault/</path>
    <filename>DCPEventGenerator_8hpp</filename>
    <includes id="AIRINV__Types_8hpp" name="AIRINV_Types.hpp" local="no" imported="no">airinv/AIRINV_Types.hpp</includes>
    <namespace>stdair</namespace>
    <namespace>AIRINV</namespace>
    <namespace>AIRINV::DCPParserHelper</namespace>
    <class kind="class">AIRINV::DCPEventGenerator</class>
  </compound>
  <compound kind="file">
    <name>DCPParser.cpp</name>
    <path>/builddir/build/BUILD/airinv-1.00.0/airinv/command/vault/</path>
    <filename>DCPParser_8cpp</filename>
    <namespace>AIRINV</namespace>
  </compound>
  <compound kind="file">
    <name>DCPParser.hpp</name>
    <path>/builddir/build/BUILD/airinv-1.00.0/airinv/command/vault/</path>
    <filename>DCPParser_8hpp</filename>
    <namespace>stdair</namespace>
    <namespace>AIRINV</namespace>
    <class kind="class">AIRINV::DCPParser</class>
  </compound>
  <compound kind="file">
    <name>DCPParserHelper.cpp</name>
    <path>/builddir/build/BUILD/airinv-1.00.0/airinv/command/vault/</path>
    <filename>DCPParserHelper_8cpp</filename>
    <namespace>AIRINV</namespace>
    <namespace>AIRINV::DCPParserHelper</namespace>
    <member kind="variable">
      <type>stdair::int1_p_t</type>
      <name>int1_p</name>
      <anchorfile>namespaceAIRINV_1_1DCPParserHelper.html</anchorfile>
      <anchor>0c3b5b5434a309f849354db124eb472b</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>stdair::uint2_p_t</type>
      <name>uint2_p</name>
      <anchorfile>namespaceAIRINV_1_1DCPParserHelper.html</anchorfile>
      <anchor>8f60021e28368da95c634216591fcac4</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>stdair::uint4_p_t</type>
      <name>uint4_p</name>
      <anchorfile>namespaceAIRINV_1_1DCPParserHelper.html</anchorfile>
      <anchor>25c791acc204b7d9fc8a4f0e3b826d15</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>stdair::uint1_4_p_t</type>
      <name>uint1_4_p</name>
      <anchorfile>namespaceAIRINV_1_1DCPParserHelper.html</anchorfile>
      <anchor>7bfa95d2197cf926205d47544926bf54</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>stdair::hour_p_t</type>
      <name>hour_p</name>
      <anchorfile>namespaceAIRINV_1_1DCPParserHelper.html</anchorfile>
      <anchor>cef32123678d129fcfb51cc8ad1fdf43</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>stdair::minute_p_t</type>
      <name>minute_p</name>
      <anchorfile>namespaceAIRINV_1_1DCPParserHelper.html</anchorfile>
      <anchor>b55ec8c730e8018b041f2e1d96d6fe4e</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>stdair::second_p_t</type>
      <name>second_p</name>
      <anchorfile>namespaceAIRINV_1_1DCPParserHelper.html</anchorfile>
      <anchor>492eb76633d49fc21aa4ccdd592d4a5e</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>stdair::year_p_t</type>
      <name>year_p</name>
      <anchorfile>namespaceAIRINV_1_1DCPParserHelper.html</anchorfile>
      <anchor>e8c9c0ddba416a3c6e3071ed4201ad75</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>stdair::month_p_t</type>
      <name>month_p</name>
      <anchorfile>namespaceAIRINV_1_1DCPParserHelper.html</anchorfile>
      <anchor>ae9124081b116d3b88e06b6bbb2fa818</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>stdair::day_p_t</type>
      <name>day_p</name>
      <anchorfile>namespaceAIRINV_1_1DCPParserHelper.html</anchorfile>
      <anchor>ede7a6bb4c9a74afb5faf45809ee9012</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="file">
    <name>DCPParserHelper.hpp</name>
    <path>/builddir/build/BUILD/airinv-1.00.0/airinv/command/vault/</path>
    <filename>DCPParserHelper_8hpp</filename>
    <includes id="AIRINV__Types_8hpp" name="AIRINV_Types.hpp" local="no" imported="no">airinv/AIRINV_Types.hpp</includes>
    <namespace>stdair</namespace>
    <namespace>AIRINV</namespace>
    <namespace>AIRINV::DCPParserHelper</namespace>
    <class kind="struct">AIRINV::DCPParserHelper::ParserSemanticAction</class>
    <class kind="struct">AIRINV::DCPParserHelper::storeDCPId</class>
    <class kind="struct">AIRINV::DCPParserHelper::storeOrigin</class>
    <class kind="struct">AIRINV::DCPParserHelper::storeDestination</class>
    <class kind="struct">AIRINV::DCPParserHelper::storeDateRangeStart</class>
    <class kind="struct">AIRINV::DCPParserHelper::storeDateRangeEnd</class>
    <class kind="struct">AIRINV::DCPParserHelper::storeStartRangeTime</class>
    <class kind="struct">AIRINV::DCPParserHelper::storeEndRangeTime</class>
    <class kind="struct">AIRINV::DCPParserHelper::storePOS</class>
    <class kind="struct">AIRINV::DCPParserHelper::storeCabinCode</class>
    <class kind="struct">AIRINV::DCPParserHelper::storeChannel</class>
    <class kind="struct">AIRINV::DCPParserHelper::storeAdvancePurchase</class>
    <class kind="struct">AIRINV::DCPParserHelper::storeSaturdayStay</class>
    <class kind="struct">AIRINV::DCPParserHelper::storeChangeFees</class>
    <class kind="struct">AIRINV::DCPParserHelper::storeNonRefundable</class>
    <class kind="struct">AIRINV::DCPParserHelper::storeMinimumStay</class>
    <class kind="struct">AIRINV::DCPParserHelper::storeDCP</class>
    <class kind="struct">AIRINV::DCPParserHelper::storeAirlineCode</class>
    <class kind="struct">AIRINV::DCPParserHelper::storeClass</class>
    <class kind="struct">AIRINV::DCPParserHelper::doEndDCP</class>
    <class kind="struct">AIRINV::DCPParserHelper::DCPRuleParser</class>
    <class kind="class">AIRINV::DCPRuleFileParser</class>
  </compound>
  <compound kind="file">
    <name>airinv-paths.hpp.in</name>
    <path>/builddir/build/BUILD/airinv-1.00.0/airinv/config/</path>
    <filename>airinv-paths_8hpp_8in</filename>
    <member kind="define">
      <type>#define</type>
      <name>PACKAGE</name>
      <anchorfile>airinv-paths_8hpp_8in.html</anchorfile>
      <anchor>4ab8e2a5732119017d5f1ace10d9bf49</anchor>
      <arglist></arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>PACKAGE_NAME</name>
      <anchorfile>airinv-paths_8hpp_8in.html</anchorfile>
      <anchor>42f22913423582161638f2bf642f0e38</anchor>
      <arglist></arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>PACKAGE_VERSION</name>
      <anchorfile>airinv-paths_8hpp_8in.html</anchorfile>
      <anchor>25ec323d6bf066a74c3355781b15d45f</anchor>
      <arglist></arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>PREFIXDIR</name>
      <anchorfile>airinv-paths_8hpp_8in.html</anchorfile>
      <anchor>e9d23875e6b72703d14b95b575ff202e</anchor>
      <arglist></arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>EXEC_PREFIX</name>
      <anchorfile>airinv-paths_8hpp_8in.html</anchorfile>
      <anchor>072d949790e06aa1e2b4779af25c003a</anchor>
      <arglist></arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>BINDIR</name>
      <anchorfile>airinv-paths_8hpp_8in.html</anchorfile>
      <anchor>9c4a29c864d8a915ef581e476740a8de</anchor>
      <arglist></arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>LIBDIR</name>
      <anchorfile>airinv-paths_8hpp_8in.html</anchorfile>
      <anchor>323821d243c952e4328156ad91670e56</anchor>
      <arglist></arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>LIBEXECDIR</name>
      <anchorfile>airinv-paths_8hpp_8in.html</anchorfile>
      <anchor>2f248d40f22769b00ba16061e9507a89</anchor>
      <arglist></arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>SBINDIR</name>
      <anchorfile>airinv-paths_8hpp_8in.html</anchorfile>
      <anchor>b010fedd9cd97af21af808fe84369178</anchor>
      <arglist></arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>SYSCONFDIR</name>
      <anchorfile>airinv-paths_8hpp_8in.html</anchorfile>
      <anchor>7c0c1679152980abf9cfef9dfe767615</anchor>
      <arglist></arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>INCLUDEDIR</name>
      <anchorfile>airinv-paths_8hpp_8in.html</anchorfile>
      <anchor>93993c8737a591d6d261ad9b9e4725a7</anchor>
      <arglist></arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>DATAROOTDIR</name>
      <anchorfile>airinv-paths_8hpp_8in.html</anchorfile>
      <anchor>860331061ca56e3f363465e93821de64</anchor>
      <arglist></arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>DATADIR</name>
      <anchorfile>airinv-paths_8hpp_8in.html</anchorfile>
      <anchor>ffb2a02c61027382c27e85392ea18db2</anchor>
      <arglist></arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>DOCDIR</name>
      <anchorfile>airinv-paths_8hpp_8in.html</anchorfile>
      <anchor>58864ac2adeb833d25cc7fef65b0376b</anchor>
      <arglist></arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>MANDIR</name>
      <anchorfile>airinv-paths_8hpp_8in.html</anchorfile>
      <anchor>6781cbd275fd1378a9cc086c38aab073</anchor>
      <arglist></arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>INFODIR</name>
      <anchorfile>airinv-paths_8hpp_8in.html</anchorfile>
      <anchor>0d05d0e4c76b5d49c804aa03d634ab8d</anchor>
      <arglist></arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>HTMLDIR</name>
      <anchorfile>airinv-paths_8hpp_8in.html</anchorfile>
      <anchor>21fd7fedd76944e0190f8c9eb5ec0b96</anchor>
      <arglist></arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>PDFDIR</name>
      <anchorfile>airinv-paths_8hpp_8in.html</anchorfile>
      <anchor>f08e1d7849655fb6fadf8697f07f0021</anchor>
      <arglist></arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>STDAIR_SAMPLE_DIR</name>
      <anchorfile>airinv-paths_8hpp_8in.html</anchorfile>
      <anchor>0258dd1d3f64cb9a719d5249fd4e4ac1</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="file">
    <name>FacAirinvMasterServiceContext.cpp</name>
    <path>/builddir/build/BUILD/airinv-1.00.0/airinv/factory/</path>
    <filename>FacAirinvMasterServiceContext_8cpp</filename>
    <includes id="FacAirinvMasterServiceContext_8hpp" name="FacAirinvMasterServiceContext.hpp" local="no" imported="no">airinv/factory/FacAirinvMasterServiceContext.hpp</includes>
    <includes id="AIRINV__Master__ServiceContext_8hpp" name="AIRINV_Master_ServiceContext.hpp" local="no" imported="no">airinv/service/AIRINV_Master_ServiceContext.hpp</includes>
    <namespace>AIRINV</namespace>
  </compound>
  <compound kind="file">
    <name>FacAirinvMasterServiceContext.hpp</name>
    <path>/builddir/build/BUILD/airinv-1.00.0/airinv/factory/</path>
    <filename>FacAirinvMasterServiceContext_8hpp</filename>
    <namespace>AIRINV</namespace>
    <class kind="class">AIRINV::FacAirinvMasterServiceContext</class>
  </compound>
  <compound kind="file">
    <name>FacAirinvServiceContext.cpp</name>
    <path>/builddir/build/BUILD/airinv-1.00.0/airinv/factory/</path>
    <filename>FacAirinvServiceContext_8cpp</filename>
    <includes id="FacAirinvServiceContext_8hpp" name="FacAirinvServiceContext.hpp" local="no" imported="no">airinv/factory/FacAirinvServiceContext.hpp</includes>
    <includes id="AIRINV__ServiceContext_8hpp" name="AIRINV_ServiceContext.hpp" local="no" imported="no">airinv/service/AIRINV_ServiceContext.hpp</includes>
    <namespace>AIRINV</namespace>
  </compound>
  <compound kind="file">
    <name>FacAirinvServiceContext.hpp</name>
    <path>/builddir/build/BUILD/airinv-1.00.0/airinv/factory/</path>
    <filename>FacAirinvServiceContext_8hpp</filename>
    <namespace>AIRINV</namespace>
    <class kind="class">AIRINV::FacAirinvServiceContext</class>
  </compound>
  <compound kind="file">
    <name>FacBomAbstract.cpp</name>
    <path>/builddir/build/BUILD/airinv-1.00.0/airinv/factory/</path>
    <filename>FacBomAbstract_8cpp</filename>
    <includes id="BomAbstract_8hpp" name="BomAbstract.hpp" local="no" imported="no">airinv/bom/BomAbstract.hpp</includes>
    <includes id="FacBomAbstract_8hpp" name="FacBomAbstract.hpp" local="no" imported="no">airinv/factory/FacBomAbstract.hpp</includes>
    <namespace>AIRINV</namespace>
  </compound>
  <compound kind="file">
    <name>FacBomAbstract.hpp</name>
    <path>/builddir/build/BUILD/airinv-1.00.0/airinv/factory/</path>
    <filename>FacBomAbstract_8hpp</filename>
    <namespace>AIRINV</namespace>
    <class kind="class">AIRINV::FacBomAbstract</class>
  </compound>
  <compound kind="file">
    <name>FacServiceAbstract.cpp</name>
    <path>/builddir/build/BUILD/airinv-1.00.0/airinv/factory/</path>
    <filename>FacServiceAbstract_8cpp</filename>
    <includes id="ServiceAbstract_8hpp" name="ServiceAbstract.hpp" local="no" imported="no">airinv/service/ServiceAbstract.hpp</includes>
    <includes id="FacServiceAbstract_8hpp" name="FacServiceAbstract.hpp" local="no" imported="no">airinv/factory/FacServiceAbstract.hpp</includes>
    <namespace>AIRINV</namespace>
  </compound>
  <compound kind="file">
    <name>FacServiceAbstract.hpp</name>
    <path>/builddir/build/BUILD/airinv-1.00.0/airinv/factory/</path>
    <filename>FacServiceAbstract_8hpp</filename>
    <namespace>AIRINV</namespace>
    <class kind="class">AIRINV::FacServiceAbstract</class>
  </compound>
  <compound kind="file">
    <name>FacSupervisor.cpp</name>
    <path>/builddir/build/BUILD/airinv-1.00.0/airinv/factory/</path>
    <filename>FacSupervisor_8cpp</filename>
    <includes id="FacBomAbstract_8hpp" name="FacBomAbstract.hpp" local="no" imported="no">airinv/factory/FacBomAbstract.hpp</includes>
    <includes id="FacServiceAbstract_8hpp" name="FacServiceAbstract.hpp" local="no" imported="no">airinv/factory/FacServiceAbstract.hpp</includes>
    <includes id="FacSupervisor_8hpp" name="FacSupervisor.hpp" local="no" imported="no">airinv/factory/FacSupervisor.hpp</includes>
    <namespace>AIRINV</namespace>
  </compound>
  <compound kind="file">
    <name>FacSupervisor.hpp</name>
    <path>/builddir/build/BUILD/airinv-1.00.0/airinv/factory/</path>
    <filename>FacSupervisor_8hpp</filename>
    <namespace>AIRINV</namespace>
    <class kind="class">AIRINV::FacSupervisor</class>
  </compound>
  <compound kind="file">
    <name>FlightRequestStatus.hpp</name>
    <path>/builddir/build/BUILD/airinv-1.00.0/airinv/</path>
    <filename>FlightRequestStatus_8hpp</filename>
    <namespace>AIRINV</namespace>
    <class kind="struct">AIRINV::FlightRequestStatus</class>
  </compound>
  <compound kind="file">
    <name>AirInvClient.cpp</name>
    <path>/builddir/build/BUILD/airinv-1.00.0/airinv/server/</path>
    <filename>AirInvClient_8cpp</filename>
    <member kind="function">
      <type>int</type>
      <name>main</name>
      <anchorfile>AirInvClient_8cpp.html</anchorfile>
      <anchor>28052c36c3b61c6c0eaa18f5d226118f</anchor>
      <arglist>(int argc, char *argv[])</arglist>
    </member>
  </compound>
  <compound kind="file">
    <name>AirInvClient_ASIO.cpp</name>
    <path>/builddir/build/BUILD/airinv-1.00.0/airinv/server/</path>
    <filename>AirInvClient__ASIO_8cpp</filename>
    <member kind="function">
      <type>int</type>
      <name>main</name>
      <anchorfile>AirInvClient__ASIO_8cpp.html</anchorfile>
      <anchor>28052c36c3b61c6c0eaa18f5d226118f</anchor>
      <arglist>(int argc, char *argv[])</arglist>
    </member>
  </compound>
  <compound kind="file">
    <name>AirInvServer.cpp</name>
    <path>/builddir/build/BUILD/airinv-1.00.0/airinv/server/</path>
    <filename>AirInvServer_8cpp</filename>
  </compound>
  <compound kind="file">
    <name>AirInvServer.hpp</name>
    <path>/builddir/build/BUILD/airinv-1.00.0/airinv/server/</path>
    <filename>AirInvServer_8hpp</filename>
    <includes id="Connection_8hpp" name="Connection.hpp" local="no" imported="no">airinv/server/Connection.hpp</includes>
    <includes id="RequestHandler_8hpp" name="RequestHandler.hpp" local="no" imported="no">airinv/server/RequestHandler.hpp</includes>
    <namespace>AIRINV</namespace>
    <class kind="class">AIRINV::AirInvServer</class>
  </compound>
  <compound kind="file">
    <name>AirInvServer_ASIO.cpp</name>
    <path>/builddir/build/BUILD/airinv-1.00.0/airinv/server/</path>
    <filename>AirInvServer__ASIO_8cpp</filename>
    <includes id="AirInvServer_8hpp" name="AirInvServer.hpp" local="no" imported="no">airinv/server/AirInvServer.hpp</includes>
    <namespace>AIRINV</namespace>
    <member kind="typedef">
      <type>boost::shared_ptr&lt; boost::thread &gt;</type>
      <name>ThreadShrPtr_T</name>
      <anchorfile>namespaceAIRINV.html</anchorfile>
      <anchor>4fc2127c3605218e3b8027377e832e0d</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>std::vector&lt; ThreadShrPtr_T &gt;</type>
      <name>ThreadShrPtrList_T</name>
      <anchorfile>namespaceAIRINV.html</anchorfile>
      <anchor>167515c02617babb9f1faa055b04768e</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="file">
    <name>BomPropertyTree.cpp</name>
    <path>/builddir/build/BUILD/airinv-1.00.0/airinv/server/</path>
    <filename>BomPropertyTree_8cpp</filename>
    <includes id="BomPropertyTree_8hpp" name="BomPropertyTree.hpp" local="no" imported="no">airinv/server/BomPropertyTree.hpp</includes>
    <namespace>stdair</namespace>
  </compound>
  <compound kind="file">
    <name>BomPropertyTree.hpp</name>
    <path>/builddir/build/BUILD/airinv-1.00.0/airinv/server/</path>
    <filename>BomPropertyTree_8hpp</filename>
    <namespace>stdair</namespace>
    <class kind="struct">stdair::BomPropertyTree</class>
  </compound>
  <compound kind="file">
    <name>Connection.cpp</name>
    <path>/builddir/build/BUILD/airinv-1.00.0/airinv/server/</path>
    <filename>Connection_8cpp</filename>
    <includes id="RequestHandler_8hpp" name="RequestHandler.hpp" local="no" imported="no">airinv/server/RequestHandler.hpp</includes>
    <includes id="Connection_8hpp" name="Connection.hpp" local="no" imported="no">airinv/server/Connection.hpp</includes>
    <namespace>AIRINV</namespace>
  </compound>
  <compound kind="file">
    <name>Connection.hpp</name>
    <path>/builddir/build/BUILD/airinv-1.00.0/airinv/server/</path>
    <filename>Connection_8hpp</filename>
    <includes id="Reply_8hpp" name="Reply.hpp" local="no" imported="no">airinv/server/Reply.hpp</includes>
    <includes id="Request_8hpp" name="Request.hpp" local="no" imported="no">airinv/server/Request.hpp</includes>
    <namespace>AIRINV</namespace>
    <class kind="class">AIRINV::Connection</class>
    <member kind="typedef">
      <type>boost::shared_ptr&lt; Connection &gt;</type>
      <name>ConnectionShrPtr_T</name>
      <anchorfile>namespaceAIRINV.html</anchorfile>
      <anchor>fd0ec457789f75655328b256207eeeb9</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="file">
    <name>header.hpp</name>
    <path>/builddir/build/BUILD/airinv-1.00.0/airinv/server/</path>
    <filename>header_8hpp</filename>
    <namespace>AIRINV</namespace>
    <class kind="struct">AIRINV::header</class>
  </compound>
  <compound kind="file">
    <name>posix_main.cpp</name>
    <path>/builddir/build/BUILD/airinv-1.00.0/airinv/server/</path>
    <filename>posix__main_8cpp</filename>
    <includes id="AirInvServer_8hpp" name="AirInvServer.hpp" local="no" imported="no">airinv/server/AirInvServer.hpp</includes>
    <member kind="function">
      <type>int</type>
      <name>main</name>
      <anchorfile>posix__main_8cpp.html</anchorfile>
      <anchor>28052c36c3b61c6c0eaa18f5d226118f</anchor>
      <arglist>(int argc, char *argv[])</arglist>
    </member>
  </compound>
  <compound kind="file">
    <name>Reply.cpp</name>
    <path>/builddir/build/BUILD/airinv-1.00.0/airinv/server/</path>
    <filename>Reply_8cpp</filename>
    <includes id="Reply_8hpp" name="Reply.hpp" local="no" imported="no">airinv/server/Reply.hpp</includes>
    <namespace>AIRINV</namespace>
  </compound>
  <compound kind="file">
    <name>Reply.hpp</name>
    <path>/builddir/build/BUILD/airinv-1.00.0/airinv/server/</path>
    <filename>Reply_8hpp</filename>
    <includes id="FlightRequestStatus_8hpp" name="FlightRequestStatus.hpp" local="no" imported="no">airinv/FlightRequestStatus.hpp</includes>
    <namespace>AIRINV</namespace>
    <class kind="struct">AIRINV::Reply</class>
  </compound>
  <compound kind="file">
    <name>Request.cpp</name>
    <path>/builddir/build/BUILD/airinv-1.00.0/airinv/server/</path>
    <filename>Request_8cpp</filename>
    <includes id="Request_8hpp" name="Request.hpp" local="no" imported="no">airinv/server/Request.hpp</includes>
    <namespace>AIRINV</namespace>
  </compound>
  <compound kind="file">
    <name>Request.hpp</name>
    <path>/builddir/build/BUILD/airinv-1.00.0/airinv/server/</path>
    <filename>Request_8hpp</filename>
    <namespace>AIRINV</namespace>
    <class kind="struct">AIRINV::Request</class>
  </compound>
  <compound kind="file">
    <name>RequestHandler.cpp</name>
    <path>/builddir/build/BUILD/airinv-1.00.0/airinv/server/</path>
    <filename>RequestHandler_8cpp</filename>
    <includes id="Reply_8hpp" name="Reply.hpp" local="no" imported="no">airinv/server/Reply.hpp</includes>
    <includes id="Request_8hpp" name="Request.hpp" local="no" imported="no">airinv/server/Request.hpp</includes>
    <includes id="RequestHandler_8hpp" name="RequestHandler.hpp" local="no" imported="no">airinv/server/RequestHandler.hpp</includes>
    <namespace>AIRINV</namespace>
  </compound>
  <compound kind="file">
    <name>RequestHandler.hpp</name>
    <path>/builddir/build/BUILD/airinv-1.00.0/airinv/server/</path>
    <filename>RequestHandler_8hpp</filename>
    <namespace>stdair</namespace>
    <namespace>AIRINV</namespace>
    <class kind="class">AIRINV::RequestHandler</class>
  </compound>
  <compound kind="file">
    <name>RequestParser.cpp</name>
    <path>/builddir/build/BUILD/airinv-1.00.0/airinv/server/</path>
    <filename>RequestParser_8cpp</filename>
    <includes id="RequestParser_8hpp" name="RequestParser.hpp" local="no" imported="no">airinv/server/RequestParser.hpp</includes>
    <includes id="Request_8hpp" name="Request.hpp" local="no" imported="no">airinv/server/Request.hpp</includes>
    <namespace>AIRINV</namespace>
  </compound>
  <compound kind="file">
    <name>RequestParser.hpp</name>
    <path>/builddir/build/BUILD/airinv-1.00.0/airinv/server/</path>
    <filename>RequestParser_8hpp</filename>
    <namespace>AIRINV</namespace>
    <class kind="class">AIRINV::RequestParser</class>
  </compound>
  <compound kind="file">
    <name>win_main.cpp</name>
    <path>/builddir/build/BUILD/airinv-1.00.0/airinv/server/</path>
    <filename>win__main_8cpp</filename>
    <includes id="AirInvServer_8hpp" name="AirInvServer.hpp" local="no" imported="no">airinv/server/AirInvServer.hpp</includes>
  </compound>
  <compound kind="file">
    <name>AIRINV_Master_Service.cpp</name>
    <path>/builddir/build/BUILD/airinv-1.00.0/airinv/service/</path>
    <filename>AIRINV__Master__Service_8cpp</filename>
    <includes id="BasConst__AIRINV__Service_8hpp" name="BasConst_AIRINV_Service.hpp" local="no" imported="no">airinv/basic/BasConst_AIRINV_Service.hpp</includes>
    <includes id="FacAirinvMasterServiceContext_8hpp" name="FacAirinvMasterServiceContext.hpp" local="no" imported="no">airinv/factory/FacAirinvMasterServiceContext.hpp</includes>
    <includes id="InventoryParser_8hpp" name="InventoryParser.hpp" local="no" imported="no">airinv/command/InventoryParser.hpp</includes>
    <includes id="InventoryManager_8hpp" name="InventoryManager.hpp" local="no" imported="no">airinv/command/InventoryManager.hpp</includes>
    <includes id="AIRINV__Master__ServiceContext_8hpp" name="AIRINV_Master_ServiceContext.hpp" local="no" imported="no">airinv/service/AIRINV_Master_ServiceContext.hpp</includes>
    <includes id="AIRINV__Service_8hpp" name="AIRINV_Service.hpp" local="no" imported="no">airinv/AIRINV_Service.hpp</includes>
    <includes id="AIRINV__Master__Service_8hpp" name="AIRINV_Master_Service.hpp" local="no" imported="no">airinv/AIRINV_Master_Service.hpp</includes>
    <namespace>AIRINV</namespace>
  </compound>
  <compound kind="file">
    <name>AIRINV_Master_ServiceContext.cpp</name>
    <path>/builddir/build/BUILD/airinv-1.00.0/airinv/service/</path>
    <filename>AIRINV__Master__ServiceContext_8cpp</filename>
    <includes id="BasConst__AIRINV__Service_8hpp" name="BasConst_AIRINV_Service.hpp" local="no" imported="no">airinv/basic/BasConst_AIRINV_Service.hpp</includes>
    <includes id="AIRINV__Master__ServiceContext_8hpp" name="AIRINV_Master_ServiceContext.hpp" local="no" imported="no">airinv/service/AIRINV_Master_ServiceContext.hpp</includes>
    <namespace>AIRINV</namespace>
  </compound>
  <compound kind="file">
    <name>AIRINV_Master_ServiceContext.hpp</name>
    <path>/builddir/build/BUILD/airinv-1.00.0/airinv/service/</path>
    <filename>AIRINV__Master__ServiceContext_8hpp</filename>
    <includes id="AIRINV__Types_8hpp" name="AIRINV_Types.hpp" local="no" imported="no">airinv/AIRINV_Types.hpp</includes>
    <namespace>AIRINV</namespace>
    <class kind="class">AIRINV::AIRINV_Master_ServiceContext</class>
  </compound>
  <compound kind="file">
    <name>AIRINV_Service.cpp</name>
    <path>/builddir/build/BUILD/airinv-1.00.0/airinv/service/</path>
    <filename>AIRINV__Service_8cpp</filename>
    <includes id="BasConst__AIRINV__Service_8hpp" name="BasConst_AIRINV_Service.hpp" local="no" imported="no">airinv/basic/BasConst_AIRINV_Service.hpp</includes>
    <includes id="FacAirinvServiceContext_8hpp" name="FacAirinvServiceContext.hpp" local="no" imported="no">airinv/factory/FacAirinvServiceContext.hpp</includes>
    <includes id="ScheduleParser_8hpp" name="ScheduleParser.hpp" local="no" imported="no">airinv/command/ScheduleParser.hpp</includes>
    <includes id="FRAT5Parser_8hpp" name="FRAT5Parser.hpp" local="no" imported="no">airinv/command/FRAT5Parser.hpp</includes>
    <includes id="FFDisutilityParser_8hpp" name="FFDisutilityParser.hpp" local="no" imported="no">airinv/command/FFDisutilityParser.hpp</includes>
    <includes id="InventoryParser_8hpp" name="InventoryParser.hpp" local="no" imported="no">airinv/command/InventoryParser.hpp</includes>
    <includes id="InventoryManager_8hpp" name="InventoryManager.hpp" local="no" imported="no">airinv/command/InventoryManager.hpp</includes>
    <includes id="InventoryBuilder_8hpp" name="InventoryBuilder.hpp" local="no" imported="no">airinv/command/InventoryBuilder.hpp</includes>
    <includes id="AIRINV__ServiceContext_8hpp" name="AIRINV_ServiceContext.hpp" local="no" imported="no">airinv/service/AIRINV_ServiceContext.hpp</includes>
    <includes id="AIRINV__Service_8hpp" name="AIRINV_Service.hpp" local="no" imported="no">airinv/AIRINV_Service.hpp</includes>
    <namespace>AIRINV</namespace>
  </compound>
  <compound kind="file">
    <name>AIRINV_ServiceContext.cpp</name>
    <path>/builddir/build/BUILD/airinv-1.00.0/airinv/service/</path>
    <filename>AIRINV__ServiceContext_8cpp</filename>
    <includes id="BasConst__AIRINV__Service_8hpp" name="BasConst_AIRINV_Service.hpp" local="no" imported="no">airinv/basic/BasConst_AIRINV_Service.hpp</includes>
    <includes id="AIRINV__ServiceContext_8hpp" name="AIRINV_ServiceContext.hpp" local="no" imported="no">airinv/service/AIRINV_ServiceContext.hpp</includes>
    <namespace>AIRINV</namespace>
  </compound>
  <compound kind="file">
    <name>AIRINV_ServiceContext.hpp</name>
    <path>/builddir/build/BUILD/airinv-1.00.0/airinv/service/</path>
    <filename>AIRINV__ServiceContext_8hpp</filename>
    <includes id="AIRINV__Types_8hpp" name="AIRINV_Types.hpp" local="no" imported="no">airinv/AIRINV_Types.hpp</includes>
    <namespace>AIRINV</namespace>
    <class kind="class">AIRINV::AIRINV_ServiceContext</class>
  </compound>
  <compound kind="file">
    <name>ServiceAbstract.cpp</name>
    <path>/builddir/build/BUILD/airinv-1.00.0/airinv/service/</path>
    <filename>ServiceAbstract_8cpp</filename>
    <includes id="ServiceAbstract_8hpp" name="ServiceAbstract.hpp" local="no" imported="no">airinv/service/ServiceAbstract.hpp</includes>
    <namespace>AIRINV</namespace>
  </compound>
  <compound kind="file">
    <name>ServiceAbstract.hpp</name>
    <path>/builddir/build/BUILD/airinv-1.00.0/airinv/service/</path>
    <filename>ServiceAbstract_8hpp</filename>
    <namespace>AIRINV</namespace>
    <class kind="class">AIRINV::ServiceAbstract</class>
    <member kind="function">
      <type>std::basic_ostream&lt; charT, traits &gt; &amp;</type>
      <name>operator&lt;&lt;</name>
      <anchorfile>ServiceAbstract_8hpp.html</anchorfile>
      <anchor>1d3e5f9ca5999216335505813db5a96b</anchor>
      <arglist>(std::basic_ostream&lt; charT, traits &gt; &amp;ioOut, const AIRINV::ServiceAbstract &amp;iService)</arglist>
    </member>
    <member kind="function">
      <type>std::basic_istream&lt; charT, traits &gt; &amp;</type>
      <name>operator&gt;&gt;</name>
      <anchorfile>ServiceAbstract_8hpp.html</anchorfile>
      <anchor>338ab3a7ec8bceb29a49f07add581233</anchor>
      <arglist>(std::basic_istream&lt; charT, traits &gt; &amp;ioIn, AIRINV::ServiceAbstract &amp;ioService)</arglist>
    </member>
  </compound>
  <compound kind="file">
    <name>airinv.cpp</name>
    <path>/builddir/build/BUILD/airinv-1.00.0/airinv/ui/cmdline/</path>
    <filename>airinv_8cpp</filename>
  </compound>
  <compound kind="file">
    <name>authors.doc</name>
    <path>/builddir/build/BUILD/airinv-1.00.0/doc/local/</path>
    <filename>authors_8doc</filename>
  </compound>
  <compound kind="file">
    <name>codingrules.doc</name>
    <path>/builddir/build/BUILD/airinv-1.00.0/doc/local/</path>
    <filename>codingrules_8doc</filename>
  </compound>
  <compound kind="file">
    <name>copyright.doc</name>
    <path>/builddir/build/BUILD/airinv-1.00.0/doc/local/</path>
    <filename>copyright_8doc</filename>
  </compound>
  <compound kind="file">
    <name>documentation.doc</name>
    <path>/builddir/build/BUILD/airinv-1.00.0/doc/local/</path>
    <filename>documentation_8doc</filename>
  </compound>
  <compound kind="file">
    <name>features.doc</name>
    <path>/builddir/build/BUILD/airinv-1.00.0/doc/local/</path>
    <filename>features_8doc</filename>
  </compound>
  <compound kind="file">
    <name>help_wanted.doc</name>
    <path>/builddir/build/BUILD/airinv-1.00.0/doc/local/</path>
    <filename>help__wanted_8doc</filename>
  </compound>
  <compound kind="file">
    <name>howto_release.doc</name>
    <path>/builddir/build/BUILD/airinv-1.00.0/doc/local/</path>
    <filename>howto__release_8doc</filename>
  </compound>
  <compound kind="file">
    <name>index.doc</name>
    <path>/builddir/build/BUILD/airinv-1.00.0/doc/local/</path>
    <filename>index_8doc</filename>
  </compound>
  <compound kind="file">
    <name>installation.doc</name>
    <path>/builddir/build/BUILD/airinv-1.00.0/doc/local/</path>
    <filename>installation_8doc</filename>
  </compound>
  <compound kind="file">
    <name>linking.doc</name>
    <path>/builddir/build/BUILD/airinv-1.00.0/doc/local/</path>
    <filename>linking_8doc</filename>
  </compound>
  <compound kind="file">
    <name>test.doc</name>
    <path>/builddir/build/BUILD/airinv-1.00.0/doc/local/</path>
    <filename>test_8doc</filename>
  </compound>
  <compound kind="file">
    <name>users_guide.doc</name>
    <path>/builddir/build/BUILD/airinv-1.00.0/doc/local/</path>
    <filename>users__guide_8doc</filename>
  </compound>
  <compound kind="file">
    <name>verification.doc</name>
    <path>/builddir/build/BUILD/airinv-1.00.0/doc/local/</path>
    <filename>verification_8doc</filename>
  </compound>
  <compound kind="file">
    <name>tutorial.doc</name>
    <path>/builddir/build/BUILD/airinv-1.00.0/doc/tutorial/</path>
    <filename>tutorial_8doc</filename>
  </compound>
  <compound kind="file">
    <name>InventoryTestSuite.cpp</name>
    <path>/builddir/build/BUILD/airinv-1.00.0/test/airinv/</path>
    <filename>InventoryTestSuite_8cpp</filename>
  </compound>
  <compound kind="file">
    <name>InventoryTestSuite.hpp</name>
    <path>/builddir/build/BUILD/airinv-1.00.0/test/airinv/</path>
    <filename>InventoryTestSuite_8hpp</filename>
    <class kind="class">InventoryTestSuite</class>
    <member kind="function">
      <type></type>
      <name>CPPUNIT_TEST_SUITE_REGISTRATION</name>
      <anchorfile>InventoryTestSuite_8hpp.html</anchorfile>
      <anchor>a04e24c536933a57598d8915b64609e9</anchor>
      <arglist>(InventoryTestSuite)</arglist>
    </member>
  </compound>
  <compound kind="page">
    <name>authors</name>
    <title>People</title>
    <filename>authors</filename>
    <docanchor file="authors">admins</docanchor>
    <docanchor file="authors">retired</docanchor>
    <docanchor file="main">N</docanchor>
    <docanchor file="authors">developers</docanchor>
    <docanchor file="authors">contributors</docanchor>
    <docanchor file="authors">distributors</docanchor>
  </compound>
  <compound kind="page">
    <name>coding_rules</name>
    <title>Coding Rules</title>
    <filename>coding_rules</filename>
    <docanchor file="coding_rules">cr_files</docanchor>
    <docanchor file="coding_rules">cr_classes</docanchor>
    <docanchor file="coding_rules">cr_variables</docanchor>
    <docanchor file="coding_rules">cr_functions</docanchor>
    <docanchor file="coding_rules">cr_classes_functionality</docanchor>
  </compound>
  <compound kind="page">
    <name>copyright</name>
    <title>Copyright and License</title>
    <filename>copyright</filename>
    <docanchor file="copyright">nowarranty</docanchor>
    <docanchor file="copyright">preamble</docanchor>
    <docanchor file="copyright">endofterms</docanchor>
    <docanchor file="copyright">gnugpl</docanchor>
    <docanchor file="copyright">howtoapply</docanchor>
    <docanchor file="copyright">version</docanchor>
    <docanchor file="copyright">terms</docanchor>
  </compound>
  <compound kind="page">
    <name>documentation</name>
    <title>Documentation Rules</title>
    <filename>documentation</filename>
    <docanchor file="documentation">doc_header</docanchor>
    <docanchor file="documentation">doc_groups</docanchor>
    <docanchor file="documentation">doc_general</docanchor>
  </compound>
  <compound kind="page">
    <name>features</name>
    <title>Main features</title>
    <filename>features</filename>
    <docanchor file="features">other_features</docanchor>
    <docanchor file="features">ts_features</docanchor>
    <docanchor file="features">ng_features</docanchor>
    <docanchor file="features">di_features</docanchor>
    <docanchor file="features">ig_features</docanchor>
  </compound>
  <compound kind="page">
    <name>help_wanted</name>
    <title>Make a Difference</title>
    <filename>help_wanted</filename>
  </compound>
  <compound kind="page">
    <name>howto_release</name>
    <title>Make a new release</title>
    <filename>howto_release</filename>
    <docanchor file="howto_release">send_announce</docanchor>
    <docanchor file="howto_release">upload_files</docanchor>
    <docanchor file="howto_release">create_bin_packages</docanchor>
    <docanchor file="howto_release">update_changelog</docanchor>
    <docanchor file="howto_release">branch_creation</docanchor>
    <docanchor file="howto_release">post_news</docanchor>
    <docanchor file="howto_release">trunk_update</docanchor>
    <docanchor file="howto_release">branch_publish</docanchor>
    <docanchor file="howto_release">create_packages</docanchor>
    <docanchor file="howto_release">upload_doc</docanchor>
    <docanchor file="howto_release">generate_rpm_packages</docanchor>
    <docanchor file="howto_release">initialisation</docanchor>
    <docanchor file="howto_release">description</docanchor>
  </compound>
  <compound kind="page">
    <name>installation</name>
    <title>Installation</title>
    <filename>installation</filename>
    <docanchor file="installation">basic_instructions</docanchor>
    <docanchor file="verification">toc</docanchor>
    <docanchor file="installation">compilers</docanchor>
    <docanchor file="installation">installation_names</docanchor>
    <docanchor file="installation">sharing_defaults</docanchor>
    <docanchor file="installation">compiling_for_multi_arch</docanchor>
    <docanchor file="installation">requirements</docanchor>
    <docanchor file="installation">cmake_invocation</docanchor>
    <docanchor file="installation">optional_features</docanchor>
    <docanchor file="installation">defining_variables</docanchor>
    <docanchor file="installation">specifying_system_type</docanchor>
    <docanchor file="installation">particular_systems</docanchor>
    <docanchor file="installation">rpm_linux</docanchor>
  </compound>
  <compound kind="page">
    <name>linking</name>
    <title>Linking with Airinv</title>
    <filename>linking</filename>
    <docanchor file="linking">dependencies</docanchor>
    <docanchor file="verification">toc</docanchor>
    <docanchor file="verification">intro</docanchor>
    <docanchor file="linking">airinv_config</docanchor>
    <docanchor file="linking">pkgconfig</docanchor>
    <docanchor file="linking">dynamiclinking</docanchor>
    <docanchor file="linking">autotools</docanchor>
    <docanchor file="linking">stdairdep</docanchor>
  </compound>
  <compound kind="page">
    <name>test</name>
    <title>Test Rules</title>
    <filename>test</filename>
    <docanchor file="test">test_file</docanchor>
    <docanchor file="test">reference_file</docanchor>
    <docanchor file="test">testing_using_make</docanchor>
  </compound>
  <compound kind="page">
    <name>users_guide</name>
    <title>Users Guide</title>
    <filename>users_guide</filename>
    <docanchor file="users_guide">ug_build_binaries</docanchor>
    <docanchor file="users_guide">ug_bom_structure</docanchor>
    <docanchor file="users_guide">ug_inputfile</docanchor>
    <docanchor file="users_guide">ug_bom_build</docanchor>
    <docanchor file="users_guide">ug_introduction</docanchor>
    <docanchor file="users_guide">ug_procedure</docanchor>
    <docanchor file="users_guide">ug_bom_schedule</docanchor>
    <docanchor file="users_guide">ug_bom_network</docanchor>
    <docanchor file="users_guide">ug_bom_display</docanchor>
    <docanchor file="users_guide">ug_get_started</docanchor>
    <docanchor file="users_guide">ug_toc</docanchor>
    <docanchor file="users_guide">ug_get_source</docanchor>
    <docanchor file="users_guide">ug_bom_bom</docanchor>
    <docanchor file="users_guide">ug_install_project</docanchor>
    <docanchor file="users_guide">ug_build_and_run_tests</docanchor>
    <docanchor file="users_guide">ug_extending_bom_tree</docanchor>
  </compound>
  <compound kind="page">
    <name>verification</name>
    <title>Supported Systems</title>
    <filename>verification</filename>
    <docanchor file="verification">cygwin_atlas</docanchor>
    <docanchor file="verification">gentoo_acml</docanchor>
    <docanchor file="verification">fedora_atlas</docanchor>
    <docanchor file="verification">gentoo_netlib</docanchor>
    <docanchor file="verification">toc</docanchor>
    <docanchor file="verification">gentoo_mkl</docanchor>
    <docanchor file="verification">intro</docanchor>
    <docanchor file="verification">windows</docanchor>
    <docanchor file="verification">airinv_0</docanchor>
    <docanchor file="verification">unix</docanchor>
    <docanchor file="verification">cygwin_acml</docanchor>
    <docanchor file="verification">cygwin</docanchor>
    <docanchor file="verification">suse_netlib</docanchor>
    <docanchor file="verification">mingw_netlib</docanchor>
    <docanchor file="verification">msvc_mkl</docanchor>
    <docanchor file="verification">sunos59</docanchor>
    <docanchor file="verification">suse_mkl</docanchor>
    <docanchor file="verification">rhel</docanchor>
    <docanchor file="verification">linux</docanchor>
    <docanchor file="verification">mingw_acml</docanchor>
    <docanchor file="verification">gentoo_atlas</docanchor>
  </compound>
  <compound kind="page">
    <name>verification_old</name>
    <title>AirInv Supported Systems (Previous Releases)</title>
    <filename>verification_old</filename>
    <docanchor file="verification_old">airinv_3_8_1</docanchor>
    <docanchor file="verification_old">airinv_3_9_0</docanchor>
    <docanchor file="verification_old">airinv_3_9_1</docanchor>
  </compound>
  <compound kind="page">
    <name>tutorials</name>
    <title>Tutorials</title>
    <filename>tutorials</filename>
    <docanchor file="tutorials">tut_how_network_building</docanchor>
    <docanchor file="tutorials">tut_how_network_building_file</docanchor>
    <docanchor file="tutorials">tut_procedure_results</docanchor>
    <docanchor file="tutorials">tut_configuration</docanchor>
    <docanchor file="tutorials">tut_how_network_building_result</docanchor>
    <docanchor file="tutorials">tut_procedure_summary</docanchor>
    <docanchor file="tutorials">tut_procedure</docanchor>
    <docanchor file="tutorials">tut_toc</docanchor>
    <docanchor file="tutorials">tut_how_build_network_file</docanchor>
  </compound>
  <compound kind="page">
    <name>InventoryTestSuite_cpp</name>
    <title>Command-Line Test to Demonstrate How To Test the AirInv Project</title>
    <filename>InventoryTestSuite_cpp</filename>
  </compound>
  <compound kind="class">
    <name>boost::enable_shared_from_this</name>
    <filename>classboost_1_1enable__shared__from__this.html</filename>
  </compound>
  <compound kind="class">
    <name>boost::noncopyable</name>
    <filename>classboost_1_1noncopyable.html</filename>
  </compound>
  <compound kind="class">
    <name>boost::spirit::classic::grammar</name>
    <filename>classboost_1_1spirit_1_1classic_1_1grammar.html</filename>
  </compound>
  <compound kind="class">
    <name>boost::spirit::qi::grammar</name>
    <filename>classboost_1_1spirit_1_1qi_1_1grammar.html</filename>
  </compound>
  <compound kind="class">
    <name>stdair::CmdAbstract</name>
    <filename>classstdair_1_1CmdAbstract.html</filename>
  </compound>
  <compound kind="class">
    <name>CppUnit::TestFixture</name>
    <filename>classCppUnit_1_1TestFixture.html</filename>
  </compound>
  <compound kind="class">
    <name>stdair::FacServiceAbstract</name>
    <filename>classstdair_1_1FacServiceAbstract.html</filename>
  </compound>
  <compound kind="class">
    <name>stdair::FileNotFoundException</name>
    <filename>classstdair_1_1FileNotFoundException.html</filename>
  </compound>
  <compound kind="class">
    <name>stdair::InputFilePath</name>
    <filename>classstdair_1_1InputFilePath.html</filename>
  </compound>
  <compound kind="class">
    <name>InventoryTestSuite</name>
    <filename>classInventoryTestSuite.html</filename>
    <base>CppUnit::TestFixture</base>
    <member kind="function">
      <type>void</type>
      <name>simpleInventory</name>
      <anchorfile>classInventoryTestSuite.html</anchorfile>
      <anchor>efd66108251ad8f985e92e4528c01bef</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>InventoryTestSuite</name>
      <anchorfile>classInventoryTestSuite.html</anchorfile>
      <anchor>f66df06c922fa2c1a9c3f2aa13977343</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>std::stringstream</type>
      <name>_describeKey</name>
      <anchorfile>classInventoryTestSuite.html</anchorfile>
      <anchor>118ac5b37e99f91c9d4c31291662aeea</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>stdair::ObjectCreationgDuplicationException</name>
    <filename>classstdair_1_1ObjectCreationgDuplicationException.html</filename>
  </compound>
  <compound kind="class">
    <name>stdair::ObjectNotFoundException</name>
    <filename>classstdair_1_1ObjectNotFoundException.html</filename>
  </compound>
  <compound kind="class">
    <name>stdair::ParserException</name>
    <filename>classstdair_1_1ParserException.html</filename>
  </compound>
  <compound kind="class">
    <name>stdair::ParsingFileFailedException</name>
    <filename>classstdair_1_1ParsingFileFailedException.html</filename>
  </compound>
  <compound kind="class">
    <name>stdair::RootException</name>
    <filename>classstdair_1_1RootException.html</filename>
  </compound>
  <compound kind="class">
    <name>stdair::ServiceAbstract</name>
    <filename>classstdair_1_1ServiceAbstract.html</filename>
  </compound>
  <compound kind="class">
    <name>stdair::StructAbstract</name>
    <filename>classstdair_1_1StructAbstract.html</filename>
  </compound>
  <compound kind="namespace">
    <name>AIRINV</name>
    <filename>namespaceAIRINV.html</filename>
    <class kind="class">AIRINV::AIRINV_Master_Service</class>
    <class kind="class">AIRINV::AIRINV_Service</class>
    <class kind="class">AIRINV::InventoryFileParsingFailedException</class>
    <class kind="class">AIRINV::ScheduleFileParsingFailedException</class>
    <class kind="class">AIRINV::MissingPartnerFlightDateWithinScheduleFile</class>
    <class kind="class">AIRINV::FRAT5FileParsingFailedException</class>
    <class kind="class">AIRINV::FFDisutilityFileParsingFailedException</class>
    <class kind="class">AIRINV::SegmentDateNotFoundException</class>
    <class kind="class">AIRINV::InventoryInputFileNotFoundException</class>
    <class kind="class">AIRINV::ScheduleInputFileNotFoundException</class>
    <class kind="class">AIRINV::FRAT5InputFileNotFoundException</class>
    <class kind="class">AIRINV::FFDisutilityInputFileNotFoundException</class>
    <class kind="class">AIRINV::FlightDateDuplicationException</class>
    <class kind="class">AIRINV::BookingException</class>
    <class kind="class">AIRINV::InventoryNotFoundException</class>
    <class kind="class">AIRINV::FlightDateNotFoundException</class>
    <class kind="class">AIRINV::InventoryFilePath</class>
    <class kind="struct">AIRINV::DefaultMap</class>
    <class kind="struct">AIRINV::FlightTypeCode</class>
    <class kind="struct">AIRINV::FlightVisibilityCode</class>
    <class kind="class">AIRINV::BomAbstract</class>
    <class kind="class">AIRINV::BomRootHelper</class>
    <class kind="class">AIRINV::BookingClassHelper</class>
    <class kind="struct">AIRINV::BookingClassStruct</class>
    <class kind="struct">AIRINV::BucketStruct</class>
    <class kind="struct">AIRINV::DCPEventStruct</class>
    <class kind="struct">AIRINV::FareFamilyStruct</class>
    <class kind="struct">AIRINV::FFDisutilityStruct</class>
    <class kind="class">AIRINV::FlightDateHelper</class>
    <class kind="struct">AIRINV::FlightDateStruct</class>
    <class kind="struct">AIRINV::FlightPeriodStruct</class>
    <class kind="struct">AIRINV::FRAT5Struct</class>
    <class kind="class">AIRINV::InventoryHelper</class>
    <class kind="class">AIRINV::LegCabinHelper</class>
    <class kind="struct">AIRINV::LegCabinStruct</class>
    <class kind="struct">AIRINV::LegStruct</class>
    <class kind="class">AIRINV::SegmentCabinHelper</class>
    <class kind="struct">AIRINV::SegmentCabinStruct</class>
    <class kind="class">AIRINV::SegmentDateHelper</class>
    <class kind="class">AIRINV::SegmentSnapshotTableHelper</class>
    <class kind="struct">AIRINV::SegmentStruct</class>
    <class kind="class">AIRINV::FFDisutilityParser</class>
    <class kind="class">AIRINV::FFDisutilityFileParser</class>
    <class kind="class">AIRINV::FRAT5Parser</class>
    <class kind="class">AIRINV::FRAT5FileParser</class>
    <class kind="class">AIRINV::InventoryBuilder</class>
    <class kind="class">AIRINV::InventoryGenerator</class>
    <class kind="class">AIRINV::InventoryManager</class>
    <class kind="class">AIRINV::InventoryParser</class>
    <class kind="class">AIRINV::InventoryFileParser</class>
    <class kind="class">AIRINV::ScheduleParser</class>
    <class kind="class">AIRINV::FlightPeriodFileParser</class>
    <class kind="class">AIRINV::DCPEventGenerator</class>
    <class kind="class">AIRINV::DCPParser</class>
    <class kind="class">AIRINV::DCPRuleFileParser</class>
    <class kind="class">AIRINV::FacAirinvMasterServiceContext</class>
    <class kind="class">AIRINV::FacAirinvServiceContext</class>
    <class kind="class">AIRINV::FacBomAbstract</class>
    <class kind="class">AIRINV::FacServiceAbstract</class>
    <class kind="class">AIRINV::FacSupervisor</class>
    <class kind="struct">AIRINV::FlightRequestStatus</class>
    <class kind="class">AIRINV::AirInvServer</class>
    <class kind="class">AIRINV::Connection</class>
    <class kind="struct">AIRINV::header</class>
    <class kind="struct">AIRINV::Reply</class>
    <class kind="struct">AIRINV::Request</class>
    <class kind="class">AIRINV::RequestHandler</class>
    <class kind="class">AIRINV::RequestParser</class>
    <class kind="class">AIRINV::AIRINV_Master_ServiceContext</class>
    <class kind="class">AIRINV::AIRINV_ServiceContext</class>
    <class kind="class">AIRINV::ServiceAbstract</class>
    <namespace>AIRINV::FFDisutilityParserHelper</namespace>
    <namespace>AIRINV::FRAT5ParserHelper</namespace>
    <namespace>AIRINV::InventoryParserHelper</namespace>
    <namespace>AIRINV::ScheduleParserHelper</namespace>
    <namespace>AIRINV::DCPParserHelper</namespace>
    <member kind="typedef">
      <type>boost::shared_ptr&lt; AIRINV_Service &gt;</type>
      <name>AIRINV_ServicePtr_T</name>
      <anchorfile>namespaceAIRINV.html</anchorfile>
      <anchor>11b15a5cfc638caefabeed7dfc88c97b</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>boost::shared_ptr&lt; AIRINV_Master_Service &gt;</type>
      <name>AIRINV_Master_ServicePtr_T</name>
      <anchorfile>namespaceAIRINV.html</anchorfile>
      <anchor>94a9ee7bd8e3779585b222fbff51c72e</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>std::map&lt; const stdair::AirlineCode_T, AIRINV_ServicePtr_T &gt;</type>
      <name>AIRINV_ServicePtr_Map_T</name>
      <anchorfile>namespaceAIRINV.html</anchorfile>
      <anchor>5d80e61566596922f0292524aea2faf8</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>std::map&lt; const stdair::DTD_T, double &gt;</type>
      <name>FRAT5Curve_T</name>
      <anchorfile>namespaceAIRINV.html</anchorfile>
      <anchor>07fb36bda708ee317a45d03811337f04</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>char</type>
      <name>char_t</name>
      <anchorfile>namespaceAIRINV.html</anchorfile>
      <anchor>9a0f7b8519d8bcefd94bf0d8b0ef6770</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>boost::spirit::classic::file_iterator&lt; char_t &gt;</type>
      <name>iterator_t</name>
      <anchorfile>namespaceAIRINV.html</anchorfile>
      <anchor>dfb23fe5af7068607d4c15776d504bf9</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>boost::spirit::classic::scanner&lt; iterator_t &gt;</type>
      <name>scanner_t</name>
      <anchorfile>namespaceAIRINV.html</anchorfile>
      <anchor>4b2b841a73c2ab28ce75383913cec878</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>boost::spirit::classic::rule&lt; scanner_t &gt;</type>
      <name>rule_t</name>
      <anchorfile>namespaceAIRINV.html</anchorfile>
      <anchor>fcba5ea23f41368a491d06b8aab0c077</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>boost::spirit::classic::int_parser&lt; unsigned int, 10, 1, 1 &gt;</type>
      <name>int1_p_t</name>
      <anchorfile>namespaceAIRINV.html</anchorfile>
      <anchor>cf198bc56bbad44d15416f18f4944bde</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>boost::spirit::classic::uint_parser&lt; unsigned int, 10, 2, 2 &gt;</type>
      <name>uint2_p_t</name>
      <anchorfile>namespaceAIRINV.html</anchorfile>
      <anchor>56dd9982109bd58723cd1379e6c93660</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>boost::spirit::classic::uint_parser&lt; unsigned int, 10, 1, 2 &gt;</type>
      <name>uint1_2_p_t</name>
      <anchorfile>namespaceAIRINV.html</anchorfile>
      <anchor>7a8195555890d63f3c66dff926a4a04a</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>boost::spirit::classic::uint_parser&lt; unsigned int, 10, 1, 3 &gt;</type>
      <name>uint1_3_p_t</name>
      <anchorfile>namespaceAIRINV.html</anchorfile>
      <anchor>f33a5b5a0965fd534e25d5160567549e</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>boost::spirit::classic::uint_parser&lt; unsigned int, 10, 4, 4 &gt;</type>
      <name>uint4_p_t</name>
      <anchorfile>namespaceAIRINV.html</anchorfile>
      <anchor>39b097939a05be353e82f630b769fbea</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>boost::spirit::classic::uint_parser&lt; unsigned int, 10, 1, 4 &gt;</type>
      <name>uint1_4_p_t</name>
      <anchorfile>namespaceAIRINV.html</anchorfile>
      <anchor>9ac36bedeb6e861101f991c9b2db0e53</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>boost::spirit::classic::chset&lt; char_t &gt;</type>
      <name>chset_t</name>
      <anchorfile>namespaceAIRINV.html</anchorfile>
      <anchor>0f8b752f7edf8cd1a9aad0bcba2aa8ab</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>boost::spirit::classic::impl::loop_traits&lt; chset_t, unsigned int, unsigned int &gt;::type</type>
      <name>repeat_p_t</name>
      <anchorfile>namespaceAIRINV.html</anchorfile>
      <anchor>bcf068404f720f6fa94cbd4906268541</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>boost::spirit::classic::bounded&lt; uint2_p_t, unsigned int &gt;</type>
      <name>bounded2_p_t</name>
      <anchorfile>namespaceAIRINV.html</anchorfile>
      <anchor>f716ae11afcd8823f760fd544967be67</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>boost::spirit::classic::bounded&lt; uint1_2_p_t, unsigned int &gt;</type>
      <name>bounded1_2_p_t</name>
      <anchorfile>namespaceAIRINV.html</anchorfile>
      <anchor>0074e52844926d61520ae716f3d5b8e8</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>boost::spirit::classic::bounded&lt; uint1_3_p_t, unsigned int &gt;</type>
      <name>bounded1_3_p_t</name>
      <anchorfile>namespaceAIRINV.html</anchorfile>
      <anchor>dd8420553253be18b6d74a6024d3665c</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>boost::spirit::classic::bounded&lt; uint4_p_t, unsigned int &gt;</type>
      <name>bounded4_p_t</name>
      <anchorfile>namespaceAIRINV.html</anchorfile>
      <anchor>5817b0b2f81c00a03ddd11b708a0b136</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>boost::spirit::classic::bounded&lt; uint1_4_p_t, unsigned int &gt;</type>
      <name>bounded1_4_p_t</name>
      <anchorfile>namespaceAIRINV.html</anchorfile>
      <anchor>7f7b130b44ae19e673dc5ce539bcfd57</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>std::set&lt; stdair::AirportCode_T &gt;</type>
      <name>AirportList_T</name>
      <anchorfile>namespaceAIRINV.html</anchorfile>
      <anchor>bf92de941adcb53276aa5b34d637a1bd</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>std::vector&lt; stdair::AirportCode_T &gt;</type>
      <name>AirportOrderedList_T</name>
      <anchorfile>namespaceAIRINV.html</anchorfile>
      <anchor>b0bdebf03522996536f32a6734ddfa60</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>std::vector&lt; BookingClassStruct &gt;</type>
      <name>BookingClassStructList_T</name>
      <anchorfile>namespaceAIRINV.html</anchorfile>
      <anchor>e7360aff593a58bdbad9a2035504c79b</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>std::vector&lt; BucketStruct &gt;</type>
      <name>BucketStructList_T</name>
      <anchorfile>namespaceAIRINV.html</anchorfile>
      <anchor>513786362486accca2e22229751aebb0</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>std::vector&lt; FareFamilyStruct &gt;</type>
      <name>FareFamilyStructList_T</name>
      <anchorfile>namespaceAIRINV.html</anchorfile>
      <anchor>0c28584389d8a1119e98b35a2012b616</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>std::vector&lt; LegCabinStruct &gt;</type>
      <name>LegCabinStructList_T</name>
      <anchorfile>namespaceAIRINV.html</anchorfile>
      <anchor>5d7f29a794a6c6697fdc3d2b789a133d</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>std::vector&lt; LegStruct &gt;</type>
      <name>LegStructList_T</name>
      <anchorfile>namespaceAIRINV.html</anchorfile>
      <anchor>a9159515b7c6e4a3e50105e795e1445e</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>std::vector&lt; SegmentCabinStruct &gt;</type>
      <name>SegmentCabinStructList_T</name>
      <anchorfile>namespaceAIRINV.html</anchorfile>
      <anchor>bf5eae219f36271b90c2e969493af601</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>std::vector&lt; SegmentStruct &gt;</type>
      <name>SegmentStructList_T</name>
      <anchorfile>namespaceAIRINV.html</anchorfile>
      <anchor>aaa932ddb17e71250cac9f9f22453c81</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>std::map&lt; const stdair::Date_T, stdair::SegmentCabin * &gt;</type>
      <name>DepartureDateSegmentCabinMap_T</name>
      <anchorfile>namespaceAIRINV.html</anchorfile>
      <anchor>9b7cbade2ba7df557f166518cb9d7c93</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>std::map&lt; const std::string, DepartureDateSegmentCabinMap_T &gt;</type>
      <name>SimilarSegmentCabinSetMap_T</name>
      <anchorfile>namespaceAIRINV.html</anchorfile>
      <anchor>f47f5818b969264ee3458dc53854ac27</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>boost::shared_ptr&lt; boost::thread &gt;</type>
      <name>ThreadShrPtr_T</name>
      <anchorfile>namespaceAIRINV.html</anchorfile>
      <anchor>4fc2127c3605218e3b8027377e832e0d</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>std::vector&lt; ThreadShrPtr_T &gt;</type>
      <name>ThreadShrPtrList_T</name>
      <anchorfile>namespaceAIRINV.html</anchorfile>
      <anchor>167515c02617babb9f1faa055b04768e</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>boost::shared_ptr&lt; Connection &gt;</type>
      <name>ConnectionShrPtr_T</name>
      <anchorfile>namespaceAIRINV.html</anchorfile>
      <anchor>fd0ec457789f75655328b256207eeeb9</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const std::string</type>
      <name>DEFAULT_AIRLINE_CODE</name>
      <anchorfile>namespaceAIRINV.html</anchorfile>
      <anchor>607a92b48df718208d3007cab57b0a8b</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const FRAT5Curve_T</type>
      <name>DEFAULT_PICKUP_FRAT5_CURVE</name>
      <anchorfile>namespaceAIRINV.html</anchorfile>
      <anchor>27549f2f55a0f6db6a070ad46ebdcacc</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const std::string</type>
      <name>DEFAULT_AIRLINE_CODE</name>
      <anchorfile>namespaceAIRINV.html</anchorfile>
      <anchor>607a92b48df718208d3007cab57b0a8b</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const FRAT5Curve_T</type>
      <name>DEFAULT_PICKUP_FRAT5_CURVE</name>
      <anchorfile>namespaceAIRINV.html</anchorfile>
      <anchor>27549f2f55a0f6db6a070ad46ebdcacc</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>AIRINV::AIRINV_Master_Service</name>
    <filename>classAIRINV_1_1AIRINV__Master__Service.html</filename>
    <member kind="function">
      <type></type>
      <name>AIRINV_Master_Service</name>
      <anchorfile>classAIRINV_1_1AIRINV__Master__Service.html</anchorfile>
      <anchor>84818f0a4c400a6d7a32da01d4486bb7</anchor>
      <arglist>(const stdair::BasLogParams &amp;, const stdair::BasDBParams &amp;)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>AIRINV_Master_Service</name>
      <anchorfile>classAIRINV_1_1AIRINV__Master__Service.html</anchorfile>
      <anchor>528485a58706f3946a5ede0ffb716aef</anchor>
      <arglist>(const stdair::BasLogParams &amp;)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>AIRINV_Master_Service</name>
      <anchorfile>classAIRINV_1_1AIRINV__Master__Service.html</anchorfile>
      <anchor>830a86b71caf7974fefa8166b2f94942</anchor>
      <arglist>(stdair::STDAIR_ServicePtr_T)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>AIRINV_Master_Service</name>
      <anchorfile>classAIRINV_1_1AIRINV__Master__Service.html</anchorfile>
      <anchor>26f23f5c71ecc2e759a220b5da99f796</anchor>
      <arglist>(stdair::STDAIR_ServicePtr_T, SEVMGR::SEVMGR_ServicePtr_T)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>parseAndLoad</name>
      <anchorfile>classAIRINV_1_1AIRINV__Master__Service.html</anchorfile>
      <anchor>aa241dda9e682c25719cb712ed314f2d</anchor>
      <arglist>(const InventoryFilePath &amp;)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>parseAndLoad</name>
      <anchorfile>classAIRINV_1_1AIRINV__Master__Service.html</anchorfile>
      <anchor>b1cb035c167063b36a76a2bdc20fd1b2</anchor>
      <arglist>(const stdair::ScheduleFilePath &amp;, const stdair::ODFilePath &amp;, const stdair::FRAT5FilePath &amp;, const stdair::FFDisutilityFilePath &amp;, const AIRRAC::YieldFilePath &amp;)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~AIRINV_Master_Service</name>
      <anchorfile>classAIRINV_1_1AIRINV__Master__Service.html</anchorfile>
      <anchor>b7e7128dbe349fa1269d623c168af7b5</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>initSnapshotAndRMEvents</name>
      <anchorfile>classAIRINV_1_1AIRINV__Master__Service.html</anchorfile>
      <anchor>9776200c33e08d75e2f15dbb28edf028</anchor>
      <arglist>(const stdair::Date_T &amp;, const stdair::Date_T &amp;)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>buildSampleBom</name>
      <anchorfile>classAIRINV_1_1AIRINV__Master__Service.html</anchorfile>
      <anchor>b5596bca774bd4cb63f9e517fa1fa670</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>clonePersistentBom</name>
      <anchorfile>classAIRINV_1_1AIRINV__Master__Service.html</anchorfile>
      <anchor>f92be21c9deb4cbd05d1968916ac2a92</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>buildComplementaryLinks</name>
      <anchorfile>classAIRINV_1_1AIRINV__Master__Service.html</anchorfile>
      <anchor>18b4ce8915dc131efbfe2deac3d0cf67</anchor>
      <arglist>(stdair::BomRoot &amp;)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>calculateAvailability</name>
      <anchorfile>classAIRINV_1_1AIRINV__Master__Service.html</anchorfile>
      <anchor>0bb4268049c9c591523b92944ddf61d0</anchor>
      <arglist>(stdair::TravelSolutionStruct &amp;)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>sell</name>
      <anchorfile>classAIRINV_1_1AIRINV__Master__Service.html</anchorfile>
      <anchor>f84065374ae278ccfa150479ba07a625</anchor>
      <arglist>(const std::string &amp;iSegmentDateKey, const stdair::ClassCode_T &amp;, const stdair::PartySize_T &amp;)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>sell</name>
      <anchorfile>classAIRINV_1_1AIRINV__Master__Service.html</anchorfile>
      <anchor>334af2f72acead8f476e37d4e622b78f</anchor>
      <arglist>(const stdair::BookingClassID_T &amp;, const stdair::PartySize_T &amp;)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>cancel</name>
      <anchorfile>classAIRINV_1_1AIRINV__Master__Service.html</anchorfile>
      <anchor>f81d9662a9e40f400936e28afc0d8d49</anchor>
      <arglist>(const std::string &amp;iSegmentDateKey, const stdair::ClassCode_T &amp;, const stdair::PartySize_T &amp;)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>cancel</name>
      <anchorfile>classAIRINV_1_1AIRINV__Master__Service.html</anchorfile>
      <anchor>c3b831b6564d462d23a56c2279e86cc6</anchor>
      <arglist>(const stdair::BookingClassID_T &amp;, const stdair::PartySize_T &amp;)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>takeSnapshots</name>
      <anchorfile>classAIRINV_1_1AIRINV__Master__Service.html</anchorfile>
      <anchor>1ca33895c659999115845b4433c6f89b</anchor>
      <arglist>(const stdair::SnapshotStruct &amp;)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>optimise</name>
      <anchorfile>classAIRINV_1_1AIRINV__Master__Service.html</anchorfile>
      <anchor>58a23d727558b7329abc3f382d7b08c6</anchor>
      <arglist>(const stdair::RMEventStruct &amp;)</arglist>
    </member>
    <member kind="function">
      <type>std::string</type>
      <name>jsonHandler</name>
      <anchorfile>classAIRINV_1_1AIRINV__Master__Service.html</anchorfile>
      <anchor>f4741857ab01d64d6cbf6b379c825c6f</anchor>
      <arglist>(const stdair::JSONString &amp;) const </arglist>
    </member>
    <member kind="function">
      <type>std::string</type>
      <name>jsonExportFlightDateList</name>
      <anchorfile>classAIRINV_1_1AIRINV__Master__Service.html</anchorfile>
      <anchor>568769329b21fc62f749f3d267f93fe6</anchor>
      <arglist>(const stdair::AirlineCode_T &amp;iAirlineCode=&quot;all&quot;, const stdair::FlightNumber_T &amp;iFlightNumber=0) const </arglist>
    </member>
    <member kind="function">
      <type>std::string</type>
      <name>jsonExportFlightDateObjects</name>
      <anchorfile>classAIRINV_1_1AIRINV__Master__Service.html</anchorfile>
      <anchor>62d164800e7b43e2c5f733ff67c794f3</anchor>
      <arglist>(const stdair::AirlineCode_T &amp;, const stdair::FlightNumber_T &amp;, const stdair::Date_T &amp;iDepartureDate) const </arglist>
    </member>
    <member kind="function">
      <type>std::string</type>
      <name>list</name>
      <anchorfile>classAIRINV_1_1AIRINV__Master__Service.html</anchorfile>
      <anchor>cc99bfcfacd6b7cf7a37dfd7fcea64e5</anchor>
      <arglist>(const stdair::AirlineCode_T &amp;iAirlineCode=&quot;all&quot;, const stdair::FlightNumber_T &amp;iFlightNumber=0) const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>check</name>
      <anchorfile>classAIRINV_1_1AIRINV__Master__Service.html</anchorfile>
      <anchor>b9e6621d4af76a4908abf820a91e39df</anchor>
      <arglist>(const stdair::AirlineCode_T &amp;, const stdair::FlightNumber_T &amp;, const stdair::Date_T &amp;iDepartureDate) const </arglist>
    </member>
    <member kind="function">
      <type>std::string</type>
      <name>csvDisplay</name>
      <anchorfile>classAIRINV_1_1AIRINV__Master__Service.html</anchorfile>
      <anchor>1e75d3555b4dc87a4a99404dd58e9662</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>std::string</type>
      <name>csvDisplay</name>
      <anchorfile>classAIRINV_1_1AIRINV__Master__Service.html</anchorfile>
      <anchor>8146ce734351df791393398707571aa2</anchor>
      <arglist>(const stdair::AirlineCode_T &amp;, const stdair::FlightNumber_T &amp;, const stdair::Date_T &amp;iDepartureDate) const </arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>AIRINV::AIRINV_Service</name>
    <filename>classAIRINV_1_1AIRINV__Service.html</filename>
    <member kind="function">
      <type></type>
      <name>AIRINV_Service</name>
      <anchorfile>classAIRINV_1_1AIRINV__Service.html</anchorfile>
      <anchor>20f8daca81814867dadff617e9d0545b</anchor>
      <arglist>(const stdair::BasLogParams &amp;, const stdair::BasDBParams &amp;)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>AIRINV_Service</name>
      <anchorfile>classAIRINV_1_1AIRINV__Service.html</anchorfile>
      <anchor>a852e092141d470d7fa95cfcc87d82f7</anchor>
      <arglist>(const stdair::BasLogParams &amp;)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>AIRINV_Service</name>
      <anchorfile>classAIRINV_1_1AIRINV__Service.html</anchorfile>
      <anchor>a63fb1de2b8e4399fa4eba1a70684d3f</anchor>
      <arglist>(stdair::STDAIR_ServicePtr_T)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>AIRINV_Service</name>
      <anchorfile>classAIRINV_1_1AIRINV__Service.html</anchorfile>
      <anchor>846da98409e71b154173861f6d3a89d7</anchor>
      <arglist>(stdair::STDAIR_ServicePtr_T, SEVMGR::SEVMGR_ServicePtr_T)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>parseAndLoad</name>
      <anchorfile>classAIRINV_1_1AIRINV__Service.html</anchorfile>
      <anchor>3a193ec785b05c96b073e95d97e7c25d</anchor>
      <arglist>(const AIRINV::InventoryFilePath &amp;)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>parseAndLoad</name>
      <anchorfile>classAIRINV_1_1AIRINV__Service.html</anchorfile>
      <anchor>3e2d7a502596f9d5205cb4da6505d996</anchor>
      <arglist>(const stdair::ScheduleFilePath &amp;, const stdair::ODFilePath &amp;, const stdair::FRAT5FilePath &amp;, const stdair::FFDisutilityFilePath &amp;, const AIRRAC::YieldFilePath &amp;)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~AIRINV_Service</name>
      <anchorfile>classAIRINV_1_1AIRINV__Service.html</anchorfile>
      <anchor>4cee180fc406843ccacc0b18baf7b8b2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>buildSampleBom</name>
      <anchorfile>classAIRINV_1_1AIRINV__Service.html</anchorfile>
      <anchor>1f7bb0c195913c9490a52a488f6a5445</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>clonePersistentBom</name>
      <anchorfile>classAIRINV_1_1AIRINV__Service.html</anchorfile>
      <anchor>cbf1adc23fd4a4934bf64c379aae13d8</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>buildComplementaryLinks</name>
      <anchorfile>classAIRINV_1_1AIRINV__Service.html</anchorfile>
      <anchor>7d8129458995fc1ef743e935f27db944</anchor>
      <arglist>(stdair::BomRoot &amp;)</arglist>
    </member>
    <member kind="function">
      <type>stdair::RMEventList_T</type>
      <name>initRMEvents</name>
      <anchorfile>classAIRINV_1_1AIRINV__Service.html</anchorfile>
      <anchor>7ab2f4954a8aeb855cfc3442291d117c</anchor>
      <arglist>(const stdair::Date_T &amp;iStartDate, const stdair::Date_T &amp;iEndDate)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>calculateAvailability</name>
      <anchorfile>classAIRINV_1_1AIRINV__Service.html</anchorfile>
      <anchor>3a4c535392c7435d1da45172907675ec</anchor>
      <arglist>(stdair::TravelSolutionStruct &amp;)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>sell</name>
      <anchorfile>classAIRINV_1_1AIRINV__Service.html</anchorfile>
      <anchor>b6c3acf3a00b274379cf0b824f41101c</anchor>
      <arglist>(const std::string &amp;iSegmentDateKey, const stdair::ClassCode_T &amp;, const stdair::PartySize_T &amp;)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>sell</name>
      <anchorfile>classAIRINV_1_1AIRINV__Service.html</anchorfile>
      <anchor>8440be8627540233fcf11cddbee01d1b</anchor>
      <arglist>(const stdair::BookingClassID_T &amp;, const stdair::PartySize_T &amp;)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>cancel</name>
      <anchorfile>classAIRINV_1_1AIRINV__Service.html</anchorfile>
      <anchor>0d7b6a7c94ad50578ee450d3be7d43fc</anchor>
      <arglist>(const std::string &amp;iSegmentDateKey, const stdair::ClassCode_T &amp;, const stdair::PartySize_T &amp;)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>cancel</name>
      <anchorfile>classAIRINV_1_1AIRINV__Service.html</anchorfile>
      <anchor>a53566f2fc5833b9093381731a440c93</anchor>
      <arglist>(const stdair::BookingClassID_T &amp;, const stdair::PartySize_T &amp;)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>takeSnapshots</name>
      <anchorfile>classAIRINV_1_1AIRINV__Service.html</anchorfile>
      <anchor>94bc6af0f94d74f4342b72f549fa2e53</anchor>
      <arglist>(const stdair::AirlineCode_T &amp;, const stdair::DateTime_T &amp;)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>optimise</name>
      <anchorfile>classAIRINV_1_1AIRINV__Service.html</anchorfile>
      <anchor>10df56ba35b79fda7e1d48455368fdb1</anchor>
      <arglist>(const stdair::AirlineCode_T &amp;, const stdair::KeyDescription_T &amp;, const stdair::DateTime_T &amp;)</arglist>
    </member>
    <member kind="function">
      <type>std::string</type>
      <name>jsonHandler</name>
      <anchorfile>classAIRINV_1_1AIRINV__Service.html</anchorfile>
      <anchor>8039dc04f60160802ab7c83bcc5d4939</anchor>
      <arglist>(const stdair::JSONString &amp;) const </arglist>
    </member>
    <member kind="function">
      <type>std::string</type>
      <name>jsonExportFlightDateList</name>
      <anchorfile>classAIRINV_1_1AIRINV__Service.html</anchorfile>
      <anchor>e5a05b8fbd02a7cc55a27bb39f0adbee</anchor>
      <arglist>(const stdair::AirlineCode_T &amp;iAirlineCode=&quot;all&quot;, const stdair::FlightNumber_T &amp;iFlightNumber=0) const </arglist>
    </member>
    <member kind="function">
      <type>std::string</type>
      <name>jsonExportFlightDateObjects</name>
      <anchorfile>classAIRINV_1_1AIRINV__Service.html</anchorfile>
      <anchor>62d51fd416ba931eaa398dfb7f6ae258</anchor>
      <arglist>(const stdair::AirlineCode_T &amp;, const stdair::FlightNumber_T &amp;, const stdair::Date_T &amp;iDepartureDate) const </arglist>
    </member>
    <member kind="function">
      <type>std::string</type>
      <name>list</name>
      <anchorfile>classAIRINV_1_1AIRINV__Service.html</anchorfile>
      <anchor>a641272c37e57f71369111fe4584938d</anchor>
      <arglist>(const stdair::AirlineCode_T &amp;iAirlineCode=&quot;all&quot;, const stdair::FlightNumber_T &amp;iFlightNumber=0) const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>check</name>
      <anchorfile>classAIRINV_1_1AIRINV__Service.html</anchorfile>
      <anchor>7006c4c480814b941e34d4392e1e9603</anchor>
      <arglist>(const stdair::AirlineCode_T &amp;, const stdair::FlightNumber_T &amp;, const stdair::Date_T &amp;iDepartureDate) const </arglist>
    </member>
    <member kind="function">
      <type>std::string</type>
      <name>csvDisplay</name>
      <anchorfile>classAIRINV_1_1AIRINV__Service.html</anchorfile>
      <anchor>de45f6d49e07742940e8815ad0513173</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>std::string</type>
      <name>csvDisplay</name>
      <anchorfile>classAIRINV_1_1AIRINV__Service.html</anchorfile>
      <anchor>0af65cac5be8d6382df46f1e33f6dcd2</anchor>
      <arglist>(const stdair::AirlineCode_T &amp;, const stdair::FlightNumber_T &amp;, const stdair::Date_T &amp;iDepartureDate) const </arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>AIRINV::InventoryFileParsingFailedException</name>
    <filename>classAIRINV_1_1InventoryFileParsingFailedException.html</filename>
    <base>stdair::ParsingFileFailedException</base>
    <member kind="function">
      <type></type>
      <name>InventoryFileParsingFailedException</name>
      <anchorfile>classAIRINV_1_1InventoryFileParsingFailedException.html</anchorfile>
      <anchor>c69e09e23123b5ef7e77eec8740013f5</anchor>
      <arglist>(const std::string &amp;iWhat)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>AIRINV::ScheduleFileParsingFailedException</name>
    <filename>classAIRINV_1_1ScheduleFileParsingFailedException.html</filename>
    <base>stdair::ParsingFileFailedException</base>
    <member kind="function">
      <type></type>
      <name>ScheduleFileParsingFailedException</name>
      <anchorfile>classAIRINV_1_1ScheduleFileParsingFailedException.html</anchorfile>
      <anchor>5a5ae06f5e117353838412dee06adbb6</anchor>
      <arglist>(const std::string &amp;iWhat)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>AIRINV::MissingPartnerFlightDateWithinScheduleFile</name>
    <filename>classAIRINV_1_1MissingPartnerFlightDateWithinScheduleFile.html</filename>
    <base>AIRINV::ScheduleFileParsingFailedException</base>
    <member kind="function">
      <type></type>
      <name>MissingPartnerFlightDateWithinScheduleFile</name>
      <anchorfile>classAIRINV_1_1MissingPartnerFlightDateWithinScheduleFile.html</anchorfile>
      <anchor>f9c77451848e6ada5fa2632d5c0ec0bf</anchor>
      <arglist>(const std::string &amp;iWhat)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>AIRINV::FRAT5FileParsingFailedException</name>
    <filename>classAIRINV_1_1FRAT5FileParsingFailedException.html</filename>
    <base>stdair::ParsingFileFailedException</base>
    <member kind="function">
      <type></type>
      <name>FRAT5FileParsingFailedException</name>
      <anchorfile>classAIRINV_1_1FRAT5FileParsingFailedException.html</anchorfile>
      <anchor>d4eb183104e55cd98058ffd8428b29c0</anchor>
      <arglist>(const std::string &amp;iWhat)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>AIRINV::FFDisutilityFileParsingFailedException</name>
    <filename>classAIRINV_1_1FFDisutilityFileParsingFailedException.html</filename>
    <base>stdair::ParsingFileFailedException</base>
    <member kind="function">
      <type></type>
      <name>FFDisutilityFileParsingFailedException</name>
      <anchorfile>classAIRINV_1_1FFDisutilityFileParsingFailedException.html</anchorfile>
      <anchor>85a7378d6f9a9382bd6f052c45918de3</anchor>
      <arglist>(const std::string &amp;iWhat)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>AIRINV::SegmentDateNotFoundException</name>
    <filename>classAIRINV_1_1SegmentDateNotFoundException.html</filename>
    <base>stdair::ParserException</base>
    <member kind="function">
      <type></type>
      <name>SegmentDateNotFoundException</name>
      <anchorfile>classAIRINV_1_1SegmentDateNotFoundException.html</anchorfile>
      <anchor>c0d5c5749e49729f0ab32fada34f0049</anchor>
      <arglist>(const std::string &amp;iWhat)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>AIRINV::InventoryInputFileNotFoundException</name>
    <filename>classAIRINV_1_1InventoryInputFileNotFoundException.html</filename>
    <base>stdair::FileNotFoundException</base>
    <member kind="function">
      <type></type>
      <name>InventoryInputFileNotFoundException</name>
      <anchorfile>classAIRINV_1_1InventoryInputFileNotFoundException.html</anchorfile>
      <anchor>93e6c0819332f8a1018ddf471cb09d87</anchor>
      <arglist>(const std::string &amp;iWhat)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>AIRINV::ScheduleInputFileNotFoundException</name>
    <filename>classAIRINV_1_1ScheduleInputFileNotFoundException.html</filename>
    <base>stdair::FileNotFoundException</base>
    <member kind="function">
      <type></type>
      <name>ScheduleInputFileNotFoundException</name>
      <anchorfile>classAIRINV_1_1ScheduleInputFileNotFoundException.html</anchorfile>
      <anchor>e604bb80990d306909905209a9b91cdc</anchor>
      <arglist>(const std::string &amp;iWhat)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>AIRINV::FRAT5InputFileNotFoundException</name>
    <filename>classAIRINV_1_1FRAT5InputFileNotFoundException.html</filename>
    <base>stdair::FileNotFoundException</base>
    <member kind="function">
      <type></type>
      <name>FRAT5InputFileNotFoundException</name>
      <anchorfile>classAIRINV_1_1FRAT5InputFileNotFoundException.html</anchorfile>
      <anchor>9d0d1691d8f9c9b1a51db60af2935945</anchor>
      <arglist>(const std::string &amp;iWhat)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>AIRINV::FFDisutilityInputFileNotFoundException</name>
    <filename>classAIRINV_1_1FFDisutilityInputFileNotFoundException.html</filename>
    <base>stdair::FileNotFoundException</base>
    <member kind="function">
      <type></type>
      <name>FFDisutilityInputFileNotFoundException</name>
      <anchorfile>classAIRINV_1_1FFDisutilityInputFileNotFoundException.html</anchorfile>
      <anchor>d5394e9df83289b0a48d5ddcfdfaeef1</anchor>
      <arglist>(const std::string &amp;iWhat)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>AIRINV::FlightDateDuplicationException</name>
    <filename>classAIRINV_1_1FlightDateDuplicationException.html</filename>
    <base>stdair::ObjectCreationgDuplicationException</base>
    <member kind="function">
      <type></type>
      <name>FlightDateDuplicationException</name>
      <anchorfile>classAIRINV_1_1FlightDateDuplicationException.html</anchorfile>
      <anchor>5e00874f067d870368acff20aaacd64a</anchor>
      <arglist>(const std::string &amp;iWhat)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>AIRINV::BookingException</name>
    <filename>classAIRINV_1_1BookingException.html</filename>
    <base>stdair::RootException</base>
  </compound>
  <compound kind="class">
    <name>AIRINV::InventoryNotFoundException</name>
    <filename>classAIRINV_1_1InventoryNotFoundException.html</filename>
    <base>stdair::ObjectNotFoundException</base>
    <member kind="function">
      <type></type>
      <name>InventoryNotFoundException</name>
      <anchorfile>classAIRINV_1_1InventoryNotFoundException.html</anchorfile>
      <anchor>e8f5c4819459784f342e16faf704de7b</anchor>
      <arglist>(const std::string &amp;iWhat)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>AIRINV::FlightDateNotFoundException</name>
    <filename>classAIRINV_1_1FlightDateNotFoundException.html</filename>
    <base>stdair::ObjectNotFoundException</base>
    <member kind="function">
      <type></type>
      <name>FlightDateNotFoundException</name>
      <anchorfile>classAIRINV_1_1FlightDateNotFoundException.html</anchorfile>
      <anchor>8bc5214658e1f2f3f9c7fd2ee8dd45aa</anchor>
      <arglist>(const std::string &amp;iWhat)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>AIRINV::InventoryFilePath</name>
    <filename>classAIRINV_1_1InventoryFilePath.html</filename>
    <base>stdair::InputFilePath</base>
    <member kind="function">
      <type></type>
      <name>InventoryFilePath</name>
      <anchorfile>classAIRINV_1_1InventoryFilePath.html</anchorfile>
      <anchor>447a6cc5e883f35c16a0e64ddec2d068</anchor>
      <arglist>(const stdair::Filename_T &amp;iFilename)</arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>AIRINV::DefaultMap</name>
    <filename>structAIRINV_1_1DefaultMap.html</filename>
    <member kind="function" static="yes">
      <type>static FRAT5Curve_T</type>
      <name>createPickupFRAT5Curve</name>
      <anchorfile>structAIRINV_1_1DefaultMap.html</anchorfile>
      <anchor>f039e57888a1dc63c344a1cd1ce4308e</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>AIRINV::FlightTypeCode</name>
    <filename>structAIRINV_1_1FlightTypeCode.html</filename>
    <base>stdair::StructAbstract</base>
    <member kind="enumvalue">
      <type>@</type>
      <name>DOMESTIC</name>
      <anchorfile>structAIRINV_1_1FlightTypeCode.html</anchorfile>
      <anchor>86de241798b5597e39cf4669f3ec156c052a071559ff8558d1ab96594e8a2f55</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <type>@</type>
      <name>INTERNATIONAL</name>
      <anchorfile>structAIRINV_1_1FlightTypeCode.html</anchorfile>
      <anchor>86de241798b5597e39cf4669f3ec156c91c95a3ab0d262320afe651379b80253</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <type>@</type>
      <name>GROUND_HANDLING</name>
      <anchorfile>structAIRINV_1_1FlightTypeCode.html</anchorfile>
      <anchor>86de241798b5597e39cf4669f3ec156c65a88d2d2fcbd6aefe7858dce5766495</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <type>@</type>
      <name>LAST_VALUE</name>
      <anchorfile>structAIRINV_1_1FlightTypeCode.html</anchorfile>
      <anchor>86de241798b5597e39cf4669f3ec156c8a969df464018758da06845181c67d69</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumeration">
      <name>EN_FlightTypeCode</name>
      <anchor>86de241798b5597e39cf4669f3ec156c</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>DOMESTIC</name>
      <anchor>86de241798b5597e39cf4669f3ec156c052a071559ff8558d1ab96594e8a2f55</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>INTERNATIONAL</name>
      <anchor>86de241798b5597e39cf4669f3ec156c91c95a3ab0d262320afe651379b80253</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GROUND_HANDLING</name>
      <anchor>86de241798b5597e39cf4669f3ec156c65a88d2d2fcbd6aefe7858dce5766495</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>LAST_VALUE</name>
      <anchor>86de241798b5597e39cf4669f3ec156c8a969df464018758da06845181c67d69</anchor>
      <arglist></arglist>
    </member>
    <member kind="function">
      <type>EN_FlightTypeCode</type>
      <name>getCode</name>
      <anchorfile>structAIRINV_1_1FlightTypeCode.html</anchorfile>
      <anchor>1a79c98109d55780d0574f2a1aa4262a</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>const std::string</type>
      <name>describe</name>
      <anchorfile>structAIRINV_1_1FlightTypeCode.html</anchorfile>
      <anchor>5a78a0fac721461eced6442a668d6aa2</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>FlightTypeCode</name>
      <anchorfile>structAIRINV_1_1FlightTypeCode.html</anchorfile>
      <anchor>ac9fdc9c170d4189263e97725c683f74</anchor>
      <arglist>(const EN_FlightTypeCode &amp;)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>FlightTypeCode</name>
      <anchorfile>structAIRINV_1_1FlightTypeCode.html</anchorfile>
      <anchor>fffde026cf48a01133aea576806cd9ba</anchor>
      <arglist>(const std::string &amp;iCode)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static const std::string &amp;</type>
      <name>getLabel</name>
      <anchorfile>structAIRINV_1_1FlightTypeCode.html</anchorfile>
      <anchor>e8e28afc9683bb4542f510e5ab4af3a2</anchor>
      <arglist>(const EN_FlightTypeCode &amp;)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static const std::string &amp;</type>
      <name>getCodeLabel</name>
      <anchorfile>structAIRINV_1_1FlightTypeCode.html</anchorfile>
      <anchor>0ab45058b86e6e6391f61791235a1b2c</anchor>
      <arglist>(const EN_FlightTypeCode &amp;)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static std::string</type>
      <name>describeLabels</name>
      <anchorfile>structAIRINV_1_1FlightTypeCode.html</anchorfile>
      <anchor>a22f689ee9865d21922ab61eaafc41ea</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>AIRINV::FlightVisibilityCode</name>
    <filename>structAIRINV_1_1FlightVisibilityCode.html</filename>
    <base>stdair::StructAbstract</base>
    <member kind="enumvalue">
      <type>@</type>
      <name>NORMAL</name>
      <anchorfile>structAIRINV_1_1FlightVisibilityCode.html</anchorfile>
      <anchor>8e82a897bdfcc482da06d93985922d834fc8f89ab33a20a9f01a1a5c7bb691f3</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <type>@</type>
      <name>HIDDEN</name>
      <anchorfile>structAIRINV_1_1FlightVisibilityCode.html</anchorfile>
      <anchor>8e82a897bdfcc482da06d93985922d83c117319e614086ced253a3970fc61b1f</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <type>@</type>
      <name>PSEUDO</name>
      <anchorfile>structAIRINV_1_1FlightVisibilityCode.html</anchorfile>
      <anchor>8e82a897bdfcc482da06d93985922d836ababfc64d7603f5a144f49d4594ac6d</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <type>@</type>
      <name>LAST_VALUE</name>
      <anchorfile>structAIRINV_1_1FlightVisibilityCode.html</anchorfile>
      <anchor>8e82a897bdfcc482da06d93985922d839921eaffae3f5bf2721183c504458345</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumeration">
      <name>EN_FlightVisibilityCode</name>
      <anchor>8e82a897bdfcc482da06d93985922d83</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>NORMAL</name>
      <anchor>8e82a897bdfcc482da06d93985922d834fc8f89ab33a20a9f01a1a5c7bb691f3</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>HIDDEN</name>
      <anchor>8e82a897bdfcc482da06d93985922d83c117319e614086ced253a3970fc61b1f</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>PSEUDO</name>
      <anchor>8e82a897bdfcc482da06d93985922d836ababfc64d7603f5a144f49d4594ac6d</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>LAST_VALUE</name>
      <anchor>8e82a897bdfcc482da06d93985922d839921eaffae3f5bf2721183c504458345</anchor>
      <arglist></arglist>
    </member>
    <member kind="function">
      <type>EN_FlightVisibilityCode</type>
      <name>getCode</name>
      <anchorfile>structAIRINV_1_1FlightVisibilityCode.html</anchorfile>
      <anchor>ae206cc7d9c8396ac16bf23353c03ef0</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>const std::string</type>
      <name>describe</name>
      <anchorfile>structAIRINV_1_1FlightVisibilityCode.html</anchorfile>
      <anchor>add3a748508a207b3c1032bfc89e4581</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>FlightVisibilityCode</name>
      <anchorfile>structAIRINV_1_1FlightVisibilityCode.html</anchorfile>
      <anchor>9b01d9d77e39c419cd491d37f3fb5d4f</anchor>
      <arglist>(const EN_FlightVisibilityCode &amp;)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>FlightVisibilityCode</name>
      <anchorfile>structAIRINV_1_1FlightVisibilityCode.html</anchorfile>
      <anchor>142505d26bde5b5c30b3cf9f9fb66b32</anchor>
      <arglist>(const std::string &amp;iCode)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static const std::string &amp;</type>
      <name>getLabel</name>
      <anchorfile>structAIRINV_1_1FlightVisibilityCode.html</anchorfile>
      <anchor>0061f17124a904727bd78b4ae98ed05e</anchor>
      <arglist>(const EN_FlightVisibilityCode &amp;)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static const std::string &amp;</type>
      <name>getCodeLabel</name>
      <anchorfile>structAIRINV_1_1FlightVisibilityCode.html</anchorfile>
      <anchor>232cf95464579f5e4d329b3c32450ee5</anchor>
      <arglist>(const EN_FlightVisibilityCode &amp;)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static std::string</type>
      <name>describeLabels</name>
      <anchorfile>structAIRINV_1_1FlightVisibilityCode.html</anchorfile>
      <anchor>ae6cb2d3362ebe3d098546b8dde74440</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>AIRINV::BomAbstract</name>
    <filename>classAIRINV_1_1BomAbstract.html</filename>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>toStream</name>
      <anchorfile>classAIRINV_1_1BomAbstract.html</anchorfile>
      <anchor>692a0c995d7bfabba8c027c57316a196</anchor>
      <arglist>(std::ostream &amp;ioOut) const =0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>fromStream</name>
      <anchorfile>classAIRINV_1_1BomAbstract.html</anchorfile>
      <anchor>08be8b94fc17de3b3e46f776061dfff9</anchor>
      <arglist>(std::istream &amp;ioIn)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual std::string</type>
      <name>toString</name>
      <anchorfile>classAIRINV_1_1BomAbstract.html</anchorfile>
      <anchor>cf75b7b33c4668c85b3ce619c358c87d</anchor>
      <arglist>() const =0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual std::string</type>
      <name>describeKey</name>
      <anchorfile>classAIRINV_1_1BomAbstract.html</anchorfile>
      <anchor>e237f6e7af0f1379a15184927e87ce8c</anchor>
      <arglist>() const =0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual std::string</type>
      <name>describeShortKey</name>
      <anchorfile>classAIRINV_1_1BomAbstract.html</anchorfile>
      <anchor>41c496ee62d67e00d3b22d1d99b19996</anchor>
      <arglist>() const =0</arglist>
    </member>
    <member kind="function" protection="protected">
      <type></type>
      <name>BomAbstract</name>
      <anchorfile>classAIRINV_1_1BomAbstract.html</anchorfile>
      <anchor>b26ee25f5ff10259365f1f0f418f6f88</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected">
      <type></type>
      <name>BomAbstract</name>
      <anchorfile>classAIRINV_1_1BomAbstract.html</anchorfile>
      <anchor>456b56be363971e0e3a97739097502fd</anchor>
      <arglist>(const BomAbstract &amp;)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual</type>
      <name>~BomAbstract</name>
      <anchorfile>classAIRINV_1_1BomAbstract.html</anchorfile>
      <anchor>2a340101f8f6bdd38aef3fff8215cc26</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="friend" protection="private">
      <type>friend class</type>
      <name>FacBomAbstract</name>
      <anchorfile>classAIRINV_1_1BomAbstract.html</anchorfile>
      <anchor>451697f63d43b5e4b9b1a7b5972e609b</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>AIRINV::BomRootHelper</name>
    <filename>classAIRINV_1_1BomRootHelper.html</filename>
    <member kind="function" static="yes">
      <type>static void</type>
      <name>fillFromRouting</name>
      <anchorfile>classAIRINV_1_1BomRootHelper.html</anchorfile>
      <anchor>04330d573baff4dda6574a21291d141a</anchor>
      <arglist>(const stdair::BomRoot &amp;)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>AIRINV::BookingClassHelper</name>
    <filename>classAIRINV_1_1BookingClassHelper.html</filename>
  </compound>
  <compound kind="struct">
    <name>AIRINV::BookingClassStruct</name>
    <filename>structAIRINV_1_1BookingClassStruct.html</filename>
    <base>stdair::StructAbstract</base>
    <member kind="function">
      <type>stdair::ClassCode_T</type>
      <name>getFullSubclassCode</name>
      <anchorfile>structAIRINV_1_1BookingClassStruct.html</anchorfile>
      <anchor>d2f6711ecb280944e72823f019e5def7</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>fill</name>
      <anchorfile>structAIRINV_1_1BookingClassStruct.html</anchorfile>
      <anchor>e5c754d29bf78118a7d8f6858f61b1c3</anchor>
      <arglist>(stdair::BookingClass &amp;) const </arglist>
    </member>
    <member kind="function">
      <type>const std::string</type>
      <name>describe</name>
      <anchorfile>structAIRINV_1_1BookingClassStruct.html</anchorfile>
      <anchor>79a8021d58ae64014421f9ba558e05b5</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>BookingClassStruct</name>
      <anchorfile>structAIRINV_1_1BookingClassStruct.html</anchorfile>
      <anchor>23de536c8cd0bb52f5a77f8814af0fa0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="variable">
      <type>stdair::ClassCode_T</type>
      <name>_classCode</name>
      <anchorfile>structAIRINV_1_1BookingClassStruct.html</anchorfile>
      <anchor>45687d97862e13bd00b5fcfa72d4c546</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>stdair::SubclassCode_T</type>
      <name>_subclassCode</name>
      <anchorfile>structAIRINV_1_1BookingClassStruct.html</anchorfile>
      <anchor>2dfd1b7e0dbd26debc1e1b872913dc4d</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>stdair::ClassCode_T</type>
      <name>_parentClassCode</name>
      <anchorfile>structAIRINV_1_1BookingClassStruct.html</anchorfile>
      <anchor>171a8976975912d8c8978dc186238a1d</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>stdair::SubclassCode_T</type>
      <name>_parentSubclassCode</name>
      <anchorfile>structAIRINV_1_1BookingClassStruct.html</anchorfile>
      <anchor>153799cc9ecf25b7349b338df7106caa</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>stdair::AuthorizationLevel_T</type>
      <name>_cumulatedProtection</name>
      <anchorfile>structAIRINV_1_1BookingClassStruct.html</anchorfile>
      <anchor>329febc627cf259bf51d3bc0476b7bc1</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>stdair::AuthorizationLevel_T</type>
      <name>_protection</name>
      <anchorfile>structAIRINV_1_1BookingClassStruct.html</anchorfile>
      <anchor>ee4f761c255349275f9b9bb5167027b5</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>stdair::NbOfSeats_T</type>
      <name>_nego</name>
      <anchorfile>structAIRINV_1_1BookingClassStruct.html</anchorfile>
      <anchor>0f44ba417690da5c852dff12cdcbf70c</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>stdair::OverbookingRate_T</type>
      <name>_noShowPercentage</name>
      <anchorfile>structAIRINV_1_1BookingClassStruct.html</anchorfile>
      <anchor>4ee5406c65075076c90bc1a07c7aad0d</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>stdair::OverbookingRate_T</type>
      <name>_overbookingPercentage</name>
      <anchorfile>structAIRINV_1_1BookingClassStruct.html</anchorfile>
      <anchor>2156f25c7c66116d9685f44fbd342c61</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>stdair::NbOfBookings_T</type>
      <name>_nbOfBookings</name>
      <anchorfile>structAIRINV_1_1BookingClassStruct.html</anchorfile>
      <anchor>bd3eea3427b53772f798c5e41b5e76b8</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>stdair::NbOfBookings_T</type>
      <name>_nbOfGroupBookings</name>
      <anchorfile>structAIRINV_1_1BookingClassStruct.html</anchorfile>
      <anchor>9da4474b4ea6647cab39c061b3c3f056</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>stdair::NbOfBookings_T</type>
      <name>_nbOfPendingGroupBookings</name>
      <anchorfile>structAIRINV_1_1BookingClassStruct.html</anchorfile>
      <anchor>133ba9a316ee8e2d1852b536b1def5a2</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>stdair::NbOfBookings_T</type>
      <name>_nbOfStaffBookings</name>
      <anchorfile>structAIRINV_1_1BookingClassStruct.html</anchorfile>
      <anchor>3a266b68baaafdde7212f3bf42ed8e09</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>stdair::NbOfBookings_T</type>
      <name>_nbOfWLBookings</name>
      <anchorfile>structAIRINV_1_1BookingClassStruct.html</anchorfile>
      <anchor>9c16875274b183887dcbe891e6c7c24e</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>stdair::NbOfBookings_T</type>
      <name>_etb</name>
      <anchorfile>structAIRINV_1_1BookingClassStruct.html</anchorfile>
      <anchor>627b2e6d0758bcbef519b59d9967755f</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>stdair::Availability_T</type>
      <name>_netClassAvailability</name>
      <anchorfile>structAIRINV_1_1BookingClassStruct.html</anchorfile>
      <anchor>0879977dc7ae12c7bf5fd3b65797c4f1</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>stdair::Availability_T</type>
      <name>_segmentAvailability</name>
      <anchorfile>structAIRINV_1_1BookingClassStruct.html</anchorfile>
      <anchor>253a331871a1e9a8471f067c62112ea7</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>stdair::Availability_T</type>
      <name>_netRevenueAvailability</name>
      <anchorfile>structAIRINV_1_1BookingClassStruct.html</anchorfile>
      <anchor>d01b3331f185bb96a4d8e0cc2e07ff99</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>AIRINV::BucketStruct</name>
    <filename>structAIRINV_1_1BucketStruct.html</filename>
    <base>stdair::StructAbstract</base>
    <member kind="function">
      <type>void</type>
      <name>fill</name>
      <anchorfile>structAIRINV_1_1BucketStruct.html</anchorfile>
      <anchor>8c60643cead23f29af75fd521f0a07e3</anchor>
      <arglist>(stdair::Bucket &amp;) const </arglist>
    </member>
    <member kind="function">
      <type>const std::string</type>
      <name>describe</name>
      <anchorfile>structAIRINV_1_1BucketStruct.html</anchorfile>
      <anchor>1e0dcca1f49b7fbaccf3ae5327c97098</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>BucketStruct</name>
      <anchorfile>structAIRINV_1_1BucketStruct.html</anchorfile>
      <anchor>5d8a6536f51d9c0733c0ce40ed8349bb</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="variable">
      <type>stdair::Yield_T</type>
      <name>_yieldRangeUpperValue</name>
      <anchorfile>structAIRINV_1_1BucketStruct.html</anchorfile>
      <anchor>9ab76ec25d01a0f4fd93bb41e3454f42</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>stdair::CabinCapacity_T</type>
      <name>_availability</name>
      <anchorfile>structAIRINV_1_1BucketStruct.html</anchorfile>
      <anchor>2d8f08a6ff3ffc03b53a263f96320e47</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>stdair::NbOfSeats_T</type>
      <name>_nbOfSeats</name>
      <anchorfile>structAIRINV_1_1BucketStruct.html</anchorfile>
      <anchor>6c2312711ac6397d8c8d193d6bcfa7c7</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>stdair::SeatIndex_T</type>
      <name>_seatIndex</name>
      <anchorfile>structAIRINV_1_1BucketStruct.html</anchorfile>
      <anchor>8e934d9851d20ea51726a28384c93e7d</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>AIRINV::DCPEventStruct</name>
    <filename>structAIRINV_1_1DCPEventStruct.html</filename>
    <base>stdair::StructAbstract</base>
    <member kind="function">
      <type></type>
      <name>DCPEventStruct</name>
      <anchorfile>structAIRINV_1_1DCPEventStruct.html</anchorfile>
      <anchor>b7bf21b0e0846d8ae56bf13322f1cef0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>stdair::Date_T</type>
      <name>getDate</name>
      <anchorfile>structAIRINV_1_1DCPEventStruct.html</anchorfile>
      <anchor>b55796a492ddc7bd2ec86e69491a7feb</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>stdair::Duration_T</type>
      <name>getTime</name>
      <anchorfile>structAIRINV_1_1DCPEventStruct.html</anchorfile>
      <anchor>297ec7c50dc50a362ec004f41b1b116e</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>const std::string</type>
      <name>describe</name>
      <anchorfile>structAIRINV_1_1DCPEventStruct.html</anchorfile>
      <anchor>1508f0b6c8a0c2471ed8fa79868fca45</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>const unsigned int</type>
      <name>getAirlineListSize</name>
      <anchorfile>structAIRINV_1_1DCPEventStruct.html</anchorfile>
      <anchor>9b7fdce3ad642d577f8577003987fd49</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>const unsigned int</type>
      <name>getClassCodeListSize</name>
      <anchorfile>structAIRINV_1_1DCPEventStruct.html</anchorfile>
      <anchor>a1b34de0bcfdb630033e86305260b85d</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>const stdair::AirlineCode_T &amp;</type>
      <name>getFirstAirlineCode</name>
      <anchorfile>structAIRINV_1_1DCPEventStruct.html</anchorfile>
      <anchor>013b7c4713c3517e7fb76e0d5f90482c</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>beginAirline</name>
      <anchorfile>structAIRINV_1_1DCPEventStruct.html</anchorfile>
      <anchor>7347330b78239bbddb59cf67ae451828</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>hasNotReachedEndAirline</name>
      <anchorfile>structAIRINV_1_1DCPEventStruct.html</anchorfile>
      <anchor>668dda32a5f6c511f59e1b4de068c17e</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>stdair::AirlineCode_T</type>
      <name>getCurrentAirlineCode</name>
      <anchorfile>structAIRINV_1_1DCPEventStruct.html</anchorfile>
      <anchor>5c4ed006beafbd4b4a51892b80376666</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>iterateAirline</name>
      <anchorfile>structAIRINV_1_1DCPEventStruct.html</anchorfile>
      <anchor>7897fbb45bebd73f6d8fd47ff9e5d8f7</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>const std::string &amp;</type>
      <name>getFirstClassCode</name>
      <anchorfile>structAIRINV_1_1DCPEventStruct.html</anchorfile>
      <anchor>a78f3f9a3c85bea56238cbd8c3a5806d</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>beginClassCode</name>
      <anchorfile>structAIRINV_1_1DCPEventStruct.html</anchorfile>
      <anchor>e35284439b55cdb0c3cc1afe32877420</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>hasNotReachedEndClassCode</name>
      <anchorfile>structAIRINV_1_1DCPEventStruct.html</anchorfile>
      <anchor>c080a870f9c2dfddcd10db17a30af36c</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>std::string</type>
      <name>getCurrentClassCode</name>
      <anchorfile>structAIRINV_1_1DCPEventStruct.html</anchorfile>
      <anchor>5caf9101bc2fe79c6af80901ffec644b</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>iterateClassCode</name>
      <anchorfile>structAIRINV_1_1DCPEventStruct.html</anchorfile>
      <anchor>830517a486c909388db81a0adb06b818</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="variable">
      <type>stdair::year_t</type>
      <name>_itYear</name>
      <anchorfile>structAIRINV_1_1DCPEventStruct.html</anchorfile>
      <anchor>31881b59c57c29558098dd3ef042f0be</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>stdair::month_t</type>
      <name>_itMonth</name>
      <anchorfile>structAIRINV_1_1DCPEventStruct.html</anchorfile>
      <anchor>85f67f31b6a9a0f28c68d78376ab988f</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>stdair::day_t</type>
      <name>_itDay</name>
      <anchorfile>structAIRINV_1_1DCPEventStruct.html</anchorfile>
      <anchor>b0fe49c7e062e28c1bafd8453c9f54ce</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>stdair::hour_t</type>
      <name>_itHours</name>
      <anchorfile>structAIRINV_1_1DCPEventStruct.html</anchorfile>
      <anchor>8b69fc2ba48cf57186b11c4e1253c077</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>stdair::minute_t</type>
      <name>_itMinutes</name>
      <anchorfile>structAIRINV_1_1DCPEventStruct.html</anchorfile>
      <anchor>c1f1fc7891aa9aa5fc91dd9d1bd4e7b1</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>stdair::second_t</type>
      <name>_itSeconds</name>
      <anchorfile>structAIRINV_1_1DCPEventStruct.html</anchorfile>
      <anchor>55d8e4c3cb71261ee42e84db4ae181dc</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>stdair::AirlineCodeList_T::iterator</type>
      <name>_itCurrentAirlineCode</name>
      <anchorfile>structAIRINV_1_1DCPEventStruct.html</anchorfile>
      <anchor>19d48633a93b43ffda565b3e77f2e367</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>stdair::ClassList_StringList_T::iterator</type>
      <name>_itCurrentClassCode</name>
      <anchorfile>structAIRINV_1_1DCPEventStruct.html</anchorfile>
      <anchor>18cb82dd0e74a2e0e9048db094d78739</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>stdair::AirportCode_T</type>
      <name>_origin</name>
      <anchorfile>structAIRINV_1_1DCPEventStruct.html</anchorfile>
      <anchor>640330d98d4b9d3373e9eb019346da7f</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>stdair::AirportCode_T</type>
      <name>_destination</name>
      <anchorfile>structAIRINV_1_1DCPEventStruct.html</anchorfile>
      <anchor>89cd53e5f1cbda98a4b079ccf4d01828</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>stdair::Date_T</type>
      <name>_dateRangeStart</name>
      <anchorfile>structAIRINV_1_1DCPEventStruct.html</anchorfile>
      <anchor>21cdfcf6aa564b9ee9298f519fc189ed</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>stdair::Date_T</type>
      <name>_dateRangeEnd</name>
      <anchorfile>structAIRINV_1_1DCPEventStruct.html</anchorfile>
      <anchor>42992b95ab754101907e6cf03292e4f0</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>stdair::Duration_T</type>
      <name>_timeRangeStart</name>
      <anchorfile>structAIRINV_1_1DCPEventStruct.html</anchorfile>
      <anchor>ccc5e9bfe422b811d832e63d20d70bd6</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>stdair::Duration_T</type>
      <name>_timeRangeEnd</name>
      <anchorfile>structAIRINV_1_1DCPEventStruct.html</anchorfile>
      <anchor>e5329b25d75307bcae97f96ce0069840</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>stdair::CabinCode_T</type>
      <name>_cabinCode</name>
      <anchorfile>structAIRINV_1_1DCPEventStruct.html</anchorfile>
      <anchor>98b8ed8d244548f149be629adadc6a16</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>stdair::CityCode_T</type>
      <name>_pos</name>
      <anchorfile>structAIRINV_1_1DCPEventStruct.html</anchorfile>
      <anchor>c4675e2d66f3955ee930c11e305641b6</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>stdair::ChannelLabel_T</type>
      <name>_channel</name>
      <anchorfile>structAIRINV_1_1DCPEventStruct.html</anchorfile>
      <anchor>b9344489d28d9847cee7a3a740ea30ad</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>stdair::DayDuration_T</type>
      <name>_advancePurchase</name>
      <anchorfile>structAIRINV_1_1DCPEventStruct.html</anchorfile>
      <anchor>d28e53f4d7372f91273a6373544f093c</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>stdair::SaturdayStay_T</type>
      <name>_saturdayStay</name>
      <anchorfile>structAIRINV_1_1DCPEventStruct.html</anchorfile>
      <anchor>7fd34d1247be350bafc877f5563f71b4</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>stdair::ChangeFees_T</type>
      <name>_changeFees</name>
      <anchorfile>structAIRINV_1_1DCPEventStruct.html</anchorfile>
      <anchor>7a2f5586317b78464be79602c97ad0e6</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>stdair::NonRefundable_T</type>
      <name>_nonRefundable</name>
      <anchorfile>structAIRINV_1_1DCPEventStruct.html</anchorfile>
      <anchor>ae1f704101019fc87a0d7c065d12d220</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>stdair::DayDuration_T</type>
      <name>_minimumStay</name>
      <anchorfile>structAIRINV_1_1DCPEventStruct.html</anchorfile>
      <anchor>51f4c6d5d05d04b8b1898e3eec6db2f4</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>stdair::PriceValue_T</type>
      <name>_DCP</name>
      <anchorfile>structAIRINV_1_1DCPEventStruct.html</anchorfile>
      <anchor>3ba57931794f4ca96880bad2330c5e4a</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>stdair::AirlineCode_T</type>
      <name>_airlineCode</name>
      <anchorfile>structAIRINV_1_1DCPEventStruct.html</anchorfile>
      <anchor>7b8046716ae070117e119e0b1e617dc6</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>stdair::ClassCode_T</type>
      <name>_classCode</name>
      <anchorfile>structAIRINV_1_1DCPEventStruct.html</anchorfile>
      <anchor>fd7643ede6f078f4677d19e00ea424f3</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>stdair::AirlineCodeList_T</type>
      <name>_airlineCodeList</name>
      <anchorfile>structAIRINV_1_1DCPEventStruct.html</anchorfile>
      <anchor>1e31d08152fba817f415416365cc6922</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>stdair::ClassList_StringList_T</type>
      <name>_classCodeList</name>
      <anchorfile>structAIRINV_1_1DCPEventStruct.html</anchorfile>
      <anchor>e86d36204e4514c2727ca72e2745cae8</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>AIRINV::FareFamilyStruct</name>
    <filename>structAIRINV_1_1FareFamilyStruct.html</filename>
    <base>stdair::StructAbstract</base>
    <member kind="function">
      <type></type>
      <name>FareFamilyStruct</name>
      <anchorfile>structAIRINV_1_1FareFamilyStruct.html</anchorfile>
      <anchor>4db69d472a768d5cf8c10f26a7c73da8</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>FareFamilyStruct</name>
      <anchorfile>structAIRINV_1_1FareFamilyStruct.html</anchorfile>
      <anchor>3d56f1cbc8ba6b666ff73491d1dc3f6f</anchor>
      <arglist>(const stdair::FamilyCode_T &amp;, const stdair::CurveKey_T &amp;, const stdair::CurveKey_T &amp;, const stdair::ClassList_String_T &amp;)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>fill</name>
      <anchorfile>structAIRINV_1_1FareFamilyStruct.html</anchorfile>
      <anchor>fb6ffcb7bf7af07201c1047c0769d35a</anchor>
      <arglist>(stdair::FareFamily &amp;) const </arglist>
    </member>
    <member kind="function">
      <type>const std::string</type>
      <name>describe</name>
      <anchorfile>structAIRINV_1_1FareFamilyStruct.html</anchorfile>
      <anchor>06967df09e208877a76996bf7d1c72cb</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="variable">
      <type>stdair::FamilyCode_T</type>
      <name>_familyCode</name>
      <anchorfile>structAIRINV_1_1FareFamilyStruct.html</anchorfile>
      <anchor>5da977de135ed8add83d02f075adc670</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>stdair::CurveKey_T</type>
      <name>_frat5CurveKey</name>
      <anchorfile>structAIRINV_1_1FareFamilyStruct.html</anchorfile>
      <anchor>f9c4644efea82b3d3d7f11dcced33f08</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>stdair::CurveKey_T</type>
      <name>_ffDisutilityCurveKey</name>
      <anchorfile>structAIRINV_1_1FareFamilyStruct.html</anchorfile>
      <anchor>b82b768bc3149c9978c8e366ef1aac23</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>stdair::ClassList_String_T</type>
      <name>_classes</name>
      <anchorfile>structAIRINV_1_1FareFamilyStruct.html</anchorfile>
      <anchor>009e50029f456d65c091c75401af461f</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>BookingClassStructList_T</type>
      <name>_classList</name>
      <anchorfile>structAIRINV_1_1FareFamilyStruct.html</anchorfile>
      <anchor>c0c4512b197266278e485ada2fad1282</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>AIRINV::FFDisutilityStruct</name>
    <filename>structAIRINV_1_1FFDisutilityStruct.html</filename>
    <base>stdair::StructAbstract</base>
    <member kind="function">
      <type>const std::string</type>
      <name>describe</name>
      <anchorfile>structAIRINV_1_1FFDisutilityStruct.html</anchorfile>
      <anchor>d39666afa02e2555f396b2a687e04e40</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>FFDisutilityStruct</name>
      <anchorfile>structAIRINV_1_1FFDisutilityStruct.html</anchorfile>
      <anchor>bbc3381bbe33e637be231b4b98891453</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~FFDisutilityStruct</name>
      <anchorfile>structAIRINV_1_1FFDisutilityStruct.html</anchorfile>
      <anchor>5aef059326c90b13730fb6118ce667db</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="variable">
      <type>std::string</type>
      <name>_key</name>
      <anchorfile>structAIRINV_1_1FFDisutilityStruct.html</anchorfile>
      <anchor>2baa83c9e83171432e186bee5456e787</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>stdair::FFDisutilityCurve_T</type>
      <name>_curve</name>
      <anchorfile>structAIRINV_1_1FFDisutilityStruct.html</anchorfile>
      <anchor>4e4694deb7800c7c96fd3bab5ed25c9d</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>stdair::DTD_T</type>
      <name>_dtd</name>
      <anchorfile>structAIRINV_1_1FFDisutilityStruct.html</anchorfile>
      <anchor>32266154b1a3083c0d9094fbad930cfb</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>AIRINV::FlightDateHelper</name>
    <filename>classAIRINV_1_1FlightDateHelper.html</filename>
    <member kind="function" static="yes">
      <type>static void</type>
      <name>fillFromRouting</name>
      <anchorfile>classAIRINV_1_1FlightDateHelper.html</anchorfile>
      <anchor>4b924461e8fec4b63aab0cec370007b0</anchor>
      <arglist>(const stdair::FlightDate &amp;)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static void</type>
      <name>updateAvailability</name>
      <anchorfile>classAIRINV_1_1FlightDateHelper.html</anchorfile>
      <anchor>9ef9164a36388382914385efbf69a11b</anchor>
      <arglist>(const stdair::FlightDate &amp;, const stdair::SegmentCabin &amp;, const stdair::PartySize_T &amp;iNbOfBookings)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static void</type>
      <name>updateAvailabilityPool</name>
      <anchorfile>classAIRINV_1_1FlightDateHelper.html</anchorfile>
      <anchor>0bf21e511f65f4c1ace584588b59bf1a</anchor>
      <arglist>(const stdair::FlightDate &amp;, const stdair::CabinCode_T &amp;)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static void</type>
      <name>recalculateAvailability</name>
      <anchorfile>classAIRINV_1_1FlightDateHelper.html</anchorfile>
      <anchor>b1d2c9c26dc47c9c48897e5a4ec83f18</anchor>
      <arglist>(const stdair::FlightDate &amp;, const stdair::CabinCode_T &amp;)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static void</type>
      <name>updateBookingControls</name>
      <anchorfile>classAIRINV_1_1FlightDateHelper.html</anchorfile>
      <anchor>53ec91c5ff30dadeb2c4e32845e57e54</anchor>
      <arglist>(stdair::FlightDate &amp;)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static void</type>
      <name>recalculateAvailability</name>
      <anchorfile>classAIRINV_1_1FlightDateHelper.html</anchorfile>
      <anchor>328c6f8d8d7f40ab18669a6a65859828</anchor>
      <arglist>(const stdair::FlightDate &amp;)</arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>AIRINV::FlightDateStruct</name>
    <filename>structAIRINV_1_1FlightDateStruct.html</filename>
    <base>stdair::StructAbstract</base>
    <member kind="function">
      <type>stdair::Date_T</type>
      <name>getDate</name>
      <anchorfile>structAIRINV_1_1FlightDateStruct.html</anchorfile>
      <anchor>740d3932d96d3f814afd4a4507a7ceca</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>stdair::Duration_T</type>
      <name>getTime</name>
      <anchorfile>structAIRINV_1_1FlightDateStruct.html</anchorfile>
      <anchor>78437d4cb7a6042b408460e08b3b19cc</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>const std::string</type>
      <name>describe</name>
      <anchorfile>structAIRINV_1_1FlightDateStruct.html</anchorfile>
      <anchor>25fb07fc41a40b0c40a7151fb8983b15</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>addAirport</name>
      <anchorfile>structAIRINV_1_1FlightDateStruct.html</anchorfile>
      <anchor>63790f9a801a7185512ff48eda4da757</anchor>
      <arglist>(const stdair::AirportCode_T &amp;)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>buildSegments</name>
      <anchorfile>structAIRINV_1_1FlightDateStruct.html</anchorfile>
      <anchor>bc9773091b1605a113af6b924bad2a8e</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>addSegmentCabin</name>
      <anchorfile>structAIRINV_1_1FlightDateStruct.html</anchorfile>
      <anchor>27d43d5f220707dcfe83d90ed1b2a5dc</anchor>
      <arglist>(const SegmentStruct &amp;, const SegmentCabinStruct &amp;)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>addSegmentCabin</name>
      <anchorfile>structAIRINV_1_1FlightDateStruct.html</anchorfile>
      <anchor>9e2240285fe5682514f6b3c74f199d79</anchor>
      <arglist>(const SegmentCabinStruct &amp;)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>addFareFamily</name>
      <anchorfile>structAIRINV_1_1FlightDateStruct.html</anchorfile>
      <anchor>9e3b1c9136b625b281ff1eb4f3624a10</anchor>
      <arglist>(const SegmentStruct &amp;, const SegmentCabinStruct &amp;, const FareFamilyStruct &amp;)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>addFareFamily</name>
      <anchorfile>structAIRINV_1_1FlightDateStruct.html</anchorfile>
      <anchor>8d5c675a2d446c330696ae203b8a7e4e</anchor>
      <arglist>(const SegmentCabinStruct &amp;, const FareFamilyStruct &amp;)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>FlightDateStruct</name>
      <anchorfile>structAIRINV_1_1FlightDateStruct.html</anchorfile>
      <anchor>7f8f5202d0f60cb2a2f3ab9d473fb687</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="variable">
      <type>stdair::AirlineCode_T</type>
      <name>_airlineCode</name>
      <anchorfile>structAIRINV_1_1FlightDateStruct.html</anchorfile>
      <anchor>0a7748051fdb095363675b011df2d88c</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>stdair::FlightNumber_T</type>
      <name>_flightNumber</name>
      <anchorfile>structAIRINV_1_1FlightDateStruct.html</anchorfile>
      <anchor>45a4cd1037ede9e797ec1920b6c1b8a8</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>stdair::Date_T</type>
      <name>_flightDate</name>
      <anchorfile>structAIRINV_1_1FlightDateStruct.html</anchorfile>
      <anchor>5d475b4ddbc57e8f577a8af2430233d6</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>FlightTypeCode</type>
      <name>_flightTypeCode</name>
      <anchorfile>structAIRINV_1_1FlightDateStruct.html</anchorfile>
      <anchor>17bceaf6e898343b761418189261d353</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>FlightVisibilityCode</type>
      <name>_flightVisibilityCode</name>
      <anchorfile>structAIRINV_1_1FlightDateStruct.html</anchorfile>
      <anchor>6fbcbf03a635a58d1494a56d7b44c459</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>LegStructList_T</type>
      <name>_legList</name>
      <anchorfile>structAIRINV_1_1FlightDateStruct.html</anchorfile>
      <anchor>34ace137de84f8a3f3bc09c5418653dc</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>SegmentStructList_T</type>
      <name>_segmentList</name>
      <anchorfile>structAIRINV_1_1FlightDateStruct.html</anchorfile>
      <anchor>4f6a51277a0652ec7d2c28b6608e3070</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>unsigned int</type>
      <name>_itYear</name>
      <anchorfile>structAIRINV_1_1FlightDateStruct.html</anchorfile>
      <anchor>fb95504e22f57cc4044d90b0d0c23473</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>unsigned int</type>
      <name>_itMonth</name>
      <anchorfile>structAIRINV_1_1FlightDateStruct.html</anchorfile>
      <anchor>0a0df51aff2d07e115d82a4a39bdccc1</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>unsigned int</type>
      <name>_itDay</name>
      <anchorfile>structAIRINV_1_1FlightDateStruct.html</anchorfile>
      <anchor>bfc9656e004a0f9655f91a492cba32d1</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>int</type>
      <name>_dateOffSet</name>
      <anchorfile>structAIRINV_1_1FlightDateStruct.html</anchorfile>
      <anchor>63b102ab504982a6f92c767ffd61effa</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>long</type>
      <name>_itHours</name>
      <anchorfile>structAIRINV_1_1FlightDateStruct.html</anchorfile>
      <anchor>41298facb3579c2b57968a5c8f522855</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>long</type>
      <name>_itMinutes</name>
      <anchorfile>structAIRINV_1_1FlightDateStruct.html</anchorfile>
      <anchor>3e859bfbeb400cdbf5bf07888eae84a4</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>long</type>
      <name>_itSeconds</name>
      <anchorfile>structAIRINV_1_1FlightDateStruct.html</anchorfile>
      <anchor>492bf5ef61b89897f89029924c7eb997</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>AirportList_T</type>
      <name>_airportList</name>
      <anchorfile>structAIRINV_1_1FlightDateStruct.html</anchorfile>
      <anchor>d0028320cbac967bd3cfd01081180d9c</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>AirportOrderedList_T</type>
      <name>_airportOrderedList</name>
      <anchorfile>structAIRINV_1_1FlightDateStruct.html</anchorfile>
      <anchor>6da4c56c507f65ce785e8f2264456ec4</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>bool</type>
      <name>_legAlreadyDefined</name>
      <anchorfile>structAIRINV_1_1FlightDateStruct.html</anchorfile>
      <anchor>2e819dcc01798954d7a760163046e015</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>LegStruct</type>
      <name>_itLeg</name>
      <anchorfile>structAIRINV_1_1FlightDateStruct.html</anchorfile>
      <anchor>6c7bce277e823dc33e5a851f5beae89f</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>LegCabinStruct</type>
      <name>_itLegCabin</name>
      <anchorfile>structAIRINV_1_1FlightDateStruct.html</anchorfile>
      <anchor>380c2239278f8239bb96dca6928f1a60</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>BucketStruct</type>
      <name>_itBucket</name>
      <anchorfile>structAIRINV_1_1FlightDateStruct.html</anchorfile>
      <anchor>d226c733a2e27287a204129fe5b1b1f8</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>bool</type>
      <name>_areSegmentDefinitionsSpecific</name>
      <anchorfile>structAIRINV_1_1FlightDateStruct.html</anchorfile>
      <anchor>7e9592cae393d27c341ccc47fa954a27</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>SegmentStruct</type>
      <name>_itSegment</name>
      <anchorfile>structAIRINV_1_1FlightDateStruct.html</anchorfile>
      <anchor>cd35e6e48590c84cd395d031fee071f7</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>SegmentCabinStruct</type>
      <name>_itSegmentCabin</name>
      <anchorfile>structAIRINV_1_1FlightDateStruct.html</anchorfile>
      <anchor>0431ef16a79346f2bf88b1a1d9313537</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>BookingClassStruct</type>
      <name>_itBookingClass</name>
      <anchorfile>structAIRINV_1_1FlightDateStruct.html</anchorfile>
      <anchor>4ebe375ddbc3f81cccfb12c592544c75</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>AIRINV::FlightPeriodStruct</name>
    <filename>structAIRINV_1_1FlightPeriodStruct.html</filename>
    <base>stdair::StructAbstract</base>
    <member kind="function">
      <type>stdair::Date_T</type>
      <name>getDate</name>
      <anchorfile>structAIRINV_1_1FlightPeriodStruct.html</anchorfile>
      <anchor>31a38090395fbc6883f4a21656eebaef</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>stdair::Duration_T</type>
      <name>getTime</name>
      <anchorfile>structAIRINV_1_1FlightPeriodStruct.html</anchorfile>
      <anchor>95dd8697df42e9daad41edf04cbc6b1a</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>const std::string</type>
      <name>describe</name>
      <anchorfile>structAIRINV_1_1FlightPeriodStruct.html</anchorfile>
      <anchor>e139263a5906fead35a628cc9bb82248</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>addAirport</name>
      <anchorfile>structAIRINV_1_1FlightPeriodStruct.html</anchorfile>
      <anchor>1864228372252ea2d7ce2d8b7cb876bc</anchor>
      <arglist>(const stdair::AirportCode_T &amp;)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>buildSegments</name>
      <anchorfile>structAIRINV_1_1FlightPeriodStruct.html</anchorfile>
      <anchor>0abc730bcf4a9a32789ba15b8c28ba33</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>addSegmentCabin</name>
      <anchorfile>structAIRINV_1_1FlightPeriodStruct.html</anchorfile>
      <anchor>806dd73165d2783e0d0ee632621498ca</anchor>
      <arglist>(const SegmentStruct &amp;, const SegmentCabinStruct &amp;)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>addSegmentCabin</name>
      <anchorfile>structAIRINV_1_1FlightPeriodStruct.html</anchorfile>
      <anchor>8f25b1a7bd3cee78c6b74273e14b550f</anchor>
      <arglist>(const SegmentCabinStruct &amp;)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>addFareFamily</name>
      <anchorfile>structAIRINV_1_1FlightPeriodStruct.html</anchorfile>
      <anchor>54379bb6eb162055347b53b894061a34</anchor>
      <arglist>(const SegmentStruct &amp;, const SegmentCabinStruct &amp;, const FareFamilyStruct &amp;)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>addFareFamily</name>
      <anchorfile>structAIRINV_1_1FlightPeriodStruct.html</anchorfile>
      <anchor>021d0c4521fa17d828d477490eaf7c2b</anchor>
      <arglist>(const SegmentCabinStruct &amp;, const FareFamilyStruct &amp;)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>FlightPeriodStruct</name>
      <anchorfile>structAIRINV_1_1FlightPeriodStruct.html</anchorfile>
      <anchor>d1ee6c98663fbe12495530814bee4c21</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="variable">
      <type>stdair::AirlineCode_T</type>
      <name>_airlineCode</name>
      <anchorfile>structAIRINV_1_1FlightPeriodStruct.html</anchorfile>
      <anchor>52987935d4fe31e1be4e41da8c23db9f</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>stdair::FlightNumber_T</type>
      <name>_flightNumber</name>
      <anchorfile>structAIRINV_1_1FlightPeriodStruct.html</anchorfile>
      <anchor>ed162aa7fa6cdc335ece8f312f0584a6</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>stdair::DatePeriod_T</type>
      <name>_dateRange</name>
      <anchorfile>structAIRINV_1_1FlightPeriodStruct.html</anchorfile>
      <anchor>8d1ae40523dcb9e985e5f016ffc32cea</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>stdair::DoWStruct</type>
      <name>_dow</name>
      <anchorfile>structAIRINV_1_1FlightPeriodStruct.html</anchorfile>
      <anchor>9da37fd7b011bfb50022b36f32824b40</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>LegStructList_T</type>
      <name>_legList</name>
      <anchorfile>structAIRINV_1_1FlightPeriodStruct.html</anchorfile>
      <anchor>921861fbb8517963cddb278627e6ca8e</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>SegmentStructList_T</type>
      <name>_segmentList</name>
      <anchorfile>structAIRINV_1_1FlightPeriodStruct.html</anchorfile>
      <anchor>58219cda61b37f0cda9c74458883fe5f</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>bool</type>
      <name>_legAlreadyDefined</name>
      <anchorfile>structAIRINV_1_1FlightPeriodStruct.html</anchorfile>
      <anchor>51a538da80f31a68b365e971fd79cadd</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>LegStruct</type>
      <name>_itLeg</name>
      <anchorfile>structAIRINV_1_1FlightPeriodStruct.html</anchorfile>
      <anchor>4e548f587475e3e2c761439c84423b74</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>LegCabinStruct</type>
      <name>_itLegCabin</name>
      <anchorfile>structAIRINV_1_1FlightPeriodStruct.html</anchorfile>
      <anchor>3b0e4f0cf6d47984d792e063a6109ba6</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>stdair::Date_T</type>
      <name>_dateRangeStart</name>
      <anchorfile>structAIRINV_1_1FlightPeriodStruct.html</anchorfile>
      <anchor>42963cde123ab33e0596d5833c7fe058</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>stdair::Date_T</type>
      <name>_dateRangeEnd</name>
      <anchorfile>structAIRINV_1_1FlightPeriodStruct.html</anchorfile>
      <anchor>cc7815717866edd867a83b74ba15d514</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>unsigned int</type>
      <name>_itYear</name>
      <anchorfile>structAIRINV_1_1FlightPeriodStruct.html</anchorfile>
      <anchor>93241ee202cc6a2b7f6bb694174d4336</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>unsigned int</type>
      <name>_itMonth</name>
      <anchorfile>structAIRINV_1_1FlightPeriodStruct.html</anchorfile>
      <anchor>fa639c322930e23f88cd2cbd4f9018d7</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>unsigned int</type>
      <name>_itDay</name>
      <anchorfile>structAIRINV_1_1FlightPeriodStruct.html</anchorfile>
      <anchor>22c60aa3dedac40a1243331c82f3ae3b</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>int</type>
      <name>_dateOffset</name>
      <anchorfile>structAIRINV_1_1FlightPeriodStruct.html</anchorfile>
      <anchor>ee313ab4485f62132921abc529f0264d</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>long</type>
      <name>_itHours</name>
      <anchorfile>structAIRINV_1_1FlightPeriodStruct.html</anchorfile>
      <anchor>300c84d02c6f2557a619000198eaef18</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>long</type>
      <name>_itMinutes</name>
      <anchorfile>structAIRINV_1_1FlightPeriodStruct.html</anchorfile>
      <anchor>05173b6e8a706cada974645f55390fd7</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>long</type>
      <name>_itSeconds</name>
      <anchorfile>structAIRINV_1_1FlightPeriodStruct.html</anchorfile>
      <anchor>67887c73d8081b4b0d2614fc5ad6a7db</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>AirportList_T</type>
      <name>_airportList</name>
      <anchorfile>structAIRINV_1_1FlightPeriodStruct.html</anchorfile>
      <anchor>93fabd201d6d2f5a00b6b991fdf5c144</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>AirportOrderedList_T</type>
      <name>_airportOrderedList</name>
      <anchorfile>structAIRINV_1_1FlightPeriodStruct.html</anchorfile>
      <anchor>cfd32bd91518943b22a3a61863becb29</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>bool</type>
      <name>_areSegmentDefinitionsSpecific</name>
      <anchorfile>structAIRINV_1_1FlightPeriodStruct.html</anchorfile>
      <anchor>d74563f57e0f2eee9c8deef94b626783</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>SegmentStruct</type>
      <name>_itSegment</name>
      <anchorfile>structAIRINV_1_1FlightPeriodStruct.html</anchorfile>
      <anchor>cfdc418db59656486c2b9114394e2d34</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>SegmentCabinStruct</type>
      <name>_itSegmentCabin</name>
      <anchorfile>structAIRINV_1_1FlightPeriodStruct.html</anchorfile>
      <anchor>99c58448de1a214686101804031561c9</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>AIRINV::FRAT5Struct</name>
    <filename>structAIRINV_1_1FRAT5Struct.html</filename>
    <base>stdair::StructAbstract</base>
    <member kind="function">
      <type>const std::string</type>
      <name>describe</name>
      <anchorfile>structAIRINV_1_1FRAT5Struct.html</anchorfile>
      <anchor>03c422a6dee51c229ed6202e38283dc7</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>FRAT5Struct</name>
      <anchorfile>structAIRINV_1_1FRAT5Struct.html</anchorfile>
      <anchor>7f31addca29d0c319400185b6c859900</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~FRAT5Struct</name>
      <anchorfile>structAIRINV_1_1FRAT5Struct.html</anchorfile>
      <anchor>a0d125dd162438228572718c2cd70e44</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="variable">
      <type>std::string</type>
      <name>_key</name>
      <anchorfile>structAIRINV_1_1FRAT5Struct.html</anchorfile>
      <anchor>8c8c39e137bf34392f40c7eefcbb0687</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>stdair::FRAT5Curve_T</type>
      <name>_curve</name>
      <anchorfile>structAIRINV_1_1FRAT5Struct.html</anchorfile>
      <anchor>974976113c47fce71b1d099197354295</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>stdair::DTD_T</type>
      <name>_dtd</name>
      <anchorfile>structAIRINV_1_1FRAT5Struct.html</anchorfile>
      <anchor>926d8c7454d9dca4819f01567e6c79cd</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>AIRINV::InventoryHelper</name>
    <filename>classAIRINV_1_1InventoryHelper.html</filename>
    <member kind="function" static="yes">
      <type>static void</type>
      <name>fillFromRouting</name>
      <anchorfile>classAIRINV_1_1InventoryHelper.html</anchorfile>
      <anchor>8615b1e82695700e411503df7955e99e</anchor>
      <arglist>(const stdair::Inventory &amp;)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static void</type>
      <name>calculateAvailability</name>
      <anchorfile>classAIRINV_1_1InventoryHelper.html</anchorfile>
      <anchor>d543f059a0c63cf2c90bd175a5e76ef3</anchor>
      <arglist>(const stdair::Inventory &amp;, const std::string &amp;, stdair::TravelSolutionStruct &amp;)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static void</type>
      <name>getYieldAndBidPrice</name>
      <anchorfile>classAIRINV_1_1InventoryHelper.html</anchorfile>
      <anchor>4d59750138c716f73ca98301e1cc1704</anchor>
      <arglist>(const stdair::Inventory &amp;, const std::string &amp;, stdair::TravelSolutionStruct &amp;)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static bool</type>
      <name>sell</name>
      <anchorfile>classAIRINV_1_1InventoryHelper.html</anchorfile>
      <anchor>a71841fa217798421124a44ecddddffc</anchor>
      <arglist>(stdair::Inventory &amp;, const std::string &amp;iSegmentDateKey, const stdair::ClassCode_T &amp;, const stdair::PartySize_T &amp;)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static bool</type>
      <name>sell</name>
      <anchorfile>classAIRINV_1_1InventoryHelper.html</anchorfile>
      <anchor>46ecb284bdfbdb0bc9afed09464b6c24</anchor>
      <arglist>(const stdair::BookingClassID_T &amp;, const stdair::PartySize_T &amp;)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static bool</type>
      <name>cancel</name>
      <anchorfile>classAIRINV_1_1InventoryHelper.html</anchorfile>
      <anchor>dd1f0193735550eed6cb973f1e469d84</anchor>
      <arglist>(stdair::Inventory &amp;, const std::string &amp;iSegmentDateKey, const stdair::ClassCode_T &amp;, const stdair::PartySize_T &amp;)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static bool</type>
      <name>cancel</name>
      <anchorfile>classAIRINV_1_1InventoryHelper.html</anchorfile>
      <anchor>6f1036b73dd70fd3825057c0aa1b0134</anchor>
      <arglist>(const stdair::BookingClassID_T &amp;, const stdair::PartySize_T &amp;)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static void</type>
      <name>takeSnapshots</name>
      <anchorfile>classAIRINV_1_1InventoryHelper.html</anchorfile>
      <anchor>b22a8c48a0f651e851b650fe519d584e</anchor>
      <arglist>(const stdair::Inventory &amp;, const stdair::DateTime_T &amp;)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>AIRINV::LegCabinHelper</name>
    <filename>classAIRINV_1_1LegCabinHelper.html</filename>
  </compound>
  <compound kind="struct">
    <name>AIRINV::LegCabinStruct</name>
    <filename>structAIRINV_1_1LegCabinStruct.html</filename>
    <base>stdair::StructAbstract</base>
    <member kind="function">
      <type>void</type>
      <name>fill</name>
      <anchorfile>structAIRINV_1_1LegCabinStruct.html</anchorfile>
      <anchor>6b408a2c48b0facb097d9b9b5b4d53f5</anchor>
      <arglist>(stdair::LegCabin &amp;) const </arglist>
    </member>
    <member kind="function">
      <type>const std::string</type>
      <name>describe</name>
      <anchorfile>structAIRINV_1_1LegCabinStruct.html</anchorfile>
      <anchor>2b5038fa75bb813791c31cf01b9900ea</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="variable">
      <type>stdair::CabinCode_T</type>
      <name>_cabinCode</name>
      <anchorfile>structAIRINV_1_1LegCabinStruct.html</anchorfile>
      <anchor>6c72f8333ca0ee76d4d52c2f039c195a</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>stdair::CabinCapacity_T</type>
      <name>_saleableCapacity</name>
      <anchorfile>structAIRINV_1_1LegCabinStruct.html</anchorfile>
      <anchor>0308ab3baf794388e7fa4a71a62ee597</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>stdair::CapacityAdjustment_T</type>
      <name>_adjustment</name>
      <anchorfile>structAIRINV_1_1LegCabinStruct.html</anchorfile>
      <anchor>9420c707a30cafcf049aefb7bd0b1817</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>stdair::CapacityAdjustment_T</type>
      <name>_dcsRegrade</name>
      <anchorfile>structAIRINV_1_1LegCabinStruct.html</anchorfile>
      <anchor>a0c894e6a674cd53b9d7058d1775216e</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>stdair::AuthorizationLevel_T</type>
      <name>_au</name>
      <anchorfile>structAIRINV_1_1LegCabinStruct.html</anchorfile>
      <anchor>09177b7fd0e59edf41f122f5f690249c</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>stdair::Availability_T</type>
      <name>_avPool</name>
      <anchorfile>structAIRINV_1_1LegCabinStruct.html</anchorfile>
      <anchor>a2a72a0d3b98f3c9f3764b842c5cc7fb</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>stdair::UPR_T</type>
      <name>_upr</name>
      <anchorfile>structAIRINV_1_1LegCabinStruct.html</anchorfile>
      <anchor>ee426247228d546f5281d718be734ff0</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>stdair::NbOfBookings_T</type>
      <name>_nbOfBookings</name>
      <anchorfile>structAIRINV_1_1LegCabinStruct.html</anchorfile>
      <anchor>4d2ae8ab65c22f2d3f33c2f8b5588100</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>stdair::Availability_T</type>
      <name>_nav</name>
      <anchorfile>structAIRINV_1_1LegCabinStruct.html</anchorfile>
      <anchor>22a96a9d0f276d37aef7610bf69606c3</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>stdair::Availability_T</type>
      <name>_gav</name>
      <anchorfile>structAIRINV_1_1LegCabinStruct.html</anchorfile>
      <anchor>33ad0bce5991078a4d626f54fe1af04b</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>stdair::OverbookingRate_T</type>
      <name>_acp</name>
      <anchorfile>structAIRINV_1_1LegCabinStruct.html</anchorfile>
      <anchor>59e3bdae41eabec1d2a24185efcde5c6</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>stdair::NbOfBookings_T</type>
      <name>_etb</name>
      <anchorfile>structAIRINV_1_1LegCabinStruct.html</anchorfile>
      <anchor>db7589bc5eae18f3835cd9e4e0945265</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>stdair::NbOfBookings_T</type>
      <name>_staffNbOfBookings</name>
      <anchorfile>structAIRINV_1_1LegCabinStruct.html</anchorfile>
      <anchor>fd44d40c74596a9b25ecf9cc12e0a334</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>stdair::NbOfBookings_T</type>
      <name>_wlNbOfBookings</name>
      <anchorfile>structAIRINV_1_1LegCabinStruct.html</anchorfile>
      <anchor>61a61d89ba7e4fda02fe8c98b3eb30cd</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>stdair::NbOfBookings_T</type>
      <name>_groupNbOfBookings</name>
      <anchorfile>structAIRINV_1_1LegCabinStruct.html</anchorfile>
      <anchor>d8b2cca0ab2ce74219382c7f5e4e6d31</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>BucketStructList_T</type>
      <name>_bucketList</name>
      <anchorfile>structAIRINV_1_1LegCabinStruct.html</anchorfile>
      <anchor>54ba1b3e4a8fb99481a881630eb905bf</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>AIRINV::LegStruct</name>
    <filename>structAIRINV_1_1LegStruct.html</filename>
    <base>stdair::StructAbstract</base>
    <member kind="function">
      <type>void</type>
      <name>fill</name>
      <anchorfile>structAIRINV_1_1LegStruct.html</anchorfile>
      <anchor>d7e6020a3ee38c21006d66d6dca19ca2</anchor>
      <arglist>(const stdair::Date_T &amp;iRefDate, stdair::LegDate &amp;) const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>fill</name>
      <anchorfile>structAIRINV_1_1LegStruct.html</anchorfile>
      <anchor>3ffcd6bd0279b291029c9b518d162e02</anchor>
      <arglist>(stdair::LegDate &amp;) const </arglist>
    </member>
    <member kind="function">
      <type>const std::string</type>
      <name>describe</name>
      <anchorfile>structAIRINV_1_1LegStruct.html</anchorfile>
      <anchor>f6725b0ef5d0a0c41fc54d09f43646d3</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>LegStruct</name>
      <anchorfile>structAIRINV_1_1LegStruct.html</anchorfile>
      <anchor>ce21be9ef871d9c4cd04680f5bd0f7c6</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="variable">
      <type>stdair::AirlineCode_T</type>
      <name>_airlineCode</name>
      <anchorfile>structAIRINV_1_1LegStruct.html</anchorfile>
      <anchor>a0ea0aaa5b847c9d1f2dbb4a69f5f9e4</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>stdair::FlightNumber_T</type>
      <name>_flightNumber</name>
      <anchorfile>structAIRINV_1_1LegStruct.html</anchorfile>
      <anchor>b79ff76450104ae7d9e755f3c2fc0e0d</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>stdair::AirportCode_T</type>
      <name>_boardingPoint</name>
      <anchorfile>structAIRINV_1_1LegStruct.html</anchorfile>
      <anchor>1c7e86290e0e2f3a9ee1671505fcf53c</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>stdair::DateOffset_T</type>
      <name>_boardingDateOffset</name>
      <anchorfile>structAIRINV_1_1LegStruct.html</anchorfile>
      <anchor>54b3b0fe7e0ad0c686fc3e1b2c178803</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>stdair::Date_T</type>
      <name>_boardingDate</name>
      <anchorfile>structAIRINV_1_1LegStruct.html</anchorfile>
      <anchor>a221d2bebf4676299c3dbcd22b21cc2e</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>stdair::Duration_T</type>
      <name>_boardingTime</name>
      <anchorfile>structAIRINV_1_1LegStruct.html</anchorfile>
      <anchor>10be6d86f0cbbff3a90f7f4288bb08bb</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>stdair::AirportCode_T</type>
      <name>_offPoint</name>
      <anchorfile>structAIRINV_1_1LegStruct.html</anchorfile>
      <anchor>3d09d0dd1af6d2d7afa45a52f6bd11e2</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>stdair::DateOffset_T</type>
      <name>_offDateOffset</name>
      <anchorfile>structAIRINV_1_1LegStruct.html</anchorfile>
      <anchor>f0dc07a1dbacd6564381b4435cc044a4</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>stdair::Date_T</type>
      <name>_offDate</name>
      <anchorfile>structAIRINV_1_1LegStruct.html</anchorfile>
      <anchor>a0acb3c6e6432a4a610e46f493d8986d</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>stdair::Duration_T</type>
      <name>_offTime</name>
      <anchorfile>structAIRINV_1_1LegStruct.html</anchorfile>
      <anchor>b3d39461743ee27e1bd0d83f6a7160b9</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>stdair::Duration_T</type>
      <name>_elapsed</name>
      <anchorfile>structAIRINV_1_1LegStruct.html</anchorfile>
      <anchor>086d69f3a3985ce9bce9cea2149b4a9c</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>LegCabinStructList_T</type>
      <name>_cabinList</name>
      <anchorfile>structAIRINV_1_1LegStruct.html</anchorfile>
      <anchor>320854f166d048b3e92ac9f9b2362146</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>AIRINV::SegmentCabinHelper</name>
    <filename>classAIRINV_1_1SegmentCabinHelper.html</filename>
    <member kind="function" static="yes">
      <type>static void</type>
      <name>updateFromReservation</name>
      <anchorfile>classAIRINV_1_1SegmentCabinHelper.html</anchorfile>
      <anchor>7ec8b3286aafc1ae039b64631d68d15f</anchor>
      <arglist>(const stdair::FlightDate &amp;, stdair::SegmentCabin &amp;, const stdair::PartySize_T &amp;)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static void</type>
      <name>buildPseudoBidPriceVector</name>
      <anchorfile>classAIRINV_1_1SegmentCabinHelper.html</anchorfile>
      <anchor>20747b76de4438ae50ea4060b47d42dc</anchor>
      <arglist>(stdair::SegmentCabin &amp;)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static void</type>
      <name>updateBookingControlsUsingPseudoBidPriceVector</name>
      <anchorfile>classAIRINV_1_1SegmentCabinHelper.html</anchorfile>
      <anchor>74af443855c6391444832a973cd0af3e</anchor>
      <arglist>(const stdair::SegmentCabin &amp;)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static void</type>
      <name>updateAUs</name>
      <anchorfile>classAIRINV_1_1SegmentCabinHelper.html</anchorfile>
      <anchor>5c447e31daf98d4ef3f14568d8e9c695</anchor>
      <arglist>(const stdair::SegmentCabin &amp;)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static void</type>
      <name>updateAvailabilities</name>
      <anchorfile>classAIRINV_1_1SegmentCabinHelper.html</anchorfile>
      <anchor>7098894aec70cd6f92e1a49372b35d31</anchor>
      <arglist>(const stdair::SegmentCabin &amp;)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static void</type>
      <name>initialiseAU</name>
      <anchorfile>classAIRINV_1_1SegmentCabinHelper.html</anchorfile>
      <anchor>4e90fa69cff6903fe510f7c27fd2bef3</anchor>
      <arglist>(stdair::SegmentCabin &amp;)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static void</type>
      <name>initYieldBasedNestingStructure</name>
      <anchorfile>classAIRINV_1_1SegmentCabinHelper.html</anchorfile>
      <anchor>23cde6b944e64ea747e871b0b3faf0bf</anchor>
      <arglist>(stdair::SegmentCabin &amp;)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static void</type>
      <name>initListOfUsablePolicies</name>
      <anchorfile>classAIRINV_1_1SegmentCabinHelper.html</anchorfile>
      <anchor>9be8207986ab9640eee330f73f7471dd</anchor>
      <arglist>(stdair::SegmentCabin &amp;)</arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>AIRINV::SegmentCabinStruct</name>
    <filename>structAIRINV_1_1SegmentCabinStruct.html</filename>
    <base>stdair::StructAbstract</base>
    <member kind="function">
      <type>void</type>
      <name>fill</name>
      <anchorfile>structAIRINV_1_1SegmentCabinStruct.html</anchorfile>
      <anchor>48144e6fea10a52a474544d6b3e1e28a</anchor>
      <arglist>(stdair::SegmentCabin &amp;) const </arglist>
    </member>
    <member kind="function">
      <type>const std::string</type>
      <name>describe</name>
      <anchorfile>structAIRINV_1_1SegmentCabinStruct.html</anchorfile>
      <anchor>0574952493995bc45241f2bfd25ec9b8</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="variable">
      <type>stdair::CabinCode_T</type>
      <name>_cabinCode</name>
      <anchorfile>structAIRINV_1_1SegmentCabinStruct.html</anchorfile>
      <anchor>baabfdabca606a801734e53328551eac</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>stdair::NbOfBookings_T</type>
      <name>_nbOfBookings</name>
      <anchorfile>structAIRINV_1_1SegmentCabinStruct.html</anchorfile>
      <anchor>410172deb4a729625b023c62e5ddcb2e</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>FareFamilyStruct</type>
      <name>_itFareFamily</name>
      <anchorfile>structAIRINV_1_1SegmentCabinStruct.html</anchorfile>
      <anchor>a3584c3fcd0b0722b3fb104e353fa28c</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>FareFamilyStructList_T</type>
      <name>_fareFamilies</name>
      <anchorfile>structAIRINV_1_1SegmentCabinStruct.html</anchorfile>
      <anchor>f44fa7cad0ceed018cc8ffbab8fc0fe3</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>AIRINV::SegmentDateHelper</name>
    <filename>classAIRINV_1_1SegmentDateHelper.html</filename>
    <member kind="function" static="yes">
      <type>static void</type>
      <name>fillFromRouting</name>
      <anchorfile>classAIRINV_1_1SegmentDateHelper.html</anchorfile>
      <anchor>73021ecb04c0b144c6ba51931606361b</anchor>
      <arglist>(stdair::SegmentDate &amp;)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static void</type>
      <name>updateElapsedTimeFromRouting</name>
      <anchorfile>classAIRINV_1_1SegmentDateHelper.html</anchorfile>
      <anchor>aa076608d5152c9d729edd56528a4b10</anchor>
      <arglist>(stdair::SegmentDate &amp;)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static void</type>
      <name>updateDistanceFromElapsedTime</name>
      <anchorfile>classAIRINV_1_1SegmentDateHelper.html</anchorfile>
      <anchor>ffd68e34c99480efa5c19bcc9d9deed7</anchor>
      <arglist>(stdair::SegmentDate &amp;)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>AIRINV::SegmentSnapshotTableHelper</name>
    <filename>classAIRINV_1_1SegmentSnapshotTableHelper.html</filename>
    <member kind="function" static="yes">
      <type>static void</type>
      <name>takeSnapshots</name>
      <anchorfile>classAIRINV_1_1SegmentSnapshotTableHelper.html</anchorfile>
      <anchor>ddf70b9593daab4148821ea6e5b7d134</anchor>
      <arglist>(stdair::SegmentSnapshotTable &amp;, const stdair::DateTime_T &amp;)</arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>AIRINV::SegmentStruct</name>
    <filename>structAIRINV_1_1SegmentStruct.html</filename>
    <base>stdair::StructAbstract</base>
    <member kind="function">
      <type>void</type>
      <name>fill</name>
      <anchorfile>structAIRINV_1_1SegmentStruct.html</anchorfile>
      <anchor>fedd88fa0f049518b604df0a46ec3bc0</anchor>
      <arglist>(stdair::SegmentDate &amp;) const </arglist>
    </member>
    <member kind="function">
      <type>const std::string</type>
      <name>describe</name>
      <anchorfile>structAIRINV_1_1SegmentStruct.html</anchorfile>
      <anchor>dfbe871064361f99bb7945ea302c4072</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="variable">
      <type>stdair::AirportCode_T</type>
      <name>_boardingPoint</name>
      <anchorfile>structAIRINV_1_1SegmentStruct.html</anchorfile>
      <anchor>c318eadb68eaa79d17a58191e3351e16</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>stdair::AirportCode_T</type>
      <name>_offPoint</name>
      <anchorfile>structAIRINV_1_1SegmentStruct.html</anchorfile>
      <anchor>8fdd85c82207f4cb8b4e0e7d9e1a2f81</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>stdair::Date_T</type>
      <name>_boardingDate</name>
      <anchorfile>structAIRINV_1_1SegmentStruct.html</anchorfile>
      <anchor>3c895fb285b3b2c1af8ac4dbddb385c5</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>stdair::Duration_T</type>
      <name>_boardingTime</name>
      <anchorfile>structAIRINV_1_1SegmentStruct.html</anchorfile>
      <anchor>8f89ac0bbbd259da0fcc94f666d1f061</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>stdair::Date_T</type>
      <name>_offDate</name>
      <anchorfile>structAIRINV_1_1SegmentStruct.html</anchorfile>
      <anchor>d2bec7f435d4a92a3ea3d4d34c825271</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>stdair::Duration_T</type>
      <name>_offTime</name>
      <anchorfile>structAIRINV_1_1SegmentStruct.html</anchorfile>
      <anchor>89098b152976291f31c699e16fbff1f4</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>stdair::Duration_T</type>
      <name>_elapsed</name>
      <anchorfile>structAIRINV_1_1SegmentStruct.html</anchorfile>
      <anchor>7d2fa89d026e7ddbeda4b48f05146361</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>SegmentCabinStructList_T</type>
      <name>_cabinList</name>
      <anchorfile>structAIRINV_1_1SegmentStruct.html</anchorfile>
      <anchor>2c082002979cea55a059638810e2130a</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>AIRINV::FFDisutilityParser</name>
    <filename>classAIRINV_1_1FFDisutilityParser.html</filename>
    <base>stdair::CmdAbstract</base>
    <member kind="function" static="yes">
      <type>static void</type>
      <name>parse</name>
      <anchorfile>classAIRINV_1_1FFDisutilityParser.html</anchorfile>
      <anchor>0206bdfc75f714fc17f2d2248252922b</anchor>
      <arglist>(const stdair::FFDisutilityFilePath &amp;iFFDisutilityInputFilename, stdair::BomRoot &amp;)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>AIRINV::FFDisutilityFileParser</name>
    <filename>classAIRINV_1_1FFDisutilityFileParser.html</filename>
    <base>stdair::CmdAbstract</base>
    <member kind="function">
      <type></type>
      <name>FFDisutilityFileParser</name>
      <anchorfile>classAIRINV_1_1FFDisutilityFileParser.html</anchorfile>
      <anchor>d0688a1cd5ce44467e425010a85648ea</anchor>
      <arglist>(stdair::BomRoot &amp;ioBomRoot, const stdair::Filename_T &amp;iFilename)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>generateFFDisutilityCurves</name>
      <anchorfile>classAIRINV_1_1FFDisutilityFileParser.html</anchorfile>
      <anchor>3264651e7d669ca009c92132fd038fd6</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>AIRINV::FRAT5Parser</name>
    <filename>classAIRINV_1_1FRAT5Parser.html</filename>
    <base>stdair::CmdAbstract</base>
    <member kind="function" static="yes">
      <type>static void</type>
      <name>parse</name>
      <anchorfile>classAIRINV_1_1FRAT5Parser.html</anchorfile>
      <anchor>a14014f73e5cc1e3c0fbbca33ea39e1b</anchor>
      <arglist>(const stdair::FRAT5FilePath &amp;iFRAT5InputFilename, stdair::BomRoot &amp;)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>AIRINV::FRAT5FileParser</name>
    <filename>classAIRINV_1_1FRAT5FileParser.html</filename>
    <base>stdair::CmdAbstract</base>
    <member kind="function">
      <type></type>
      <name>FRAT5FileParser</name>
      <anchorfile>classAIRINV_1_1FRAT5FileParser.html</anchorfile>
      <anchor>679218180cd5a5fd7717491e86fde317</anchor>
      <arglist>(stdair::BomRoot &amp;ioBomRoot, const stdair::Filename_T &amp;iFilename)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>generateFRAT5Curves</name>
      <anchorfile>classAIRINV_1_1FRAT5FileParser.html</anchorfile>
      <anchor>4862c2e84f33081e02db1e0d285adf1f</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>AIRINV::InventoryBuilder</name>
    <filename>classAIRINV_1_1InventoryBuilder.html</filename>
    <base>stdair::CmdAbstract</base>
    <member kind="friend" protection="private">
      <type>friend class</type>
      <name>AIRINV_Service</name>
      <anchorfile>classAIRINV_1_1InventoryBuilder.html</anchorfile>
      <anchor>41a9febe49ce3b51053538fcedd8c645</anchor>
      <arglist></arglist>
    </member>
    <member kind="friend">
      <type>friend struct</type>
      <name>InventoryParserHelper::doEndFlightDate</name>
      <anchorfile>classAIRINV_1_1InventoryBuilder.html</anchorfile>
      <anchor>eb87e95974e0857db3e23e4ebc2345da</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>AIRINV::InventoryGenerator</name>
    <filename>classAIRINV_1_1InventoryGenerator.html</filename>
    <base>stdair::CmdAbstract</base>
    <member kind="friend" protection="private">
      <type>friend class</type>
      <name>FlightPeriodFileParser</name>
      <anchorfile>classAIRINV_1_1InventoryGenerator.html</anchorfile>
      <anchor>cf811b98397b45d5e0d6aa9653613ee0</anchor>
      <arglist></arglist>
    </member>
    <member kind="friend" protection="private">
      <type>friend class</type>
      <name>FFFlightPeriodFileParser</name>
      <anchorfile>classAIRINV_1_1InventoryGenerator.html</anchorfile>
      <anchor>ffc7e0620c4ac1abd823cf7c0ef4c294</anchor>
      <arglist></arglist>
    </member>
    <member kind="friend">
      <type>friend struct</type>
      <name>ScheduleParserHelper::doEndFlight</name>
      <anchorfile>classAIRINV_1_1InventoryGenerator.html</anchorfile>
      <anchor>7d24e88952421ab3dfaf7e86de680109</anchor>
      <arglist></arglist>
    </member>
    <member kind="friend" protection="private">
      <type>friend class</type>
      <name>ScheduleParser</name>
      <anchorfile>classAIRINV_1_1InventoryGenerator.html</anchorfile>
      <anchor>559a67e7ac50302f8cdf22d88fbe3a90</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>AIRINV::InventoryManager</name>
    <filename>classAIRINV_1_1InventoryManager.html</filename>
    <member kind="function" static="yes">
      <type>static void</type>
      <name>createDirectAccesses</name>
      <anchorfile>classAIRINV_1_1InventoryManager.html</anchorfile>
      <anchor>dfb6ebb8e8657288f63bba592e399429</anchor>
      <arglist>(const stdair::BomRoot &amp;)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static void</type>
      <name>createDirectAccesses</name>
      <anchorfile>classAIRINV_1_1InventoryManager.html</anchorfile>
      <anchor>f824dbc5fa774e0b6d4f8d95d68a85de</anchor>
      <arglist>(const stdair::BomRoot &amp;, stdair::Inventory &amp;)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static void</type>
      <name>createDirectAccesses</name>
      <anchorfile>classAIRINV_1_1InventoryManager.html</anchorfile>
      <anchor>1939965b91ab533f7f8f1de313e0f5aa</anchor>
      <arglist>(const stdair::BomRoot &amp;, stdair::Inventory &amp;, stdair::FlightDate &amp;)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static void</type>
      <name>createDirectAccesses</name>
      <anchorfile>classAIRINV_1_1InventoryManager.html</anchorfile>
      <anchor>f7a76e90c0bf925bd5a09f2c048b9b20</anchor>
      <arglist>(stdair::SegmentDate &amp;)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static void</type>
      <name>createPartnerAccesses</name>
      <anchorfile>classAIRINV_1_1InventoryManager.html</anchorfile>
      <anchor>3162de56001bd89801eb48d8620a0ab0</anchor>
      <arglist>(const stdair::BomRoot &amp;, stdair::Inventory &amp;)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static void</type>
      <name>createPartnerAccesses</name>
      <anchorfile>classAIRINV_1_1InventoryManager.html</anchorfile>
      <anchor>dbbc638d61be47bae7a89671accda531</anchor>
      <arglist>(stdair::FlightDate &amp;)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static void</type>
      <name>createPartnerAccesses</name>
      <anchorfile>classAIRINV_1_1InventoryManager.html</anchorfile>
      <anchor>113c276bffb71b7df0764d55ea99c5dd</anchor>
      <arglist>(const stdair::BomRoot &amp;, stdair::Inventory &amp;, stdair::FlightDate &amp;)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static void</type>
      <name>buildSimilarSegmentCabinSets</name>
      <anchorfile>classAIRINV_1_1InventoryManager.html</anchorfile>
      <anchor>ca9958975c8f02c09e56ecbbcb62b5a2</anchor>
      <arglist>(const stdair::BomRoot &amp;)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static void</type>
      <name>buildSimilarSegmentCabinSets</name>
      <anchorfile>classAIRINV_1_1InventoryManager.html</anchorfile>
      <anchor>cd7bec7ac1e0e3c0f522c3995ec2956a</anchor>
      <arglist>(stdair::Inventory &amp;)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static void</type>
      <name>buildSegmentSnapshotTable</name>
      <anchorfile>classAIRINV_1_1InventoryManager.html</anchorfile>
      <anchor>6415b059f0aa6ccaa2970143866413d0</anchor>
      <arglist>(stdair::Inventory &amp;, const stdair::TableID_T &amp;, const DepartureDateSegmentCabinMap_T &amp;)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static void</type>
      <name>setDefaultBidPriceVector</name>
      <anchorfile>classAIRINV_1_1InventoryManager.html</anchorfile>
      <anchor>6417926734125a1142b5e26c7f086b98</anchor>
      <arglist>(stdair::BomRoot &amp;)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static void</type>
      <name>setDefaultBidPriceVector</name>
      <anchorfile>classAIRINV_1_1InventoryManager.html</anchorfile>
      <anchor>36d13067bfa09b0323bc5aaeeea3fd85</anchor>
      <arglist>(stdair::Inventory &amp;)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static void</type>
      <name>initialiseYieldBasedNestingStructures</name>
      <anchorfile>classAIRINV_1_1InventoryManager.html</anchorfile>
      <anchor>d9585a77d9a07390f9964d3c5e1311ee</anchor>
      <arglist>(const stdair::BomRoot &amp;)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static void</type>
      <name>initialiseListsOfUsablePolicies</name>
      <anchorfile>classAIRINV_1_1InventoryManager.html</anchorfile>
      <anchor>c6c02ece072b5321dba6ea23b06a595f</anchor>
      <arglist>(const stdair::BomRoot &amp;)</arglist>
    </member>
    <member kind="friend" protection="private">
      <type>friend class</type>
      <name>AIRINV_Master_Service</name>
      <anchorfile>classAIRINV_1_1InventoryManager.html</anchorfile>
      <anchor>6c67183d92684eff04d78c2985878561</anchor>
      <arglist></arglist>
    </member>
    <member kind="friend" protection="private">
      <type>friend class</type>
      <name>AIRINV_Service</name>
      <anchorfile>classAIRINV_1_1InventoryManager.html</anchorfile>
      <anchor>41a9febe49ce3b51053538fcedd8c645</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>AIRINV::InventoryParser</name>
    <filename>classAIRINV_1_1InventoryParser.html</filename>
    <base>stdair::CmdAbstract</base>
    <member kind="function" static="yes">
      <type>static void</type>
      <name>buildInventory</name>
      <anchorfile>classAIRINV_1_1InventoryParser.html</anchorfile>
      <anchor>bd1848fb45909a8e8e252053fd441859</anchor>
      <arglist>(const InventoryFilePath &amp;, stdair::BomRoot &amp;)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>AIRINV::InventoryFileParser</name>
    <filename>classAIRINV_1_1InventoryFileParser.html</filename>
    <base>stdair::CmdAbstract</base>
    <member kind="function">
      <type></type>
      <name>InventoryFileParser</name>
      <anchorfile>classAIRINV_1_1InventoryFileParser.html</anchorfile>
      <anchor>455214f0b831ebf53f12aca26b45f572</anchor>
      <arglist>(stdair::BomRoot &amp;, const stdair::Filename_T &amp;iInventoryInputFilename)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>buildInventory</name>
      <anchorfile>classAIRINV_1_1InventoryFileParser.html</anchorfile>
      <anchor>48f2fb4b11517ba15e07c7c85a173f12</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>AIRINV::ScheduleParser</name>
    <filename>classAIRINV_1_1ScheduleParser.html</filename>
    <base>stdair::CmdAbstract</base>
    <member kind="function" static="yes">
      <type>static void</type>
      <name>generateInventories</name>
      <anchorfile>classAIRINV_1_1ScheduleParser.html</anchorfile>
      <anchor>116126edfcc5679774632253e22d45e9</anchor>
      <arglist>(const stdair::ScheduleFilePath &amp;iScheduleFilename, stdair::BomRoot &amp;)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>AIRINV::FlightPeriodFileParser</name>
    <filename>classAIRINV_1_1FlightPeriodFileParser.html</filename>
    <base>stdair::CmdAbstract</base>
    <member kind="function">
      <type></type>
      <name>FlightPeriodFileParser</name>
      <anchorfile>classAIRINV_1_1FlightPeriodFileParser.html</anchorfile>
      <anchor>dc9b4c3d175d8c56080c180cee8ddac4</anchor>
      <arglist>(stdair::BomRoot &amp;ioBomRoot, const stdair::Filename_T &amp;iFilename)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>generateInventories</name>
      <anchorfile>classAIRINV_1_1FlightPeriodFileParser.html</anchorfile>
      <anchor>c7b7833f1011e0b7e99703ef82c11f30</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>AIRINV::DCPEventGenerator</name>
    <filename>classAIRINV_1_1DCPEventGenerator.html</filename>
    <base>stdair::CmdAbstract</base>
    <member kind="friend" protection="private">
      <type>friend class</type>
      <name>DCPFileParser</name>
      <anchorfile>classAIRINV_1_1DCPEventGenerator.html</anchorfile>
      <anchor>53d84d9295944619e1e48b526c86c40a</anchor>
      <arglist></arglist>
    </member>
    <member kind="friend">
      <type>friend struct</type>
      <name>DCPParserHelper::doEndDCP</name>
      <anchorfile>classAIRINV_1_1DCPEventGenerator.html</anchorfile>
      <anchor>1ce853a04fbe722e6300287e6c8af83e</anchor>
      <arglist></arglist>
    </member>
    <member kind="friend" protection="private">
      <type>friend class</type>
      <name>DCPParser</name>
      <anchorfile>classAIRINV_1_1DCPEventGenerator.html</anchorfile>
      <anchor>155910221019ba712a8ea830af7ea808</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>AIRINV::DCPParser</name>
    <filename>classAIRINV_1_1DCPParser.html</filename>
    <base>stdair::CmdAbstract</base>
    <member kind="function" static="yes">
      <type>static void</type>
      <name>DCPRuleGeneration</name>
      <anchorfile>classAIRINV_1_1DCPParser.html</anchorfile>
      <anchor>bf8f3654e98a188fd5c5543c5c3a3fc4</anchor>
      <arglist>(const stdair::Filename_T &amp;, stdair::BomRoot &amp;)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>AIRINV::DCPRuleFileParser</name>
    <filename>classAIRINV_1_1DCPRuleFileParser.html</filename>
    <base>stdair::CmdAbstract</base>
    <member kind="function">
      <type></type>
      <name>DCPRuleFileParser</name>
      <anchorfile>classAIRINV_1_1DCPRuleFileParser.html</anchorfile>
      <anchor>e7b0d6003402a96352282886bc825b11</anchor>
      <arglist>(stdair::BomRoot &amp;ioBomRoot, const stdair::Filename_T &amp;iFilename)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>generateDCPRules</name>
      <anchorfile>classAIRINV_1_1DCPRuleFileParser.html</anchorfile>
      <anchor>dc2b297415dfad88f10fad0b93f88de4</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>AIRINV::FacAirinvMasterServiceContext</name>
    <filename>classAIRINV_1_1FacAirinvMasterServiceContext.html</filename>
    <base>stdair::FacServiceAbstract</base>
    <member kind="function">
      <type></type>
      <name>~FacAirinvMasterServiceContext</name>
      <anchorfile>classAIRINV_1_1FacAirinvMasterServiceContext.html</anchorfile>
      <anchor>9970da444cfb9f03f3624cf05e4cd42e</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>AIRINV_Master_ServiceContext &amp;</type>
      <name>create</name>
      <anchorfile>classAIRINV_1_1FacAirinvMasterServiceContext.html</anchorfile>
      <anchor>bd6574dd57a9e3da82f0d98e8be85db8</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static FacAirinvMasterServiceContext &amp;</type>
      <name>instance</name>
      <anchorfile>classAIRINV_1_1FacAirinvMasterServiceContext.html</anchorfile>
      <anchor>5cec2f4f4428c9e8831c49c4a25a08e2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected">
      <type></type>
      <name>FacAirinvMasterServiceContext</name>
      <anchorfile>classAIRINV_1_1FacAirinvMasterServiceContext.html</anchorfile>
      <anchor>f530242f01289e45539555f30e45fc0b</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>AIRINV::FacAirinvServiceContext</name>
    <filename>classAIRINV_1_1FacAirinvServiceContext.html</filename>
    <base>stdair::FacServiceAbstract</base>
    <member kind="function">
      <type></type>
      <name>~FacAirinvServiceContext</name>
      <anchorfile>classAIRINV_1_1FacAirinvServiceContext.html</anchorfile>
      <anchor>313a89bc8a8796ffc499b5c4875c4ac1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>AIRINV_ServiceContext &amp;</type>
      <name>create</name>
      <anchorfile>classAIRINV_1_1FacAirinvServiceContext.html</anchorfile>
      <anchor>6c66d196d395ecc363747c21f1fbbbbf</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static FacAirinvServiceContext &amp;</type>
      <name>instance</name>
      <anchorfile>classAIRINV_1_1FacAirinvServiceContext.html</anchorfile>
      <anchor>bf2b921222c2e467a9a270a106e75eeb</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected">
      <type></type>
      <name>FacAirinvServiceContext</name>
      <anchorfile>classAIRINV_1_1FacAirinvServiceContext.html</anchorfile>
      <anchor>0d48b862b964e802153b5f449f5ca3fd</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>AIRINV::FacBomAbstract</name>
    <filename>classAIRINV_1_1FacBomAbstract.html</filename>
    <member kind="typedef">
      <type>std::vector&lt; BomAbstract * &gt;</type>
      <name>BomPool_T</name>
      <anchorfile>classAIRINV_1_1FacBomAbstract.html</anchorfile>
      <anchor>a8d7588c33e2357fa184eb18068b0a11</anchor>
      <arglist></arglist>
    </member>
    <member kind="function" static="yes">
      <type>static std::size_t</type>
      <name>getID</name>
      <anchorfile>classAIRINV_1_1FacBomAbstract.html</anchorfile>
      <anchor>205e5e38997a7ef80f4586119d714759</anchor>
      <arglist>(const BomAbstract *)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static std::size_t</type>
      <name>getID</name>
      <anchorfile>classAIRINV_1_1FacBomAbstract.html</anchorfile>
      <anchor>37faf1a823c4832d32509107bc8b56ff</anchor>
      <arglist>(const BomAbstract &amp;)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static std::string</type>
      <name>getIDString</name>
      <anchorfile>classAIRINV_1_1FacBomAbstract.html</anchorfile>
      <anchor>31d7cefd2513161178ad719b0e3ccb43</anchor>
      <arglist>(const BomAbstract *)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static std::string</type>
      <name>getIDString</name>
      <anchorfile>classAIRINV_1_1FacBomAbstract.html</anchorfile>
      <anchor>c8926bf51400cab22fb43f790e797222</anchor>
      <arglist>(const BomAbstract &amp;)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type></type>
      <name>FacBomAbstract</name>
      <anchorfile>classAIRINV_1_1FacBomAbstract.html</anchorfile>
      <anchor>172cf0eae1dab007eb0e9f9603ca182f</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected">
      <type></type>
      <name>FacBomAbstract</name>
      <anchorfile>classAIRINV_1_1FacBomAbstract.html</anchorfile>
      <anchor>ee809ab3f3074a8019425c830ceb444b</anchor>
      <arglist>(const FacBomAbstract &amp;)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual</type>
      <name>~FacBomAbstract</name>
      <anchorfile>classAIRINV_1_1FacBomAbstract.html</anchorfile>
      <anchor>06bb6bc5d13590f807cb928357277b21</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>BomPool_T</type>
      <name>_pool</name>
      <anchorfile>classAIRINV_1_1FacBomAbstract.html</anchorfile>
      <anchor>7d2b2131e782268a004b3135ff11cd75</anchor>
      <arglist></arglist>
    </member>
    <member kind="friend" protection="private">
      <type>friend class</type>
      <name>FacSupervisor</name>
      <anchorfile>classAIRINV_1_1FacBomAbstract.html</anchorfile>
      <anchor>e119579090084605e643405ae72bfe31</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>AIRINV::FacServiceAbstract</name>
    <filename>classAIRINV_1_1FacServiceAbstract.html</filename>
    <member kind="typedef">
      <type>std::vector&lt; ServiceAbstract * &gt;</type>
      <name>ServicePool_T</name>
      <anchorfile>classAIRINV_1_1FacServiceAbstract.html</anchorfile>
      <anchor>4b74cadab151bb424227ed53a8076671</anchor>
      <arglist></arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~FacServiceAbstract</name>
      <anchorfile>classAIRINV_1_1FacServiceAbstract.html</anchorfile>
      <anchor>2490afcfbf1a10b33a9f2f70f0adba2b</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>clean</name>
      <anchorfile>classAIRINV_1_1FacServiceAbstract.html</anchorfile>
      <anchor>211d74f224983253ffdd7a3edba514da</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected">
      <type></type>
      <name>FacServiceAbstract</name>
      <anchorfile>classAIRINV_1_1FacServiceAbstract.html</anchorfile>
      <anchor>6818ae567d009350b4f2b1a90016c725</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>ServicePool_T</type>
      <name>_pool</name>
      <anchorfile>classAIRINV_1_1FacServiceAbstract.html</anchorfile>
      <anchor>dbfad892cb8ba3856d83d61f562a66db</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>AIRINV::FacSupervisor</name>
    <filename>classAIRINV_1_1FacSupervisor.html</filename>
    <member kind="typedef">
      <type>std::vector&lt; FacBomAbstract * &gt;</type>
      <name>BomFactoryPool_T</name>
      <anchorfile>classAIRINV_1_1FacSupervisor.html</anchorfile>
      <anchor>af0ba30bac8358249c12d7f38c3bc7a4</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>std::vector&lt; FacServiceAbstract * &gt;</type>
      <name>ServiceFactoryPool_T</name>
      <anchorfile>classAIRINV_1_1FacSupervisor.html</anchorfile>
      <anchor>866fb6f039bc42c0c791fc4a03d7764b</anchor>
      <arglist></arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>registerBomFactory</name>
      <anchorfile>classAIRINV_1_1FacSupervisor.html</anchorfile>
      <anchor>289c5b0b297d63cbf96272809bb0a328</anchor>
      <arglist>(FacBomAbstract *)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>registerServiceFactory</name>
      <anchorfile>classAIRINV_1_1FacSupervisor.html</anchorfile>
      <anchor>0e220eb0966c9e30cf0b3edb6106aa56</anchor>
      <arglist>(FacServiceAbstract *)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>cleanBomLayer</name>
      <anchorfile>classAIRINV_1_1FacSupervisor.html</anchorfile>
      <anchor>0acff998c757dc2a0ea88756f49c439d</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>cleanServiceLayer</name>
      <anchorfile>classAIRINV_1_1FacSupervisor.html</anchorfile>
      <anchor>8b0b50e69befbb21a24dcc2afc869440</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~FacSupervisor</name>
      <anchorfile>classAIRINV_1_1FacSupervisor.html</anchorfile>
      <anchor>5d78c1470501df48447e9e3281a606f0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static FacSupervisor &amp;</type>
      <name>instance</name>
      <anchorfile>classAIRINV_1_1FacSupervisor.html</anchorfile>
      <anchor>0237816884bf5fb3b136efdd035574fd</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static void</type>
      <name>cleanFactory</name>
      <anchorfile>classAIRINV_1_1FacSupervisor.html</anchorfile>
      <anchor>905ad3eb3158063cf5f7f4ecfa79ac84</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected">
      <type></type>
      <name>FacSupervisor</name>
      <anchorfile>classAIRINV_1_1FacSupervisor.html</anchorfile>
      <anchor>6de56be88e7464494e18551324fecf8c</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected">
      <type></type>
      <name>FacSupervisor</name>
      <anchorfile>classAIRINV_1_1FacSupervisor.html</anchorfile>
      <anchor>6aab58750c04482882ff9bc828492090</anchor>
      <arglist>(const FacSupervisor &amp;)</arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>AIRINV::FlightRequestStatus</name>
    <filename>structAIRINV_1_1FlightRequestStatus.html</filename>
    <base>stdair::StructAbstract</base>
    <member kind="enumvalue">
      <type>@</type>
      <name>OK</name>
      <anchorfile>structAIRINV_1_1FlightRequestStatus.html</anchorfile>
      <anchor>6808d8275dfa9fe4d151e7d4d50a203657620577984fc34a15fb48156890e2ec</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <type>@</type>
      <name>NOT_FOUND</name>
      <anchorfile>structAIRINV_1_1FlightRequestStatus.html</anchorfile>
      <anchor>6808d8275dfa9fe4d151e7d4d50a20363a5806a33eed06b614dc29716eb7b249</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <type>@</type>
      <name>INTERNAL_ERROR</name>
      <anchorfile>structAIRINV_1_1FlightRequestStatus.html</anchorfile>
      <anchor>6808d8275dfa9fe4d151e7d4d50a2036d633d1a2bd2c2993b8ede809fc6aba87</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <type>@</type>
      <name>LAST_VALUE</name>
      <anchorfile>structAIRINV_1_1FlightRequestStatus.html</anchorfile>
      <anchor>6808d8275dfa9fe4d151e7d4d50a2036a41135eedb89b6b3d17ce97c7f3f0115</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumeration">
      <name>EN_FlightRequestStatus</name>
      <anchor>6808d8275dfa9fe4d151e7d4d50a2036</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>OK</name>
      <anchor>6808d8275dfa9fe4d151e7d4d50a203657620577984fc34a15fb48156890e2ec</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>NOT_FOUND</name>
      <anchor>6808d8275dfa9fe4d151e7d4d50a20363a5806a33eed06b614dc29716eb7b249</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>INTERNAL_ERROR</name>
      <anchor>6808d8275dfa9fe4d151e7d4d50a2036d633d1a2bd2c2993b8ede809fc6aba87</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>LAST_VALUE</name>
      <anchor>6808d8275dfa9fe4d151e7d4d50a2036a41135eedb89b6b3d17ce97c7f3f0115</anchor>
      <arglist></arglist>
    </member>
    <member kind="function">
      <type>EN_FlightRequestStatus</type>
      <name>getCode</name>
      <anchorfile>structAIRINV_1_1FlightRequestStatus.html</anchorfile>
      <anchor>be78b90140c87b35ee41fbead179a6dc</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>const std::string</type>
      <name>describe</name>
      <anchorfile>structAIRINV_1_1FlightRequestStatus.html</anchorfile>
      <anchor>dfc0caf73bd4c1e1d6479d2daf3d65c5</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>FlightRequestStatus</name>
      <anchorfile>structAIRINV_1_1FlightRequestStatus.html</anchorfile>
      <anchor>709182e39e605ab24f33625e27181b1c</anchor>
      <arglist>(const EN_FlightRequestStatus &amp;)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>FlightRequestStatus</name>
      <anchorfile>structAIRINV_1_1FlightRequestStatus.html</anchorfile>
      <anchor>43cb56d09ebefa3d522e07b6d6f88033</anchor>
      <arglist>(const std::string &amp;iCode)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static const std::string &amp;</type>
      <name>getLabel</name>
      <anchorfile>structAIRINV_1_1FlightRequestStatus.html</anchorfile>
      <anchor>36159b592cc1328aa784c6d85b2a50da</anchor>
      <arglist>(const EN_FlightRequestStatus &amp;)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static const std::string &amp;</type>
      <name>getCodeLabel</name>
      <anchorfile>structAIRINV_1_1FlightRequestStatus.html</anchorfile>
      <anchor>32dfd1f8f8e3e8e56f3c982fc56f7ace</anchor>
      <arglist>(const EN_FlightRequestStatus &amp;)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static std::string</type>
      <name>describeLabels</name>
      <anchorfile>structAIRINV_1_1FlightRequestStatus.html</anchorfile>
      <anchor>32db5449d435fe13318f90eef78669e6</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>AIRINV::AirInvServer</name>
    <filename>classAIRINV_1_1AirInvServer.html</filename>
    <base protection="private">boost::noncopyable</base>
    <member kind="function">
      <type></type>
      <name>AirInvServer</name>
      <anchorfile>classAIRINV_1_1AirInvServer.html</anchorfile>
      <anchor>7d5694d4729cefa0abb49524cee099cc</anchor>
      <arglist>(const std::string &amp;address, const std::string &amp;port, const stdair::AirlineCode_T &amp;iAirlineCode, std::size_t thread_pool_size)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~AirInvServer</name>
      <anchorfile>classAIRINV_1_1AirInvServer.html</anchorfile>
      <anchor>c7ec749a1412cad5f41fe888920c6241</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>run</name>
      <anchorfile>classAIRINV_1_1AirInvServer.html</anchorfile>
      <anchor>c6e60e59ccbe01f8f5a33ae36485f39c</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>stop</name>
      <anchorfile>classAIRINV_1_1AirInvServer.html</anchorfile>
      <anchor>00f6b4234e66ca6ea77bf5e96e5e918b</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>AIRINV::Connection</name>
    <filename>classAIRINV_1_1Connection.html</filename>
    <base>boost::enable_shared_from_this</base>
    <base protection="private">boost::noncopyable</base>
    <member kind="function">
      <type></type>
      <name>Connection</name>
      <anchorfile>classAIRINV_1_1Connection.html</anchorfile>
      <anchor>4a56b26233af297d6c95b6076ff37aaa</anchor>
      <arglist>(boost::asio::io_service &amp;, RequestHandler &amp;)</arglist>
    </member>
    <member kind="function">
      <type>boost::asio::ip::tcp::socket &amp;</type>
      <name>socket</name>
      <anchorfile>classAIRINV_1_1Connection.html</anchorfile>
      <anchor>a8767938e0a13f5e99bde0cb746ee06c</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>start</name>
      <anchorfile>classAIRINV_1_1Connection.html</anchorfile>
      <anchor>ce5e21c652db8dc5cf1eb20e2180ae16</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>AIRINV::header</name>
    <filename>structAIRINV_1_1header.html</filename>
    <member kind="variable">
      <type>std::string</type>
      <name>name</name>
      <anchorfile>structAIRINV_1_1header.html</anchorfile>
      <anchor>9c9db98b0bfab585080fbb5a554323dc</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>std::string</type>
      <name>value</name>
      <anchorfile>structAIRINV_1_1header.html</anchorfile>
      <anchor>9aa54217dd94ae55cef3f480f9b5ef7a</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>AIRINV::Reply</name>
    <filename>structAIRINV_1_1Reply.html</filename>
    <member kind="function">
      <type>std::vector&lt; boost::asio::const_buffer &gt;</type>
      <name>to_buffers</name>
      <anchorfile>structAIRINV_1_1Reply.html</anchorfile>
      <anchor>d98de308d277d1c59974eb34f960220d</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="variable">
      <type>FlightRequestStatus::EN_FlightRequestStatus</type>
      <name>_status</name>
      <anchorfile>structAIRINV_1_1Reply.html</anchorfile>
      <anchor>83f02f37793c71c3386219f29fe55992</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>std::string</type>
      <name>content</name>
      <anchorfile>structAIRINV_1_1Reply.html</anchorfile>
      <anchor>1e997f183a56c0855518bcbe94ba6840</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>AIRINV::Request</name>
    <filename>structAIRINV_1_1Request.html</filename>
    <member kind="function">
      <type>bool</type>
      <name>parseFlightDate</name>
      <anchorfile>structAIRINV_1_1Request.html</anchorfile>
      <anchor>77a6cd849c033308132623b2f2afba2b</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="variable">
      <type>std::string</type>
      <name>_flightDetails</name>
      <anchorfile>structAIRINV_1_1Request.html</anchorfile>
      <anchor>062d16d120b67c84ce0829525ad4b3e1</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>stdair::AirlineCode_T</type>
      <name>_airlineCode</name>
      <anchorfile>structAIRINV_1_1Request.html</anchorfile>
      <anchor>2cdcee140ef13bbd44c2bb0beba9ba29</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>stdair::FlightNumber_T</type>
      <name>_flightNumber</name>
      <anchorfile>structAIRINV_1_1Request.html</anchorfile>
      <anchor>1fc108bb97ea5e5843fbe119d7b4a092</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>stdair::Date_T</type>
      <name>_departureDate</name>
      <anchorfile>structAIRINV_1_1Request.html</anchorfile>
      <anchor>1e3c0c1c4ed52e94381fd2d92764e474</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>AIRINV::RequestHandler</name>
    <filename>classAIRINV_1_1RequestHandler.html</filename>
    <base protection="private">boost::noncopyable</base>
    <member kind="function">
      <type></type>
      <name>RequestHandler</name>
      <anchorfile>classAIRINV_1_1RequestHandler.html</anchorfile>
      <anchor>ce6aad3b01857c2ef1b95de087775772</anchor>
      <arglist>(const stdair::AirlineCode_T &amp;)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>handleRequest</name>
      <anchorfile>classAIRINV_1_1RequestHandler.html</anchorfile>
      <anchor>dbbe70fc820296fe7611f060f9469388</anchor>
      <arglist>(Request &amp;, Reply &amp;) const </arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>AIRINV::RequestParser</name>
    <filename>classAIRINV_1_1RequestParser.html</filename>
    <member kind="function">
      <type></type>
      <name>RequestParser</name>
      <anchorfile>classAIRINV_1_1RequestParser.html</anchorfile>
      <anchor>a90d353878a057ff8819e82c0ed59928</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>reset</name>
      <anchorfile>classAIRINV_1_1RequestParser.html</anchorfile>
      <anchor>40a631bc240c77129f5a6fcd6ed7f234</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>boost::tuple&lt; boost::tribool, InputIterator &gt;</type>
      <name>parse</name>
      <anchorfile>classAIRINV_1_1RequestParser.html</anchorfile>
      <anchor>22a240a4367e1e6d94fd145b48a18ff3</anchor>
      <arglist>(Request &amp;req, InputIterator begin, InputIterator end)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>AIRINV::AIRINV_Master_ServiceContext</name>
    <filename>classAIRINV_1_1AIRINV__Master__ServiceContext.html</filename>
    <base>stdair::ServiceAbstract</base>
    <member kind="friend" protection="private">
      <type>friend class</type>
      <name>AIRINV_Master_Service</name>
      <anchorfile>classAIRINV_1_1AIRINV__Master__ServiceContext.html</anchorfile>
      <anchor>6c67183d92684eff04d78c2985878561</anchor>
      <arglist></arglist>
    </member>
    <member kind="friend" protection="private">
      <type>friend class</type>
      <name>FacAirinvMasterServiceContext</name>
      <anchorfile>classAIRINV_1_1AIRINV__Master__ServiceContext.html</anchorfile>
      <anchor>e926254e8b527dd8de2ce5994634e4f4</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>AIRINV::AIRINV_ServiceContext</name>
    <filename>classAIRINV_1_1AIRINV__ServiceContext.html</filename>
    <base>stdair::ServiceAbstract</base>
    <member kind="friend" protection="private">
      <type>friend class</type>
      <name>AIRINV_Service</name>
      <anchorfile>classAIRINV_1_1AIRINV__ServiceContext.html</anchorfile>
      <anchor>41a9febe49ce3b51053538fcedd8c645</anchor>
      <arglist></arglist>
    </member>
    <member kind="friend" protection="private">
      <type>friend class</type>
      <name>FacAirinvServiceContext</name>
      <anchorfile>classAIRINV_1_1AIRINV__ServiceContext.html</anchorfile>
      <anchor>8a395a6bf8f6f768e2bc0f55a626ace1</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>AIRINV::ServiceAbstract</name>
    <filename>classAIRINV_1_1ServiceAbstract.html</filename>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~ServiceAbstract</name>
      <anchorfile>classAIRINV_1_1ServiceAbstract.html</anchorfile>
      <anchor>6e0d90b7f57e68f0d893a6efdcfb2410</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>toStream</name>
      <anchorfile>classAIRINV_1_1ServiceAbstract.html</anchorfile>
      <anchor>87c213a442798a3040aaab22c541e98b</anchor>
      <arglist>(std::ostream &amp;ioOut) const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>fromStream</name>
      <anchorfile>classAIRINV_1_1ServiceAbstract.html</anchorfile>
      <anchor>be6525397dcd32727ef23774a57e501c</anchor>
      <arglist>(std::istream &amp;ioIn)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type></type>
      <name>ServiceAbstract</name>
      <anchorfile>classAIRINV_1_1ServiceAbstract.html</anchorfile>
      <anchor>13cd2095b4d5d5af595fbe683b59c8e4</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="namespace">
    <name>AIRINV::DCPParserHelper</name>
    <filename>namespaceAIRINV_1_1DCPParserHelper.html</filename>
    <class kind="struct">AIRINV::DCPParserHelper::ParserSemanticAction</class>
    <class kind="struct">AIRINV::DCPParserHelper::storeDCPId</class>
    <class kind="struct">AIRINV::DCPParserHelper::storeOrigin</class>
    <class kind="struct">AIRINV::DCPParserHelper::storeDestination</class>
    <class kind="struct">AIRINV::DCPParserHelper::storeDateRangeStart</class>
    <class kind="struct">AIRINV::DCPParserHelper::storeDateRangeEnd</class>
    <class kind="struct">AIRINV::DCPParserHelper::storeStartRangeTime</class>
    <class kind="struct">AIRINV::DCPParserHelper::storeEndRangeTime</class>
    <class kind="struct">AIRINV::DCPParserHelper::storePOS</class>
    <class kind="struct">AIRINV::DCPParserHelper::storeCabinCode</class>
    <class kind="struct">AIRINV::DCPParserHelper::storeChannel</class>
    <class kind="struct">AIRINV::DCPParserHelper::storeAdvancePurchase</class>
    <class kind="struct">AIRINV::DCPParserHelper::storeSaturdayStay</class>
    <class kind="struct">AIRINV::DCPParserHelper::storeChangeFees</class>
    <class kind="struct">AIRINV::DCPParserHelper::storeNonRefundable</class>
    <class kind="struct">AIRINV::DCPParserHelper::storeMinimumStay</class>
    <class kind="struct">AIRINV::DCPParserHelper::storeDCP</class>
    <class kind="struct">AIRINV::DCPParserHelper::storeAirlineCode</class>
    <class kind="struct">AIRINV::DCPParserHelper::storeClass</class>
    <class kind="struct">AIRINV::DCPParserHelper::doEndDCP</class>
    <class kind="struct">AIRINV::DCPParserHelper::DCPRuleParser</class>
    <member kind="variable">
      <type>stdair::int1_p_t</type>
      <name>int1_p</name>
      <anchorfile>namespaceAIRINV_1_1DCPParserHelper.html</anchorfile>
      <anchor>0c3b5b5434a309f849354db124eb472b</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>stdair::uint2_p_t</type>
      <name>uint2_p</name>
      <anchorfile>namespaceAIRINV_1_1DCPParserHelper.html</anchorfile>
      <anchor>8f60021e28368da95c634216591fcac4</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>stdair::uint4_p_t</type>
      <name>uint4_p</name>
      <anchorfile>namespaceAIRINV_1_1DCPParserHelper.html</anchorfile>
      <anchor>25c791acc204b7d9fc8a4f0e3b826d15</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>stdair::uint1_4_p_t</type>
      <name>uint1_4_p</name>
      <anchorfile>namespaceAIRINV_1_1DCPParserHelper.html</anchorfile>
      <anchor>7bfa95d2197cf926205d47544926bf54</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>stdair::hour_p_t</type>
      <name>hour_p</name>
      <anchorfile>namespaceAIRINV_1_1DCPParserHelper.html</anchorfile>
      <anchor>cef32123678d129fcfb51cc8ad1fdf43</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>stdair::minute_p_t</type>
      <name>minute_p</name>
      <anchorfile>namespaceAIRINV_1_1DCPParserHelper.html</anchorfile>
      <anchor>b55ec8c730e8018b041f2e1d96d6fe4e</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>stdair::second_p_t</type>
      <name>second_p</name>
      <anchorfile>namespaceAIRINV_1_1DCPParserHelper.html</anchorfile>
      <anchor>492eb76633d49fc21aa4ccdd592d4a5e</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>stdair::year_p_t</type>
      <name>year_p</name>
      <anchorfile>namespaceAIRINV_1_1DCPParserHelper.html</anchorfile>
      <anchor>e8c9c0ddba416a3c6e3071ed4201ad75</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>stdair::month_p_t</type>
      <name>month_p</name>
      <anchorfile>namespaceAIRINV_1_1DCPParserHelper.html</anchorfile>
      <anchor>ae9124081b116d3b88e06b6bbb2fa818</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>stdair::day_p_t</type>
      <name>day_p</name>
      <anchorfile>namespaceAIRINV_1_1DCPParserHelper.html</anchorfile>
      <anchor>ede7a6bb4c9a74afb5faf45809ee9012</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>AIRINV::DCPParserHelper::ParserSemanticAction</name>
    <filename>structAIRINV_1_1DCPParserHelper_1_1ParserSemanticAction.html</filename>
    <member kind="function">
      <type></type>
      <name>ParserSemanticAction</name>
      <anchorfile>structAIRINV_1_1DCPParserHelper_1_1ParserSemanticAction.html</anchorfile>
      <anchor>098c1288d27ef7ef82363fb10a703f6d</anchor>
      <arglist>(DCPRuleStruct &amp;)</arglist>
    </member>
    <member kind="variable">
      <type>DCPRuleStruct &amp;</type>
      <name>_DCPRule</name>
      <anchorfile>structAIRINV_1_1DCPParserHelper_1_1ParserSemanticAction.html</anchorfile>
      <anchor>67a799fc99eb888ff1f5583ba7be7144</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>AIRINV::DCPParserHelper::storeDCPId</name>
    <filename>structAIRINV_1_1DCPParserHelper_1_1storeDCPId.html</filename>
    <base>AIRINV::DCPParserHelper::ParserSemanticAction</base>
    <member kind="function">
      <type></type>
      <name>storeDCPId</name>
      <anchorfile>structAIRINV_1_1DCPParserHelper_1_1storeDCPId.html</anchorfile>
      <anchor>dcac0670f0fab8a3321c2a36ec3aabf5</anchor>
      <arglist>(DCPRuleStruct &amp;)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>operator()</name>
      <anchorfile>structAIRINV_1_1DCPParserHelper_1_1storeDCPId.html</anchorfile>
      <anchor>bae1703a9a9fc6be0c11ababa0d90973</anchor>
      <arglist>(unsigned int, boost::spirit::qi::unused_type, boost::spirit::qi::unused_type) const </arglist>
    </member>
    <member kind="variable">
      <type>DCPRuleStruct &amp;</type>
      <name>_DCPRule</name>
      <anchorfile>structAIRINV_1_1DCPParserHelper_1_1ParserSemanticAction.html</anchorfile>
      <anchor>67a799fc99eb888ff1f5583ba7be7144</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>AIRINV::DCPParserHelper::storeOrigin</name>
    <filename>structAIRINV_1_1DCPParserHelper_1_1storeOrigin.html</filename>
    <base>AIRINV::DCPParserHelper::ParserSemanticAction</base>
    <member kind="function">
      <type></type>
      <name>storeOrigin</name>
      <anchorfile>structAIRINV_1_1DCPParserHelper_1_1storeOrigin.html</anchorfile>
      <anchor>aa179f462b31b5c62c146be4bc0cebde</anchor>
      <arglist>(DCPRuleStruct &amp;)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>operator()</name>
      <anchorfile>structAIRINV_1_1DCPParserHelper_1_1storeOrigin.html</anchorfile>
      <anchor>4fd6c363cb2051d52002226a4ba8312c</anchor>
      <arglist>(std::vector&lt; char &gt;, boost::spirit::qi::unused_type, boost::spirit::qi::unused_type) const </arglist>
    </member>
    <member kind="variable">
      <type>DCPRuleStruct &amp;</type>
      <name>_DCPRule</name>
      <anchorfile>structAIRINV_1_1DCPParserHelper_1_1ParserSemanticAction.html</anchorfile>
      <anchor>67a799fc99eb888ff1f5583ba7be7144</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>AIRINV::DCPParserHelper::storeDestination</name>
    <filename>structAIRINV_1_1DCPParserHelper_1_1storeDestination.html</filename>
    <base>AIRINV::DCPParserHelper::ParserSemanticAction</base>
    <member kind="function">
      <type></type>
      <name>storeDestination</name>
      <anchorfile>structAIRINV_1_1DCPParserHelper_1_1storeDestination.html</anchorfile>
      <anchor>de164ce7b4bfec4fff35c036f124b833</anchor>
      <arglist>(DCPRuleStruct &amp;)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>operator()</name>
      <anchorfile>structAIRINV_1_1DCPParserHelper_1_1storeDestination.html</anchorfile>
      <anchor>651a458e8a5d3435e4f92d07017effbc</anchor>
      <arglist>(std::vector&lt; char &gt;, boost::spirit::qi::unused_type, boost::spirit::qi::unused_type) const </arglist>
    </member>
    <member kind="variable">
      <type>DCPRuleStruct &amp;</type>
      <name>_DCPRule</name>
      <anchorfile>structAIRINV_1_1DCPParserHelper_1_1ParserSemanticAction.html</anchorfile>
      <anchor>67a799fc99eb888ff1f5583ba7be7144</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>AIRINV::DCPParserHelper::storeDateRangeStart</name>
    <filename>structAIRINV_1_1DCPParserHelper_1_1storeDateRangeStart.html</filename>
    <base>AIRINV::DCPParserHelper::ParserSemanticAction</base>
    <member kind="function">
      <type></type>
      <name>storeDateRangeStart</name>
      <anchorfile>structAIRINV_1_1DCPParserHelper_1_1storeDateRangeStart.html</anchorfile>
      <anchor>98fae6e5656980c8437a8b21959486cc</anchor>
      <arglist>(DCPRuleStruct &amp;)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>operator()</name>
      <anchorfile>structAIRINV_1_1DCPParserHelper_1_1storeDateRangeStart.html</anchorfile>
      <anchor>9d533a6cbafacdd74619a921ada063ce</anchor>
      <arglist>(boost::spirit::qi::unused_type, boost::spirit::qi::unused_type, boost::spirit::qi::unused_type) const </arglist>
    </member>
    <member kind="variable">
      <type>DCPRuleStruct &amp;</type>
      <name>_DCPRule</name>
      <anchorfile>structAIRINV_1_1DCPParserHelper_1_1ParserSemanticAction.html</anchorfile>
      <anchor>67a799fc99eb888ff1f5583ba7be7144</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>AIRINV::DCPParserHelper::storeDateRangeEnd</name>
    <filename>structAIRINV_1_1DCPParserHelper_1_1storeDateRangeEnd.html</filename>
    <base>AIRINV::DCPParserHelper::ParserSemanticAction</base>
    <member kind="function">
      <type></type>
      <name>storeDateRangeEnd</name>
      <anchorfile>structAIRINV_1_1DCPParserHelper_1_1storeDateRangeEnd.html</anchorfile>
      <anchor>0662242b0385bf50802a216ea4340e24</anchor>
      <arglist>(DCPRuleStruct &amp;)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>operator()</name>
      <anchorfile>structAIRINV_1_1DCPParserHelper_1_1storeDateRangeEnd.html</anchorfile>
      <anchor>b786c5cc3cf3b4fb0e421a3f0c65dc02</anchor>
      <arglist>(boost::spirit::qi::unused_type, boost::spirit::qi::unused_type, boost::spirit::qi::unused_type) const </arglist>
    </member>
    <member kind="variable">
      <type>DCPRuleStruct &amp;</type>
      <name>_DCPRule</name>
      <anchorfile>structAIRINV_1_1DCPParserHelper_1_1ParserSemanticAction.html</anchorfile>
      <anchor>67a799fc99eb888ff1f5583ba7be7144</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>AIRINV::DCPParserHelper::storeStartRangeTime</name>
    <filename>structAIRINV_1_1DCPParserHelper_1_1storeStartRangeTime.html</filename>
    <base>AIRINV::DCPParserHelper::ParserSemanticAction</base>
    <member kind="function">
      <type></type>
      <name>storeStartRangeTime</name>
      <anchorfile>structAIRINV_1_1DCPParserHelper_1_1storeStartRangeTime.html</anchorfile>
      <anchor>bb36a97e5b3ce5eab310f8ca6c3c16d2</anchor>
      <arglist>(DCPRuleStruct &amp;)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>operator()</name>
      <anchorfile>structAIRINV_1_1DCPParserHelper_1_1storeStartRangeTime.html</anchorfile>
      <anchor>06442ddfe073b69c4266f6c6deaf0c50</anchor>
      <arglist>(boost::spirit::qi::unused_type, boost::spirit::qi::unused_type, boost::spirit::qi::unused_type) const </arglist>
    </member>
    <member kind="variable">
      <type>DCPRuleStruct &amp;</type>
      <name>_DCPRule</name>
      <anchorfile>structAIRINV_1_1DCPParserHelper_1_1ParserSemanticAction.html</anchorfile>
      <anchor>67a799fc99eb888ff1f5583ba7be7144</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>AIRINV::DCPParserHelper::storeEndRangeTime</name>
    <filename>structAIRINV_1_1DCPParserHelper_1_1storeEndRangeTime.html</filename>
    <base>AIRINV::DCPParserHelper::ParserSemanticAction</base>
    <member kind="function">
      <type></type>
      <name>storeEndRangeTime</name>
      <anchorfile>structAIRINV_1_1DCPParserHelper_1_1storeEndRangeTime.html</anchorfile>
      <anchor>91ffdb3d6bf1b9c08ca5db8984656464</anchor>
      <arglist>(DCPRuleStruct &amp;)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>operator()</name>
      <anchorfile>structAIRINV_1_1DCPParserHelper_1_1storeEndRangeTime.html</anchorfile>
      <anchor>2a10781742ff0a79689868a6db24b02a</anchor>
      <arglist>(boost::spirit::qi::unused_type, boost::spirit::qi::unused_type, boost::spirit::qi::unused_type) const </arglist>
    </member>
    <member kind="variable">
      <type>DCPRuleStruct &amp;</type>
      <name>_DCPRule</name>
      <anchorfile>structAIRINV_1_1DCPParserHelper_1_1ParserSemanticAction.html</anchorfile>
      <anchor>67a799fc99eb888ff1f5583ba7be7144</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>AIRINV::DCPParserHelper::storePOS</name>
    <filename>structAIRINV_1_1DCPParserHelper_1_1storePOS.html</filename>
    <base>AIRINV::DCPParserHelper::ParserSemanticAction</base>
    <member kind="function">
      <type></type>
      <name>storePOS</name>
      <anchorfile>structAIRINV_1_1DCPParserHelper_1_1storePOS.html</anchorfile>
      <anchor>5f06790fa0a463ee605aecc793e4dc7f</anchor>
      <arglist>(DCPRuleStruct &amp;)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>operator()</name>
      <anchorfile>structAIRINV_1_1DCPParserHelper_1_1storePOS.html</anchorfile>
      <anchor>5949fb618fb1a4d7c1c633051544b4a0</anchor>
      <arglist>(std::vector&lt; char &gt;, boost::spirit::qi::unused_type, boost::spirit::qi::unused_type) const </arglist>
    </member>
    <member kind="variable">
      <type>DCPRuleStruct &amp;</type>
      <name>_DCPRule</name>
      <anchorfile>structAIRINV_1_1DCPParserHelper_1_1ParserSemanticAction.html</anchorfile>
      <anchor>67a799fc99eb888ff1f5583ba7be7144</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>AIRINV::DCPParserHelper::storeCabinCode</name>
    <filename>structAIRINV_1_1DCPParserHelper_1_1storeCabinCode.html</filename>
    <base>AIRINV::DCPParserHelper::ParserSemanticAction</base>
    <member kind="function">
      <type></type>
      <name>storeCabinCode</name>
      <anchorfile>structAIRINV_1_1DCPParserHelper_1_1storeCabinCode.html</anchorfile>
      <anchor>973a66478e60cec1bd60f482a00201be</anchor>
      <arglist>(DCPRuleStruct &amp;)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>operator()</name>
      <anchorfile>structAIRINV_1_1DCPParserHelper_1_1storeCabinCode.html</anchorfile>
      <anchor>a82c9386b7cff8eb5322f1e010e07466</anchor>
      <arglist>(char, boost::spirit::qi::unused_type, boost::spirit::qi::unused_type) const </arglist>
    </member>
    <member kind="variable">
      <type>DCPRuleStruct &amp;</type>
      <name>_DCPRule</name>
      <anchorfile>structAIRINV_1_1DCPParserHelper_1_1ParserSemanticAction.html</anchorfile>
      <anchor>67a799fc99eb888ff1f5583ba7be7144</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>AIRINV::DCPParserHelper::storeChannel</name>
    <filename>structAIRINV_1_1DCPParserHelper_1_1storeChannel.html</filename>
    <base>AIRINV::DCPParserHelper::ParserSemanticAction</base>
    <member kind="function">
      <type></type>
      <name>storeChannel</name>
      <anchorfile>structAIRINV_1_1DCPParserHelper_1_1storeChannel.html</anchorfile>
      <anchor>a864e7bb17de0a0f71ac4916d9705050</anchor>
      <arglist>(DCPRuleStruct &amp;)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>operator()</name>
      <anchorfile>structAIRINV_1_1DCPParserHelper_1_1storeChannel.html</anchorfile>
      <anchor>9075732fe9bdad6abf123027eb30d0ab</anchor>
      <arglist>(std::vector&lt; char &gt;, boost::spirit::qi::unused_type, boost::spirit::qi::unused_type) const </arglist>
    </member>
    <member kind="variable">
      <type>DCPRuleStruct &amp;</type>
      <name>_DCPRule</name>
      <anchorfile>structAIRINV_1_1DCPParserHelper_1_1ParserSemanticAction.html</anchorfile>
      <anchor>67a799fc99eb888ff1f5583ba7be7144</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>AIRINV::DCPParserHelper::storeAdvancePurchase</name>
    <filename>structAIRINV_1_1DCPParserHelper_1_1storeAdvancePurchase.html</filename>
    <base>AIRINV::DCPParserHelper::ParserSemanticAction</base>
    <member kind="function">
      <type></type>
      <name>storeAdvancePurchase</name>
      <anchorfile>structAIRINV_1_1DCPParserHelper_1_1storeAdvancePurchase.html</anchorfile>
      <anchor>734318bb5282c5086bf6bd8e639f4ef7</anchor>
      <arglist>(DCPRuleStruct &amp;)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>operator()</name>
      <anchorfile>structAIRINV_1_1DCPParserHelper_1_1storeAdvancePurchase.html</anchorfile>
      <anchor>d1adc95b572c1974ab3c06d3c04811bc</anchor>
      <arglist>(unsigned int, boost::spirit::qi::unused_type, boost::spirit::qi::unused_type) const </arglist>
    </member>
    <member kind="variable">
      <type>DCPRuleStruct &amp;</type>
      <name>_DCPRule</name>
      <anchorfile>structAIRINV_1_1DCPParserHelper_1_1ParserSemanticAction.html</anchorfile>
      <anchor>67a799fc99eb888ff1f5583ba7be7144</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>AIRINV::DCPParserHelper::storeSaturdayStay</name>
    <filename>structAIRINV_1_1DCPParserHelper_1_1storeSaturdayStay.html</filename>
    <base>AIRINV::DCPParserHelper::ParserSemanticAction</base>
    <member kind="function">
      <type></type>
      <name>storeSaturdayStay</name>
      <anchorfile>structAIRINV_1_1DCPParserHelper_1_1storeSaturdayStay.html</anchorfile>
      <anchor>ce651722d4ef6a9011c697c6a1502072</anchor>
      <arglist>(DCPRuleStruct &amp;)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>operator()</name>
      <anchorfile>structAIRINV_1_1DCPParserHelper_1_1storeSaturdayStay.html</anchorfile>
      <anchor>e460db3a159584ad23efc5b0f93db72d</anchor>
      <arglist>(char, boost::spirit::qi::unused_type, boost::spirit::qi::unused_type) const </arglist>
    </member>
    <member kind="variable">
      <type>DCPRuleStruct &amp;</type>
      <name>_DCPRule</name>
      <anchorfile>structAIRINV_1_1DCPParserHelper_1_1ParserSemanticAction.html</anchorfile>
      <anchor>67a799fc99eb888ff1f5583ba7be7144</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>AIRINV::DCPParserHelper::storeChangeFees</name>
    <filename>structAIRINV_1_1DCPParserHelper_1_1storeChangeFees.html</filename>
    <base>AIRINV::DCPParserHelper::ParserSemanticAction</base>
    <member kind="function">
      <type></type>
      <name>storeChangeFees</name>
      <anchorfile>structAIRINV_1_1DCPParserHelper_1_1storeChangeFees.html</anchorfile>
      <anchor>da4940c79375f76cf605975d852e9437</anchor>
      <arglist>(DCPRuleStruct &amp;)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>operator()</name>
      <anchorfile>structAIRINV_1_1DCPParserHelper_1_1storeChangeFees.html</anchorfile>
      <anchor>4ded17e3bd552ee7355e7f8233749e43</anchor>
      <arglist>(char, boost::spirit::qi::unused_type, boost::spirit::qi::unused_type) const </arglist>
    </member>
    <member kind="variable">
      <type>DCPRuleStruct &amp;</type>
      <name>_DCPRule</name>
      <anchorfile>structAIRINV_1_1DCPParserHelper_1_1ParserSemanticAction.html</anchorfile>
      <anchor>67a799fc99eb888ff1f5583ba7be7144</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>AIRINV::DCPParserHelper::storeNonRefundable</name>
    <filename>structAIRINV_1_1DCPParserHelper_1_1storeNonRefundable.html</filename>
    <base>AIRINV::DCPParserHelper::ParserSemanticAction</base>
    <member kind="function">
      <type></type>
      <name>storeNonRefundable</name>
      <anchorfile>structAIRINV_1_1DCPParserHelper_1_1storeNonRefundable.html</anchorfile>
      <anchor>dcbd1c31b8b3d1595e0ff5c35f4cc804</anchor>
      <arglist>(DCPRuleStruct &amp;)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>operator()</name>
      <anchorfile>structAIRINV_1_1DCPParserHelper_1_1storeNonRefundable.html</anchorfile>
      <anchor>b6ae5793c40ecdba54dde93c2d3b9745</anchor>
      <arglist>(char, boost::spirit::qi::unused_type, boost::spirit::qi::unused_type) const </arglist>
    </member>
    <member kind="variable">
      <type>DCPRuleStruct &amp;</type>
      <name>_DCPRule</name>
      <anchorfile>structAIRINV_1_1DCPParserHelper_1_1ParserSemanticAction.html</anchorfile>
      <anchor>67a799fc99eb888ff1f5583ba7be7144</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>AIRINV::DCPParserHelper::storeMinimumStay</name>
    <filename>structAIRINV_1_1DCPParserHelper_1_1storeMinimumStay.html</filename>
    <base>AIRINV::DCPParserHelper::ParserSemanticAction</base>
    <member kind="function">
      <type></type>
      <name>storeMinimumStay</name>
      <anchorfile>structAIRINV_1_1DCPParserHelper_1_1storeMinimumStay.html</anchorfile>
      <anchor>114be339acd3a1550ab9bdacfb69a6de</anchor>
      <arglist>(DCPRuleStruct &amp;)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>operator()</name>
      <anchorfile>structAIRINV_1_1DCPParserHelper_1_1storeMinimumStay.html</anchorfile>
      <anchor>8dad0e0ec2d0268df82de2e2ea877040</anchor>
      <arglist>(unsigned int, boost::spirit::qi::unused_type, boost::spirit::qi::unused_type) const </arglist>
    </member>
    <member kind="variable">
      <type>DCPRuleStruct &amp;</type>
      <name>_DCPRule</name>
      <anchorfile>structAIRINV_1_1DCPParserHelper_1_1ParserSemanticAction.html</anchorfile>
      <anchor>67a799fc99eb888ff1f5583ba7be7144</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>AIRINV::DCPParserHelper::storeDCP</name>
    <filename>structAIRINV_1_1DCPParserHelper_1_1storeDCP.html</filename>
    <base>AIRINV::DCPParserHelper::ParserSemanticAction</base>
    <member kind="function">
      <type></type>
      <name>storeDCP</name>
      <anchorfile>structAIRINV_1_1DCPParserHelper_1_1storeDCP.html</anchorfile>
      <anchor>8473d8129d7ebd4e5611f6fcb89131aa</anchor>
      <arglist>(DCPRuleStruct &amp;)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>operator()</name>
      <anchorfile>structAIRINV_1_1DCPParserHelper_1_1storeDCP.html</anchorfile>
      <anchor>db06998eb4667e4a73746c34a0a0c176</anchor>
      <arglist>(double, boost::spirit::qi::unused_type, boost::spirit::qi::unused_type) const </arglist>
    </member>
    <member kind="variable">
      <type>DCPRuleStruct &amp;</type>
      <name>_DCPRule</name>
      <anchorfile>structAIRINV_1_1DCPParserHelper_1_1ParserSemanticAction.html</anchorfile>
      <anchor>67a799fc99eb888ff1f5583ba7be7144</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>AIRINV::DCPParserHelper::storeAirlineCode</name>
    <filename>structAIRINV_1_1DCPParserHelper_1_1storeAirlineCode.html</filename>
    <base>AIRINV::DCPParserHelper::ParserSemanticAction</base>
    <member kind="function">
      <type></type>
      <name>storeAirlineCode</name>
      <anchorfile>structAIRINV_1_1DCPParserHelper_1_1storeAirlineCode.html</anchorfile>
      <anchor>a13459c1ec7ab48946b04e6b6addb31f</anchor>
      <arglist>(DCPRuleStruct &amp;)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>operator()</name>
      <anchorfile>structAIRINV_1_1DCPParserHelper_1_1storeAirlineCode.html</anchorfile>
      <anchor>aabe119818b37c303da2624b99af43ac</anchor>
      <arglist>(std::vector&lt; char &gt;, boost::spirit::qi::unused_type, boost::spirit::qi::unused_type) const </arglist>
    </member>
    <member kind="variable">
      <type>DCPRuleStruct &amp;</type>
      <name>_DCPRule</name>
      <anchorfile>structAIRINV_1_1DCPParserHelper_1_1ParserSemanticAction.html</anchorfile>
      <anchor>67a799fc99eb888ff1f5583ba7be7144</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>AIRINV::DCPParserHelper::storeClass</name>
    <filename>structAIRINV_1_1DCPParserHelper_1_1storeClass.html</filename>
    <base>AIRINV::DCPParserHelper::ParserSemanticAction</base>
    <member kind="function">
      <type></type>
      <name>storeClass</name>
      <anchorfile>structAIRINV_1_1DCPParserHelper_1_1storeClass.html</anchorfile>
      <anchor>eca9cf8b75f65af47f020cf3a514977e</anchor>
      <arglist>(DCPRuleStruct &amp;)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>operator()</name>
      <anchorfile>structAIRINV_1_1DCPParserHelper_1_1storeClass.html</anchorfile>
      <anchor>51f961e4ffce2e69a4d93641a7f08516</anchor>
      <arglist>(std::vector&lt; char &gt;, boost::spirit::qi::unused_type, boost::spirit::qi::unused_type) const </arglist>
    </member>
    <member kind="variable">
      <type>DCPRuleStruct &amp;</type>
      <name>_DCPRule</name>
      <anchorfile>structAIRINV_1_1DCPParserHelper_1_1ParserSemanticAction.html</anchorfile>
      <anchor>67a799fc99eb888ff1f5583ba7be7144</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>AIRINV::DCPParserHelper::doEndDCP</name>
    <filename>structAIRINV_1_1DCPParserHelper_1_1doEndDCP.html</filename>
    <base>AIRINV::DCPParserHelper::ParserSemanticAction</base>
    <member kind="function">
      <type></type>
      <name>doEndDCP</name>
      <anchorfile>structAIRINV_1_1DCPParserHelper_1_1doEndDCP.html</anchorfile>
      <anchor>0a5208d972297a44cd45c3ef7ccd5472</anchor>
      <arglist>(stdair::BomRoot &amp;, DCPRuleStruct &amp;)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>operator()</name>
      <anchorfile>structAIRINV_1_1DCPParserHelper_1_1doEndDCP.html</anchorfile>
      <anchor>1337bb2f2d8c16198fb57e1eee2a63b7</anchor>
      <arglist>(boost::spirit::qi::unused_type, boost::spirit::qi::unused_type, boost::spirit::qi::unused_type) const </arglist>
    </member>
    <member kind="variable">
      <type>stdair::BomRoot &amp;</type>
      <name>_bomRoot</name>
      <anchorfile>structAIRINV_1_1DCPParserHelper_1_1doEndDCP.html</anchorfile>
      <anchor>b36c8b413de3ebcb771e907bce4ccc81</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>DCPRuleStruct &amp;</type>
      <name>_DCPRule</name>
      <anchorfile>structAIRINV_1_1DCPParserHelper_1_1ParserSemanticAction.html</anchorfile>
      <anchor>67a799fc99eb888ff1f5583ba7be7144</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>AIRINV::DCPParserHelper::DCPRuleParser</name>
    <filename>structAIRINV_1_1DCPParserHelper_1_1DCPRuleParser.html</filename>
    <base>boost::spirit::qi::grammar</base>
    <member kind="function">
      <type></type>
      <name>DCPRuleParser</name>
      <anchorfile>structAIRINV_1_1DCPParserHelper_1_1DCPRuleParser.html</anchorfile>
      <anchor>549c7e562cc660c8ea482c06e4296a27</anchor>
      <arglist>(stdair::BomRoot &amp;, DCPRuleStruct &amp;)</arglist>
    </member>
    <member kind="variable">
      <type>boost::spirit::qi::rule&lt; stdair::iterator_t, boost::spirit::ascii::space_type &gt;</type>
      <name>start</name>
      <anchorfile>structAIRINV_1_1DCPParserHelper_1_1DCPRuleParser.html</anchorfile>
      <anchor>a32199b485c3d490c286e0880863fa42</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>boost::spirit::qi::rule&lt; stdair::iterator_t, boost::spirit::ascii::space_type &gt;</type>
      <name>comments</name>
      <anchorfile>structAIRINV_1_1DCPParserHelper_1_1DCPRuleParser.html</anchorfile>
      <anchor>30a2f5ca1bf1a1e43da82bc2b5c52a9c</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>boost::spirit::qi::rule&lt; stdair::iterator_t, boost::spirit::ascii::space_type &gt;</type>
      <name>DCP_rule</name>
      <anchorfile>structAIRINV_1_1DCPParserHelper_1_1DCPRuleParser.html</anchorfile>
      <anchor>78d3daa5c0b3d11688906adc430e25bf</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>boost::spirit::qi::rule&lt; stdair::iterator_t, boost::spirit::ascii::space_type &gt;</type>
      <name>DCP_rule_end</name>
      <anchorfile>structAIRINV_1_1DCPParserHelper_1_1DCPRuleParser.html</anchorfile>
      <anchor>4bb28efc1f200ce0da7b523ffc7a1392</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>boost::spirit::qi::rule&lt; stdair::iterator_t, boost::spirit::ascii::space_type &gt;</type>
      <name>DCP_key</name>
      <anchorfile>structAIRINV_1_1DCPParserHelper_1_1DCPRuleParser.html</anchorfile>
      <anchor>b981f0525d7089d67e7c2ead58823f39</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>boost::spirit::qi::rule&lt; stdair::iterator_t, boost::spirit::ascii::space_type &gt;</type>
      <name>DCP_id</name>
      <anchorfile>structAIRINV_1_1DCPParserHelper_1_1DCPRuleParser.html</anchorfile>
      <anchor>b771197e99ef25a7994cd374f21c70a4</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>boost::spirit::qi::rule&lt; stdair::iterator_t, boost::spirit::ascii::space_type &gt;</type>
      <name>origin</name>
      <anchorfile>structAIRINV_1_1DCPParserHelper_1_1DCPRuleParser.html</anchorfile>
      <anchor>3d66eea66ed48d2313a42acc926f35de</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>boost::spirit::qi::rule&lt; stdair::iterator_t, boost::spirit::ascii::space_type &gt;</type>
      <name>destination</name>
      <anchorfile>structAIRINV_1_1DCPParserHelper_1_1DCPRuleParser.html</anchorfile>
      <anchor>d9ec2c6d05cfb7ea30f223b096d5a7a4</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>boost::spirit::qi::rule&lt; stdair::iterator_t, boost::spirit::ascii::space_type &gt;</type>
      <name>dateRangeStart</name>
      <anchorfile>structAIRINV_1_1DCPParserHelper_1_1DCPRuleParser.html</anchorfile>
      <anchor>4b65d8e27436b7887cf889f289817c77</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>boost::spirit::qi::rule&lt; stdair::iterator_t, boost::spirit::ascii::space_type &gt;</type>
      <name>dateRangeEnd</name>
      <anchorfile>structAIRINV_1_1DCPParserHelper_1_1DCPRuleParser.html</anchorfile>
      <anchor>2adac2619efc09f40d18170c064333ba</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>boost::spirit::qi::rule&lt; stdair::iterator_t, boost::spirit::ascii::space_type &gt;</type>
      <name>date</name>
      <anchorfile>structAIRINV_1_1DCPParserHelper_1_1DCPRuleParser.html</anchorfile>
      <anchor>3e68586a62d4a71e8ae0943dacb42407</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>boost::spirit::qi::rule&lt; stdair::iterator_t, boost::spirit::ascii::space_type &gt;</type>
      <name>timeRangeStart</name>
      <anchorfile>structAIRINV_1_1DCPParserHelper_1_1DCPRuleParser.html</anchorfile>
      <anchor>8d61fbe7628bb0138659ee2cf4fbf86c</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>boost::spirit::qi::rule&lt; stdair::iterator_t, boost::spirit::ascii::space_type &gt;</type>
      <name>timeRangeEnd</name>
      <anchorfile>structAIRINV_1_1DCPParserHelper_1_1DCPRuleParser.html</anchorfile>
      <anchor>8b491d2adb9fb7467308a74dd4a32032</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>boost::spirit::qi::rule&lt; stdair::iterator_t, boost::spirit::ascii::space_type &gt;</type>
      <name>time</name>
      <anchorfile>structAIRINV_1_1DCPParserHelper_1_1DCPRuleParser.html</anchorfile>
      <anchor>c6ab19829caa005fcb803b5f12d38a7a</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>boost::spirit::qi::rule&lt; stdair::iterator_t, boost::spirit::ascii::space_type &gt;</type>
      <name>position</name>
      <anchorfile>structAIRINV_1_1DCPParserHelper_1_1DCPRuleParser.html</anchorfile>
      <anchor>dffc149da1af2b3eca3ffd99365ef9b1</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>boost::spirit::qi::rule&lt; stdair::iterator_t, boost::spirit::ascii::space_type &gt;</type>
      <name>cabinCode</name>
      <anchorfile>structAIRINV_1_1DCPParserHelper_1_1DCPRuleParser.html</anchorfile>
      <anchor>90008ce5ec16594cd99bf4eba58f6aec</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>boost::spirit::qi::rule&lt; stdair::iterator_t, boost::spirit::ascii::space_type &gt;</type>
      <name>channel</name>
      <anchorfile>structAIRINV_1_1DCPParserHelper_1_1DCPRuleParser.html</anchorfile>
      <anchor>b02f8d515f3319fb4da337d714c2ce61</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>boost::spirit::qi::rule&lt; stdair::iterator_t, boost::spirit::ascii::space_type &gt;</type>
      <name>advancePurchase</name>
      <anchorfile>structAIRINV_1_1DCPParserHelper_1_1DCPRuleParser.html</anchorfile>
      <anchor>533ce68ab807a3e480bf4ddfe1275c9e</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>boost::spirit::qi::rule&lt; stdair::iterator_t, boost::spirit::ascii::space_type &gt;</type>
      <name>saturdayStay</name>
      <anchorfile>structAIRINV_1_1DCPParserHelper_1_1DCPRuleParser.html</anchorfile>
      <anchor>382ae5568408ba5e97b39681a0b839a5</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>boost::spirit::qi::rule&lt; stdair::iterator_t, boost::spirit::ascii::space_type &gt;</type>
      <name>changeFees</name>
      <anchorfile>structAIRINV_1_1DCPParserHelper_1_1DCPRuleParser.html</anchorfile>
      <anchor>77e672f10477b4dd0a27817848c1ca8b</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>boost::spirit::qi::rule&lt; stdair::iterator_t, boost::spirit::ascii::space_type &gt;</type>
      <name>nonRefundable</name>
      <anchorfile>structAIRINV_1_1DCPParserHelper_1_1DCPRuleParser.html</anchorfile>
      <anchor>87f4c6cc3dc8d5cd8ef036050f39b3a6</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>boost::spirit::qi::rule&lt; stdair::iterator_t, boost::spirit::ascii::space_type &gt;</type>
      <name>minimumStay</name>
      <anchorfile>structAIRINV_1_1DCPParserHelper_1_1DCPRuleParser.html</anchorfile>
      <anchor>404645e434c4012cca9f54370817a635</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>boost::spirit::qi::rule&lt; stdair::iterator_t, boost::spirit::ascii::space_type &gt;</type>
      <name>DCP</name>
      <anchorfile>structAIRINV_1_1DCPParserHelper_1_1DCPRuleParser.html</anchorfile>
      <anchor>8c0b53d564a69a553e61670bd812fae8</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>boost::spirit::qi::rule&lt; stdair::iterator_t, boost::spirit::ascii::space_type &gt;</type>
      <name>segment</name>
      <anchorfile>structAIRINV_1_1DCPParserHelper_1_1DCPRuleParser.html</anchorfile>
      <anchor>876772be413bf0e7a4acb3a96ae4915b</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>boost::spirit::qi::rule&lt; stdair::iterator_t, boost::spirit::ascii::space_type &gt;</type>
      <name>list_class</name>
      <anchorfile>structAIRINV_1_1DCPParserHelper_1_1DCPRuleParser.html</anchorfile>
      <anchor>034004adf9f732102acd2406d73c7404</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>stdair::BomRoot &amp;</type>
      <name>_bomRoot</name>
      <anchorfile>structAIRINV_1_1DCPParserHelper_1_1DCPRuleParser.html</anchorfile>
      <anchor>c117ca0e66a91426dd862fdfe00d8d29</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>DCPRuleStruct &amp;</type>
      <name>_DCPRule</name>
      <anchorfile>structAIRINV_1_1DCPParserHelper_1_1DCPRuleParser.html</anchorfile>
      <anchor>ce02b81906c4b4a608188db9b11445bf</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="namespace">
    <name>AIRINV::FFDisutilityParserHelper</name>
    <filename>namespaceAIRINV_1_1FFDisutilityParserHelper.html</filename>
    <class kind="struct">AIRINV::FFDisutilityParserHelper::ParserSemanticAction</class>
    <class kind="struct">AIRINV::FFDisutilityParserHelper::storeCurveKey</class>
    <class kind="struct">AIRINV::FFDisutilityParserHelper::storeDTD</class>
    <class kind="struct">AIRINV::FFDisutilityParserHelper::storeFFDisutilityValue</class>
    <class kind="struct">AIRINV::FFDisutilityParserHelper::doEndCurve</class>
    <class kind="struct">AIRINV::FFDisutilityParserHelper::FFDisutilityParser</class>
    <member kind="function">
      <type>repeat_p_t</type>
      <name>key_p</name>
      <anchorfile>namespaceAIRINV_1_1FFDisutilityParserHelper.html</anchorfile>
      <anchor>058c7d819e1cf204caf547d854a8c348</anchor>
      <arglist>(chset_t(&quot;0-9A-Z&quot;).derived(), 1, 10)</arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>AIRINV::FFDisutilityParserHelper::ParserSemanticAction</name>
    <filename>structAIRINV_1_1FFDisutilityParserHelper_1_1ParserSemanticAction.html</filename>
    <member kind="function">
      <type></type>
      <name>ParserSemanticAction</name>
      <anchorfile>structAIRINV_1_1FFDisutilityParserHelper_1_1ParserSemanticAction.html</anchorfile>
      <anchor>5a915fba9470cfca7b72d30ef938941a</anchor>
      <arglist>(FFDisutilityStruct &amp;)</arglist>
    </member>
    <member kind="variable">
      <type>FFDisutilityStruct &amp;</type>
      <name>_ffDisutility</name>
      <anchorfile>structAIRINV_1_1FFDisutilityParserHelper_1_1ParserSemanticAction.html</anchorfile>
      <anchor>f3978b0135d4593594200dea8de7b728</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>AIRINV::FFDisutilityParserHelper::storeCurveKey</name>
    <filename>structAIRINV_1_1FFDisutilityParserHelper_1_1storeCurveKey.html</filename>
    <base>AIRINV::FFDisutilityParserHelper::ParserSemanticAction</base>
    <member kind="function">
      <type></type>
      <name>storeCurveKey</name>
      <anchorfile>structAIRINV_1_1FFDisutilityParserHelper_1_1storeCurveKey.html</anchorfile>
      <anchor>c4babec3a7ba118fee2a083ae6b2a8c3</anchor>
      <arglist>(FFDisutilityStruct &amp;)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>operator()</name>
      <anchorfile>structAIRINV_1_1FFDisutilityParserHelper_1_1storeCurveKey.html</anchorfile>
      <anchor>69993d1547019338b8621946af1a2458</anchor>
      <arglist>(iterator_t iStr, iterator_t iStrEnd) const </arglist>
    </member>
    <member kind="variable">
      <type>FFDisutilityStruct &amp;</type>
      <name>_ffDisutility</name>
      <anchorfile>structAIRINV_1_1FFDisutilityParserHelper_1_1ParserSemanticAction.html</anchorfile>
      <anchor>f3978b0135d4593594200dea8de7b728</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>AIRINV::FFDisutilityParserHelper::storeDTD</name>
    <filename>structAIRINV_1_1FFDisutilityParserHelper_1_1storeDTD.html</filename>
    <base>AIRINV::FFDisutilityParserHelper::ParserSemanticAction</base>
    <member kind="function">
      <type></type>
      <name>storeDTD</name>
      <anchorfile>structAIRINV_1_1FFDisutilityParserHelper_1_1storeDTD.html</anchorfile>
      <anchor>f4e41c9f37900e517af4301c5555e9fb</anchor>
      <arglist>(FFDisutilityStruct &amp;)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>operator()</name>
      <anchorfile>structAIRINV_1_1FFDisutilityParserHelper_1_1storeDTD.html</anchorfile>
      <anchor>e70c836441ad80a03733887248292b05</anchor>
      <arglist>(int iDTD) const </arglist>
    </member>
    <member kind="variable">
      <type>FFDisutilityStruct &amp;</type>
      <name>_ffDisutility</name>
      <anchorfile>structAIRINV_1_1FFDisutilityParserHelper_1_1ParserSemanticAction.html</anchorfile>
      <anchor>f3978b0135d4593594200dea8de7b728</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>AIRINV::FFDisutilityParserHelper::storeFFDisutilityValue</name>
    <filename>structAIRINV_1_1FFDisutilityParserHelper_1_1storeFFDisutilityValue.html</filename>
    <base>AIRINV::FFDisutilityParserHelper::ParserSemanticAction</base>
    <member kind="function">
      <type></type>
      <name>storeFFDisutilityValue</name>
      <anchorfile>structAIRINV_1_1FFDisutilityParserHelper_1_1storeFFDisutilityValue.html</anchorfile>
      <anchor>72ea74afe476065a2958298c0ba970ce</anchor>
      <arglist>(FFDisutilityStruct &amp;)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>operator()</name>
      <anchorfile>structAIRINV_1_1FFDisutilityParserHelper_1_1storeFFDisutilityValue.html</anchorfile>
      <anchor>5cab68c59c4a2bfb50d9c8147cabe831</anchor>
      <arglist>(double iReal) const </arglist>
    </member>
    <member kind="variable">
      <type>FFDisutilityStruct &amp;</type>
      <name>_ffDisutility</name>
      <anchorfile>structAIRINV_1_1FFDisutilityParserHelper_1_1ParserSemanticAction.html</anchorfile>
      <anchor>f3978b0135d4593594200dea8de7b728</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>AIRINV::FFDisutilityParserHelper::doEndCurve</name>
    <filename>structAIRINV_1_1FFDisutilityParserHelper_1_1doEndCurve.html</filename>
    <base>AIRINV::FFDisutilityParserHelper::ParserSemanticAction</base>
    <member kind="function">
      <type></type>
      <name>doEndCurve</name>
      <anchorfile>structAIRINV_1_1FFDisutilityParserHelper_1_1doEndCurve.html</anchorfile>
      <anchor>b41388774570ff269ef3d0a306a05c4e</anchor>
      <arglist>(stdair::BomRoot &amp;, FFDisutilityStruct &amp;)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>operator()</name>
      <anchorfile>structAIRINV_1_1FFDisutilityParserHelper_1_1doEndCurve.html</anchorfile>
      <anchor>a8f203e224ffef0978eeb390ccffbe3a</anchor>
      <arglist>(iterator_t iStr, iterator_t iStrEnd) const </arglist>
    </member>
    <member kind="variable">
      <type>stdair::BomRoot &amp;</type>
      <name>_bomRoot</name>
      <anchorfile>structAIRINV_1_1FFDisutilityParserHelper_1_1doEndCurve.html</anchorfile>
      <anchor>56ed846dfb748379aeb7c13b2a488c85</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>FFDisutilityStruct &amp;</type>
      <name>_ffDisutility</name>
      <anchorfile>structAIRINV_1_1FFDisutilityParserHelper_1_1ParserSemanticAction.html</anchorfile>
      <anchor>f3978b0135d4593594200dea8de7b728</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>AIRINV::FFDisutilityParserHelper::FFDisutilityParser</name>
    <filename>structAIRINV_1_1FFDisutilityParserHelper_1_1FFDisutilityParser.html</filename>
    <base>boost::spirit::classic::grammar</base>
    <member kind="function">
      <type></type>
      <name>FFDisutilityParser</name>
      <anchorfile>structAIRINV_1_1FFDisutilityParserHelper_1_1FFDisutilityParser.html</anchorfile>
      <anchor>494223df5217e586a2552274daff8678</anchor>
      <arglist>(stdair::BomRoot &amp;, FFDisutilityStruct &amp;)</arglist>
    </member>
    <member kind="variable">
      <type>stdair::BomRoot &amp;</type>
      <name>_bomRoot</name>
      <anchorfile>structAIRINV_1_1FFDisutilityParserHelper_1_1FFDisutilityParser.html</anchorfile>
      <anchor>a941a4a53d34a66060c3be13604e8b5b</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>FFDisutilityStruct &amp;</type>
      <name>_ffDisutility</name>
      <anchorfile>structAIRINV_1_1FFDisutilityParserHelper_1_1FFDisutilityParser.html</anchorfile>
      <anchor>fd0949f06e0f4ab1638f699f9496eb56</anchor>
      <arglist></arglist>
    </member>
    <class kind="struct">AIRINV::FFDisutilityParserHelper::FFDisutilityParser::definition</class>
  </compound>
  <compound kind="struct">
    <name>AIRINV::FFDisutilityParserHelper::FFDisutilityParser::definition</name>
    <filename>structAIRINV_1_1FFDisutilityParserHelper_1_1FFDisutilityParser_1_1definition.html</filename>
    <templarg>ScannerT</templarg>
    <member kind="function">
      <type></type>
      <name>definition</name>
      <anchorfile>structAIRINV_1_1FFDisutilityParserHelper_1_1FFDisutilityParser_1_1definition.html</anchorfile>
      <anchor>0fb750b636b687677e4bb3e75e7ecb7f</anchor>
      <arglist>(FFDisutilityParser const &amp;self)</arglist>
    </member>
    <member kind="function">
      <type>boost::spirit::classic::rule&lt; ScannerT &gt; const &amp;</type>
      <name>start</name>
      <anchorfile>structAIRINV_1_1FFDisutilityParserHelper_1_1FFDisutilityParser_1_1definition.html</anchorfile>
      <anchor>cb9e746a0e8e622fe1334b5fc3c0aa59</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="variable">
      <type>boost::spirit::classic::rule&lt; ScannerT &gt;</type>
      <name>curve_list</name>
      <anchorfile>structAIRINV_1_1FFDisutilityParserHelper_1_1FFDisutilityParser_1_1definition.html</anchorfile>
      <anchor>c1871ab44131b19d9916f3ae3633b538</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>boost::spirit::classic::rule&lt; ScannerT &gt;</type>
      <name>not_to_be_parsed</name>
      <anchorfile>structAIRINV_1_1FFDisutilityParserHelper_1_1FFDisutilityParser_1_1definition.html</anchorfile>
      <anchor>489dd105a237a7d902b6d6d45535dd0b</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>boost::spirit::classic::rule&lt; ScannerT &gt;</type>
      <name>curve</name>
      <anchorfile>structAIRINV_1_1FFDisutilityParserHelper_1_1FFDisutilityParser_1_1definition.html</anchorfile>
      <anchor>3d4a2f542a118776de5601b971091ab2</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>boost::spirit::classic::rule&lt; ScannerT &gt;</type>
      <name>key</name>
      <anchorfile>structAIRINV_1_1FFDisutilityParserHelper_1_1FFDisutilityParser_1_1definition.html</anchorfile>
      <anchor>5dd205e9c10ea0871e1279f709e33833</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>boost::spirit::classic::rule&lt; ScannerT &gt;</type>
      <name>map</name>
      <anchorfile>structAIRINV_1_1FFDisutilityParserHelper_1_1FFDisutilityParser_1_1definition.html</anchorfile>
      <anchor>8e3fa634a65dfb1b2f0c662775fb7443</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>boost::spirit::classic::rule&lt; ScannerT &gt;</type>
      <name>value_pair</name>
      <anchorfile>structAIRINV_1_1FFDisutilityParserHelper_1_1FFDisutilityParser_1_1definition.html</anchorfile>
      <anchor>748159be9be3cffc9ccca09a1f15a158</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>boost::spirit::classic::rule&lt; ScannerT &gt;</type>
      <name>curve_end</name>
      <anchorfile>structAIRINV_1_1FFDisutilityParserHelper_1_1FFDisutilityParser_1_1definition.html</anchorfile>
      <anchor>2e08b0bb62a5e88b843e7fad1f62f74e</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="namespace">
    <name>AIRINV::FRAT5ParserHelper</name>
    <filename>namespaceAIRINV_1_1FRAT5ParserHelper.html</filename>
    <class kind="struct">AIRINV::FRAT5ParserHelper::ParserSemanticAction</class>
    <class kind="struct">AIRINV::FRAT5ParserHelper::storeCurveKey</class>
    <class kind="struct">AIRINV::FRAT5ParserHelper::storeDTD</class>
    <class kind="struct">AIRINV::FRAT5ParserHelper::storeFRAT5Value</class>
    <class kind="struct">AIRINV::FRAT5ParserHelper::doEndCurve</class>
    <class kind="struct">AIRINV::FRAT5ParserHelper::FRAT5Parser</class>
    <member kind="function">
      <type>repeat_p_t</type>
      <name>key_p</name>
      <anchorfile>namespaceAIRINV_1_1FRAT5ParserHelper.html</anchorfile>
      <anchor>526e4c1f1dabef3b1aa6717e6d6bd778</anchor>
      <arglist>(chset_t(&quot;0-9A-Z&quot;).derived(), 1, 10)</arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>AIRINV::FRAT5ParserHelper::ParserSemanticAction</name>
    <filename>structAIRINV_1_1FRAT5ParserHelper_1_1ParserSemanticAction.html</filename>
    <member kind="function">
      <type></type>
      <name>ParserSemanticAction</name>
      <anchorfile>structAIRINV_1_1FRAT5ParserHelper_1_1ParserSemanticAction.html</anchorfile>
      <anchor>ac92913ec6d67460d90b748cc60a73ae</anchor>
      <arglist>(FRAT5Struct &amp;)</arglist>
    </member>
    <member kind="variable">
      <type>FRAT5Struct &amp;</type>
      <name>_frat5</name>
      <anchorfile>structAIRINV_1_1FRAT5ParserHelper_1_1ParserSemanticAction.html</anchorfile>
      <anchor>6ca6fcbd4f3883139fe20a037cc6b655</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>AIRINV::FRAT5ParserHelper::storeCurveKey</name>
    <filename>structAIRINV_1_1FRAT5ParserHelper_1_1storeCurveKey.html</filename>
    <base>AIRINV::FRAT5ParserHelper::ParserSemanticAction</base>
    <member kind="function">
      <type></type>
      <name>storeCurveKey</name>
      <anchorfile>structAIRINV_1_1FRAT5ParserHelper_1_1storeCurveKey.html</anchorfile>
      <anchor>56cbfc5714bca73b8678b802d1e0d8fa</anchor>
      <arglist>(FRAT5Struct &amp;)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>operator()</name>
      <anchorfile>structAIRINV_1_1FRAT5ParserHelper_1_1storeCurveKey.html</anchorfile>
      <anchor>24398611ad411b2492155921c8a65222</anchor>
      <arglist>(iterator_t iStr, iterator_t iStrEnd) const </arglist>
    </member>
    <member kind="variable">
      <type>FRAT5Struct &amp;</type>
      <name>_frat5</name>
      <anchorfile>structAIRINV_1_1FRAT5ParserHelper_1_1ParserSemanticAction.html</anchorfile>
      <anchor>6ca6fcbd4f3883139fe20a037cc6b655</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>AIRINV::FRAT5ParserHelper::storeDTD</name>
    <filename>structAIRINV_1_1FRAT5ParserHelper_1_1storeDTD.html</filename>
    <base>AIRINV::FRAT5ParserHelper::ParserSemanticAction</base>
    <member kind="function">
      <type></type>
      <name>storeDTD</name>
      <anchorfile>structAIRINV_1_1FRAT5ParserHelper_1_1storeDTD.html</anchorfile>
      <anchor>fd56e55eb38e0054b60043873cc11b62</anchor>
      <arglist>(FRAT5Struct &amp;)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>operator()</name>
      <anchorfile>structAIRINV_1_1FRAT5ParserHelper_1_1storeDTD.html</anchorfile>
      <anchor>3274fb27f897ec1a425ae0440d09ee1d</anchor>
      <arglist>(int iDTD) const </arglist>
    </member>
    <member kind="variable">
      <type>FRAT5Struct &amp;</type>
      <name>_frat5</name>
      <anchorfile>structAIRINV_1_1FRAT5ParserHelper_1_1ParserSemanticAction.html</anchorfile>
      <anchor>6ca6fcbd4f3883139fe20a037cc6b655</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>AIRINV::FRAT5ParserHelper::storeFRAT5Value</name>
    <filename>structAIRINV_1_1FRAT5ParserHelper_1_1storeFRAT5Value.html</filename>
    <base>AIRINV::FRAT5ParserHelper::ParserSemanticAction</base>
    <member kind="function">
      <type></type>
      <name>storeFRAT5Value</name>
      <anchorfile>structAIRINV_1_1FRAT5ParserHelper_1_1storeFRAT5Value.html</anchorfile>
      <anchor>1c69866da008dda0f10f10113623d2e8</anchor>
      <arglist>(FRAT5Struct &amp;)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>operator()</name>
      <anchorfile>structAIRINV_1_1FRAT5ParserHelper_1_1storeFRAT5Value.html</anchorfile>
      <anchor>69564d8343dfddb4a1b63d7d09a51bff</anchor>
      <arglist>(double iReal) const </arglist>
    </member>
    <member kind="variable">
      <type>FRAT5Struct &amp;</type>
      <name>_frat5</name>
      <anchorfile>structAIRINV_1_1FRAT5ParserHelper_1_1ParserSemanticAction.html</anchorfile>
      <anchor>6ca6fcbd4f3883139fe20a037cc6b655</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>AIRINV::FRAT5ParserHelper::doEndCurve</name>
    <filename>structAIRINV_1_1FRAT5ParserHelper_1_1doEndCurve.html</filename>
    <base>AIRINV::FRAT5ParserHelper::ParserSemanticAction</base>
    <member kind="function">
      <type></type>
      <name>doEndCurve</name>
      <anchorfile>structAIRINV_1_1FRAT5ParserHelper_1_1doEndCurve.html</anchorfile>
      <anchor>c565b656a3f35fa6e4876004becdfc5c</anchor>
      <arglist>(stdair::BomRoot &amp;, FRAT5Struct &amp;)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>operator()</name>
      <anchorfile>structAIRINV_1_1FRAT5ParserHelper_1_1doEndCurve.html</anchorfile>
      <anchor>02acea8f630e7046d439c388be987725</anchor>
      <arglist>(iterator_t iStr, iterator_t iStrEnd) const </arglist>
    </member>
    <member kind="variable">
      <type>stdair::BomRoot &amp;</type>
      <name>_bomRoot</name>
      <anchorfile>structAIRINV_1_1FRAT5ParserHelper_1_1doEndCurve.html</anchorfile>
      <anchor>150f19e3672ec3a300c3dd942a61e03e</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>FRAT5Struct &amp;</type>
      <name>_frat5</name>
      <anchorfile>structAIRINV_1_1FRAT5ParserHelper_1_1ParserSemanticAction.html</anchorfile>
      <anchor>6ca6fcbd4f3883139fe20a037cc6b655</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>AIRINV::FRAT5ParserHelper::FRAT5Parser</name>
    <filename>structAIRINV_1_1FRAT5ParserHelper_1_1FRAT5Parser.html</filename>
    <base>boost::spirit::classic::grammar</base>
    <member kind="function">
      <type></type>
      <name>FRAT5Parser</name>
      <anchorfile>structAIRINV_1_1FRAT5ParserHelper_1_1FRAT5Parser.html</anchorfile>
      <anchor>29762cf589fd4b77f5a67864569dbda4</anchor>
      <arglist>(stdair::BomRoot &amp;, FRAT5Struct &amp;)</arglist>
    </member>
    <member kind="variable">
      <type>stdair::BomRoot &amp;</type>
      <name>_bomRoot</name>
      <anchorfile>structAIRINV_1_1FRAT5ParserHelper_1_1FRAT5Parser.html</anchorfile>
      <anchor>571e2a99abf4b98a2ef4aad9430d8b6a</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>FRAT5Struct &amp;</type>
      <name>_frat5</name>
      <anchorfile>structAIRINV_1_1FRAT5ParserHelper_1_1FRAT5Parser.html</anchorfile>
      <anchor>ffa25c582c3996e91edda0d67cc637bc</anchor>
      <arglist></arglist>
    </member>
    <class kind="struct">AIRINV::FRAT5ParserHelper::FRAT5Parser::definition</class>
  </compound>
  <compound kind="struct">
    <name>AIRINV::FRAT5ParserHelper::FRAT5Parser::definition</name>
    <filename>structAIRINV_1_1FRAT5ParserHelper_1_1FRAT5Parser_1_1definition.html</filename>
    <templarg>ScannerT</templarg>
    <member kind="function">
      <type></type>
      <name>definition</name>
      <anchorfile>structAIRINV_1_1FRAT5ParserHelper_1_1FRAT5Parser_1_1definition.html</anchorfile>
      <anchor>58649cf7b5f27d7ae0ea0d783482e485</anchor>
      <arglist>(FRAT5Parser const &amp;self)</arglist>
    </member>
    <member kind="function">
      <type>boost::spirit::classic::rule&lt; ScannerT &gt; const &amp;</type>
      <name>start</name>
      <anchorfile>structAIRINV_1_1FRAT5ParserHelper_1_1FRAT5Parser_1_1definition.html</anchorfile>
      <anchor>73e6ceed245a05c4f1fc4b71507c4626</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="variable">
      <type>boost::spirit::classic::rule&lt; ScannerT &gt;</type>
      <name>curve_list</name>
      <anchorfile>structAIRINV_1_1FRAT5ParserHelper_1_1FRAT5Parser_1_1definition.html</anchorfile>
      <anchor>94e1b7b1521ca503f6a4d3bf908b5c40</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>boost::spirit::classic::rule&lt; ScannerT &gt;</type>
      <name>not_to_be_parsed</name>
      <anchorfile>structAIRINV_1_1FRAT5ParserHelper_1_1FRAT5Parser_1_1definition.html</anchorfile>
      <anchor>7498ce4159ea4bcf1a6a2d219da2fd45</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>boost::spirit::classic::rule&lt; ScannerT &gt;</type>
      <name>curve</name>
      <anchorfile>structAIRINV_1_1FRAT5ParserHelper_1_1FRAT5Parser_1_1definition.html</anchorfile>
      <anchor>2fd18312a1c69a08a2d92fcf036ca847</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>boost::spirit::classic::rule&lt; ScannerT &gt;</type>
      <name>key</name>
      <anchorfile>structAIRINV_1_1FRAT5ParserHelper_1_1FRAT5Parser_1_1definition.html</anchorfile>
      <anchor>b562f11694b2b0dccf3ad22e060d5a2c</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>boost::spirit::classic::rule&lt; ScannerT &gt;</type>
      <name>map</name>
      <anchorfile>structAIRINV_1_1FRAT5ParserHelper_1_1FRAT5Parser_1_1definition.html</anchorfile>
      <anchor>e0eea0171a7224d8e5208311ce8bfbab</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>boost::spirit::classic::rule&lt; ScannerT &gt;</type>
      <name>value_pair</name>
      <anchorfile>structAIRINV_1_1FRAT5ParserHelper_1_1FRAT5Parser_1_1definition.html</anchorfile>
      <anchor>d9f62977a34596d881d3f35cfcc1f579</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>boost::spirit::classic::rule&lt; ScannerT &gt;</type>
      <name>curve_end</name>
      <anchorfile>structAIRINV_1_1FRAT5ParserHelper_1_1FRAT5Parser_1_1definition.html</anchorfile>
      <anchor>34f5db29d7c777e0a12718a266a0b6cf</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="namespace">
    <name>AIRINV::InventoryParserHelper</name>
    <filename>namespaceAIRINV_1_1InventoryParserHelper.html</filename>
    <class kind="struct">AIRINV::InventoryParserHelper::ParserSemanticAction</class>
    <class kind="struct">AIRINV::InventoryParserHelper::storeSnapshotDate</class>
    <class kind="struct">AIRINV::InventoryParserHelper::storeAirlineCode</class>
    <class kind="struct">AIRINV::InventoryParserHelper::storeFlightNumber</class>
    <class kind="struct">AIRINV::InventoryParserHelper::storeFlightDate</class>
    <class kind="struct">AIRINV::InventoryParserHelper::storeFlightTypeCode</class>
    <class kind="struct">AIRINV::InventoryParserHelper::storeFlightVisibilityCode</class>
    <class kind="struct">AIRINV::InventoryParserHelper::storeLegBoardingPoint</class>
    <class kind="struct">AIRINV::InventoryParserHelper::storeLegOffPoint</class>
    <class kind="struct">AIRINV::InventoryParserHelper::storeOperatingAirlineCode</class>
    <class kind="struct">AIRINV::InventoryParserHelper::storeOperatingFlightNumber</class>
    <class kind="struct">AIRINV::InventoryParserHelper::storeBoardingDate</class>
    <class kind="struct">AIRINV::InventoryParserHelper::storeBoardingTime</class>
    <class kind="struct">AIRINV::InventoryParserHelper::storeOffDate</class>
    <class kind="struct">AIRINV::InventoryParserHelper::storeOffTime</class>
    <class kind="struct">AIRINV::InventoryParserHelper::storeLegCabinCode</class>
    <class kind="struct">AIRINV::InventoryParserHelper::storeSaleableCapacity</class>
    <class kind="struct">AIRINV::InventoryParserHelper::storeAU</class>
    <class kind="struct">AIRINV::InventoryParserHelper::storeUPR</class>
    <class kind="struct">AIRINV::InventoryParserHelper::storeBookingCounter</class>
    <class kind="struct">AIRINV::InventoryParserHelper::storeNAV</class>
    <class kind="struct">AIRINV::InventoryParserHelper::storeGAV</class>
    <class kind="struct">AIRINV::InventoryParserHelper::storeACP</class>
    <class kind="struct">AIRINV::InventoryParserHelper::storeETB</class>
    <class kind="struct">AIRINV::InventoryParserHelper::storeYieldUpperRange</class>
    <class kind="struct">AIRINV::InventoryParserHelper::storeBucketAvaibality</class>
    <class kind="struct">AIRINV::InventoryParserHelper::storeSeatIndex</class>
    <class kind="struct">AIRINV::InventoryParserHelper::storeSegmentBoardingPoint</class>
    <class kind="struct">AIRINV::InventoryParserHelper::storeSegmentOffPoint</class>
    <class kind="struct">AIRINV::InventoryParserHelper::storeSegmentCabinCode</class>
    <class kind="struct">AIRINV::InventoryParserHelper::storeSegmentCabinBookingCounter</class>
    <class kind="struct">AIRINV::InventoryParserHelper::storeClassCode</class>
    <class kind="struct">AIRINV::InventoryParserHelper::storeSubclassCode</class>
    <class kind="struct">AIRINV::InventoryParserHelper::storeParentClassCode</class>
    <class kind="struct">AIRINV::InventoryParserHelper::storeParentSubclassCode</class>
    <class kind="struct">AIRINV::InventoryParserHelper::storeCumulatedProtection</class>
    <class kind="struct">AIRINV::InventoryParserHelper::storeProtection</class>
    <class kind="struct">AIRINV::InventoryParserHelper::storeNego</class>
    <class kind="struct">AIRINV::InventoryParserHelper::storeNoShow</class>
    <class kind="struct">AIRINV::InventoryParserHelper::storeOverbooking</class>
    <class kind="struct">AIRINV::InventoryParserHelper::storeNbOfBkgs</class>
    <class kind="struct">AIRINV::InventoryParserHelper::storeNbOfGroupBkgs</class>
    <class kind="struct">AIRINV::InventoryParserHelper::storeNbOfPendingGroupBkgs</class>
    <class kind="struct">AIRINV::InventoryParserHelper::storeNbOfStaffBkgs</class>
    <class kind="struct">AIRINV::InventoryParserHelper::storeNbOfWLBkgs</class>
    <class kind="struct">AIRINV::InventoryParserHelper::storeClassETB</class>
    <class kind="struct">AIRINV::InventoryParserHelper::storeClassAvailability</class>
    <class kind="struct">AIRINV::InventoryParserHelper::storeSegmentAvailability</class>
    <class kind="struct">AIRINV::InventoryParserHelper::storeRevenueAvailability</class>
    <class kind="struct">AIRINV::InventoryParserHelper::storeFamilyCode</class>
    <class kind="struct">AIRINV::InventoryParserHelper::storeFClasses</class>
    <class kind="struct">AIRINV::InventoryParserHelper::doEndFlightDate</class>
    <class kind="struct">AIRINV::InventoryParserHelper::InventoryParser</class>
    <member kind="function">
      <type>repeat_p_t</type>
      <name>airline_code_p</name>
      <anchorfile>namespaceAIRINV_1_1InventoryParserHelper.html</anchorfile>
      <anchor>e41f2d96880ce91a668a41ecababebf9</anchor>
      <arglist>(chset_t(&quot;0-9A-Z&quot;).derived(), 2, 3)</arglist>
    </member>
    <member kind="function">
      <type>bounded1_4_p_t</type>
      <name>flight_number_p</name>
      <anchorfile>namespaceAIRINV_1_1InventoryParserHelper.html</anchorfile>
      <anchor>d4f926b30cf3786699ee4284781382b1</anchor>
      <arglist>(uint1_4_p.derived(), 0u, 9999u)</arglist>
    </member>
    <member kind="function">
      <type>bounded2_p_t</type>
      <name>year_p</name>
      <anchorfile>namespaceAIRINV_1_1InventoryParserHelper.html</anchorfile>
      <anchor>7725e6913078fa67a1e911914c2ade91</anchor>
      <arglist>(uint2_p.derived(), 0u, 99u)</arglist>
    </member>
    <member kind="function">
      <type>bounded2_p_t</type>
      <name>month_p</name>
      <anchorfile>namespaceAIRINV_1_1InventoryParserHelper.html</anchorfile>
      <anchor>1b969461ba4158afa8508f168e6e69e0</anchor>
      <arglist>(uint2_p.derived(), 1u, 12u)</arglist>
    </member>
    <member kind="function">
      <type>bounded2_p_t</type>
      <name>day_p</name>
      <anchorfile>namespaceAIRINV_1_1InventoryParserHelper.html</anchorfile>
      <anchor>81e98149033d66737dbc6eaf69df26cc</anchor>
      <arglist>(uint2_p.derived(), 1u, 31u)</arglist>
    </member>
    <member kind="function">
      <type>repeat_p_t</type>
      <name>dow_p</name>
      <anchorfile>namespaceAIRINV_1_1InventoryParserHelper.html</anchorfile>
      <anchor>87fbc1305da7f361d6e106b143259f89</anchor>
      <arglist>(chset_t(&quot;0-1&quot;).derived().derived(), 7, 7)</arglist>
    </member>
    <member kind="function">
      <type>repeat_p_t</type>
      <name>airport_p</name>
      <anchorfile>namespaceAIRINV_1_1InventoryParserHelper.html</anchorfile>
      <anchor>2c8091980334ac059b971943ac7ca1ae</anchor>
      <arglist>(chset_t(&quot;0-9A-Z&quot;).derived(), 3, 3)</arglist>
    </member>
    <member kind="function">
      <type>bounded1_2_p_t</type>
      <name>hours_p</name>
      <anchorfile>namespaceAIRINV_1_1InventoryParserHelper.html</anchorfile>
      <anchor>16b705efd9bf0e0fcb812ec5c7e0d981</anchor>
      <arglist>(uint1_2_p.derived(), 0u, 24u)</arglist>
    </member>
    <member kind="function">
      <type>bounded2_p_t</type>
      <name>minutes_p</name>
      <anchorfile>namespaceAIRINV_1_1InventoryParserHelper.html</anchorfile>
      <anchor>48d1d9b46152f114283d8751aa6e965c</anchor>
      <arglist>(uint2_p.derived(), 0u, 59u)</arglist>
    </member>
    <member kind="function">
      <type>bounded2_p_t</type>
      <name>seconds_p</name>
      <anchorfile>namespaceAIRINV_1_1InventoryParserHelper.html</anchorfile>
      <anchor>5992b4bd57123501514b6a2e18d1081e</anchor>
      <arglist>(uint2_p.derived(), 0u, 59u)</arglist>
    </member>
    <member kind="function">
      <type>chset_t</type>
      <name>cabin_code_p</name>
      <anchorfile>namespaceAIRINV_1_1InventoryParserHelper.html</anchorfile>
      <anchor>d8038b90b738038e9579bd5ae693435b</anchor>
      <arglist>(&quot;A-Z&quot;)</arglist>
    </member>
    <member kind="function">
      <type>chset_t</type>
      <name>class_code_p</name>
      <anchorfile>namespaceAIRINV_1_1InventoryParserHelper.html</anchorfile>
      <anchor>51d1ba2eedfb5b6de0708b57d0e80791</anchor>
      <arglist>(&quot;A-Z&quot;)</arglist>
    </member>
    <member kind="function">
      <type>chset_t</type>
      <name>passenger_type_p</name>
      <anchorfile>namespaceAIRINV_1_1InventoryParserHelper.html</anchorfile>
      <anchor>64969ece0e6533c3359eca86d2938604</anchor>
      <arglist>(&quot;A-Z&quot;)</arglist>
    </member>
    <member kind="function">
      <type>repeat_p_t</type>
      <name>class_code_list_p</name>
      <anchorfile>namespaceAIRINV_1_1InventoryParserHelper.html</anchorfile>
      <anchor>6b2d5305b20de05ef398fc525a3b4cfb</anchor>
      <arglist>(chset_t(&quot;A-Z&quot;).derived(), 1, 26)</arglist>
    </member>
    <member kind="function">
      <type>bounded1_3_p_t</type>
      <name>stay_duration_p</name>
      <anchorfile>namespaceAIRINV_1_1InventoryParserHelper.html</anchorfile>
      <anchor>c54738c40287dc58fd222a0610c4ef32</anchor>
      <arglist>(uint1_3_p.derived(), 0u, 999u)</arglist>
    </member>
    <member kind="variable">
      <type>int1_p_t</type>
      <name>int1_p</name>
      <anchorfile>namespaceAIRINV_1_1InventoryParserHelper.html</anchorfile>
      <anchor>b7d82139324f735006ba64067385dddd</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>uint2_p_t</type>
      <name>uint2_p</name>
      <anchorfile>namespaceAIRINV_1_1InventoryParserHelper.html</anchorfile>
      <anchor>bc8f768f20f5e092b163d25c28804ff8</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>uint1_2_p_t</type>
      <name>uint1_2_p</name>
      <anchorfile>namespaceAIRINV_1_1InventoryParserHelper.html</anchorfile>
      <anchor>2326fbc5e359dc867e55dac92be79316</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>uint1_3_p_t</type>
      <name>uint1_3_p</name>
      <anchorfile>namespaceAIRINV_1_1InventoryParserHelper.html</anchorfile>
      <anchor>46d8805b84a2149c962c1658d1061b70</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>uint4_p_t</type>
      <name>uint4_p</name>
      <anchorfile>namespaceAIRINV_1_1InventoryParserHelper.html</anchorfile>
      <anchor>400eb3b847ab7a0e7ae597ff4ed81f17</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>uint1_4_p_t</type>
      <name>uint1_4_p</name>
      <anchorfile>namespaceAIRINV_1_1InventoryParserHelper.html</anchorfile>
      <anchor>284670f186d18c2d172fa6496d553087</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>int1_p_t</type>
      <name>family_code_p</name>
      <anchorfile>namespaceAIRINV_1_1InventoryParserHelper.html</anchorfile>
      <anchor>119f9d6e3470a257a28fd80c1112b6c6</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>AIRINV::InventoryParserHelper::ParserSemanticAction</name>
    <filename>structAIRINV_1_1InventoryParserHelper_1_1ParserSemanticAction.html</filename>
    <member kind="function">
      <type></type>
      <name>ParserSemanticAction</name>
      <anchorfile>structAIRINV_1_1InventoryParserHelper_1_1ParserSemanticAction.html</anchorfile>
      <anchor>ce17e1b472c2c7cb91239d7d002a4ac1</anchor>
      <arglist>(FlightDateStruct &amp;)</arglist>
    </member>
    <member kind="variable">
      <type>FlightDateStruct &amp;</type>
      <name>_flightDate</name>
      <anchorfile>structAIRINV_1_1InventoryParserHelper_1_1ParserSemanticAction.html</anchorfile>
      <anchor>5c015781c55f7c0744ed2c869d3caee8</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>AIRINV::InventoryParserHelper::storeSnapshotDate</name>
    <filename>structAIRINV_1_1InventoryParserHelper_1_1storeSnapshotDate.html</filename>
    <base>AIRINV::InventoryParserHelper::ParserSemanticAction</base>
    <member kind="function">
      <type></type>
      <name>storeSnapshotDate</name>
      <anchorfile>structAIRINV_1_1InventoryParserHelper_1_1storeSnapshotDate.html</anchorfile>
      <anchor>e7beb9d2145ffa00393b415b9ad8c5f7</anchor>
      <arglist>(FlightDateStruct &amp;)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>operator()</name>
      <anchorfile>structAIRINV_1_1InventoryParserHelper_1_1storeSnapshotDate.html</anchorfile>
      <anchor>03be4924d02cfd32c0220565da1bdf2c</anchor>
      <arglist>(iterator_t iStr, iterator_t iStrEnd) const </arglist>
    </member>
    <member kind="variable">
      <type>FlightDateStruct &amp;</type>
      <name>_flightDate</name>
      <anchorfile>structAIRINV_1_1InventoryParserHelper_1_1ParserSemanticAction.html</anchorfile>
      <anchor>5c015781c55f7c0744ed2c869d3caee8</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>AIRINV::InventoryParserHelper::storeAirlineCode</name>
    <filename>structAIRINV_1_1InventoryParserHelper_1_1storeAirlineCode.html</filename>
    <base>AIRINV::InventoryParserHelper::ParserSemanticAction</base>
    <member kind="function">
      <type></type>
      <name>storeAirlineCode</name>
      <anchorfile>structAIRINV_1_1InventoryParserHelper_1_1storeAirlineCode.html</anchorfile>
      <anchor>6cedace6a044b8bd46be97d76cb8821f</anchor>
      <arglist>(FlightDateStruct &amp;)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>operator()</name>
      <anchorfile>structAIRINV_1_1InventoryParserHelper_1_1storeAirlineCode.html</anchorfile>
      <anchor>76cf0350c9a99fe95c5a68d3ba466135</anchor>
      <arglist>(iterator_t iStr, iterator_t iStrEnd) const </arglist>
    </member>
    <member kind="variable">
      <type>FlightDateStruct &amp;</type>
      <name>_flightDate</name>
      <anchorfile>structAIRINV_1_1InventoryParserHelper_1_1ParserSemanticAction.html</anchorfile>
      <anchor>5c015781c55f7c0744ed2c869d3caee8</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>AIRINV::InventoryParserHelper::storeFlightNumber</name>
    <filename>structAIRINV_1_1InventoryParserHelper_1_1storeFlightNumber.html</filename>
    <base>AIRINV::InventoryParserHelper::ParserSemanticAction</base>
    <member kind="function">
      <type></type>
      <name>storeFlightNumber</name>
      <anchorfile>structAIRINV_1_1InventoryParserHelper_1_1storeFlightNumber.html</anchorfile>
      <anchor>2f46139e10ff7a10c9061ee2bf98689d</anchor>
      <arglist>(FlightDateStruct &amp;)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>operator()</name>
      <anchorfile>structAIRINV_1_1InventoryParserHelper_1_1storeFlightNumber.html</anchorfile>
      <anchor>864732028c79fbd6016a7dc48087085e</anchor>
      <arglist>(unsigned int iNumber) const </arglist>
    </member>
    <member kind="variable">
      <type>FlightDateStruct &amp;</type>
      <name>_flightDate</name>
      <anchorfile>structAIRINV_1_1InventoryParserHelper_1_1ParserSemanticAction.html</anchorfile>
      <anchor>5c015781c55f7c0744ed2c869d3caee8</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>AIRINV::InventoryParserHelper::storeFlightDate</name>
    <filename>structAIRINV_1_1InventoryParserHelper_1_1storeFlightDate.html</filename>
    <base>AIRINV::InventoryParserHelper::ParserSemanticAction</base>
    <member kind="function">
      <type></type>
      <name>storeFlightDate</name>
      <anchorfile>structAIRINV_1_1InventoryParserHelper_1_1storeFlightDate.html</anchorfile>
      <anchor>0a6795a2644c61c2b107117ea26b1cd8</anchor>
      <arglist>(FlightDateStruct &amp;)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>operator()</name>
      <anchorfile>structAIRINV_1_1InventoryParserHelper_1_1storeFlightDate.html</anchorfile>
      <anchor>0559111e5b8c261231e05d0c75f806c1</anchor>
      <arglist>(iterator_t iStr, iterator_t iStrEnd) const </arglist>
    </member>
    <member kind="variable">
      <type>FlightDateStruct &amp;</type>
      <name>_flightDate</name>
      <anchorfile>structAIRINV_1_1InventoryParserHelper_1_1ParserSemanticAction.html</anchorfile>
      <anchor>5c015781c55f7c0744ed2c869d3caee8</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>AIRINV::InventoryParserHelper::storeFlightTypeCode</name>
    <filename>structAIRINV_1_1InventoryParserHelper_1_1storeFlightTypeCode.html</filename>
    <base>AIRINV::InventoryParserHelper::ParserSemanticAction</base>
    <member kind="function">
      <type></type>
      <name>storeFlightTypeCode</name>
      <anchorfile>structAIRINV_1_1InventoryParserHelper_1_1storeFlightTypeCode.html</anchorfile>
      <anchor>d4ec6c221297114343126eaffd0a174f</anchor>
      <arglist>(FlightDateStruct &amp;)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>operator()</name>
      <anchorfile>structAIRINV_1_1InventoryParserHelper_1_1storeFlightTypeCode.html</anchorfile>
      <anchor>103acd7542d42ce06ff299801c80a80e</anchor>
      <arglist>(iterator_t iStr, iterator_t iStrEnd) const </arglist>
    </member>
    <member kind="variable">
      <type>FlightDateStruct &amp;</type>
      <name>_flightDate</name>
      <anchorfile>structAIRINV_1_1InventoryParserHelper_1_1ParserSemanticAction.html</anchorfile>
      <anchor>5c015781c55f7c0744ed2c869d3caee8</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>AIRINV::InventoryParserHelper::storeFlightVisibilityCode</name>
    <filename>structAIRINV_1_1InventoryParserHelper_1_1storeFlightVisibilityCode.html</filename>
    <base>AIRINV::InventoryParserHelper::ParserSemanticAction</base>
    <member kind="function">
      <type></type>
      <name>storeFlightVisibilityCode</name>
      <anchorfile>structAIRINV_1_1InventoryParserHelper_1_1storeFlightVisibilityCode.html</anchorfile>
      <anchor>339790c0cffe8e3c8bb94c36060f7dd5</anchor>
      <arglist>(FlightDateStruct &amp;)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>operator()</name>
      <anchorfile>structAIRINV_1_1InventoryParserHelper_1_1storeFlightVisibilityCode.html</anchorfile>
      <anchor>6a4037cfdd4f86cf44130cd5342ca665</anchor>
      <arglist>(iterator_t iStr, iterator_t iStrEnd) const </arglist>
    </member>
    <member kind="variable">
      <type>FlightDateStruct &amp;</type>
      <name>_flightDate</name>
      <anchorfile>structAIRINV_1_1InventoryParserHelper_1_1ParserSemanticAction.html</anchorfile>
      <anchor>5c015781c55f7c0744ed2c869d3caee8</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>AIRINV::InventoryParserHelper::storeLegBoardingPoint</name>
    <filename>structAIRINV_1_1InventoryParserHelper_1_1storeLegBoardingPoint.html</filename>
    <base>AIRINV::InventoryParserHelper::ParserSemanticAction</base>
    <member kind="function">
      <type></type>
      <name>storeLegBoardingPoint</name>
      <anchorfile>structAIRINV_1_1InventoryParserHelper_1_1storeLegBoardingPoint.html</anchorfile>
      <anchor>ed61c0dddc1e8d5256d0b40220eb5c85</anchor>
      <arglist>(FlightDateStruct &amp;)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>operator()</name>
      <anchorfile>structAIRINV_1_1InventoryParserHelper_1_1storeLegBoardingPoint.html</anchorfile>
      <anchor>2ae215237160afd1af4bb830f91162f9</anchor>
      <arglist>(iterator_t iStr, iterator_t iStrEnd) const </arglist>
    </member>
    <member kind="variable">
      <type>FlightDateStruct &amp;</type>
      <name>_flightDate</name>
      <anchorfile>structAIRINV_1_1InventoryParserHelper_1_1ParserSemanticAction.html</anchorfile>
      <anchor>5c015781c55f7c0744ed2c869d3caee8</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>AIRINV::InventoryParserHelper::storeLegOffPoint</name>
    <filename>structAIRINV_1_1InventoryParserHelper_1_1storeLegOffPoint.html</filename>
    <base>AIRINV::InventoryParserHelper::ParserSemanticAction</base>
    <member kind="function">
      <type></type>
      <name>storeLegOffPoint</name>
      <anchorfile>structAIRINV_1_1InventoryParserHelper_1_1storeLegOffPoint.html</anchorfile>
      <anchor>a06cb10b2b4075043276aa5e8f459604</anchor>
      <arglist>(FlightDateStruct &amp;)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>operator()</name>
      <anchorfile>structAIRINV_1_1InventoryParserHelper_1_1storeLegOffPoint.html</anchorfile>
      <anchor>de41e8e062a7a102a9938cad01ef06ae</anchor>
      <arglist>(iterator_t iStr, iterator_t iStrEnd) const </arglist>
    </member>
    <member kind="variable">
      <type>FlightDateStruct &amp;</type>
      <name>_flightDate</name>
      <anchorfile>structAIRINV_1_1InventoryParserHelper_1_1ParserSemanticAction.html</anchorfile>
      <anchor>5c015781c55f7c0744ed2c869d3caee8</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>AIRINV::InventoryParserHelper::storeOperatingAirlineCode</name>
    <filename>structAIRINV_1_1InventoryParserHelper_1_1storeOperatingAirlineCode.html</filename>
    <base>AIRINV::InventoryParserHelper::ParserSemanticAction</base>
    <member kind="function">
      <type></type>
      <name>storeOperatingAirlineCode</name>
      <anchorfile>structAIRINV_1_1InventoryParserHelper_1_1storeOperatingAirlineCode.html</anchorfile>
      <anchor>c169277faa1c4c0d5f15fcce884569bb</anchor>
      <arglist>(FlightDateStruct &amp;)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>operator()</name>
      <anchorfile>structAIRINV_1_1InventoryParserHelper_1_1storeOperatingAirlineCode.html</anchorfile>
      <anchor>3cbc53ba61c1f81c704297fd8844e61e</anchor>
      <arglist>(iterator_t iStr, iterator_t iStrEnd) const </arglist>
    </member>
    <member kind="variable">
      <type>FlightDateStruct &amp;</type>
      <name>_flightDate</name>
      <anchorfile>structAIRINV_1_1InventoryParserHelper_1_1ParserSemanticAction.html</anchorfile>
      <anchor>5c015781c55f7c0744ed2c869d3caee8</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>AIRINV::InventoryParserHelper::storeOperatingFlightNumber</name>
    <filename>structAIRINV_1_1InventoryParserHelper_1_1storeOperatingFlightNumber.html</filename>
    <base>AIRINV::InventoryParserHelper::ParserSemanticAction</base>
    <member kind="function">
      <type></type>
      <name>storeOperatingFlightNumber</name>
      <anchorfile>structAIRINV_1_1InventoryParserHelper_1_1storeOperatingFlightNumber.html</anchorfile>
      <anchor>050374e2ac9f3790ea4a680dfa583534</anchor>
      <arglist>(FlightDateStruct &amp;)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>operator()</name>
      <anchorfile>structAIRINV_1_1InventoryParserHelper_1_1storeOperatingFlightNumber.html</anchorfile>
      <anchor>ceb08bac2ad7c19397608acd2c9e25ab</anchor>
      <arglist>(unsigned int iNumber) const </arglist>
    </member>
    <member kind="variable">
      <type>FlightDateStruct &amp;</type>
      <name>_flightDate</name>
      <anchorfile>structAIRINV_1_1InventoryParserHelper_1_1ParserSemanticAction.html</anchorfile>
      <anchor>5c015781c55f7c0744ed2c869d3caee8</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>AIRINV::InventoryParserHelper::storeBoardingDate</name>
    <filename>structAIRINV_1_1InventoryParserHelper_1_1storeBoardingDate.html</filename>
    <base>AIRINV::InventoryParserHelper::ParserSemanticAction</base>
    <member kind="function">
      <type></type>
      <name>storeBoardingDate</name>
      <anchorfile>structAIRINV_1_1InventoryParserHelper_1_1storeBoardingDate.html</anchorfile>
      <anchor>fb60888d772d12c3a853c20ce29e40ac</anchor>
      <arglist>(FlightDateStruct &amp;)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>operator()</name>
      <anchorfile>structAIRINV_1_1InventoryParserHelper_1_1storeBoardingDate.html</anchorfile>
      <anchor>004e90c732d9088c95714fc9f9775365</anchor>
      <arglist>(iterator_t iStr, iterator_t iStrEnd) const </arglist>
    </member>
    <member kind="variable">
      <type>FlightDateStruct &amp;</type>
      <name>_flightDate</name>
      <anchorfile>structAIRINV_1_1InventoryParserHelper_1_1ParserSemanticAction.html</anchorfile>
      <anchor>5c015781c55f7c0744ed2c869d3caee8</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>AIRINV::InventoryParserHelper::storeBoardingTime</name>
    <filename>structAIRINV_1_1InventoryParserHelper_1_1storeBoardingTime.html</filename>
    <base>AIRINV::InventoryParserHelper::ParserSemanticAction</base>
    <member kind="function">
      <type></type>
      <name>storeBoardingTime</name>
      <anchorfile>structAIRINV_1_1InventoryParserHelper_1_1storeBoardingTime.html</anchorfile>
      <anchor>648fe4ea1ad30a2066ed945de83c6747</anchor>
      <arglist>(FlightDateStruct &amp;)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>operator()</name>
      <anchorfile>structAIRINV_1_1InventoryParserHelper_1_1storeBoardingTime.html</anchorfile>
      <anchor>6914db224fbe6f8d0c61a93095377f1d</anchor>
      <arglist>(iterator_t iStr, iterator_t iStrEnd) const </arglist>
    </member>
    <member kind="variable">
      <type>FlightDateStruct &amp;</type>
      <name>_flightDate</name>
      <anchorfile>structAIRINV_1_1InventoryParserHelper_1_1ParserSemanticAction.html</anchorfile>
      <anchor>5c015781c55f7c0744ed2c869d3caee8</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>AIRINV::InventoryParserHelper::storeOffDate</name>
    <filename>structAIRINV_1_1InventoryParserHelper_1_1storeOffDate.html</filename>
    <base>AIRINV::InventoryParserHelper::ParserSemanticAction</base>
    <member kind="function">
      <type></type>
      <name>storeOffDate</name>
      <anchorfile>structAIRINV_1_1InventoryParserHelper_1_1storeOffDate.html</anchorfile>
      <anchor>b7e961f8b59f9ae352165518422de3f0</anchor>
      <arglist>(FlightDateStruct &amp;)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>operator()</name>
      <anchorfile>structAIRINV_1_1InventoryParserHelper_1_1storeOffDate.html</anchorfile>
      <anchor>2fe9896fdb1d2d1486fb8e1815a38206</anchor>
      <arglist>(iterator_t iStr, iterator_t iStrEnd) const </arglist>
    </member>
    <member kind="variable">
      <type>FlightDateStruct &amp;</type>
      <name>_flightDate</name>
      <anchorfile>structAIRINV_1_1InventoryParserHelper_1_1ParserSemanticAction.html</anchorfile>
      <anchor>5c015781c55f7c0744ed2c869d3caee8</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>AIRINV::InventoryParserHelper::storeOffTime</name>
    <filename>structAIRINV_1_1InventoryParserHelper_1_1storeOffTime.html</filename>
    <base>AIRINV::InventoryParserHelper::ParserSemanticAction</base>
    <member kind="function">
      <type></type>
      <name>storeOffTime</name>
      <anchorfile>structAIRINV_1_1InventoryParserHelper_1_1storeOffTime.html</anchorfile>
      <anchor>fa55338819d7cda371063fee44fe7796</anchor>
      <arglist>(FlightDateStruct &amp;)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>operator()</name>
      <anchorfile>structAIRINV_1_1InventoryParserHelper_1_1storeOffTime.html</anchorfile>
      <anchor>7939a8c364daa0784c192b9c531e4416</anchor>
      <arglist>(iterator_t iStr, iterator_t iStrEnd) const </arglist>
    </member>
    <member kind="variable">
      <type>FlightDateStruct &amp;</type>
      <name>_flightDate</name>
      <anchorfile>structAIRINV_1_1InventoryParserHelper_1_1ParserSemanticAction.html</anchorfile>
      <anchor>5c015781c55f7c0744ed2c869d3caee8</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>AIRINV::InventoryParserHelper::storeLegCabinCode</name>
    <filename>structAIRINV_1_1InventoryParserHelper_1_1storeLegCabinCode.html</filename>
    <base>AIRINV::InventoryParserHelper::ParserSemanticAction</base>
    <member kind="function">
      <type></type>
      <name>storeLegCabinCode</name>
      <anchorfile>structAIRINV_1_1InventoryParserHelper_1_1storeLegCabinCode.html</anchorfile>
      <anchor>83fde58d3c26e1b24232f297259f8229</anchor>
      <arglist>(FlightDateStruct &amp;)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>operator()</name>
      <anchorfile>structAIRINV_1_1InventoryParserHelper_1_1storeLegCabinCode.html</anchorfile>
      <anchor>29f3674fa69719f1ab7bf0ef7b05ebcd</anchor>
      <arglist>(char iChar) const </arglist>
    </member>
    <member kind="variable">
      <type>FlightDateStruct &amp;</type>
      <name>_flightDate</name>
      <anchorfile>structAIRINV_1_1InventoryParserHelper_1_1ParserSemanticAction.html</anchorfile>
      <anchor>5c015781c55f7c0744ed2c869d3caee8</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>AIRINV::InventoryParserHelper::storeSaleableCapacity</name>
    <filename>structAIRINV_1_1InventoryParserHelper_1_1storeSaleableCapacity.html</filename>
    <base>AIRINV::InventoryParserHelper::ParserSemanticAction</base>
    <member kind="function">
      <type></type>
      <name>storeSaleableCapacity</name>
      <anchorfile>structAIRINV_1_1InventoryParserHelper_1_1storeSaleableCapacity.html</anchorfile>
      <anchor>d447829a174dd005ef0614bde933e632</anchor>
      <arglist>(FlightDateStruct &amp;)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>operator()</name>
      <anchorfile>structAIRINV_1_1InventoryParserHelper_1_1storeSaleableCapacity.html</anchorfile>
      <anchor>34d325675c1f540ccb425201734b6ac0</anchor>
      <arglist>(double iReal) const </arglist>
    </member>
    <member kind="variable">
      <type>FlightDateStruct &amp;</type>
      <name>_flightDate</name>
      <anchorfile>structAIRINV_1_1InventoryParserHelper_1_1ParserSemanticAction.html</anchorfile>
      <anchor>5c015781c55f7c0744ed2c869d3caee8</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>AIRINV::InventoryParserHelper::storeAU</name>
    <filename>structAIRINV_1_1InventoryParserHelper_1_1storeAU.html</filename>
    <base>AIRINV::InventoryParserHelper::ParserSemanticAction</base>
    <member kind="function">
      <type></type>
      <name>storeAU</name>
      <anchorfile>structAIRINV_1_1InventoryParserHelper_1_1storeAU.html</anchorfile>
      <anchor>55e72075b50a3c426110688f64ecca99</anchor>
      <arglist>(FlightDateStruct &amp;)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>operator()</name>
      <anchorfile>structAIRINV_1_1InventoryParserHelper_1_1storeAU.html</anchorfile>
      <anchor>8a83fdee88838b16bc5c2c56690f320e</anchor>
      <arglist>(double iReal) const </arglist>
    </member>
    <member kind="variable">
      <type>FlightDateStruct &amp;</type>
      <name>_flightDate</name>
      <anchorfile>structAIRINV_1_1InventoryParserHelper_1_1ParserSemanticAction.html</anchorfile>
      <anchor>5c015781c55f7c0744ed2c869d3caee8</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>AIRINV::InventoryParserHelper::storeUPR</name>
    <filename>structAIRINV_1_1InventoryParserHelper_1_1storeUPR.html</filename>
    <base>AIRINV::InventoryParserHelper::ParserSemanticAction</base>
    <member kind="function">
      <type></type>
      <name>storeUPR</name>
      <anchorfile>structAIRINV_1_1InventoryParserHelper_1_1storeUPR.html</anchorfile>
      <anchor>24766a93d185d336d6e95434ab1af1ff</anchor>
      <arglist>(FlightDateStruct &amp;)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>operator()</name>
      <anchorfile>structAIRINV_1_1InventoryParserHelper_1_1storeUPR.html</anchorfile>
      <anchor>ebee96e9de7dc73b9d742b7e48196738</anchor>
      <arglist>(double iReal) const </arglist>
    </member>
    <member kind="variable">
      <type>FlightDateStruct &amp;</type>
      <name>_flightDate</name>
      <anchorfile>structAIRINV_1_1InventoryParserHelper_1_1ParserSemanticAction.html</anchorfile>
      <anchor>5c015781c55f7c0744ed2c869d3caee8</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>AIRINV::InventoryParserHelper::storeBookingCounter</name>
    <filename>structAIRINV_1_1InventoryParserHelper_1_1storeBookingCounter.html</filename>
    <base>AIRINV::InventoryParserHelper::ParserSemanticAction</base>
    <member kind="function">
      <type></type>
      <name>storeBookingCounter</name>
      <anchorfile>structAIRINV_1_1InventoryParserHelper_1_1storeBookingCounter.html</anchorfile>
      <anchor>2b10109e0b650361f1f48995da4e2b59</anchor>
      <arglist>(FlightDateStruct &amp;)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>operator()</name>
      <anchorfile>structAIRINV_1_1InventoryParserHelper_1_1storeBookingCounter.html</anchorfile>
      <anchor>13373bff833c6915be693ac718563e96</anchor>
      <arglist>(double iReal) const </arglist>
    </member>
    <member kind="variable">
      <type>FlightDateStruct &amp;</type>
      <name>_flightDate</name>
      <anchorfile>structAIRINV_1_1InventoryParserHelper_1_1ParserSemanticAction.html</anchorfile>
      <anchor>5c015781c55f7c0744ed2c869d3caee8</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>AIRINV::InventoryParserHelper::storeNAV</name>
    <filename>structAIRINV_1_1InventoryParserHelper_1_1storeNAV.html</filename>
    <base>AIRINV::InventoryParserHelper::ParserSemanticAction</base>
    <member kind="function">
      <type></type>
      <name>storeNAV</name>
      <anchorfile>structAIRINV_1_1InventoryParserHelper_1_1storeNAV.html</anchorfile>
      <anchor>0222c6b720324cf6e37dc06b067c68bf</anchor>
      <arglist>(FlightDateStruct &amp;)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>operator()</name>
      <anchorfile>structAIRINV_1_1InventoryParserHelper_1_1storeNAV.html</anchorfile>
      <anchor>02276e04101700ee1d7d18d97001175a</anchor>
      <arglist>(double iReal) const </arglist>
    </member>
    <member kind="variable">
      <type>FlightDateStruct &amp;</type>
      <name>_flightDate</name>
      <anchorfile>structAIRINV_1_1InventoryParserHelper_1_1ParserSemanticAction.html</anchorfile>
      <anchor>5c015781c55f7c0744ed2c869d3caee8</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>AIRINV::InventoryParserHelper::storeGAV</name>
    <filename>structAIRINV_1_1InventoryParserHelper_1_1storeGAV.html</filename>
    <base>AIRINV::InventoryParserHelper::ParserSemanticAction</base>
    <member kind="function">
      <type></type>
      <name>storeGAV</name>
      <anchorfile>structAIRINV_1_1InventoryParserHelper_1_1storeGAV.html</anchorfile>
      <anchor>bdbdc8de52df6153ab25e4869e61821c</anchor>
      <arglist>(FlightDateStruct &amp;)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>operator()</name>
      <anchorfile>structAIRINV_1_1InventoryParserHelper_1_1storeGAV.html</anchorfile>
      <anchor>741c8554e006ccbc2f1d60fd803c7aec</anchor>
      <arglist>(double iReal) const </arglist>
    </member>
    <member kind="variable">
      <type>FlightDateStruct &amp;</type>
      <name>_flightDate</name>
      <anchorfile>structAIRINV_1_1InventoryParserHelper_1_1ParserSemanticAction.html</anchorfile>
      <anchor>5c015781c55f7c0744ed2c869d3caee8</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>AIRINV::InventoryParserHelper::storeACP</name>
    <filename>structAIRINV_1_1InventoryParserHelper_1_1storeACP.html</filename>
    <base>AIRINV::InventoryParserHelper::ParserSemanticAction</base>
    <member kind="function">
      <type></type>
      <name>storeACP</name>
      <anchorfile>structAIRINV_1_1InventoryParserHelper_1_1storeACP.html</anchorfile>
      <anchor>a725343117807dcbb0d73e96abbab9df</anchor>
      <arglist>(FlightDateStruct &amp;)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>operator()</name>
      <anchorfile>structAIRINV_1_1InventoryParserHelper_1_1storeACP.html</anchorfile>
      <anchor>f85cf8e35ed72963d2be54e199f7220a</anchor>
      <arglist>(double iReal) const </arglist>
    </member>
    <member kind="variable">
      <type>FlightDateStruct &amp;</type>
      <name>_flightDate</name>
      <anchorfile>structAIRINV_1_1InventoryParserHelper_1_1ParserSemanticAction.html</anchorfile>
      <anchor>5c015781c55f7c0744ed2c869d3caee8</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>AIRINV::InventoryParserHelper::storeETB</name>
    <filename>structAIRINV_1_1InventoryParserHelper_1_1storeETB.html</filename>
    <base>AIRINV::InventoryParserHelper::ParserSemanticAction</base>
    <member kind="function">
      <type></type>
      <name>storeETB</name>
      <anchorfile>structAIRINV_1_1InventoryParserHelper_1_1storeETB.html</anchorfile>
      <anchor>bccb4f1665092f47dceb10dfa4531b6b</anchor>
      <arglist>(FlightDateStruct &amp;)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>operator()</name>
      <anchorfile>structAIRINV_1_1InventoryParserHelper_1_1storeETB.html</anchorfile>
      <anchor>1d6e33ca50d40cc54709227dad4f7851</anchor>
      <arglist>(double iReal) const </arglist>
    </member>
    <member kind="variable">
      <type>FlightDateStruct &amp;</type>
      <name>_flightDate</name>
      <anchorfile>structAIRINV_1_1InventoryParserHelper_1_1ParserSemanticAction.html</anchorfile>
      <anchor>5c015781c55f7c0744ed2c869d3caee8</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>AIRINV::InventoryParserHelper::storeYieldUpperRange</name>
    <filename>structAIRINV_1_1InventoryParserHelper_1_1storeYieldUpperRange.html</filename>
    <base>AIRINV::InventoryParserHelper::ParserSemanticAction</base>
    <member kind="function">
      <type></type>
      <name>storeYieldUpperRange</name>
      <anchorfile>structAIRINV_1_1InventoryParserHelper_1_1storeYieldUpperRange.html</anchorfile>
      <anchor>234796470d2882c0c6972ce282345fc7</anchor>
      <arglist>(FlightDateStruct &amp;)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>operator()</name>
      <anchorfile>structAIRINV_1_1InventoryParserHelper_1_1storeYieldUpperRange.html</anchorfile>
      <anchor>ca011456927a9b8f9867bb594af36cda</anchor>
      <arglist>(double iReal) const </arglist>
    </member>
    <member kind="variable">
      <type>FlightDateStruct &amp;</type>
      <name>_flightDate</name>
      <anchorfile>structAIRINV_1_1InventoryParserHelper_1_1ParserSemanticAction.html</anchorfile>
      <anchor>5c015781c55f7c0744ed2c869d3caee8</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>AIRINV::InventoryParserHelper::storeBucketAvaibality</name>
    <filename>structAIRINV_1_1InventoryParserHelper_1_1storeBucketAvaibality.html</filename>
    <base>AIRINV::InventoryParserHelper::ParserSemanticAction</base>
    <member kind="function">
      <type></type>
      <name>storeBucketAvaibality</name>
      <anchorfile>structAIRINV_1_1InventoryParserHelper_1_1storeBucketAvaibality.html</anchorfile>
      <anchor>4afc14a37b84c0d08ae80e5c1ae7ace5</anchor>
      <arglist>(FlightDateStruct &amp;)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>operator()</name>
      <anchorfile>structAIRINV_1_1InventoryParserHelper_1_1storeBucketAvaibality.html</anchorfile>
      <anchor>757bd538ac295c64790b4730be0ededc</anchor>
      <arglist>(double iReal) const </arglist>
    </member>
    <member kind="variable">
      <type>FlightDateStruct &amp;</type>
      <name>_flightDate</name>
      <anchorfile>structAIRINV_1_1InventoryParserHelper_1_1ParserSemanticAction.html</anchorfile>
      <anchor>5c015781c55f7c0744ed2c869d3caee8</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>AIRINV::InventoryParserHelper::storeSeatIndex</name>
    <filename>structAIRINV_1_1InventoryParserHelper_1_1storeSeatIndex.html</filename>
    <base>AIRINV::InventoryParserHelper::ParserSemanticAction</base>
    <member kind="function">
      <type></type>
      <name>storeSeatIndex</name>
      <anchorfile>structAIRINV_1_1InventoryParserHelper_1_1storeSeatIndex.html</anchorfile>
      <anchor>2823ca9f0ce139e98cf9b738c8c22e39</anchor>
      <arglist>(FlightDateStruct &amp;)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>operator()</name>
      <anchorfile>structAIRINV_1_1InventoryParserHelper_1_1storeSeatIndex.html</anchorfile>
      <anchor>e86be1c00ae95a95e98fc05f601e8bd9</anchor>
      <arglist>(double iReal) const </arglist>
    </member>
    <member kind="variable">
      <type>FlightDateStruct &amp;</type>
      <name>_flightDate</name>
      <anchorfile>structAIRINV_1_1InventoryParserHelper_1_1ParserSemanticAction.html</anchorfile>
      <anchor>5c015781c55f7c0744ed2c869d3caee8</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>AIRINV::InventoryParserHelper::storeSegmentBoardingPoint</name>
    <filename>structAIRINV_1_1InventoryParserHelper_1_1storeSegmentBoardingPoint.html</filename>
    <base>AIRINV::InventoryParserHelper::ParserSemanticAction</base>
    <member kind="function">
      <type></type>
      <name>storeSegmentBoardingPoint</name>
      <anchorfile>structAIRINV_1_1InventoryParserHelper_1_1storeSegmentBoardingPoint.html</anchorfile>
      <anchor>0535da9b557cd387e0258f95689468a0</anchor>
      <arglist>(FlightDateStruct &amp;)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>operator()</name>
      <anchorfile>structAIRINV_1_1InventoryParserHelper_1_1storeSegmentBoardingPoint.html</anchorfile>
      <anchor>c7aad22bdf5f7007479a7d8f7272a87b</anchor>
      <arglist>(iterator_t iStr, iterator_t iStrEnd) const </arglist>
    </member>
    <member kind="variable">
      <type>FlightDateStruct &amp;</type>
      <name>_flightDate</name>
      <anchorfile>structAIRINV_1_1InventoryParserHelper_1_1ParserSemanticAction.html</anchorfile>
      <anchor>5c015781c55f7c0744ed2c869d3caee8</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>AIRINV::InventoryParserHelper::storeSegmentOffPoint</name>
    <filename>structAIRINV_1_1InventoryParserHelper_1_1storeSegmentOffPoint.html</filename>
    <base>AIRINV::InventoryParserHelper::ParserSemanticAction</base>
    <member kind="function">
      <type></type>
      <name>storeSegmentOffPoint</name>
      <anchorfile>structAIRINV_1_1InventoryParserHelper_1_1storeSegmentOffPoint.html</anchorfile>
      <anchor>e1bfc66cc5dcf071674f53cd37ab2065</anchor>
      <arglist>(FlightDateStruct &amp;)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>operator()</name>
      <anchorfile>structAIRINV_1_1InventoryParserHelper_1_1storeSegmentOffPoint.html</anchorfile>
      <anchor>de8aaff3a336c2e0b3f12f106ee4e864</anchor>
      <arglist>(iterator_t iStr, iterator_t iStrEnd) const </arglist>
    </member>
    <member kind="variable">
      <type>FlightDateStruct &amp;</type>
      <name>_flightDate</name>
      <anchorfile>structAIRINV_1_1InventoryParserHelper_1_1ParserSemanticAction.html</anchorfile>
      <anchor>5c015781c55f7c0744ed2c869d3caee8</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>AIRINV::InventoryParserHelper::storeSegmentCabinCode</name>
    <filename>structAIRINV_1_1InventoryParserHelper_1_1storeSegmentCabinCode.html</filename>
    <base>AIRINV::InventoryParserHelper::ParserSemanticAction</base>
    <member kind="function">
      <type></type>
      <name>storeSegmentCabinCode</name>
      <anchorfile>structAIRINV_1_1InventoryParserHelper_1_1storeSegmentCabinCode.html</anchorfile>
      <anchor>e40f3d52ac692f749d2471b18038f1c0</anchor>
      <arglist>(FlightDateStruct &amp;)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>operator()</name>
      <anchorfile>structAIRINV_1_1InventoryParserHelper_1_1storeSegmentCabinCode.html</anchorfile>
      <anchor>4594ba3560bb7e3b145d45281ace4f0b</anchor>
      <arglist>(char iChar) const </arglist>
    </member>
    <member kind="variable">
      <type>FlightDateStruct &amp;</type>
      <name>_flightDate</name>
      <anchorfile>structAIRINV_1_1InventoryParserHelper_1_1ParserSemanticAction.html</anchorfile>
      <anchor>5c015781c55f7c0744ed2c869d3caee8</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>AIRINV::InventoryParserHelper::storeSegmentCabinBookingCounter</name>
    <filename>structAIRINV_1_1InventoryParserHelper_1_1storeSegmentCabinBookingCounter.html</filename>
    <base>AIRINV::InventoryParserHelper::ParserSemanticAction</base>
    <member kind="function">
      <type></type>
      <name>storeSegmentCabinBookingCounter</name>
      <anchorfile>structAIRINV_1_1InventoryParserHelper_1_1storeSegmentCabinBookingCounter.html</anchorfile>
      <anchor>afc7dc42278598e38ce57cd39548f11c</anchor>
      <arglist>(FlightDateStruct &amp;)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>operator()</name>
      <anchorfile>structAIRINV_1_1InventoryParserHelper_1_1storeSegmentCabinBookingCounter.html</anchorfile>
      <anchor>9f7ad2223a31bccc2e560df6fa398f32</anchor>
      <arglist>(double iReal) const </arglist>
    </member>
    <member kind="variable">
      <type>FlightDateStruct &amp;</type>
      <name>_flightDate</name>
      <anchorfile>structAIRINV_1_1InventoryParserHelper_1_1ParserSemanticAction.html</anchorfile>
      <anchor>5c015781c55f7c0744ed2c869d3caee8</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>AIRINV::InventoryParserHelper::storeClassCode</name>
    <filename>structAIRINV_1_1InventoryParserHelper_1_1storeClassCode.html</filename>
    <base>AIRINV::InventoryParserHelper::ParserSemanticAction</base>
    <member kind="function">
      <type></type>
      <name>storeClassCode</name>
      <anchorfile>structAIRINV_1_1InventoryParserHelper_1_1storeClassCode.html</anchorfile>
      <anchor>2703358e682cede46deefde9aa451f93</anchor>
      <arglist>(FlightDateStruct &amp;)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>operator()</name>
      <anchorfile>structAIRINV_1_1InventoryParserHelper_1_1storeClassCode.html</anchorfile>
      <anchor>12514174636bdde99f507a8dae440405</anchor>
      <arglist>(char iChar) const </arglist>
    </member>
    <member kind="variable">
      <type>FlightDateStruct &amp;</type>
      <name>_flightDate</name>
      <anchorfile>structAIRINV_1_1InventoryParserHelper_1_1ParserSemanticAction.html</anchorfile>
      <anchor>5c015781c55f7c0744ed2c869d3caee8</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>AIRINV::InventoryParserHelper::storeSubclassCode</name>
    <filename>structAIRINV_1_1InventoryParserHelper_1_1storeSubclassCode.html</filename>
    <base>AIRINV::InventoryParserHelper::ParserSemanticAction</base>
    <member kind="function">
      <type></type>
      <name>storeSubclassCode</name>
      <anchorfile>structAIRINV_1_1InventoryParserHelper_1_1storeSubclassCode.html</anchorfile>
      <anchor>3b18d721857f76b49ed33fde3a3ebac1</anchor>
      <arglist>(FlightDateStruct &amp;)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>operator()</name>
      <anchorfile>structAIRINV_1_1InventoryParserHelper_1_1storeSubclassCode.html</anchorfile>
      <anchor>ac8b136ad215da70d709d1632aaa9bc0</anchor>
      <arglist>(unsigned int iNumber) const </arglist>
    </member>
    <member kind="variable">
      <type>FlightDateStruct &amp;</type>
      <name>_flightDate</name>
      <anchorfile>structAIRINV_1_1InventoryParserHelper_1_1ParserSemanticAction.html</anchorfile>
      <anchor>5c015781c55f7c0744ed2c869d3caee8</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>AIRINV::InventoryParserHelper::storeParentClassCode</name>
    <filename>structAIRINV_1_1InventoryParserHelper_1_1storeParentClassCode.html</filename>
    <base>AIRINV::InventoryParserHelper::ParserSemanticAction</base>
    <member kind="function">
      <type></type>
      <name>storeParentClassCode</name>
      <anchorfile>structAIRINV_1_1InventoryParserHelper_1_1storeParentClassCode.html</anchorfile>
      <anchor>61967bda5956944f51b40e1a40f5dc2d</anchor>
      <arglist>(FlightDateStruct &amp;)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>operator()</name>
      <anchorfile>structAIRINV_1_1InventoryParserHelper_1_1storeParentClassCode.html</anchorfile>
      <anchor>f4999a15415e23eb14912dacb0b6ee8c</anchor>
      <arglist>(char iChar) const </arglist>
    </member>
    <member kind="variable">
      <type>FlightDateStruct &amp;</type>
      <name>_flightDate</name>
      <anchorfile>structAIRINV_1_1InventoryParserHelper_1_1ParserSemanticAction.html</anchorfile>
      <anchor>5c015781c55f7c0744ed2c869d3caee8</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>AIRINV::InventoryParserHelper::storeParentSubclassCode</name>
    <filename>structAIRINV_1_1InventoryParserHelper_1_1storeParentSubclassCode.html</filename>
    <base>AIRINV::InventoryParserHelper::ParserSemanticAction</base>
    <member kind="function">
      <type></type>
      <name>storeParentSubclassCode</name>
      <anchorfile>structAIRINV_1_1InventoryParserHelper_1_1storeParentSubclassCode.html</anchorfile>
      <anchor>fb7131f3d3f7f76f1c02aba2cb7926e9</anchor>
      <arglist>(FlightDateStruct &amp;)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>operator()</name>
      <anchorfile>structAIRINV_1_1InventoryParserHelper_1_1storeParentSubclassCode.html</anchorfile>
      <anchor>ef4f88fbe52a4e53a34656167e91e979</anchor>
      <arglist>(unsigned int iNumber) const </arglist>
    </member>
    <member kind="variable">
      <type>FlightDateStruct &amp;</type>
      <name>_flightDate</name>
      <anchorfile>structAIRINV_1_1InventoryParserHelper_1_1ParserSemanticAction.html</anchorfile>
      <anchor>5c015781c55f7c0744ed2c869d3caee8</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>AIRINV::InventoryParserHelper::storeCumulatedProtection</name>
    <filename>structAIRINV_1_1InventoryParserHelper_1_1storeCumulatedProtection.html</filename>
    <base>AIRINV::InventoryParserHelper::ParserSemanticAction</base>
    <member kind="function">
      <type></type>
      <name>storeCumulatedProtection</name>
      <anchorfile>structAIRINV_1_1InventoryParserHelper_1_1storeCumulatedProtection.html</anchorfile>
      <anchor>79433ae50c6a5211b7ec8a1acdeff3ec</anchor>
      <arglist>(FlightDateStruct &amp;)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>operator()</name>
      <anchorfile>structAIRINV_1_1InventoryParserHelper_1_1storeCumulatedProtection.html</anchorfile>
      <anchor>6473d5ef5d23e5e9eca555c6aa734192</anchor>
      <arglist>(double iReal) const </arglist>
    </member>
    <member kind="variable">
      <type>FlightDateStruct &amp;</type>
      <name>_flightDate</name>
      <anchorfile>structAIRINV_1_1InventoryParserHelper_1_1ParserSemanticAction.html</anchorfile>
      <anchor>5c015781c55f7c0744ed2c869d3caee8</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>AIRINV::InventoryParserHelper::storeProtection</name>
    <filename>structAIRINV_1_1InventoryParserHelper_1_1storeProtection.html</filename>
    <base>AIRINV::InventoryParserHelper::ParserSemanticAction</base>
    <member kind="function">
      <type></type>
      <name>storeProtection</name>
      <anchorfile>structAIRINV_1_1InventoryParserHelper_1_1storeProtection.html</anchorfile>
      <anchor>c49fe69e8dfc2e33ad90aac232340734</anchor>
      <arglist>(FlightDateStruct &amp;)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>operator()</name>
      <anchorfile>structAIRINV_1_1InventoryParserHelper_1_1storeProtection.html</anchorfile>
      <anchor>5ab26dbe3dd7888cbb5af0b794b1ceb8</anchor>
      <arglist>(double iReal) const </arglist>
    </member>
    <member kind="variable">
      <type>FlightDateStruct &amp;</type>
      <name>_flightDate</name>
      <anchorfile>structAIRINV_1_1InventoryParserHelper_1_1ParserSemanticAction.html</anchorfile>
      <anchor>5c015781c55f7c0744ed2c869d3caee8</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>AIRINV::InventoryParserHelper::storeNego</name>
    <filename>structAIRINV_1_1InventoryParserHelper_1_1storeNego.html</filename>
    <base>AIRINV::InventoryParserHelper::ParserSemanticAction</base>
    <member kind="function">
      <type></type>
      <name>storeNego</name>
      <anchorfile>structAIRINV_1_1InventoryParserHelper_1_1storeNego.html</anchorfile>
      <anchor>ca7dea95b8c894fb99cc6170d49e5ee8</anchor>
      <arglist>(FlightDateStruct &amp;)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>operator()</name>
      <anchorfile>structAIRINV_1_1InventoryParserHelper_1_1storeNego.html</anchorfile>
      <anchor>5cf6e3f17f9ba81289f272cc001b3f99</anchor>
      <arglist>(double iReal) const </arglist>
    </member>
    <member kind="variable">
      <type>FlightDateStruct &amp;</type>
      <name>_flightDate</name>
      <anchorfile>structAIRINV_1_1InventoryParserHelper_1_1ParserSemanticAction.html</anchorfile>
      <anchor>5c015781c55f7c0744ed2c869d3caee8</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>AIRINV::InventoryParserHelper::storeNoShow</name>
    <filename>structAIRINV_1_1InventoryParserHelper_1_1storeNoShow.html</filename>
    <base>AIRINV::InventoryParserHelper::ParserSemanticAction</base>
    <member kind="function">
      <type></type>
      <name>storeNoShow</name>
      <anchorfile>structAIRINV_1_1InventoryParserHelper_1_1storeNoShow.html</anchorfile>
      <anchor>3709285b4ce2f6b08256b13a1506003c</anchor>
      <arglist>(FlightDateStruct &amp;)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>operator()</name>
      <anchorfile>structAIRINV_1_1InventoryParserHelper_1_1storeNoShow.html</anchorfile>
      <anchor>74889bc815bbbd69d973aa751d9f3581</anchor>
      <arglist>(double iReal) const </arglist>
    </member>
    <member kind="variable">
      <type>FlightDateStruct &amp;</type>
      <name>_flightDate</name>
      <anchorfile>structAIRINV_1_1InventoryParserHelper_1_1ParserSemanticAction.html</anchorfile>
      <anchor>5c015781c55f7c0744ed2c869d3caee8</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>AIRINV::InventoryParserHelper::storeOverbooking</name>
    <filename>structAIRINV_1_1InventoryParserHelper_1_1storeOverbooking.html</filename>
    <base>AIRINV::InventoryParserHelper::ParserSemanticAction</base>
    <member kind="function">
      <type></type>
      <name>storeOverbooking</name>
      <anchorfile>structAIRINV_1_1InventoryParserHelper_1_1storeOverbooking.html</anchorfile>
      <anchor>b61df72c331c5180ff4153cf962ae327</anchor>
      <arglist>(FlightDateStruct &amp;)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>operator()</name>
      <anchorfile>structAIRINV_1_1InventoryParserHelper_1_1storeOverbooking.html</anchorfile>
      <anchor>b828c9f3f01da2dda85c31e96f27ce82</anchor>
      <arglist>(double iReal) const </arglist>
    </member>
    <member kind="variable">
      <type>FlightDateStruct &amp;</type>
      <name>_flightDate</name>
      <anchorfile>structAIRINV_1_1InventoryParserHelper_1_1ParserSemanticAction.html</anchorfile>
      <anchor>5c015781c55f7c0744ed2c869d3caee8</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>AIRINV::InventoryParserHelper::storeNbOfBkgs</name>
    <filename>structAIRINV_1_1InventoryParserHelper_1_1storeNbOfBkgs.html</filename>
    <base>AIRINV::InventoryParserHelper::ParserSemanticAction</base>
    <member kind="function">
      <type></type>
      <name>storeNbOfBkgs</name>
      <anchorfile>structAIRINV_1_1InventoryParserHelper_1_1storeNbOfBkgs.html</anchorfile>
      <anchor>4fab03d3c01ca4e4bc3d092e868d4ac3</anchor>
      <arglist>(FlightDateStruct &amp;)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>operator()</name>
      <anchorfile>structAIRINV_1_1InventoryParserHelper_1_1storeNbOfBkgs.html</anchorfile>
      <anchor>99dab77e4d0c800b48b30fc5a09e8f79</anchor>
      <arglist>(double iReal) const </arglist>
    </member>
    <member kind="variable">
      <type>FlightDateStruct &amp;</type>
      <name>_flightDate</name>
      <anchorfile>structAIRINV_1_1InventoryParserHelper_1_1ParserSemanticAction.html</anchorfile>
      <anchor>5c015781c55f7c0744ed2c869d3caee8</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>AIRINV::InventoryParserHelper::storeNbOfGroupBkgs</name>
    <filename>structAIRINV_1_1InventoryParserHelper_1_1storeNbOfGroupBkgs.html</filename>
    <base>AIRINV::InventoryParserHelper::ParserSemanticAction</base>
    <member kind="function">
      <type></type>
      <name>storeNbOfGroupBkgs</name>
      <anchorfile>structAIRINV_1_1InventoryParserHelper_1_1storeNbOfGroupBkgs.html</anchorfile>
      <anchor>50fdbe33a02e12459337643e25e83968</anchor>
      <arglist>(FlightDateStruct &amp;)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>operator()</name>
      <anchorfile>structAIRINV_1_1InventoryParserHelper_1_1storeNbOfGroupBkgs.html</anchorfile>
      <anchor>9af8caea4642f490bdb820af1a4f9f3e</anchor>
      <arglist>(double iReal) const </arglist>
    </member>
    <member kind="variable">
      <type>FlightDateStruct &amp;</type>
      <name>_flightDate</name>
      <anchorfile>structAIRINV_1_1InventoryParserHelper_1_1ParserSemanticAction.html</anchorfile>
      <anchor>5c015781c55f7c0744ed2c869d3caee8</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>AIRINV::InventoryParserHelper::storeNbOfPendingGroupBkgs</name>
    <filename>structAIRINV_1_1InventoryParserHelper_1_1storeNbOfPendingGroupBkgs.html</filename>
    <base>AIRINV::InventoryParserHelper::ParserSemanticAction</base>
    <member kind="function">
      <type></type>
      <name>storeNbOfPendingGroupBkgs</name>
      <anchorfile>structAIRINV_1_1InventoryParserHelper_1_1storeNbOfPendingGroupBkgs.html</anchorfile>
      <anchor>42d1badb46792cc1af508f742e0c72e2</anchor>
      <arglist>(FlightDateStruct &amp;)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>operator()</name>
      <anchorfile>structAIRINV_1_1InventoryParserHelper_1_1storeNbOfPendingGroupBkgs.html</anchorfile>
      <anchor>9e7d3a02bdb9f3738a50713449077582</anchor>
      <arglist>(double iReal) const </arglist>
    </member>
    <member kind="variable">
      <type>FlightDateStruct &amp;</type>
      <name>_flightDate</name>
      <anchorfile>structAIRINV_1_1InventoryParserHelper_1_1ParserSemanticAction.html</anchorfile>
      <anchor>5c015781c55f7c0744ed2c869d3caee8</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>AIRINV::InventoryParserHelper::storeNbOfStaffBkgs</name>
    <filename>structAIRINV_1_1InventoryParserHelper_1_1storeNbOfStaffBkgs.html</filename>
    <base>AIRINV::InventoryParserHelper::ParserSemanticAction</base>
    <member kind="function">
      <type></type>
      <name>storeNbOfStaffBkgs</name>
      <anchorfile>structAIRINV_1_1InventoryParserHelper_1_1storeNbOfStaffBkgs.html</anchorfile>
      <anchor>e73df4c9f4f59e7e7413eaa991dbca72</anchor>
      <arglist>(FlightDateStruct &amp;)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>operator()</name>
      <anchorfile>structAIRINV_1_1InventoryParserHelper_1_1storeNbOfStaffBkgs.html</anchorfile>
      <anchor>fc07accd8c0de6776d834e6645ecf8f5</anchor>
      <arglist>(double iReal) const </arglist>
    </member>
    <member kind="variable">
      <type>FlightDateStruct &amp;</type>
      <name>_flightDate</name>
      <anchorfile>structAIRINV_1_1InventoryParserHelper_1_1ParserSemanticAction.html</anchorfile>
      <anchor>5c015781c55f7c0744ed2c869d3caee8</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>AIRINV::InventoryParserHelper::storeNbOfWLBkgs</name>
    <filename>structAIRINV_1_1InventoryParserHelper_1_1storeNbOfWLBkgs.html</filename>
    <base>AIRINV::InventoryParserHelper::ParserSemanticAction</base>
    <member kind="function">
      <type></type>
      <name>storeNbOfWLBkgs</name>
      <anchorfile>structAIRINV_1_1InventoryParserHelper_1_1storeNbOfWLBkgs.html</anchorfile>
      <anchor>28681f25a6593794eccd696398c08944</anchor>
      <arglist>(FlightDateStruct &amp;)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>operator()</name>
      <anchorfile>structAIRINV_1_1InventoryParserHelper_1_1storeNbOfWLBkgs.html</anchorfile>
      <anchor>7940c996727b4a76163370eed10878be</anchor>
      <arglist>(double iReal) const </arglist>
    </member>
    <member kind="variable">
      <type>FlightDateStruct &amp;</type>
      <name>_flightDate</name>
      <anchorfile>structAIRINV_1_1InventoryParserHelper_1_1ParserSemanticAction.html</anchorfile>
      <anchor>5c015781c55f7c0744ed2c869d3caee8</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>AIRINV::InventoryParserHelper::storeClassETB</name>
    <filename>structAIRINV_1_1InventoryParserHelper_1_1storeClassETB.html</filename>
    <base>AIRINV::InventoryParserHelper::ParserSemanticAction</base>
    <member kind="function">
      <type></type>
      <name>storeClassETB</name>
      <anchorfile>structAIRINV_1_1InventoryParserHelper_1_1storeClassETB.html</anchorfile>
      <anchor>4515db13e898e74cf2b6446840ab3031</anchor>
      <arglist>(FlightDateStruct &amp;)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>operator()</name>
      <anchorfile>structAIRINV_1_1InventoryParserHelper_1_1storeClassETB.html</anchorfile>
      <anchor>fd976dd51cc9886ed220a6f30052376f</anchor>
      <arglist>(double iReal) const </arglist>
    </member>
    <member kind="variable">
      <type>FlightDateStruct &amp;</type>
      <name>_flightDate</name>
      <anchorfile>structAIRINV_1_1InventoryParserHelper_1_1ParserSemanticAction.html</anchorfile>
      <anchor>5c015781c55f7c0744ed2c869d3caee8</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>AIRINV::InventoryParserHelper::storeClassAvailability</name>
    <filename>structAIRINV_1_1InventoryParserHelper_1_1storeClassAvailability.html</filename>
    <base>AIRINV::InventoryParserHelper::ParserSemanticAction</base>
    <member kind="function">
      <type></type>
      <name>storeClassAvailability</name>
      <anchorfile>structAIRINV_1_1InventoryParserHelper_1_1storeClassAvailability.html</anchorfile>
      <anchor>9b15d2d1f0ab942d4a7340e0ce791d5e</anchor>
      <arglist>(FlightDateStruct &amp;)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>operator()</name>
      <anchorfile>structAIRINV_1_1InventoryParserHelper_1_1storeClassAvailability.html</anchorfile>
      <anchor>6e54412f3a173cb40f1ea9b1626b2e03</anchor>
      <arglist>(double iReal) const </arglist>
    </member>
    <member kind="variable">
      <type>FlightDateStruct &amp;</type>
      <name>_flightDate</name>
      <anchorfile>structAIRINV_1_1InventoryParserHelper_1_1ParserSemanticAction.html</anchorfile>
      <anchor>5c015781c55f7c0744ed2c869d3caee8</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>AIRINV::InventoryParserHelper::storeSegmentAvailability</name>
    <filename>structAIRINV_1_1InventoryParserHelper_1_1storeSegmentAvailability.html</filename>
    <base>AIRINV::InventoryParserHelper::ParserSemanticAction</base>
    <member kind="function">
      <type></type>
      <name>storeSegmentAvailability</name>
      <anchorfile>structAIRINV_1_1InventoryParserHelper_1_1storeSegmentAvailability.html</anchorfile>
      <anchor>dad57a9ad7fb9e7a00bb2b085f51cea2</anchor>
      <arglist>(FlightDateStruct &amp;)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>operator()</name>
      <anchorfile>structAIRINV_1_1InventoryParserHelper_1_1storeSegmentAvailability.html</anchorfile>
      <anchor>468cb75c40250f3878da9e76e2b900f5</anchor>
      <arglist>(double iReal) const </arglist>
    </member>
    <member kind="variable">
      <type>FlightDateStruct &amp;</type>
      <name>_flightDate</name>
      <anchorfile>structAIRINV_1_1InventoryParserHelper_1_1ParserSemanticAction.html</anchorfile>
      <anchor>5c015781c55f7c0744ed2c869d3caee8</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>AIRINV::InventoryParserHelper::storeRevenueAvailability</name>
    <filename>structAIRINV_1_1InventoryParserHelper_1_1storeRevenueAvailability.html</filename>
    <base>AIRINV::InventoryParserHelper::ParserSemanticAction</base>
    <member kind="function">
      <type></type>
      <name>storeRevenueAvailability</name>
      <anchorfile>structAIRINV_1_1InventoryParserHelper_1_1storeRevenueAvailability.html</anchorfile>
      <anchor>86dfdc70cd7b216bfb9679dd75fe4cd5</anchor>
      <arglist>(FlightDateStruct &amp;)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>operator()</name>
      <anchorfile>structAIRINV_1_1InventoryParserHelper_1_1storeRevenueAvailability.html</anchorfile>
      <anchor>409961409f5db45ec158b12b57473346</anchor>
      <arglist>(double iReal) const </arglist>
    </member>
    <member kind="variable">
      <type>FlightDateStruct &amp;</type>
      <name>_flightDate</name>
      <anchorfile>structAIRINV_1_1InventoryParserHelper_1_1ParserSemanticAction.html</anchorfile>
      <anchor>5c015781c55f7c0744ed2c869d3caee8</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>AIRINV::InventoryParserHelper::storeFamilyCode</name>
    <filename>structAIRINV_1_1InventoryParserHelper_1_1storeFamilyCode.html</filename>
    <base>AIRINV::InventoryParserHelper::ParserSemanticAction</base>
    <member kind="function">
      <type></type>
      <name>storeFamilyCode</name>
      <anchorfile>structAIRINV_1_1InventoryParserHelper_1_1storeFamilyCode.html</anchorfile>
      <anchor>cf13fe655b0d3d204d35e43154d161c3</anchor>
      <arglist>(FlightDateStruct &amp;)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>operator()</name>
      <anchorfile>structAIRINV_1_1InventoryParserHelper_1_1storeFamilyCode.html</anchorfile>
      <anchor>9b84106acd6b9ad604a2428f31214809</anchor>
      <arglist>(int iCode) const </arglist>
    </member>
    <member kind="variable">
      <type>FlightDateStruct &amp;</type>
      <name>_flightDate</name>
      <anchorfile>structAIRINV_1_1InventoryParserHelper_1_1ParserSemanticAction.html</anchorfile>
      <anchor>5c015781c55f7c0744ed2c869d3caee8</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>AIRINV::InventoryParserHelper::storeFClasses</name>
    <filename>structAIRINV_1_1InventoryParserHelper_1_1storeFClasses.html</filename>
    <base>AIRINV::InventoryParserHelper::ParserSemanticAction</base>
    <member kind="function">
      <type></type>
      <name>storeFClasses</name>
      <anchorfile>structAIRINV_1_1InventoryParserHelper_1_1storeFClasses.html</anchorfile>
      <anchor>01b3ec8b198cb30a9d3b618f64613d9d</anchor>
      <arglist>(FlightDateStruct &amp;)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>operator()</name>
      <anchorfile>structAIRINV_1_1InventoryParserHelper_1_1storeFClasses.html</anchorfile>
      <anchor>a2a3fccbed6cebf649d53b2c2511acb8</anchor>
      <arglist>(iterator_t iStr, iterator_t iStrEnd) const </arglist>
    </member>
    <member kind="variable">
      <type>FlightDateStruct &amp;</type>
      <name>_flightDate</name>
      <anchorfile>structAIRINV_1_1InventoryParserHelper_1_1ParserSemanticAction.html</anchorfile>
      <anchor>5c015781c55f7c0744ed2c869d3caee8</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>AIRINV::InventoryParserHelper::doEndFlightDate</name>
    <filename>structAIRINV_1_1InventoryParserHelper_1_1doEndFlightDate.html</filename>
    <base>AIRINV::InventoryParserHelper::ParserSemanticAction</base>
    <member kind="function">
      <type></type>
      <name>doEndFlightDate</name>
      <anchorfile>structAIRINV_1_1InventoryParserHelper_1_1doEndFlightDate.html</anchorfile>
      <anchor>4253fc5569dc6b2857cc838039327c62</anchor>
      <arglist>(stdair::BomRoot &amp;, FlightDateStruct &amp;, unsigned int &amp;)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>operator()</name>
      <anchorfile>structAIRINV_1_1InventoryParserHelper_1_1doEndFlightDate.html</anchorfile>
      <anchor>a301558c7105eb613cca0b6c23ce4ccb</anchor>
      <arglist>(iterator_t iStr, iterator_t iStrEnd) const </arglist>
    </member>
    <member kind="variable">
      <type>stdair::BomRoot &amp;</type>
      <name>_bomRoot</name>
      <anchorfile>structAIRINV_1_1InventoryParserHelper_1_1doEndFlightDate.html</anchorfile>
      <anchor>e87061559e20ef5be47d208cb8573c55</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>unsigned int &amp;</type>
      <name>_nbOfFlights</name>
      <anchorfile>structAIRINV_1_1InventoryParserHelper_1_1doEndFlightDate.html</anchorfile>
      <anchor>fab95367999c9b70a9ff8e6ec5e75006</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>FlightDateStruct &amp;</type>
      <name>_flightDate</name>
      <anchorfile>structAIRINV_1_1InventoryParserHelper_1_1ParserSemanticAction.html</anchorfile>
      <anchor>5c015781c55f7c0744ed2c869d3caee8</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>AIRINV::InventoryParserHelper::InventoryParser</name>
    <filename>structAIRINV_1_1InventoryParserHelper_1_1InventoryParser.html</filename>
    <base>boost::spirit::classic::grammar</base>
    <member kind="function">
      <type></type>
      <name>InventoryParser</name>
      <anchorfile>structAIRINV_1_1InventoryParserHelper_1_1InventoryParser.html</anchorfile>
      <anchor>6d53e94031b4d5f9d9eace871b937b07</anchor>
      <arglist>(stdair::BomRoot &amp;, FlightDateStruct &amp;, unsigned int &amp;)</arglist>
    </member>
    <member kind="variable">
      <type>stdair::BomRoot &amp;</type>
      <name>_bomRoot</name>
      <anchorfile>structAIRINV_1_1InventoryParserHelper_1_1InventoryParser.html</anchorfile>
      <anchor>a1dcce9e9830546d4815d970f5721537</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>FlightDateStruct &amp;</type>
      <name>_flightDate</name>
      <anchorfile>structAIRINV_1_1InventoryParserHelper_1_1InventoryParser.html</anchorfile>
      <anchor>05574a7f0fd6930785c19b37f52f2eef</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>unsigned int &amp;</type>
      <name>_nbOfFlights</name>
      <anchorfile>structAIRINV_1_1InventoryParserHelper_1_1InventoryParser.html</anchorfile>
      <anchor>4fcaa070ff9746a0abc3b98623d94bc8</anchor>
      <arglist></arglist>
    </member>
    <class kind="struct">AIRINV::InventoryParserHelper::InventoryParser::definition</class>
  </compound>
  <compound kind="struct">
    <name>AIRINV::InventoryParserHelper::InventoryParser::definition</name>
    <filename>structAIRINV_1_1InventoryParserHelper_1_1InventoryParser_1_1definition.html</filename>
    <templarg>ScannerT</templarg>
    <member kind="function">
      <type></type>
      <name>definition</name>
      <anchorfile>structAIRINV_1_1InventoryParserHelper_1_1InventoryParser_1_1definition.html</anchorfile>
      <anchor>13b29331994721bfc552df35936ef732</anchor>
      <arglist>(InventoryParser const &amp;self)</arglist>
    </member>
    <member kind="function">
      <type>boost::spirit::classic::rule&lt; ScannerT &gt; const &amp;</type>
      <name>start</name>
      <anchorfile>structAIRINV_1_1InventoryParserHelper_1_1InventoryParser_1_1definition.html</anchorfile>
      <anchor>ad54b5d1b7d5eff7e33af7a6586c96e5</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="variable">
      <type>boost::spirit::classic::rule&lt; ScannerT &gt;</type>
      <name>flight_date_list</name>
      <anchorfile>structAIRINV_1_1InventoryParserHelper_1_1InventoryParser_1_1definition.html</anchorfile>
      <anchor>96b72b82b5bf56cc07c437e6aad6bbe3</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>boost::spirit::classic::rule&lt; ScannerT &gt;</type>
      <name>not_to_be_parsed</name>
      <anchorfile>structAIRINV_1_1InventoryParserHelper_1_1InventoryParser_1_1definition.html</anchorfile>
      <anchor>91f5afb7173962256136253ddb06c9da</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>boost::spirit::classic::rule&lt; ScannerT &gt;</type>
      <name>flight_date</name>
      <anchorfile>structAIRINV_1_1InventoryParserHelper_1_1InventoryParser_1_1definition.html</anchorfile>
      <anchor>dc8b250037239f79036e77c60d15bbb0</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>boost::spirit::classic::rule&lt; ScannerT &gt;</type>
      <name>flight_date_end</name>
      <anchorfile>structAIRINV_1_1InventoryParserHelper_1_1InventoryParser_1_1definition.html</anchorfile>
      <anchor>04886c1e7299fb9d0a4b5fcf0665289f</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>boost::spirit::classic::rule&lt; ScannerT &gt;</type>
      <name>flight_key</name>
      <anchorfile>structAIRINV_1_1InventoryParserHelper_1_1InventoryParser_1_1definition.html</anchorfile>
      <anchor>9127c038a2e47e43026265de369953fb</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>boost::spirit::classic::rule&lt; ScannerT &gt;</type>
      <name>airline_code</name>
      <anchorfile>structAIRINV_1_1InventoryParserHelper_1_1InventoryParser_1_1definition.html</anchorfile>
      <anchor>0521ed6251e4bc48d8c2f4a6e2fdcb67</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>boost::spirit::classic::rule&lt; ScannerT &gt;</type>
      <name>flight_number</name>
      <anchorfile>structAIRINV_1_1InventoryParserHelper_1_1InventoryParser_1_1definition.html</anchorfile>
      <anchor>223f09cd6aa9a71b29c1b795b6d6a191</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>boost::spirit::classic::rule&lt; ScannerT &gt;</type>
      <name>flight_type_code</name>
      <anchorfile>structAIRINV_1_1InventoryParserHelper_1_1InventoryParser_1_1definition.html</anchorfile>
      <anchor>e43758e045a5432da2efa1c749b44540</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>boost::spirit::classic::rule&lt; ScannerT &gt;</type>
      <name>flight_visibility_code</name>
      <anchorfile>structAIRINV_1_1InventoryParserHelper_1_1InventoryParser_1_1definition.html</anchorfile>
      <anchor>88d4ea016b822105ddce5574af2cae94</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>boost::spirit::classic::rule&lt; ScannerT &gt;</type>
      <name>date</name>
      <anchorfile>structAIRINV_1_1InventoryParserHelper_1_1InventoryParser_1_1definition.html</anchorfile>
      <anchor>fc5d4084ec84e794774ec49e056bc7aa</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>boost::spirit::classic::rule&lt; ScannerT &gt;</type>
      <name>leg_list</name>
      <anchorfile>structAIRINV_1_1InventoryParserHelper_1_1InventoryParser_1_1definition.html</anchorfile>
      <anchor>b4bdf252d10d157b69b37533fcbab33f</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>boost::spirit::classic::rule&lt; ScannerT &gt;</type>
      <name>leg</name>
      <anchorfile>structAIRINV_1_1InventoryParserHelper_1_1InventoryParser_1_1definition.html</anchorfile>
      <anchor>0098502cbf01b13fd0be91bd85895941</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>boost::spirit::classic::rule&lt; ScannerT &gt;</type>
      <name>operating_leg_details</name>
      <anchorfile>structAIRINV_1_1InventoryParserHelper_1_1InventoryParser_1_1definition.html</anchorfile>
      <anchor>da41c587df4220fb9af25a05700dada6</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>boost::spirit::classic::rule&lt; ScannerT &gt;</type>
      <name>leg_key</name>
      <anchorfile>structAIRINV_1_1InventoryParserHelper_1_1InventoryParser_1_1definition.html</anchorfile>
      <anchor>8808e06c28411f4660e1f319f820bc3b</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>boost::spirit::classic::rule&lt; ScannerT &gt;</type>
      <name>leg_details</name>
      <anchorfile>structAIRINV_1_1InventoryParserHelper_1_1InventoryParser_1_1definition.html</anchorfile>
      <anchor>18b3a9439a339ec9ead77714d63f5198</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>boost::spirit::classic::rule&lt; ScannerT &gt;</type>
      <name>leg_cabin_list</name>
      <anchorfile>structAIRINV_1_1InventoryParserHelper_1_1InventoryParser_1_1definition.html</anchorfile>
      <anchor>f2d4b67187c8d1214824f5b7892d5645</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>boost::spirit::classic::rule&lt; ScannerT &gt;</type>
      <name>leg_cabin_details</name>
      <anchorfile>structAIRINV_1_1InventoryParserHelper_1_1InventoryParser_1_1definition.html</anchorfile>
      <anchor>399de1e350ab26ae78d490fb70831ddf</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>boost::spirit::classic::rule&lt; ScannerT &gt;</type>
      <name>bucket_list</name>
      <anchorfile>structAIRINV_1_1InventoryParserHelper_1_1InventoryParser_1_1definition.html</anchorfile>
      <anchor>84c0ba814a31725ac848c43b8f3d45fe</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>boost::spirit::classic::rule&lt; ScannerT &gt;</type>
      <name>bucket_details</name>
      <anchorfile>structAIRINV_1_1InventoryParserHelper_1_1InventoryParser_1_1definition.html</anchorfile>
      <anchor>f5d2559975cf5663b208e72c7738c1bb</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>boost::spirit::classic::rule&lt; ScannerT &gt;</type>
      <name>time</name>
      <anchorfile>structAIRINV_1_1InventoryParserHelper_1_1InventoryParser_1_1definition.html</anchorfile>
      <anchor>898fbe7b3e135f3b78969288072d5920</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>boost::spirit::classic::rule&lt; ScannerT &gt;</type>
      <name>segment_list</name>
      <anchorfile>structAIRINV_1_1InventoryParserHelper_1_1InventoryParser_1_1definition.html</anchorfile>
      <anchor>83e4e28e08af9d1006fd509bfcef0b28</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>boost::spirit::classic::rule&lt; ScannerT &gt;</type>
      <name>segment</name>
      <anchorfile>structAIRINV_1_1InventoryParserHelper_1_1InventoryParser_1_1definition.html</anchorfile>
      <anchor>76dd99ebca626658a56433f32d8a79d0</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>boost::spirit::classic::rule&lt; ScannerT &gt;</type>
      <name>segment_key</name>
      <anchorfile>structAIRINV_1_1InventoryParserHelper_1_1InventoryParser_1_1definition.html</anchorfile>
      <anchor>e27eb8688c56af2c7f7e587994ad4c7a</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>boost::spirit::classic::rule&lt; ScannerT &gt;</type>
      <name>full_segment_cabin_details</name>
      <anchorfile>structAIRINV_1_1InventoryParserHelper_1_1InventoryParser_1_1definition.html</anchorfile>
      <anchor>cc2a71b64115f060f48f06ebc462fe3c</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>boost::spirit::classic::rule&lt; ScannerT &gt;</type>
      <name>segment_cabin_list</name>
      <anchorfile>structAIRINV_1_1InventoryParserHelper_1_1InventoryParser_1_1definition.html</anchorfile>
      <anchor>6ecef3b449f0ffb5f6652145968461be</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>boost::spirit::classic::rule&lt; ScannerT &gt;</type>
      <name>segment_cabin_key</name>
      <anchorfile>structAIRINV_1_1InventoryParserHelper_1_1InventoryParser_1_1definition.html</anchorfile>
      <anchor>3a98a43e34476a522fb2a7910cc2c221</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>boost::spirit::classic::rule&lt; ScannerT &gt;</type>
      <name>segment_cabin_details</name>
      <anchorfile>structAIRINV_1_1InventoryParserHelper_1_1InventoryParser_1_1definition.html</anchorfile>
      <anchor>ba3b8c8378208d6fc818bcae3d228e47</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>boost::spirit::classic::rule&lt; ScannerT &gt;</type>
      <name>class_list</name>
      <anchorfile>structAIRINV_1_1InventoryParserHelper_1_1InventoryParser_1_1definition.html</anchorfile>
      <anchor>c4c97f06befb90c12746c6b66680d1ab</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>boost::spirit::classic::rule&lt; ScannerT &gt;</type>
      <name>class_key</name>
      <anchorfile>structAIRINV_1_1InventoryParserHelper_1_1InventoryParser_1_1definition.html</anchorfile>
      <anchor>a2dfebcf625e091bbb85fa70c8029316</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>boost::spirit::classic::rule&lt; ScannerT &gt;</type>
      <name>parent_subclass_code</name>
      <anchorfile>structAIRINV_1_1InventoryParserHelper_1_1InventoryParser_1_1definition.html</anchorfile>
      <anchor>a5fa62a7f929a2883e9a24df3211f922</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>boost::spirit::classic::rule&lt; ScannerT &gt;</type>
      <name>class_protection</name>
      <anchorfile>structAIRINV_1_1InventoryParserHelper_1_1InventoryParser_1_1definition.html</anchorfile>
      <anchor>0ff2a7648ee068e9d28d3f2a1ce934cb</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>boost::spirit::classic::rule&lt; ScannerT &gt;</type>
      <name>class_nego</name>
      <anchorfile>structAIRINV_1_1InventoryParserHelper_1_1InventoryParser_1_1definition.html</anchorfile>
      <anchor>511210b813062d70522a95649dbfdd5d</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>boost::spirit::classic::rule&lt; ScannerT &gt;</type>
      <name>class_details</name>
      <anchorfile>structAIRINV_1_1InventoryParserHelper_1_1InventoryParser_1_1definition.html</anchorfile>
      <anchor>abb0ad4706d03d93e9c5b1c43e776f7b</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>boost::spirit::classic::rule&lt; ScannerT &gt;</type>
      <name>family_cabin_list</name>
      <anchorfile>structAIRINV_1_1InventoryParserHelper_1_1InventoryParser_1_1definition.html</anchorfile>
      <anchor>0984c911147cbc9658919cd064da6f58</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>boost::spirit::classic::rule&lt; ScannerT &gt;</type>
      <name>family_cabin_details</name>
      <anchorfile>structAIRINV_1_1InventoryParserHelper_1_1InventoryParser_1_1definition.html</anchorfile>
      <anchor>28c7471cb239fdf4ef31e26c419826ed</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="namespace">
    <name>AIRINV::ScheduleParserHelper</name>
    <filename>namespaceAIRINV_1_1ScheduleParserHelper.html</filename>
    <class kind="struct">AIRINV::ScheduleParserHelper::ParserSemanticAction</class>
    <class kind="struct">AIRINV::ScheduleParserHelper::storeAirlineCode</class>
    <class kind="struct">AIRINV::ScheduleParserHelper::storeFlightNumber</class>
    <class kind="struct">AIRINV::ScheduleParserHelper::storeDateRangeStart</class>
    <class kind="struct">AIRINV::ScheduleParserHelper::storeDateRangeEnd</class>
    <class kind="struct">AIRINV::ScheduleParserHelper::storeDow</class>
    <class kind="struct">AIRINV::ScheduleParserHelper::storeLegBoardingPoint</class>
    <class kind="struct">AIRINV::ScheduleParserHelper::storeLegOffPoint</class>
    <class kind="struct">AIRINV::ScheduleParserHelper::storeOperatingAirlineCode</class>
    <class kind="struct">AIRINV::ScheduleParserHelper::storeOperatingFlightNumber</class>
    <class kind="struct">AIRINV::ScheduleParserHelper::storeBoardingTime</class>
    <class kind="struct">AIRINV::ScheduleParserHelper::storeOffTime</class>
    <class kind="struct">AIRINV::ScheduleParserHelper::storeElapsedTime</class>
    <class kind="struct">AIRINV::ScheduleParserHelper::storeLegCabinCode</class>
    <class kind="struct">AIRINV::ScheduleParserHelper::storeCapacity</class>
    <class kind="struct">AIRINV::ScheduleParserHelper::storeSegmentSpecificity</class>
    <class kind="struct">AIRINV::ScheduleParserHelper::storeSegmentBoardingPoint</class>
    <class kind="struct">AIRINV::ScheduleParserHelper::storeSegmentOffPoint</class>
    <class kind="struct">AIRINV::ScheduleParserHelper::storeSegmentCabinCode</class>
    <class kind="struct">AIRINV::ScheduleParserHelper::storeClasses</class>
    <class kind="struct">AIRINV::ScheduleParserHelper::storeFamilyCode</class>
    <class kind="struct">AIRINV::ScheduleParserHelper::storeFRAT5CurveKey</class>
    <class kind="struct">AIRINV::ScheduleParserHelper::storeFFDisutilityCurveKey</class>
    <class kind="struct">AIRINV::ScheduleParserHelper::storeFClasses</class>
    <class kind="struct">AIRINV::ScheduleParserHelper::doEndFlight</class>
    <class kind="struct">AIRINV::ScheduleParserHelper::FlightPeriodParser</class>
    <member kind="function">
      <type>repeat_p_t</type>
      <name>airline_code_p</name>
      <anchorfile>namespaceAIRINV_1_1ScheduleParserHelper.html</anchorfile>
      <anchor>fc7c614fd7a7bdab296f9174cbb4350e</anchor>
      <arglist>(chset_t(&quot;0-9A-Z&quot;).derived(), 2, 3)</arglist>
    </member>
    <member kind="function">
      <type>bounded1_4_p_t</type>
      <name>flight_number_p</name>
      <anchorfile>namespaceAIRINV_1_1ScheduleParserHelper.html</anchorfile>
      <anchor>a7dfa050fae9a89ea47189d8c92a87a7</anchor>
      <arglist>(uint1_4_p.derived(), 0u, 9999u)</arglist>
    </member>
    <member kind="function">
      <type>bounded4_p_t</type>
      <name>year_p</name>
      <anchorfile>namespaceAIRINV_1_1ScheduleParserHelper.html</anchorfile>
      <anchor>7ae6f3d753a4383705d3b5f8d5ca7378</anchor>
      <arglist>(uint4_p.derived(), 2000u, 2099u)</arglist>
    </member>
    <member kind="function">
      <type>bounded2_p_t</type>
      <name>month_p</name>
      <anchorfile>namespaceAIRINV_1_1ScheduleParserHelper.html</anchorfile>
      <anchor>b485f5d67c4562be251f755e546e0a23</anchor>
      <arglist>(uint2_p.derived(), 1u, 12u)</arglist>
    </member>
    <member kind="function">
      <type>bounded2_p_t</type>
      <name>day_p</name>
      <anchorfile>namespaceAIRINV_1_1ScheduleParserHelper.html</anchorfile>
      <anchor>75c594d6c62dc4074acdc9520edd5deb</anchor>
      <arglist>(uint2_p.derived(), 1u, 31u)</arglist>
    </member>
    <member kind="function">
      <type>repeat_p_t</type>
      <name>dow_p</name>
      <anchorfile>namespaceAIRINV_1_1ScheduleParserHelper.html</anchorfile>
      <anchor>d85ba9dc73c7a6b5acf406e9904d9060</anchor>
      <arglist>(chset_t(&quot;0-1&quot;).derived().derived(), 7, 7)</arglist>
    </member>
    <member kind="function">
      <type>repeat_p_t</type>
      <name>airport_p</name>
      <anchorfile>namespaceAIRINV_1_1ScheduleParserHelper.html</anchorfile>
      <anchor>0bcca38421d68c0885b7c1b96081490a</anchor>
      <arglist>(chset_t(&quot;0-9A-Z&quot;).derived(), 3, 3)</arglist>
    </member>
    <member kind="function">
      <type>bounded2_p_t</type>
      <name>hours_p</name>
      <anchorfile>namespaceAIRINV_1_1ScheduleParserHelper.html</anchorfile>
      <anchor>d876816d2f84fb6d11053a29cf23e5b1</anchor>
      <arglist>(uint2_p.derived(), 0u, 23u)</arglist>
    </member>
    <member kind="function">
      <type>bounded2_p_t</type>
      <name>minutes_p</name>
      <anchorfile>namespaceAIRINV_1_1ScheduleParserHelper.html</anchorfile>
      <anchor>57e7f0ef91d89d9e2465e9c895ef0557</anchor>
      <arglist>(uint2_p.derived(), 0u, 59u)</arglist>
    </member>
    <member kind="function">
      <type>bounded2_p_t</type>
      <name>seconds_p</name>
      <anchorfile>namespaceAIRINV_1_1ScheduleParserHelper.html</anchorfile>
      <anchor>843f9d9911edbee3ae0303bab4c81d32</anchor>
      <arglist>(uint2_p.derived(), 0u, 59u)</arglist>
    </member>
    <member kind="function">
      <type>chset_t</type>
      <name>cabin_code_p</name>
      <anchorfile>namespaceAIRINV_1_1ScheduleParserHelper.html</anchorfile>
      <anchor>2eefcd68a096e3a105d4297cc6247a6f</anchor>
      <arglist>(&quot;A-Z&quot;)</arglist>
    </member>
    <member kind="function">
      <type>repeat_p_t</type>
      <name>key_p</name>
      <anchorfile>namespaceAIRINV_1_1ScheduleParserHelper.html</anchorfile>
      <anchor>53ece335a8cdf75aa8bb20b82b8b4c16</anchor>
      <arglist>(chset_t(&quot;0-9A-Z&quot;).derived(), 1, 10)</arglist>
    </member>
    <member kind="function">
      <type>repeat_p_t</type>
      <name>class_code_list_p</name>
      <anchorfile>namespaceAIRINV_1_1ScheduleParserHelper.html</anchorfile>
      <anchor>9bb2edfb3203a74ae42e44887f3c2c83</anchor>
      <arglist>(chset_t(&quot;A-Z&quot;).derived(), 1, 26)</arglist>
    </member>
    <member kind="variable">
      <type>int1_p_t</type>
      <name>int1_p</name>
      <anchorfile>namespaceAIRINV_1_1ScheduleParserHelper.html</anchorfile>
      <anchor>aa8daa0062986f7d95c9776685bdefa6</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>uint2_p_t</type>
      <name>uint2_p</name>
      <anchorfile>namespaceAIRINV_1_1ScheduleParserHelper.html</anchorfile>
      <anchor>16645000964fbbce8785b0792a7b2c29</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>uint4_p_t</type>
      <name>uint4_p</name>
      <anchorfile>namespaceAIRINV_1_1ScheduleParserHelper.html</anchorfile>
      <anchor>74e40d0739b92b5df6c85d06a4bdd69f</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>uint1_4_p_t</type>
      <name>uint1_4_p</name>
      <anchorfile>namespaceAIRINV_1_1ScheduleParserHelper.html</anchorfile>
      <anchor>b3545552a22a059fdcc842cade6e6049</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>int1_p_t</type>
      <name>family_code_p</name>
      <anchorfile>namespaceAIRINV_1_1ScheduleParserHelper.html</anchorfile>
      <anchor>8521ccbb7cff1e8b6c9b517cf2c76710</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>AIRINV::ScheduleParserHelper::ParserSemanticAction</name>
    <filename>structAIRINV_1_1ScheduleParserHelper_1_1ParserSemanticAction.html</filename>
    <member kind="function">
      <type></type>
      <name>ParserSemanticAction</name>
      <anchorfile>structAIRINV_1_1ScheduleParserHelper_1_1ParserSemanticAction.html</anchorfile>
      <anchor>907fb9f90a284b3b60bbfee91c418a3e</anchor>
      <arglist>(FlightPeriodStruct &amp;)</arglist>
    </member>
    <member kind="variable">
      <type>FlightPeriodStruct &amp;</type>
      <name>_flightPeriod</name>
      <anchorfile>structAIRINV_1_1ScheduleParserHelper_1_1ParserSemanticAction.html</anchorfile>
      <anchor>594336c14c9c57e79225f227ba2eace3</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>AIRINV::ScheduleParserHelper::storeAirlineCode</name>
    <filename>structAIRINV_1_1ScheduleParserHelper_1_1storeAirlineCode.html</filename>
    <base>AIRINV::ScheduleParserHelper::ParserSemanticAction</base>
    <member kind="function">
      <type></type>
      <name>storeAirlineCode</name>
      <anchorfile>structAIRINV_1_1ScheduleParserHelper_1_1storeAirlineCode.html</anchorfile>
      <anchor>75e3013765ceca900e052d7aeb05261b</anchor>
      <arglist>(FlightPeriodStruct &amp;)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>operator()</name>
      <anchorfile>structAIRINV_1_1ScheduleParserHelper_1_1storeAirlineCode.html</anchorfile>
      <anchor>abfea23d68d3082cc0c8213389032f2e</anchor>
      <arglist>(iterator_t iStr, iterator_t iStrEnd) const </arglist>
    </member>
    <member kind="variable">
      <type>FlightPeriodStruct &amp;</type>
      <name>_flightPeriod</name>
      <anchorfile>structAIRINV_1_1ScheduleParserHelper_1_1ParserSemanticAction.html</anchorfile>
      <anchor>594336c14c9c57e79225f227ba2eace3</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>AIRINV::ScheduleParserHelper::storeFlightNumber</name>
    <filename>structAIRINV_1_1ScheduleParserHelper_1_1storeFlightNumber.html</filename>
    <base>AIRINV::ScheduleParserHelper::ParserSemanticAction</base>
    <member kind="function">
      <type></type>
      <name>storeFlightNumber</name>
      <anchorfile>structAIRINV_1_1ScheduleParserHelper_1_1storeFlightNumber.html</anchorfile>
      <anchor>4a60cd489c5b974afab1ac422a3f37de</anchor>
      <arglist>(FlightPeriodStruct &amp;)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>operator()</name>
      <anchorfile>structAIRINV_1_1ScheduleParserHelper_1_1storeFlightNumber.html</anchorfile>
      <anchor>ab43118c9f4b1e5a99c7448fcb4efdbb</anchor>
      <arglist>(unsigned int iNumber) const </arglist>
    </member>
    <member kind="variable">
      <type>FlightPeriodStruct &amp;</type>
      <name>_flightPeriod</name>
      <anchorfile>structAIRINV_1_1ScheduleParserHelper_1_1ParserSemanticAction.html</anchorfile>
      <anchor>594336c14c9c57e79225f227ba2eace3</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>AIRINV::ScheduleParserHelper::storeDateRangeStart</name>
    <filename>structAIRINV_1_1ScheduleParserHelper_1_1storeDateRangeStart.html</filename>
    <base>AIRINV::ScheduleParserHelper::ParserSemanticAction</base>
    <member kind="function">
      <type></type>
      <name>storeDateRangeStart</name>
      <anchorfile>structAIRINV_1_1ScheduleParserHelper_1_1storeDateRangeStart.html</anchorfile>
      <anchor>13cdb054bdf72302a67946f0ddd279bd</anchor>
      <arglist>(FlightPeriodStruct &amp;)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>operator()</name>
      <anchorfile>structAIRINV_1_1ScheduleParserHelper_1_1storeDateRangeStart.html</anchorfile>
      <anchor>7a563d0f486eecfb307f2ab8c322b23d</anchor>
      <arglist>(iterator_t iStr, iterator_t iStrEnd) const </arglist>
    </member>
    <member kind="variable">
      <type>FlightPeriodStruct &amp;</type>
      <name>_flightPeriod</name>
      <anchorfile>structAIRINV_1_1ScheduleParserHelper_1_1ParserSemanticAction.html</anchorfile>
      <anchor>594336c14c9c57e79225f227ba2eace3</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>AIRINV::ScheduleParserHelper::storeDateRangeEnd</name>
    <filename>structAIRINV_1_1ScheduleParserHelper_1_1storeDateRangeEnd.html</filename>
    <base>AIRINV::ScheduleParserHelper::ParserSemanticAction</base>
    <member kind="function">
      <type></type>
      <name>storeDateRangeEnd</name>
      <anchorfile>structAIRINV_1_1ScheduleParserHelper_1_1storeDateRangeEnd.html</anchorfile>
      <anchor>1b37832a732e274c13a8bf3894d93729</anchor>
      <arglist>(FlightPeriodStruct &amp;)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>operator()</name>
      <anchorfile>structAIRINV_1_1ScheduleParserHelper_1_1storeDateRangeEnd.html</anchorfile>
      <anchor>46fcb1204a225ce14ca07bb6a0882d06</anchor>
      <arglist>(iterator_t iStr, iterator_t iStrEnd) const </arglist>
    </member>
    <member kind="variable">
      <type>FlightPeriodStruct &amp;</type>
      <name>_flightPeriod</name>
      <anchorfile>structAIRINV_1_1ScheduleParserHelper_1_1ParserSemanticAction.html</anchorfile>
      <anchor>594336c14c9c57e79225f227ba2eace3</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>AIRINV::ScheduleParserHelper::storeDow</name>
    <filename>structAIRINV_1_1ScheduleParserHelper_1_1storeDow.html</filename>
    <base>AIRINV::ScheduleParserHelper::ParserSemanticAction</base>
    <member kind="function">
      <type></type>
      <name>storeDow</name>
      <anchorfile>structAIRINV_1_1ScheduleParserHelper_1_1storeDow.html</anchorfile>
      <anchor>bca8a4cb64968f57ca222e5a8108e613</anchor>
      <arglist>(FlightPeriodStruct &amp;)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>operator()</name>
      <anchorfile>structAIRINV_1_1ScheduleParserHelper_1_1storeDow.html</anchorfile>
      <anchor>b8941fd40880b28d7925c264ff130a7b</anchor>
      <arglist>(iterator_t iStr, iterator_t iStrEnd) const </arglist>
    </member>
    <member kind="variable">
      <type>FlightPeriodStruct &amp;</type>
      <name>_flightPeriod</name>
      <anchorfile>structAIRINV_1_1ScheduleParserHelper_1_1ParserSemanticAction.html</anchorfile>
      <anchor>594336c14c9c57e79225f227ba2eace3</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>AIRINV::ScheduleParserHelper::storeLegBoardingPoint</name>
    <filename>structAIRINV_1_1ScheduleParserHelper_1_1storeLegBoardingPoint.html</filename>
    <base>AIRINV::ScheduleParserHelper::ParserSemanticAction</base>
    <member kind="function">
      <type></type>
      <name>storeLegBoardingPoint</name>
      <anchorfile>structAIRINV_1_1ScheduleParserHelper_1_1storeLegBoardingPoint.html</anchorfile>
      <anchor>ccdec770284d249daf80876e22992ae6</anchor>
      <arglist>(FlightPeriodStruct &amp;)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>operator()</name>
      <anchorfile>structAIRINV_1_1ScheduleParserHelper_1_1storeLegBoardingPoint.html</anchorfile>
      <anchor>3d5ffcbe4cd15bc31c2af9f76865a621</anchor>
      <arglist>(iterator_t iStr, iterator_t iStrEnd) const </arglist>
    </member>
    <member kind="variable">
      <type>FlightPeriodStruct &amp;</type>
      <name>_flightPeriod</name>
      <anchorfile>structAIRINV_1_1ScheduleParserHelper_1_1ParserSemanticAction.html</anchorfile>
      <anchor>594336c14c9c57e79225f227ba2eace3</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>AIRINV::ScheduleParserHelper::storeLegOffPoint</name>
    <filename>structAIRINV_1_1ScheduleParserHelper_1_1storeLegOffPoint.html</filename>
    <base>AIRINV::ScheduleParserHelper::ParserSemanticAction</base>
    <member kind="function">
      <type></type>
      <name>storeLegOffPoint</name>
      <anchorfile>structAIRINV_1_1ScheduleParserHelper_1_1storeLegOffPoint.html</anchorfile>
      <anchor>e9374e15000b4260560b631140dc5bb7</anchor>
      <arglist>(FlightPeriodStruct &amp;)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>operator()</name>
      <anchorfile>structAIRINV_1_1ScheduleParserHelper_1_1storeLegOffPoint.html</anchorfile>
      <anchor>0c6d747dfb3b21b1d0ee62d3cb74335e</anchor>
      <arglist>(iterator_t iStr, iterator_t iStrEnd) const </arglist>
    </member>
    <member kind="variable">
      <type>FlightPeriodStruct &amp;</type>
      <name>_flightPeriod</name>
      <anchorfile>structAIRINV_1_1ScheduleParserHelper_1_1ParserSemanticAction.html</anchorfile>
      <anchor>594336c14c9c57e79225f227ba2eace3</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>AIRINV::ScheduleParserHelper::storeOperatingAirlineCode</name>
    <filename>structAIRINV_1_1ScheduleParserHelper_1_1storeOperatingAirlineCode.html</filename>
    <base>AIRINV::ScheduleParserHelper::ParserSemanticAction</base>
    <member kind="function">
      <type></type>
      <name>storeOperatingAirlineCode</name>
      <anchorfile>structAIRINV_1_1ScheduleParserHelper_1_1storeOperatingAirlineCode.html</anchorfile>
      <anchor>82800e74d0aef3f485eefcbb3e87e7db</anchor>
      <arglist>(FlightPeriodStruct &amp;)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>operator()</name>
      <anchorfile>structAIRINV_1_1ScheduleParserHelper_1_1storeOperatingAirlineCode.html</anchorfile>
      <anchor>870d9cf6cc33466031d35bdfeba77edb</anchor>
      <arglist>(iterator_t iStr, iterator_t iStrEnd) const </arglist>
    </member>
    <member kind="variable">
      <type>FlightPeriodStruct &amp;</type>
      <name>_flightPeriod</name>
      <anchorfile>structAIRINV_1_1ScheduleParserHelper_1_1ParserSemanticAction.html</anchorfile>
      <anchor>594336c14c9c57e79225f227ba2eace3</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>AIRINV::ScheduleParserHelper::storeOperatingFlightNumber</name>
    <filename>structAIRINV_1_1ScheduleParserHelper_1_1storeOperatingFlightNumber.html</filename>
    <base>AIRINV::ScheduleParserHelper::ParserSemanticAction</base>
    <member kind="function">
      <type></type>
      <name>storeOperatingFlightNumber</name>
      <anchorfile>structAIRINV_1_1ScheduleParserHelper_1_1storeOperatingFlightNumber.html</anchorfile>
      <anchor>dc9a9445209ed2a43319fa5260009efb</anchor>
      <arglist>(FlightPeriodStruct &amp;)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>operator()</name>
      <anchorfile>structAIRINV_1_1ScheduleParserHelper_1_1storeOperatingFlightNumber.html</anchorfile>
      <anchor>2aea9fc846d13b8d439dd6e383fd8923</anchor>
      <arglist>(unsigned int iNumber) const </arglist>
    </member>
    <member kind="variable">
      <type>FlightPeriodStruct &amp;</type>
      <name>_flightPeriod</name>
      <anchorfile>structAIRINV_1_1ScheduleParserHelper_1_1ParserSemanticAction.html</anchorfile>
      <anchor>594336c14c9c57e79225f227ba2eace3</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>AIRINV::ScheduleParserHelper::storeBoardingTime</name>
    <filename>structAIRINV_1_1ScheduleParserHelper_1_1storeBoardingTime.html</filename>
    <base>AIRINV::ScheduleParserHelper::ParserSemanticAction</base>
    <member kind="function">
      <type></type>
      <name>storeBoardingTime</name>
      <anchorfile>structAIRINV_1_1ScheduleParserHelper_1_1storeBoardingTime.html</anchorfile>
      <anchor>a10cdf3696ac32f67cc3aee5324dbbdf</anchor>
      <arglist>(FlightPeriodStruct &amp;)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>operator()</name>
      <anchorfile>structAIRINV_1_1ScheduleParserHelper_1_1storeBoardingTime.html</anchorfile>
      <anchor>cd5259c1748488751cb4426991bde251</anchor>
      <arglist>(iterator_t iStr, iterator_t iStrEnd) const </arglist>
    </member>
    <member kind="variable">
      <type>FlightPeriodStruct &amp;</type>
      <name>_flightPeriod</name>
      <anchorfile>structAIRINV_1_1ScheduleParserHelper_1_1ParserSemanticAction.html</anchorfile>
      <anchor>594336c14c9c57e79225f227ba2eace3</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>AIRINV::ScheduleParserHelper::storeOffTime</name>
    <filename>structAIRINV_1_1ScheduleParserHelper_1_1storeOffTime.html</filename>
    <base>AIRINV::ScheduleParserHelper::ParserSemanticAction</base>
    <member kind="function">
      <type></type>
      <name>storeOffTime</name>
      <anchorfile>structAIRINV_1_1ScheduleParserHelper_1_1storeOffTime.html</anchorfile>
      <anchor>5c1711ab890bf071da5c2e3cd44cea8e</anchor>
      <arglist>(FlightPeriodStruct &amp;)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>operator()</name>
      <anchorfile>structAIRINV_1_1ScheduleParserHelper_1_1storeOffTime.html</anchorfile>
      <anchor>26abdfa7984bdb80823f367e8e21b5ff</anchor>
      <arglist>(iterator_t iStr, iterator_t iStrEnd) const </arglist>
    </member>
    <member kind="variable">
      <type>FlightPeriodStruct &amp;</type>
      <name>_flightPeriod</name>
      <anchorfile>structAIRINV_1_1ScheduleParserHelper_1_1ParserSemanticAction.html</anchorfile>
      <anchor>594336c14c9c57e79225f227ba2eace3</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>AIRINV::ScheduleParserHelper::storeElapsedTime</name>
    <filename>structAIRINV_1_1ScheduleParserHelper_1_1storeElapsedTime.html</filename>
    <base>AIRINV::ScheduleParserHelper::ParserSemanticAction</base>
    <member kind="function">
      <type></type>
      <name>storeElapsedTime</name>
      <anchorfile>structAIRINV_1_1ScheduleParserHelper_1_1storeElapsedTime.html</anchorfile>
      <anchor>3363529066ff3453e8dcc76d6a7f4738</anchor>
      <arglist>(FlightPeriodStruct &amp;)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>operator()</name>
      <anchorfile>structAIRINV_1_1ScheduleParserHelper_1_1storeElapsedTime.html</anchorfile>
      <anchor>4c95e1fc03872666c326e9141b3f06c2</anchor>
      <arglist>(iterator_t iStr, iterator_t iStrEnd) const </arglist>
    </member>
    <member kind="variable">
      <type>FlightPeriodStruct &amp;</type>
      <name>_flightPeriod</name>
      <anchorfile>structAIRINV_1_1ScheduleParserHelper_1_1ParserSemanticAction.html</anchorfile>
      <anchor>594336c14c9c57e79225f227ba2eace3</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>AIRINV::ScheduleParserHelper::storeLegCabinCode</name>
    <filename>structAIRINV_1_1ScheduleParserHelper_1_1storeLegCabinCode.html</filename>
    <base>AIRINV::ScheduleParserHelper::ParserSemanticAction</base>
    <member kind="function">
      <type></type>
      <name>storeLegCabinCode</name>
      <anchorfile>structAIRINV_1_1ScheduleParserHelper_1_1storeLegCabinCode.html</anchorfile>
      <anchor>5de0c36461ec8f1c9b2a223bdf9e0756</anchor>
      <arglist>(FlightPeriodStruct &amp;)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>operator()</name>
      <anchorfile>structAIRINV_1_1ScheduleParserHelper_1_1storeLegCabinCode.html</anchorfile>
      <anchor>60c3e20f913829afad992ea060fbc688</anchor>
      <arglist>(char iChar) const </arglist>
    </member>
    <member kind="variable">
      <type>FlightPeriodStruct &amp;</type>
      <name>_flightPeriod</name>
      <anchorfile>structAIRINV_1_1ScheduleParserHelper_1_1ParserSemanticAction.html</anchorfile>
      <anchor>594336c14c9c57e79225f227ba2eace3</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>AIRINV::ScheduleParserHelper::storeCapacity</name>
    <filename>structAIRINV_1_1ScheduleParserHelper_1_1storeCapacity.html</filename>
    <base>AIRINV::ScheduleParserHelper::ParserSemanticAction</base>
    <member kind="function">
      <type></type>
      <name>storeCapacity</name>
      <anchorfile>structAIRINV_1_1ScheduleParserHelper_1_1storeCapacity.html</anchorfile>
      <anchor>f55dbfe6f7ddee7be3f1896979933328</anchor>
      <arglist>(FlightPeriodStruct &amp;)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>operator()</name>
      <anchorfile>structAIRINV_1_1ScheduleParserHelper_1_1storeCapacity.html</anchorfile>
      <anchor>6d965cbee08722acd5f95b827543e7d5</anchor>
      <arglist>(double iReal) const </arglist>
    </member>
    <member kind="variable">
      <type>FlightPeriodStruct &amp;</type>
      <name>_flightPeriod</name>
      <anchorfile>structAIRINV_1_1ScheduleParserHelper_1_1ParserSemanticAction.html</anchorfile>
      <anchor>594336c14c9c57e79225f227ba2eace3</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>AIRINV::ScheduleParserHelper::storeSegmentSpecificity</name>
    <filename>structAIRINV_1_1ScheduleParserHelper_1_1storeSegmentSpecificity.html</filename>
    <base>AIRINV::ScheduleParserHelper::ParserSemanticAction</base>
    <member kind="function">
      <type></type>
      <name>storeSegmentSpecificity</name>
      <anchorfile>structAIRINV_1_1ScheduleParserHelper_1_1storeSegmentSpecificity.html</anchorfile>
      <anchor>c76eae93c24de5b6020a14aa11427bb1</anchor>
      <arglist>(FlightPeriodStruct &amp;)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>operator()</name>
      <anchorfile>structAIRINV_1_1ScheduleParserHelper_1_1storeSegmentSpecificity.html</anchorfile>
      <anchor>1f4f075437b208c9e8f42f75627b7ed3</anchor>
      <arglist>(char iChar) const </arglist>
    </member>
    <member kind="variable">
      <type>FlightPeriodStruct &amp;</type>
      <name>_flightPeriod</name>
      <anchorfile>structAIRINV_1_1ScheduleParserHelper_1_1ParserSemanticAction.html</anchorfile>
      <anchor>594336c14c9c57e79225f227ba2eace3</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>AIRINV::ScheduleParserHelper::storeSegmentBoardingPoint</name>
    <filename>structAIRINV_1_1ScheduleParserHelper_1_1storeSegmentBoardingPoint.html</filename>
    <base>AIRINV::ScheduleParserHelper::ParserSemanticAction</base>
    <member kind="function">
      <type></type>
      <name>storeSegmentBoardingPoint</name>
      <anchorfile>structAIRINV_1_1ScheduleParserHelper_1_1storeSegmentBoardingPoint.html</anchorfile>
      <anchor>edda13d6ca9d3651c23c8884a186f4f4</anchor>
      <arglist>(FlightPeriodStruct &amp;)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>operator()</name>
      <anchorfile>structAIRINV_1_1ScheduleParserHelper_1_1storeSegmentBoardingPoint.html</anchorfile>
      <anchor>ae56108abbb31a1caa34cad23b345ae0</anchor>
      <arglist>(iterator_t iStr, iterator_t iStrEnd) const </arglist>
    </member>
    <member kind="variable">
      <type>FlightPeriodStruct &amp;</type>
      <name>_flightPeriod</name>
      <anchorfile>structAIRINV_1_1ScheduleParserHelper_1_1ParserSemanticAction.html</anchorfile>
      <anchor>594336c14c9c57e79225f227ba2eace3</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>AIRINV::ScheduleParserHelper::storeSegmentOffPoint</name>
    <filename>structAIRINV_1_1ScheduleParserHelper_1_1storeSegmentOffPoint.html</filename>
    <base>AIRINV::ScheduleParserHelper::ParserSemanticAction</base>
    <member kind="function">
      <type></type>
      <name>storeSegmentOffPoint</name>
      <anchorfile>structAIRINV_1_1ScheduleParserHelper_1_1storeSegmentOffPoint.html</anchorfile>
      <anchor>8fba6ffd5a1b7d46c9a3d5558f505196</anchor>
      <arglist>(FlightPeriodStruct &amp;)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>operator()</name>
      <anchorfile>structAIRINV_1_1ScheduleParserHelper_1_1storeSegmentOffPoint.html</anchorfile>
      <anchor>17668783b62da2d41b56cea6d02aeae8</anchor>
      <arglist>(iterator_t iStr, iterator_t iStrEnd) const </arglist>
    </member>
    <member kind="variable">
      <type>FlightPeriodStruct &amp;</type>
      <name>_flightPeriod</name>
      <anchorfile>structAIRINV_1_1ScheduleParserHelper_1_1ParserSemanticAction.html</anchorfile>
      <anchor>594336c14c9c57e79225f227ba2eace3</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>AIRINV::ScheduleParserHelper::storeSegmentCabinCode</name>
    <filename>structAIRINV_1_1ScheduleParserHelper_1_1storeSegmentCabinCode.html</filename>
    <base>AIRINV::ScheduleParserHelper::ParserSemanticAction</base>
    <member kind="function">
      <type></type>
      <name>storeSegmentCabinCode</name>
      <anchorfile>structAIRINV_1_1ScheduleParserHelper_1_1storeSegmentCabinCode.html</anchorfile>
      <anchor>78c72fb3f2122f89758af4a8d8a673c2</anchor>
      <arglist>(FlightPeriodStruct &amp;)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>operator()</name>
      <anchorfile>structAIRINV_1_1ScheduleParserHelper_1_1storeSegmentCabinCode.html</anchorfile>
      <anchor>d9f7382317d6c9f290d1cfacfe750570</anchor>
      <arglist>(char iChar) const </arglist>
    </member>
    <member kind="variable">
      <type>FlightPeriodStruct &amp;</type>
      <name>_flightPeriod</name>
      <anchorfile>structAIRINV_1_1ScheduleParserHelper_1_1ParserSemanticAction.html</anchorfile>
      <anchor>594336c14c9c57e79225f227ba2eace3</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>AIRINV::ScheduleParserHelper::storeClasses</name>
    <filename>structAIRINV_1_1ScheduleParserHelper_1_1storeClasses.html</filename>
    <base>AIRINV::ScheduleParserHelper::ParserSemanticAction</base>
    <member kind="function">
      <type></type>
      <name>storeClasses</name>
      <anchorfile>structAIRINV_1_1ScheduleParserHelper_1_1storeClasses.html</anchorfile>
      <anchor>46b7b4a6276757985bb5f37e25da020a</anchor>
      <arglist>(FlightPeriodStruct &amp;)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>operator()</name>
      <anchorfile>structAIRINV_1_1ScheduleParserHelper_1_1storeClasses.html</anchorfile>
      <anchor>f2b809c4022bce86faa8d14ae98d7226</anchor>
      <arglist>(iterator_t iStr, iterator_t iStrEnd) const </arglist>
    </member>
    <member kind="variable">
      <type>FlightPeriodStruct &amp;</type>
      <name>_flightPeriod</name>
      <anchorfile>structAIRINV_1_1ScheduleParserHelper_1_1ParserSemanticAction.html</anchorfile>
      <anchor>594336c14c9c57e79225f227ba2eace3</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>AIRINV::ScheduleParserHelper::storeFamilyCode</name>
    <filename>structAIRINV_1_1ScheduleParserHelper_1_1storeFamilyCode.html</filename>
    <base>AIRINV::ScheduleParserHelper::ParserSemanticAction</base>
    <member kind="function">
      <type></type>
      <name>storeFamilyCode</name>
      <anchorfile>structAIRINV_1_1ScheduleParserHelper_1_1storeFamilyCode.html</anchorfile>
      <anchor>ea20d7122df9479de7060b2022bfa217</anchor>
      <arglist>(FlightPeriodStruct &amp;)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>operator()</name>
      <anchorfile>structAIRINV_1_1ScheduleParserHelper_1_1storeFamilyCode.html</anchorfile>
      <anchor>a5d8ecfbc9295ea87e10df83c8fda843</anchor>
      <arglist>(int iCode) const </arglist>
    </member>
    <member kind="variable">
      <type>FlightPeriodStruct &amp;</type>
      <name>_flightPeriod</name>
      <anchorfile>structAIRINV_1_1ScheduleParserHelper_1_1ParserSemanticAction.html</anchorfile>
      <anchor>594336c14c9c57e79225f227ba2eace3</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>AIRINV::ScheduleParserHelper::storeFRAT5CurveKey</name>
    <filename>structAIRINV_1_1ScheduleParserHelper_1_1storeFRAT5CurveKey.html</filename>
    <base>AIRINV::ScheduleParserHelper::ParserSemanticAction</base>
    <member kind="function">
      <type></type>
      <name>storeFRAT5CurveKey</name>
      <anchorfile>structAIRINV_1_1ScheduleParserHelper_1_1storeFRAT5CurveKey.html</anchorfile>
      <anchor>c8e3a25e16213ea30e7564bc94018b84</anchor>
      <arglist>(FlightPeriodStruct &amp;)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>operator()</name>
      <anchorfile>structAIRINV_1_1ScheduleParserHelper_1_1storeFRAT5CurveKey.html</anchorfile>
      <anchor>9efd496faa92f1d3f532716d394136a5</anchor>
      <arglist>(iterator_t iStr, iterator_t iStrEnd) const </arglist>
    </member>
    <member kind="variable">
      <type>FlightPeriodStruct &amp;</type>
      <name>_flightPeriod</name>
      <anchorfile>structAIRINV_1_1ScheduleParserHelper_1_1ParserSemanticAction.html</anchorfile>
      <anchor>594336c14c9c57e79225f227ba2eace3</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>AIRINV::ScheduleParserHelper::storeFFDisutilityCurveKey</name>
    <filename>structAIRINV_1_1ScheduleParserHelper_1_1storeFFDisutilityCurveKey.html</filename>
    <base>AIRINV::ScheduleParserHelper::ParserSemanticAction</base>
    <member kind="function">
      <type></type>
      <name>storeFFDisutilityCurveKey</name>
      <anchorfile>structAIRINV_1_1ScheduleParserHelper_1_1storeFFDisutilityCurveKey.html</anchorfile>
      <anchor>eb8993ca2bca51a6b1c24ae509b87b9d</anchor>
      <arglist>(FlightPeriodStruct &amp;)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>operator()</name>
      <anchorfile>structAIRINV_1_1ScheduleParserHelper_1_1storeFFDisutilityCurveKey.html</anchorfile>
      <anchor>9e3a9f263b5223f183254494aa1436f6</anchor>
      <arglist>(iterator_t iStr, iterator_t iStrEnd) const </arglist>
    </member>
    <member kind="variable">
      <type>FlightPeriodStruct &amp;</type>
      <name>_flightPeriod</name>
      <anchorfile>structAIRINV_1_1ScheduleParserHelper_1_1ParserSemanticAction.html</anchorfile>
      <anchor>594336c14c9c57e79225f227ba2eace3</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>AIRINV::ScheduleParserHelper::storeFClasses</name>
    <filename>structAIRINV_1_1ScheduleParserHelper_1_1storeFClasses.html</filename>
    <base>AIRINV::ScheduleParserHelper::ParserSemanticAction</base>
    <member kind="function">
      <type></type>
      <name>storeFClasses</name>
      <anchorfile>structAIRINV_1_1ScheduleParserHelper_1_1storeFClasses.html</anchorfile>
      <anchor>29c584a32548bf789c631651da0b2071</anchor>
      <arglist>(FlightPeriodStruct &amp;)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>operator()</name>
      <anchorfile>structAIRINV_1_1ScheduleParserHelper_1_1storeFClasses.html</anchorfile>
      <anchor>c0a5d5216aeb18aa01536c765afb68fa</anchor>
      <arglist>(iterator_t iStr, iterator_t iStrEnd) const </arglist>
    </member>
    <member kind="variable">
      <type>FlightPeriodStruct &amp;</type>
      <name>_flightPeriod</name>
      <anchorfile>structAIRINV_1_1ScheduleParserHelper_1_1ParserSemanticAction.html</anchorfile>
      <anchor>594336c14c9c57e79225f227ba2eace3</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>AIRINV::ScheduleParserHelper::doEndFlight</name>
    <filename>structAIRINV_1_1ScheduleParserHelper_1_1doEndFlight.html</filename>
    <base>AIRINV::ScheduleParserHelper::ParserSemanticAction</base>
    <member kind="function">
      <type></type>
      <name>doEndFlight</name>
      <anchorfile>structAIRINV_1_1ScheduleParserHelper_1_1doEndFlight.html</anchorfile>
      <anchor>bda219c05745c2698a0766398a6eec63</anchor>
      <arglist>(stdair::BomRoot &amp;, FlightPeriodStruct &amp;)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>operator()</name>
      <anchorfile>structAIRINV_1_1ScheduleParserHelper_1_1doEndFlight.html</anchorfile>
      <anchor>57df76d338db4234985f6d90b06c6df1</anchor>
      <arglist>(iterator_t iStr, iterator_t iStrEnd) const </arglist>
    </member>
    <member kind="variable">
      <type>stdair::BomRoot &amp;</type>
      <name>_bomRoot</name>
      <anchorfile>structAIRINV_1_1ScheduleParserHelper_1_1doEndFlight.html</anchorfile>
      <anchor>c9ff5b53842014aecc8d2ff0fbddb8d7</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>FlightPeriodStruct &amp;</type>
      <name>_flightPeriod</name>
      <anchorfile>structAIRINV_1_1ScheduleParserHelper_1_1ParserSemanticAction.html</anchorfile>
      <anchor>594336c14c9c57e79225f227ba2eace3</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>AIRINV::ScheduleParserHelper::FlightPeriodParser</name>
    <filename>structAIRINV_1_1ScheduleParserHelper_1_1FlightPeriodParser.html</filename>
    <base>boost::spirit::classic::grammar</base>
    <member kind="function">
      <type></type>
      <name>FlightPeriodParser</name>
      <anchorfile>structAIRINV_1_1ScheduleParserHelper_1_1FlightPeriodParser.html</anchorfile>
      <anchor>956f1605263ef36692fc113248367985</anchor>
      <arglist>(stdair::BomRoot &amp;, FlightPeriodStruct &amp;)</arglist>
    </member>
    <member kind="variable">
      <type>stdair::BomRoot &amp;</type>
      <name>_bomRoot</name>
      <anchorfile>structAIRINV_1_1ScheduleParserHelper_1_1FlightPeriodParser.html</anchorfile>
      <anchor>f6856c877ef9bbc606a1fb0f4a9f07ba</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>FlightPeriodStruct &amp;</type>
      <name>_flightPeriod</name>
      <anchorfile>structAIRINV_1_1ScheduleParserHelper_1_1FlightPeriodParser.html</anchorfile>
      <anchor>01809ece7576ca7ce17e4316f63ffcc2</anchor>
      <arglist></arglist>
    </member>
    <class kind="struct">AIRINV::ScheduleParserHelper::FlightPeriodParser::definition</class>
  </compound>
  <compound kind="struct">
    <name>AIRINV::ScheduleParserHelper::FlightPeriodParser::definition</name>
    <filename>structAIRINV_1_1ScheduleParserHelper_1_1FlightPeriodParser_1_1definition.html</filename>
    <templarg>ScannerT</templarg>
    <member kind="function">
      <type></type>
      <name>definition</name>
      <anchorfile>structAIRINV_1_1ScheduleParserHelper_1_1FlightPeriodParser_1_1definition.html</anchorfile>
      <anchor>3c46220bea9467c8f950dd09cea5630e</anchor>
      <arglist>(FlightPeriodParser const &amp;self)</arglist>
    </member>
    <member kind="function">
      <type>boost::spirit::classic::rule&lt; ScannerT &gt; const &amp;</type>
      <name>start</name>
      <anchorfile>structAIRINV_1_1ScheduleParserHelper_1_1FlightPeriodParser_1_1definition.html</anchorfile>
      <anchor>db46f8986b7315550a6e52d325d40e43</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="variable">
      <type>boost::spirit::classic::rule&lt; ScannerT &gt;</type>
      <name>flight_period_list</name>
      <anchorfile>structAIRINV_1_1ScheduleParserHelper_1_1FlightPeriodParser_1_1definition.html</anchorfile>
      <anchor>968f637a2f49a232e90dd15490ed2d13</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>boost::spirit::classic::rule&lt; ScannerT &gt;</type>
      <name>not_to_be_parsed</name>
      <anchorfile>structAIRINV_1_1ScheduleParserHelper_1_1FlightPeriodParser_1_1definition.html</anchorfile>
      <anchor>1d3851ccbe07d7efbe08600454d883d1</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>boost::spirit::classic::rule&lt; ScannerT &gt;</type>
      <name>flight_period</name>
      <anchorfile>structAIRINV_1_1ScheduleParserHelper_1_1FlightPeriodParser_1_1definition.html</anchorfile>
      <anchor>f042f1e43f2a48f162b36cdba4f6f36b</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>boost::spirit::classic::rule&lt; ScannerT &gt;</type>
      <name>flight_period_end</name>
      <anchorfile>structAIRINV_1_1ScheduleParserHelper_1_1FlightPeriodParser_1_1definition.html</anchorfile>
      <anchor>0d36678ad76f960e01112b0379ec3c60</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>boost::spirit::classic::rule&lt; ScannerT &gt;</type>
      <name>flight_key</name>
      <anchorfile>structAIRINV_1_1ScheduleParserHelper_1_1FlightPeriodParser_1_1definition.html</anchorfile>
      <anchor>062e42eb93b1aadc4690f9bb34d88008</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>boost::spirit::classic::rule&lt; ScannerT &gt;</type>
      <name>airline_code</name>
      <anchorfile>structAIRINV_1_1ScheduleParserHelper_1_1FlightPeriodParser_1_1definition.html</anchorfile>
      <anchor>c9a2885833ae24e98a3e284bfe3e0fd2</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>boost::spirit::classic::rule&lt; ScannerT &gt;</type>
      <name>flight_number</name>
      <anchorfile>structAIRINV_1_1ScheduleParserHelper_1_1FlightPeriodParser_1_1definition.html</anchorfile>
      <anchor>49d8320d21910adafd917d94aafd2ef1</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>boost::spirit::classic::rule&lt; ScannerT &gt;</type>
      <name>date</name>
      <anchorfile>structAIRINV_1_1ScheduleParserHelper_1_1FlightPeriodParser_1_1definition.html</anchorfile>
      <anchor>e8e12e01bb49333e67a6df3ac0e29376</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>boost::spirit::classic::rule&lt; ScannerT &gt;</type>
      <name>dow</name>
      <anchorfile>structAIRINV_1_1ScheduleParserHelper_1_1FlightPeriodParser_1_1definition.html</anchorfile>
      <anchor>5026e42b9ae82b2d634a3c1c1b3721cc</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>boost::spirit::classic::rule&lt; ScannerT &gt;</type>
      <name>time</name>
      <anchorfile>structAIRINV_1_1ScheduleParserHelper_1_1FlightPeriodParser_1_1definition.html</anchorfile>
      <anchor>06da35f0abb4ca00d905b3bca82d7e8a</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>boost::spirit::classic::rule&lt; ScannerT &gt;</type>
      <name>date_offset</name>
      <anchorfile>structAIRINV_1_1ScheduleParserHelper_1_1FlightPeriodParser_1_1definition.html</anchorfile>
      <anchor>28e6bc978f5cbbb16d3f3a80687bdffd</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>boost::spirit::classic::rule&lt; ScannerT &gt;</type>
      <name>leg</name>
      <anchorfile>structAIRINV_1_1ScheduleParserHelper_1_1FlightPeriodParser_1_1definition.html</anchorfile>
      <anchor>d7785878f0e6c646198c42f071fd3e1c</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>boost::spirit::classic::rule&lt; ScannerT &gt;</type>
      <name>leg_key</name>
      <anchorfile>structAIRINV_1_1ScheduleParserHelper_1_1FlightPeriodParser_1_1definition.html</anchorfile>
      <anchor>f4cfd3b56cadf83879d63359e9831c2c</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>boost::spirit::classic::rule&lt; ScannerT &gt;</type>
      <name>operating_leg_details</name>
      <anchorfile>structAIRINV_1_1ScheduleParserHelper_1_1FlightPeriodParser_1_1definition.html</anchorfile>
      <anchor>32e13eccefe5d218090599b0d4a88904</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>boost::spirit::classic::rule&lt; ScannerT &gt;</type>
      <name>leg_details</name>
      <anchorfile>structAIRINV_1_1ScheduleParserHelper_1_1FlightPeriodParser_1_1definition.html</anchorfile>
      <anchor>3f28c8b46bafe57ce7fd82d24641131d</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>boost::spirit::classic::rule&lt; ScannerT &gt;</type>
      <name>leg_cabin_details</name>
      <anchorfile>structAIRINV_1_1ScheduleParserHelper_1_1FlightPeriodParser_1_1definition.html</anchorfile>
      <anchor>105d06d29448c3c3dda7378e65c2eef9</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>boost::spirit::classic::rule&lt; ScannerT &gt;</type>
      <name>segment_section</name>
      <anchorfile>structAIRINV_1_1ScheduleParserHelper_1_1FlightPeriodParser_1_1definition.html</anchorfile>
      <anchor>5e96f3cb1e40ecd11186baa709f92f64</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>boost::spirit::classic::rule&lt; ScannerT &gt;</type>
      <name>segment_key</name>
      <anchorfile>structAIRINV_1_1ScheduleParserHelper_1_1FlightPeriodParser_1_1definition.html</anchorfile>
      <anchor>3d570f0d986a6640d2ce187509f96783</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>boost::spirit::classic::rule&lt; ScannerT &gt;</type>
      <name>full_segment_cabin_details</name>
      <anchorfile>structAIRINV_1_1ScheduleParserHelper_1_1FlightPeriodParser_1_1definition.html</anchorfile>
      <anchor>eaf1004a37b360f492efafe25b3c50f0</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>boost::spirit::classic::rule&lt; ScannerT &gt;</type>
      <name>segment_cabin_details</name>
      <anchorfile>structAIRINV_1_1ScheduleParserHelper_1_1FlightPeriodParser_1_1definition.html</anchorfile>
      <anchor>ec3d5d37f31b3096b1c3ee018007fd99</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>boost::spirit::classic::rule&lt; ScannerT &gt;</type>
      <name>full_family_cabin_details</name>
      <anchorfile>structAIRINV_1_1ScheduleParserHelper_1_1FlightPeriodParser_1_1definition.html</anchorfile>
      <anchor>77cdd54b9ea5ccf278f1e1463f0c677b</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>boost::spirit::classic::rule&lt; ScannerT &gt;</type>
      <name>family_cabin_details</name>
      <anchorfile>structAIRINV_1_1ScheduleParserHelper_1_1FlightPeriodParser_1_1definition.html</anchorfile>
      <anchor>cf5305efa564e8ca7ccc82fff4f12f17</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>boost::spirit::classic::rule&lt; ScannerT &gt;</type>
      <name>generic_segment</name>
      <anchorfile>structAIRINV_1_1ScheduleParserHelper_1_1FlightPeriodParser_1_1definition.html</anchorfile>
      <anchor>fdda2ff3bc6ad420959597bd7b94430b</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>boost::spirit::classic::rule&lt; ScannerT &gt;</type>
      <name>specific_segment_list</name>
      <anchorfile>structAIRINV_1_1ScheduleParserHelper_1_1FlightPeriodParser_1_1definition.html</anchorfile>
      <anchor>7dda6f6eada06c98ae07ff65fef89b89</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="namespace">
    <name>stdair</name>
    <filename>namespacestdair.html</filename>
    <class kind="struct">stdair::BomPropertyTree</class>
  </compound>
  <compound kind="struct">
    <name>stdair::BomPropertyTree</name>
    <filename>structstdair_1_1BomPropertyTree.html</filename>
    <member kind="function">
      <type>void</type>
      <name>load</name>
      <anchorfile>structstdair_1_1BomPropertyTree.html</anchorfile>
      <anchor>e9710ec65ebd2f1e5e0360b2472ff813</anchor>
      <arglist>(const std::string &amp;iBomTree)</arglist>
    </member>
    <member kind="function">
      <type>std::string</type>
      <name>save</name>
      <anchorfile>structstdair_1_1BomPropertyTree.html</anchorfile>
      <anchor>e746708ec1ca07fce320d9783006db0c</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="variable">
      <type>stdair::AirlineCode_T</type>
      <name>_airlineCode</name>
      <anchorfile>structstdair_1_1BomPropertyTree.html</anchorfile>
      <anchor>ca907ef35c86760fa6eecd49c6ba171e</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>stdair::FlightNumber_T</type>
      <name>_flightNumber</name>
      <anchorfile>structstdair_1_1BomPropertyTree.html</anchorfile>
      <anchor>e09fe4a05054f6e5ea34645f2e0c6ae1</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>stdair::Date_T</type>
      <name>_departureDate</name>
      <anchorfile>structstdair_1_1BomPropertyTree.html</anchorfile>
      <anchor>eb676af450a50b7e9604465964608ed3</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>std::set&lt; stdair::AirportCode_T &gt;</type>
      <name>_airportCodeList</name>
      <anchorfile>structstdair_1_1BomPropertyTree.html</anchorfile>
      <anchor>86a253fd8bd5312cccc7c70095d0da14</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="dir">
    <name>test/airinv/</name>
    <path>/builddir/build/BUILD/airinv-1.00.0/test/airinv/</path>
    <filename>dir_5604cd07d527aadde8ffe286af35b34e.html</filename>
    <file>InventoryTestSuite.cpp</file>
    <file>InventoryTestSuite.hpp</file>
  </compound>
  <compound kind="dir">
    <name>airinv/</name>
    <path>/builddir/build/BUILD/airinv-1.00.0/airinv/</path>
    <filename>dir_6e0619349abc1aae580267571c36fbd8.html</filename>
    <dir>airinv/basic/</dir>
    <dir>airinv/batches/</dir>
    <dir>airinv/bom/</dir>
    <dir>airinv/command/</dir>
    <dir>airinv/config/</dir>
    <dir>airinv/factory/</dir>
    <dir>airinv/server/</dir>
    <dir>airinv/service/</dir>
    <dir>airinv/ui/</dir>
    <file>AIRINV_Master_Service.hpp</file>
    <file>AIRINV_Service.hpp</file>
    <file>AIRINV_Types.hpp</file>
    <file>FlightRequestStatus.hpp</file>
  </compound>
  <compound kind="dir">
    <name>airinv/basic/</name>
    <path>/builddir/build/BUILD/airinv-1.00.0/airinv/basic/</path>
    <filename>dir_08dc1581b26503c1b3fc79eea219f2c1.html</filename>
    <file>BasConst.cpp</file>
    <file>BasConst_AIRINV_Service.hpp</file>
    <file>BasConst_Curves.hpp</file>
    <file>BasConst_General.hpp</file>
    <file>BasParserTypes.hpp</file>
    <file>FlightRequestStatus.cpp</file>
    <file>FlightTypeCode.cpp</file>
    <file>FlightTypeCode.hpp</file>
    <file>FlightVisibilityCode.cpp</file>
    <file>FlightVisibilityCode.hpp</file>
  </compound>
  <compound kind="dir">
    <name>airinv/batches/</name>
    <path>/builddir/build/BUILD/airinv-1.00.0/airinv/batches/</path>
    <filename>dir_d82f6c639f6cf214ac1423beadd61087.html</filename>
    <file>airinv_parseInventory.cpp</file>
    <file>parseInventory.cpp</file>
  </compound>
  <compound kind="dir">
    <name>airinv/bom/</name>
    <path>/builddir/build/BUILD/airinv-1.00.0/airinv/bom/</path>
    <filename>dir_47d4154fae6b0ac9a1abf8f52e62d0f7.html</filename>
    <file>AirportList.hpp</file>
    <file>BomAbstract.cpp</file>
    <file>BomAbstract.hpp</file>
    <file>BomRootHelper.cpp</file>
    <file>BomRootHelper.hpp</file>
    <file>BookingClassHelper.cpp</file>
    <file>BookingClassHelper.hpp</file>
    <file>BookingClassStruct.cpp</file>
    <file>BookingClassStruct.hpp</file>
    <file>BucketStruct.cpp</file>
    <file>BucketStruct.hpp</file>
    <file>DCPEventStruct.cpp</file>
    <file>DCPEventStruct.hpp</file>
    <file>FareFamilyStruct.cpp</file>
    <file>FareFamilyStruct.hpp</file>
    <file>FFDisutilityStruct.cpp</file>
    <file>FFDisutilityStruct.hpp</file>
    <file>FlightDateHelper.cpp</file>
    <file>FlightDateHelper.hpp</file>
    <file>FlightDateStruct.cpp</file>
    <file>FlightDateStruct.hpp</file>
    <file>FlightPeriodStruct.cpp</file>
    <file>FlightPeriodStruct.hpp</file>
    <file>FRAT5Struct.cpp</file>
    <file>FRAT5Struct.hpp</file>
    <file>InventoryHelper.cpp</file>
    <file>InventoryHelper.hpp</file>
    <file>LegCabinHelper.cpp</file>
    <file>LegCabinHelper.hpp</file>
    <file>LegCabinStruct.cpp</file>
    <file>LegCabinStruct.hpp</file>
    <file>LegStruct.cpp</file>
    <file>LegStruct.hpp</file>
    <file>SegmentCabinHelper.cpp</file>
    <file>SegmentCabinHelper.hpp</file>
    <file>SegmentCabinStruct.cpp</file>
    <file>SegmentCabinStruct.hpp</file>
    <file>SegmentDateHelper.cpp</file>
    <file>SegmentDateHelper.hpp</file>
    <file>SegmentSnapshotTableHelper.cpp</file>
    <file>SegmentSnapshotTableHelper.hpp</file>
    <file>SegmentStruct.cpp</file>
    <file>SegmentStruct.hpp</file>
  </compound>
  <compound kind="dir">
    <name>airinv/ui/cmdline/</name>
    <path>/builddir/build/BUILD/airinv-1.00.0/airinv/ui/cmdline/</path>
    <filename>dir_986ef39a74081922f7d31713e56ed89b.html</filename>
    <file>airinv.cpp</file>
  </compound>
  <compound kind="dir">
    <name>airinv/command/</name>
    <path>/builddir/build/BUILD/airinv-1.00.0/airinv/command/</path>
    <filename>dir_4dfa17c1452bc2e13d8b3a213259f299.html</filename>
    <dir>airinv/command/vault/</dir>
    <file>FFDisutilityParser.cpp</file>
    <file>FFDisutilityParser.hpp</file>
    <file>FFDisutilityParserHelper.cpp</file>
    <file>FFDisutilityParserHelper.hpp</file>
    <file>FRAT5Parser.cpp</file>
    <file>FRAT5Parser.hpp</file>
    <file>FRAT5ParserHelper.cpp</file>
    <file>FRAT5ParserHelper.hpp</file>
    <file>InventoryBuilder.cpp</file>
    <file>InventoryBuilder.hpp</file>
    <file>InventoryGenerator.cpp</file>
    <file>InventoryGenerator.hpp</file>
    <file>InventoryManager.cpp</file>
    <file>InventoryManager.hpp</file>
    <file>InventoryParser.cpp</file>
    <file>InventoryParser.hpp</file>
    <file>InventoryParserHelper.cpp</file>
    <file>InventoryParserHelper.hpp</file>
    <file>ScheduleParser.cpp</file>
    <file>ScheduleParser.hpp</file>
    <file>ScheduleParserHelper.cpp</file>
    <file>ScheduleParserHelper.hpp</file>
  </compound>
  <compound kind="dir">
    <name>airinv/config/</name>
    <path>/builddir/build/BUILD/airinv-1.00.0/airinv/config/</path>
    <filename>dir_1030da4399e17f9c02b8ef48f040a7e4.html</filename>
    <file>airinv-paths.hpp.in</file>
  </compound>
  <compound kind="dir">
    <name>airinv/factory/</name>
    <path>/builddir/build/BUILD/airinv-1.00.0/airinv/factory/</path>
    <filename>dir_cca2e2992e4c409ef81dab4b9ab3c6c5.html</filename>
    <file>FacAirinvMasterServiceContext.cpp</file>
    <file>FacAirinvMasterServiceContext.hpp</file>
    <file>FacAirinvServiceContext.cpp</file>
    <file>FacAirinvServiceContext.hpp</file>
    <file>FacBomAbstract.cpp</file>
    <file>FacBomAbstract.hpp</file>
    <file>FacServiceAbstract.cpp</file>
    <file>FacServiceAbstract.hpp</file>
    <file>FacSupervisor.cpp</file>
    <file>FacSupervisor.hpp</file>
  </compound>
  <compound kind="dir">
    <name>airinv/server/</name>
    <path>/builddir/build/BUILD/airinv-1.00.0/airinv/server/</path>
    <filename>dir_8fb44446b483b1b27dd3b97706c431ef.html</filename>
    <file>AirInvClient.cpp</file>
    <file>AirInvClient_ASIO.cpp</file>
    <file>AirInvServer.cpp</file>
    <file>AirInvServer.hpp</file>
    <file>AirInvServer_ASIO.cpp</file>
    <file>BomPropertyTree.cpp</file>
    <file>BomPropertyTree.hpp</file>
    <file>Connection.cpp</file>
    <file>Connection.hpp</file>
    <file>header.hpp</file>
    <file>posix_main.cpp</file>
    <file>Reply.cpp</file>
    <file>Reply.hpp</file>
    <file>Request.cpp</file>
    <file>Request.hpp</file>
    <file>RequestHandler.cpp</file>
    <file>RequestHandler.hpp</file>
    <file>RequestParser.cpp</file>
    <file>RequestParser.hpp</file>
    <file>win_main.cpp</file>
  </compound>
  <compound kind="dir">
    <name>airinv/service/</name>
    <path>/builddir/build/BUILD/airinv-1.00.0/airinv/service/</path>
    <filename>dir_1a0e68b43f12c4d335c6bfc0f1b6444a.html</filename>
    <file>AIRINV_Master_Service.cpp</file>
    <file>AIRINV_Master_ServiceContext.cpp</file>
    <file>AIRINV_Master_ServiceContext.hpp</file>
    <file>AIRINV_Service.cpp</file>
    <file>AIRINV_ServiceContext.cpp</file>
    <file>AIRINV_ServiceContext.hpp</file>
    <file>ServiceAbstract.cpp</file>
    <file>ServiceAbstract.hpp</file>
  </compound>
  <compound kind="dir">
    <name>test/</name>
    <path>/builddir/build/BUILD/airinv-1.00.0/test/</path>
    <filename>dir_8d9edcc5617585a5fef6b9d264cdc96c.html</filename>
    <dir>test/airinv/</dir>
  </compound>
  <compound kind="dir">
    <name>airinv/ui/</name>
    <path>/builddir/build/BUILD/airinv-1.00.0/airinv/ui/</path>
    <filename>dir_0fdfba31a50b638a5464dcb3df09a059.html</filename>
    <dir>airinv/ui/cmdline/</dir>
  </compound>
  <compound kind="dir">
    <name>airinv/command/vault/</name>
    <path>/builddir/build/BUILD/airinv-1.00.0/airinv/command/vault/</path>
    <filename>dir_08df6e2c8ca8d671d8e63137c8f60fa3.html</filename>
    <file>DCPEventGenerator.cpp</file>
    <file>DCPEventGenerator.hpp</file>
    <file>DCPParser.cpp</file>
    <file>DCPParser.hpp</file>
    <file>DCPParserHelper.cpp</file>
    <file>DCPParserHelper.hpp</file>
  </compound>
</tagfile>
